/* 
 * --------------------------------------------------------------------------------------------------------------------
 * Copyright (c) AUMA (2015). All Rights Reserved 
 * --------------------------------------------------------------------------------------------------------------------
 * Imported data:
 *  Name....................: Doors Export P56
 *  DeviceId................: unknown
 *  DeviceName..............: AC2
 *  Description.............: Baseline: 2.23, BudingV, 20 July 2015, AC01.2 Firmware 05.01.00 Testversion 4
 *  RequestedFirmwareVersion: 0.23
 *  SchemaVersion...........: 12.00
 *  Timestamp...............: 21.07.2015 09:56:40
 *  Version.................: 02.23
 *  Author..................: Thomas Gutmann
 * --------------------------------------------------------------------------------------------------------------------
 * Generated 18.12.2015 09:46:42 by EDD-Generator Version 01.00.16.00
 *  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
 * --------------------------------------------------------------------------------------------------------------------
 */
/* --------------------------------------------------------------------------------------------------------------------
 * DEFINE
 */
#ifdef _PDM_ 
/* Due to parsing errors with AMS (probably time conversion functions)
   RTC settings provided only with SIMATIC PDM */
#define AC2_DT
#endif

///#define __DBG__

/* --------------------------------------------------------------------------------------------------------------------
 * MACROS
 */

/* --------------------------------------------------------------------------------------------------------------------
 * VARIABLES
 */
 
/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4822
 */
VARIABLE PRM_4822	// Uhrzeit: Jahr
{
    LABEL		[TXT_PRM_4822];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	2000;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	9999;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4822, 48, 22)
WriteCmdDef (PRM_4822, 48, 22)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4823
 */
VARIABLE PRM_4823	// Uhrzeit: Monat
{
    LABEL		[TXT_PRM_4823];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	1;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	12;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4823, 48, 23)
WriteCmdDef (PRM_4823, 48, 23)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4824
 */
VARIABLE PRM_4824	// Uhrzeit: Tag
{
    LABEL		[TXT_PRM_4824];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	1;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	31;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4824, 48, 24)
WriteCmdDef (PRM_4824, 48, 24)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4825
 */
VARIABLE PRM_4825	// Uhrzeit: Stunden
{
    LABEL		[TXT_PRM_4825];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	0;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	23;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4825, 48, 25)
WriteCmdDef (PRM_4825, 48, 25)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4826
 */
VARIABLE PRM_4826	// Uhrzeit: Minuten
{
    LABEL		[TXT_PRM_4826];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	0;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	59;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4826, 48, 26)
WriteCmdDef (PRM_4826, 48, 26)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4827
 */
VARIABLE PRM_4827	// Uhrzeit: Sekunden
{
    LABEL		[TXT_PRM_4827];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	0;
    #endif
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	59;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4827, 48, 27)
WriteCmdDef (PRM_4827, 48, 27)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4828
 */
VARIABLE PRM_4828	// Echtzeituhr setzen
{
    LABEL		[TXT_PRM_4828];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	-1;
    #endif
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4828, 48, 28)
WriteCmdDef (PRM_4828, 48, 28)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4829
 */
VARIABLE PRM_4829	// Echtzeituhr lesen
{
    LABEL		[TXT_PRM_4829];
    CLASS		CONTAINED;
    #if __TOKVER__ >= 602
    DEFAULT_VALUE	-1;
    #endif
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef (PRM_4829, 48, 29)
WriteCmdDef (PRM_4829, 48, 29)

/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE  var_HostDateTime
 */
VARIABLE var_HostDateTime
{
    LABEL		"Date + Time (host)|de|Datum + Zeit (Host)";
    CLASS		LOCAL;
    TYPE		DATE_AND_TIME;
    HANDLING	READ & WRITE;
}
/* --------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE  var_device_time
 */
var_DevDateTime LIKE VARIABLE var_HostDateTime {
	REDEFINE LABEL		"Date + Time (device)|de|Datum + Zeit (Gert)";
}

/* --------------------------------------------------------------------------------------------------------------------
 * METHODS
 */
 
/***
DATE_AND_TIME encoding: 
<Byte6 : 1...255 years (actual year minus 1900)>
<Byte5 : 1...12 month>
<Byte4 : Bit7:5= day of week (1=Monday, 7=Sunday) + Bit4:0= 1..31 day of month>
<Byte3 : 0..23 h>
<Byte2 : 0..59 min>
<Byte1..0 : 0..59999 msec>
*/
/* --------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_DT_calc_from_device
 */
METHOD method_DT_calc_from_device
{
    LABEL		"method_DT_calc_from_device";
	DEFINITION
	{
        long days;
		
		/***
		DATE_AND_TIME encoding: 
		<Byte6 : 1...255 years (actual year minus 1900)>
		<Byte5 : 1...12 month>
		<Byte4 : Bit7:5= day of week (1=Monday, 7=Sunday) + Bit4:0= 1..31 day of month>
		<Byte3 : 0..23 h>
		<Byte2 : 0..59 min>
		<Byte1..0 : 0..59999 msec>
		*/

		days= To_Date(PRM_4822 /* Jahr */, PRM_4823 /* Monat */, PRM_4824 /* Tag */) - To_Date (1900, 1, 1);

		var_DevDateTime= To_Date_and_Time(days, PRM_4825 /* hh */, PRM_4826 /* mm */, PRM_4827 /* ss */, 0 /* ms */);

		save_values();
	}
}
 
/* --------------------------------------------------------------------------------------------------------------------
 * Defining METHOD  method_DT_calc_to_device
 */
METHOD method_DT_calc_to_device
{
    LABEL		"method_DT_calc_to_device";
	DEFINITION
	{
		long sec_of_day;
		
		/* Tag */
		PRM_4824= Date_to_DayOfMonth(var_HostDateTime);
		/* Monat */
		PRM_4823= Date_to_Month(var_HostDateTime);
		/* Jahr */
		PRM_4822= Date_to_Year(var_HostDateTime);

		/***
		DATE_AND_TIME encoding: 
		<Byte6 : 1...255 years (actual year minus 1900)>
		<Byte5 : 1...12 month>
		<Byte4 : Bit7:5= day of week (1=Monday, 7=Sunday) + Bit4:0= 1..31 day of month>
		<Byte3 : 0..23 h>
		<Byte2 : 0..59 min>
		<Byte1..0 : 0..59999 msec>
		*/
		//sec_of_day= (var_HostDateTime & 0xFFFFFFFF)/1000;
		sec_of_day= DiffTime(var_HostDateTime, To_Date(PRM_4822, PRM_4823, PRM_4824));
		#ifdef __DBG__
		ACKNOWLEDGE("var_HostDateTime= "+ var_HostDateTime + "\nsec_of_day= "+sec_of_day);
		#endif
		/* Stunden */
		PRM_4825= sec_of_day / 3600;
		/* Minuten */
		PRM_4826= (sec_of_day % 3600)/60;
		/* Sekunden */
		PRM_4827= sec_of_day % 60;
		save_values();
	}
}

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Method to get rtc from device
 */
METHOD read_real_time_clock_device
{
    LABEL		"Read RTC (device)|de|Echtzeituhr lesen (Gert)";
	DEFINITION
	{
		PRM_4829= 1;
		WriteCommand(write_PRM_4829);
		ReadCommand(read_PRM_4829);
		ReadCommand(read_PRM_4822);
		ReadCommand(read_PRM_4823);
		ReadCommand(read_PRM_4824);
		ReadCommand(read_PRM_4825);
		ReadCommand(read_PRM_4826);
		ReadCommand(read_PRM_4827);
		method_DT_calc_from_device();
		save_values();
	}
}

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Method to set rtc
 */
METHOD set_real_time_clock_device
{
    LABEL		"Set RTC (device)|de|Echtzeituhr stellen (Gert)";
    DEFINITION
    {
        method_DT_calc_to_device();
		WriteCommand(write_PRM_4822);
		WriteCommand(write_PRM_4823);
		WriteCommand(write_PRM_4824);
		WriteCommand(write_PRM_4825);
		WriteCommand(write_PRM_4826);
		WriteCommand(write_PRM_4827);

		#ifdef __DBG__
		ACKNOWLEDGE("PRM_4822= "+PRM_4822+"\nPRM_4823= "+PRM_4823+"\nPRM_4824= "+PRM_4824+"\nPRM_4825= "+PRM_4825+"\nPRM_4826= "+PRM_4826+"\nPRM_4827= "+PRM_4827);
		#endif

		PRM_4828= 1;
		WriteCommand(write_PRM_4828);
		ReadCommand(read_PRM_4828);
        save_values();
    }
}

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Method to read host's rtc
 */
METHOD read_real_time_clock_host
{
    LABEL		"Read system time|de|Lese Systemzeit";
    DEFINITION
    {
#ifdef _PDM_
        time_t cur_time;
#else
        long cur_time;
#endif

		cur_time = GetCurrentDate();
        cur_time += GetCurrentTime();

        if (-1 != cur_time) 
        {
            //var_LastClockDate= Time_To_Date(cur_time);
#ifdef _PDM_
            var_HostDateTime= cur_time;
#else
            var_HostDateTime= timet_To_TIME_VALUE(cur_time);
#endif

            save_values();
        }

		#ifdef __DBG__
		ACKNOWLEDGE("cur_time= " + cur_time +
		"\nvar_HostDateTime= " + var_HostDateTime);
		#endif
    }
}

/* --------------------------------------------------------------------------------------------------------------------
 * MENUS
 */
/* --------------------------------------------------------------------------------------------------------------------
 * Defining MENU  menu_DT_main -- root menu for date and time setting
 */
MENU  menu_DT_main
{
    LABEL    "Real-Time Clock|de|Echtzeituhr";  /* _TXT_menu_rtc_; */
	STYLE    WINDOW;
	ITEMS
	{
        var_DevDateTime, COLUMNBREAK, read_real_time_clock_host
        , ROWBREAK
        var_HostDateTime, COLUMNBREAK, set_real_time_clock_device
	}	
	PRE_EDIT_ACTIONS 
	{
		read_real_time_clock_device
		, read_real_time_clock_host
	}
}


 
 /* --------------------------------------------------------------------------------------------------------------------
  * END OF FILE
  * --------------------------------------------------------------------------------------------------------------------*/
