/*****************************************************************************
 *
 * File: AC2_PV.inc
 * Version: 1.0.0
 * Date: 2014-12-19
 *
 *****************************************************************************
 * Copyright (c) 2014, AUMA Riester GmbH & Co. KG, All Rights Reserved
 *****************************************************************************
 *
 * Description: Electronic device description for PROFIBUS version of AUMATIC AC 01.2
 *              (Process variables and commands)
 *
 *****************************************************************************
 */
 

/* ---------------------------------------------------------------------------------------------------------------------
*   Macros
*/

/* ---------------------------------------------------------------------------------------------------------------------
*   Variables for Process channels
*/
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_113
*/
DeviceBoolVariable_RO(PZD_113, 4)	/*  Wahlschalter Ort */
ReadCmdDef(PZD_113, 1, 141)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_115
*/
DeviceBoolVariable_RO(PZD_115, 4)	/*  Wahlschalter Fern */
ReadCmdDef(PZD_115, 1, 143)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_169
*/
DeviceBoolVariable_RO(PZD_169, 4)	/*  Feldbus Zwischenstellung2 */
ReadCmdDef(PZD_169, 1, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_170
*/
DeviceBoolVariable_RO(PZD_170, 4)	/*  Feldbus Zwischenstellung3 */
ReadCmdDef(PZD_170, 1, 198)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_171
*/
DeviceBoolVariable_RO(PZD_171, 4)	/*  Feldbus Zwischenstellung4 */
ReadCmdDef(PZD_171, 1, 199)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_172
*/
DeviceBoolVariable_RO(PZD_172, 4)	/*  Feldbus Zwischenstellung6 */
ReadCmdDef(PZD_172, 1, 200)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_173
*/
DeviceBoolVariable_RO(PZD_173, 4)	/*  Feldbus Zwischenstellung7 */
ReadCmdDef(PZD_173, 1, 201)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_188
*/
DeviceBoolVariable_RO(PZD_188, 4)	/*  Feldbus Notbetrieb */
ReadCmdDef(PZD_188, 1, 216)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_191
*/
DeviceBoolVariable_RO(PZD_191, 4)	/*  DPV0 Reset */
ReadCmdDef(PZD_191, 1, 219)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_192
*/
DeviceBoolVariable_RO(PZD_192, 4)	/*  Feldbus Freigabe Ort  */
ReadCmdDef(PZD_192, 1, 220)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_193
*/
DeviceBoolVariable_RO(PZD_193, 4)	/*  Feldbus Zwischenstellung8 */
ReadCmdDef(PZD_193, 1, 221)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_258
*/
DeviceBoolVariable_RO(PZD_258, 4)	/*  Signal Endlage AUF */
ReadCmdDef(PZD_258, 2, 186)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_259
*/
DeviceBoolVariable_RO(PZD_259, 4)	/*  Signal Endlage ZU */
ReadCmdDef(PZD_259, 2, 187)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_327
*/
DeviceBoolVariable_RO(PZD_327, 4)	/*  Feldbus Zwischenstellung5 */
ReadCmdDef(PZD_327, 3, 155)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_328
*/
DeviceBoolVariable_RO(PZD_328, 4)	/*  Feldbus Zwischenstellung1 */
ReadCmdDef(PZD_328, 3, 156)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_330
*/
DeviceBoolVariable_RO(PZD_330, 4)	/*  DPV0: Fahre Auf  */
ReadCmdDef(PZD_330, 3, 158)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_331
*/
DeviceBoolVariable_RO(PZD_331, 4)	/*  DPV0: Fahre Zu */
ReadCmdDef(PZD_331, 3, 159)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_332
*/
DeviceBoolVariable_RO(PZD_332, 4)	/*  DPV0: Fahre Soll */
ReadCmdDef(PZD_332, 3, 160)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_333
*/
VARIABLE PZD_333	/*  DPV0 Sollwert */
{
    LABEL		[TXT_PZD_333];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_333, 3, 161)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_392
*/
DeviceBoolVariable_RO(PZD_392, 4)	/*  Meldung: Zwischenstellung 1 */
ReadCmdDef(PZD_392, 3, 220)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_393
*/
DeviceBoolVariable_RO(PZD_393, 4)	/*  Meldung: Zwischenstellung 8 */
ReadCmdDef(PZD_393, 3, 221)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_394
*/
DeviceBoolVariable_RO(PZD_394, 4)	/*  Meldung: Zwischenstellung 7 */
ReadCmdDef(PZD_394, 3, 222)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_395
*/
DeviceBoolVariable_RO(PZD_395, 4)	/*  Meldung: Zwischenstellung 6 */
ReadCmdDef(PZD_395, 3, 223)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_396
*/
DeviceBoolVariable_RO(PZD_396, 4)	/*  Meldung: Zwischenstellung 5 */
ReadCmdDef(PZD_396, 3, 224)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_397
*/
DeviceBoolVariable_RO(PZD_397, 4)	/*  Meldung: Zwischenstellung 4 */
ReadCmdDef(PZD_397, 3, 225)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_398
*/
DeviceBoolVariable_RO(PZD_398, 4)	/*  Meldung: Zwischenstellung 3 */
ReadCmdDef(PZD_398, 3, 226)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_399
*/
DeviceBoolVariable_RO(PZD_399, 4)	/*  Meldung: Zwischenstellung 2 */
ReadCmdDef(PZD_399, 3, 227)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_463
*/
VARIABLE PZD_463	/*  Feldbus Drehzahl-Sollwert */
{
    LABEL		[TXT_PZD_463];
    HELP		[HLP_PZD_463];
    CLASS		OUTPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	100;
        SCALING_FACTOR	1;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_463, 4, 191)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_464
*/
VARIABLE	PZD_464	/*  Feldbus Analogausgang 1 */
{
    LABEL		[TXT_PZD_464];
    HELP		[HLP_PZD_464];
    CLASS		OUTPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	1000;
        SCALING_FACTOR	0.1;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_464, 4, 192)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_465
*/
VARIABLE	PZD_465	/*  Feldbus Analogausgang 2 */
{
    LABEL		[TXT_PZD_465];
    HELP		[HLP_PZD_465];
    CLASS		OUTPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	1000;
        SCALING_FACTOR	0.1;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_465, 4, 193)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_466
*/
DeviceBoolVariable_RO(PZD_466, 4)	/*  Feldbus Digital Out 01 */
ReadCmdDef(PZD_466, 4, 194)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_467
*/
DeviceBoolVariable_RO(PZD_467, 4)	/*  Feldbus Digital Out 02 */
ReadCmdDef(PZD_467, 4, 195)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_468
*/
DeviceBoolVariable_RO(PZD_468, 4)	/*  Feldbus Digital Out 03 */
ReadCmdDef(PZD_468, 4, 196)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_469
*/
DeviceBoolVariable_RO(PZD_469, 4)	/*  Feldbus Digital Out 04 */
ReadCmdDef(PZD_469, 4, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_470
*/
DeviceBoolVariable_RO(PZD_470, 4)	/*  Feldbus Digital Out 05 */
ReadCmdDef(PZD_470, 4, 198)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_471
*/
DeviceBoolVariable_RO(PZD_471, 4)	/*  Feldbus Digital Out 06 */
ReadCmdDef(PZD_471, 4, 199)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_472
*/
DeviceBoolVariable_RO(PZD_472, 4)	/*  Feldbus Digital Out 07 */
ReadCmdDef(PZD_472, 4, 200)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_473
*/
DeviceBoolVariable_RO(PZD_473, 4)	/*  Feldbus Digital Out 08 */
ReadCmdDef(PZD_473, 4, 201)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_474
*/
DeviceBoolVariable_RO(PZD_474, 4)	/*  Feldbus Digital Out 09 */
ReadCmdDef(PZD_474, 4, 202)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_475
*/
DeviceBoolVariable_RO(PZD_475, 4)	/*  Feldbus Digital Out 10 */
ReadCmdDef(PZD_475, 4, 203)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_476
*/
DeviceBoolVariable_RO(PZD_476, 4)	/*  Feldbus Digital Out 11 */
ReadCmdDef(PZD_476, 4, 204)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_477
*/
DeviceBoolVariable_RO(PZD_477, 4)	/*  Feldbus Digital Out 12 */
ReadCmdDef(PZD_477, 4, 205)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_498
*/
VARIABLE	PZD_498	/*  AnalogIn1 normiertes Melde-Signal */
{
    LABEL		[TXT_PZD_498];
    HELP		[HLP_PZD_498];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	1000;
        SCALING_FACTOR	1;
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_498, 4, 226)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_499
*/
VARIABLE	PZD_499	/*  AnalogIn2 normiertes Melde-Signal */
{
    LABEL		[TXT_PZD_499];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	1000;
        SCALING_FACTOR	1;
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_499, 4, 227)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_500
*/
DeviceBoolVariable_RO(PZD_500, 4)	/*  DigitalIn1 Melde-Signal */
ReadCmdDef(PZD_500, 5, 128)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_501
*/
DeviceBoolVariable_RO(PZD_501, 4)	/*  DigitalIn2 Melde-Signal */
ReadCmdDef(PZD_501, 5, 129)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_502
*/
DeviceBoolVariable_RO(PZD_502, 4)	/*  DigitalIn6 Melde-Signal */
ReadCmdDef(PZD_502, 5, 130)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_503
*/
DeviceBoolVariable_RO(PZD_503, 4)	/*  DigitalIn5 Melde-Signal */
ReadCmdDef(PZD_503, 5, 131)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_504
*/
DeviceBoolVariable_RO(PZD_504, 4)	/*  DigitalIn4 Melde-Signal */
ReadCmdDef(PZD_504, 5, 132)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_505
*/
DeviceBoolVariable_RO(PZD_505, 4)	/*  DigitalIn3 Melde-Signal */
ReadCmdDef(PZD_505, 5, 133)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_539
*/
DeviceBoolVariable_RO(PZD_539, 4)	/*  Meldung Fhrt von Ort */
ReadCmdDef(PZD_539, 5, 167)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_540
*/
DeviceBoolVariable_RO(PZD_540, 4)	/*  Meldung Fhrt von Fern */
ReadCmdDef(PZD_540, 5, 168)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_541
*/
DeviceBoolVariable_RO(PZD_541, 4)	/*  Meldung Fhrt mit Handrad (verzgert aufgrund von Hazards) */
ReadCmdDef(PZD_541, 5, 169)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_549
*/
DeviceBoolVariable_RO(PZD_549, 4)	/*  Logik: Mittelstellung */
ReadCmdDef(PZD_549, 5, 177)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_554
*/
DeviceBoolVariable_RO(PZD_554, 4)	/*  Logik: Fahrpause */
ReadCmdDef(PZD_554, 5, 182)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_560
*/
DeviceBoolVariable_RO(PZD_560, 4)	/*  Taktstrecke AUF/ZU aktiv	 */
ReadCmdDef(PZD_560, 5, 188)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_603
*/
DeviceBoolVariable_RO(PZD_603, 4)	/*  Antrieb fhrt */
ReadCmdDef(PZD_603, 6, 131)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_607
*/
DeviceBoolVariable_RO(PZD_607, 4)	/*  Wahlschalter nicht Fern */
ReadCmdDef(PZD_607, 6, 135)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_613
*/
DeviceBoolVariable_RO(PZD_613, 4)	/*  Feldbus-Kommunikation vorhanden (Kanal 1) */
ReadCmdDef(PZD_613, 6, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_614
*/
DeviceBoolVariable_RO(PZD_614, 4)	/*  Feldbus-Kommunikation vorhanden (Kanal 2) */
ReadCmdDef(PZD_614, 6, 142)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_639
*/
DeviceBoolVariable_RO(PZD_639, 4)	/*  Partial Stroke (Feldbus) */
ReadCmdDef(PZD_639, 6, 167)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_640
*/
DeviceBoolVariable_RO(PZD_640, 4)	/*  Freisplen */
ReadCmdDef(PZD_640, 6, 168)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_665
*/
DeviceBoolVariable_RO(PZD_665, 4)	/*  Logik: Betriebsmodus BLOCKED */
ReadCmdDef(PZD_665, 6, 193)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_669
*/
VARIABLE	PZD_669	/*  Feldbus Prozessistwert */
{
    LABEL		[TXT_PZD_669];
    CLASS		OUTPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        MIN_VALUE	0;
        MAX_VALUE	1000;
        SCALING_FACTOR	0.1;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_669, 6, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_700
*/
DeviceBoolVariable_RO(PZD_700, 4)	/*  Feldbus Fail Safe aktiv (Kanal1) */
ReadCmdDef(PZD_700, 7, 128)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_701
*/
DeviceBoolVariable_RO(PZD_701, 4)	/*  Feldbus Fail Safe aktiv (Kanal2) */
ReadCmdDef(PZD_701, 7, 129)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_724
*/
DeviceBoolVariable_RO(PZD_724, 4)	/*  BUS: Freigabe AUF fr Interlock */
ReadCmdDef(PZD_724, 7, 152)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_725
*/
DeviceBoolVariable_RO(PZD_725, 4)	/*  BUS: Freigabe ZU fr Interlock */
ReadCmdDef(PZD_725, 7, 153)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_811
*/
DeviceBoolVariable_RO(PZD_811, 4)	/*  Prozessabbild: Setze Kanal 1 aktiv */
ReadCmdDef(PZD_811, 8, 139)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_812
*/
DeviceBoolVariable_RO(PZD_812, 4)	/*  Prozessabbild: Setze Kanal 2 aktiv */
ReadCmdDef(PZD_812, 8, 140)
 
/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_1017
*/
DeviceBoolVariable_RO(PZD_1017, 4)	/*  Bypass Interlock */
ReadCmdDef(PZD_1017, 10, 145)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_1118
*/
DeviceBoolVariable_RO(PZD_1118, 4)	/*  SafeESD aktiv */
ReadCmdDef(PZD_1118, 11, 146)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_1119
*/
DeviceBoolVariable_RO(PZD_1119, 4)	/*  SafeStop aktiv */
ReadCmdDef(PZD_1119, 11, 147)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_1120
*/
DeviceBoolVariable_RO(PZD_1120, 4)	/*  SafetyFunction nicht bereit */
ReadCmdDef(PZD_1120, 11, 148)

/* ---------------------------------------------------------------------------------------------------------------------
*   Defining VARIABLE  PZD_1121
*/
DeviceBoolVariable_RO(PZD_1121, 4)	/*  SafetyFunction aktiv */
ReadCmdDef(PZD_1121, 11, 149)

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_process_variables_input
*/
MENU	menu_process_variables_input
{
    LABEL	[TXT_TST_624];
	STYLE    PAGE;
	ACCESS   ONLINE;	
    ITEMS
    {
		menu_pv_input_byte_1, /*  input byte 1 */
		COLUMNBREAK,
		menu_pv_input_byte_2, /*  input byte 2 */
		ROWBREAK,
		menu_pv_input_byte_3_4, /*  input byte 3+4 */
		ROWBREAK,
		menu_pv_input_byte_5, /*  input byte 5 */
		COLUMNBREAK,
		menu_pv_input_byte_6, /*  input byte 6 */
		ROWBREAK,
		menu_pv_input_byte_7, /*  input byte 7 */
		COLUMNBREAK,
		menu_pv_input_byte_8, /*  input byte 8 */
		ROWBREAK,
		menu_pv_input_byte_9_10, /*  input byte 9+10 */
		COLUMNBREAK,
		menu_pv_input_byte_11_12, /*  input byte 11 + 12 */
		ROWBREAK,
		menu_pv_input_byte_13_14, /*  input byte 13 + 14 */
		COLUMNBREAK,
		menu_pv_input_byte_15_16, /*  input byte 15 + 16 */
		ROWBREAK,
		menu_pv_input_byte_17_18, /*  input byte 17 + 18 */
		COLUMNBREAK,
		menu_pv_input_byte_19_20, /*  input byte 19 + 20 */
		ROWBREAK,
		menu_pv_input_byte_21_22, /*  input byte 21 + 22 */
		ROWBREAK,
		menu_pv_input_byte_23, /*  input byte 23 */
		COLUMNBREAK,
		menu_pv_input_byte_24, /*  input byte 24 */
		ROWBREAK,
		menu_pv_input_byte_25_26, /*  input byte 25 + 26 */
		COLUMNBREAK,
		menu_pv_input_byte_27_28, /*  input byte 27 + 28 */
		ROWBREAK,
		menu_pv_input_byte_29_30, /*  input byte 29 + 30 */
		ROWBREAK,
		menu_pv_input_byte_31, /*  input byte 31 */
		COLUMNBREAK,
		menu_pv_input_byte_32  /*  input byte 32 */
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_1
*/
MENU	menu_pv_input_byte_1
{
    LABEL	"Logic messages|de|Logische Meldungen";/* / TODO: [TXT_TST_xxx]; */
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_258),
		DeviceBoolDisplay(PZD_259),
		DeviceBoolDisplay(PZD_401),
		DeviceAlertAsBoolDisplay(PZD_80),
		DeviceBoolDisplay(PZD_264),
		DeviceBoolDisplay(PZD_265),
		DeviceAlertAsBoolDisplay(PZD_78),
		DeviceAlertAsBoolDisplay(PZD_79)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_2
*/
MENU	menu_pv_input_byte_2
{
    LABEL	"Drive messages|de|Antriebsmeldungen";/* / TODO: [TXT_TST_xxx]; */
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_270),
		DeviceAlertAsBoolDisplay(PZD_302),
		DeviceBoolDisplay(PZD_115),
		DeviceBoolDisplay(PZD_113),
		DeviceBoolDisplay(PZD_375),
		DeviceBoolDisplay(PZD_376),
		DeviceBoolDisplay(PZD_459),
		DeviceBoolDisplay(PZD_460)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_3_4
*/
MENU	menu_pv_input_byte_3_4
{
    LABEL	[TXT_PZD_2];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_2
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_5
*/
MENU	menu_pv_input_byte_5
{
    LABEL	[TXT_DIS_592];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_80),
		DeviceAlertAsBoolDisplay(PZD_78),
		DeviceAlertAsBoolDisplay(PZD_79),
		DeviceAlertAsBoolDisplay(PZD_85),
		DeviceAlertAsBoolDisplay(PZD_83),
		DeviceAlertAsBoolDisplay(PZD_84),
		DeviceAlertAsBoolDisplay(PZD_86),
		DeviceAlertAsBoolDisplay(PZD_81)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_6
*/
MENU	menu_pv_input_byte_6
{
    LABEL	"Travel status|de|Fahrstatus";/* / TODO: [TXT_TST_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_554),
		DeviceBoolDisplay(PZD_549),
		DeviceBoolDisplay(PZD_560),
		DeviceBoolDisplay(PZD_603),
		DeviceBoolDisplay(PZD_541),
		DeviceBoolDisplay(PZD_540),
		DeviceBoolDisplay(PZD_539)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_7
*/
MENU	menu_pv_input_byte_7
{
    LABEL	[TXT_DIS_143];
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_392),
		DeviceBoolDisplay(PZD_399),
		DeviceBoolDisplay(PZD_398),
		DeviceBoolDisplay(PZD_397),
		DeviceBoolDisplay(PZD_396),
		DeviceBoolDisplay(PZD_395),
		DeviceBoolDisplay(PZD_394),
		DeviceBoolDisplay(PZD_393)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_8
*/
MENU	menu_pv_input_byte_8
{
    LABEL	"Discrete inputs|de|Diskrete Eingnge";	/* / TODO: [TXT_xxx]; */
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_500),
		DeviceBoolDisplay(PZD_501),
		DeviceBoolDisplay(PZD_505),
		DeviceBoolDisplay(PZD_504),
		DeviceBoolDisplay(PZD_503),
		DeviceBoolDisplay(PZD_502)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_9_10
*/
MENU	menu_pv_input_byte_9_10
{
    LABEL	[TXT_PZD_498];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_498
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_11_12
*/
MENU	menu_pv_input_byte_11_12
{
    LABEL	[TXT_PZD_545];
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		PZD_545
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_13_14
*/
MENU	menu_pv_input_byte_13_14
{
    LABEL	[TXT_PZD_80];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_89)
		, DeviceAlertAsBoolDisplay(PZD_844)
		, DeviceAlertAsBoolDisplay(PZD_757)
		, DeviceAlertAsBoolDisplay(PZD_685)
		, DeviceAlertAsBoolDisplay(PZD_285)
		, DeviceAlertAsBoolDisplay(PZD_280)
		, DeviceAlertAsBoolDisplay(PZD_606)
		, DeviceAlertAsBoolDisplay(PZD_275)
		, DeviceBoolDisplay(PZD_1121)
		, DeviceBoolDisplay(PZD_665)
		, DeviceBoolDisplay(PZD_1017)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_952)
		#endif
		, DeviceAlertAsBoolDisplay(PZD_282)
		, DeviceAlertAsBoolDisplay(PZD_553)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_15_16
*/
MENU	menu_pv_input_byte_15_16
{
    LABEL	[TXT_PZD_79];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_87)
		, DeviceAlertAsBoolDisplay(PZD_479)
		, DeviceAlertAsBoolDisplay(PZD_270)
		, DeviceAlertAsBoolDisplay(PZD_302)
		, DeviceAlertAsBoolDisplay(PZD_268)
		, DeviceAlertAsBoolDisplay(PZD_269)
		, DeviceAlertAsBoolDisplay(PZD_90)
		, DeviceAlertAsBoolDisplay(PZD_718)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_98)
		#endif
		, DeviceAlertAsBoolDisplay(PZD_481)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_17_18
*/
MENU	menu_pv_input_byte_17_18
{
    LABEL	[TXT_PZD_78];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_87)
		, DeviceAlertAsBoolDisplay(PZD_479)
		, DeviceAlertAsBoolDisplay(PZD_270)
		, DeviceAlertAsBoolDisplay(PZD_302)
		, DeviceAlertAsBoolDisplay(PZD_268)
		, DeviceAlertAsBoolDisplay(PZD_269)
		, DeviceAlertAsBoolDisplay(PZD_90)
		, DeviceAlertAsBoolDisplay(PZD_718)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_98)
		#endif
		, DeviceAlertAsBoolDisplay(PZD_481)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_19_20
*/
MENU	menu_pv_input_byte_19_20
{
    LABEL	[TXT_PZD_78];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_813)
		, DeviceAlertAsBoolDisplay(PZD_625)
		, DeviceAlertAsBoolDisplay(PZD_634)
		, DeviceAlertAsBoolDisplay(PZD_633)
		, DeviceAlertAsBoolDisplay(PZD_91)
		, DeviceAlertAsBoolDisplay(PZD_487)
		, DeviceAlertAsBoolDisplay(PZD_486)
		, DeviceAlertAsBoolDisplay(PZD_556)
		, DeviceAlertAsBoolDisplay(PZD_637)
		, DeviceAlertAsBoolDisplay(PZD_810)
		, DeviceAlertAsBoolDisplay(PZD_461)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_954)
		, DeviceAlertAsBoolDisplay(PZD_953)
		#endif
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_21_22
*/
MENU	menu_pv_input_byte_21_22
{
    LABEL	[TXT_PZD_499];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_499
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_23
*/
MENU	menu_pv_input_byte_23
{
    LABEL	[TXT_PZD_86];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_79)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_24
*/
MENU	menu_pv_input_byte_24
{
    LABEL	[TXT_DIS_536];  /* Maintenance required */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
#ifdef _PDM_	
		/* TODO: NotSupportedInBase */
		DeviceAlertAsBoolDisplay(PZD_1430)
		, DeviceAlertAsBoolDisplay(PZD_1313)
		, DeviceAlertAsBoolDisplay(PZD_1314)
		, DeviceAlertAsBoolDisplay(PZD_1312)
		, DeviceAlertAsBoolDisplay(PZD_1317)
#else
		"N/A"
#endif
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_25_26
*/
MENU	menu_pv_input_byte_25_26
{
    LABEL	[TXT_PZD_83];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_835)
		, DeviceAlertAsBoolDisplay(PZD_834)
		, DeviceBoolDisplay(PZD_1120)
		, DeviceAlertAsBoolDisplay(PZD_563)
		, DeviceAlertAsBoolDisplay(PZD_629)
		, DeviceAlertAsBoolDisplay(PZD_631)
		, DeviceAlertAsBoolDisplay(PZD_630)
		, DeviceAlertAsBoolDisplay(PZD_485)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_943)
		#endif
		, DeviceAlertAsBoolDisplay(PZD_490)
		, DeviceAlertAsBoolDisplay(PZD_82)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_27_28
*/
MENU	menu_pv_input_byte_27_28
{
    LABEL	[TXT_PZD_83];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_813)
		, DeviceAlertAsBoolDisplay(PZD_625)
		, DeviceAlertAsBoolDisplay(PZD_634)
		, DeviceAlertAsBoolDisplay(PZD_633)
		, DeviceAlertAsBoolDisplay(PZD_91)
		, DeviceAlertAsBoolDisplay(PZD_487)
		, DeviceAlertAsBoolDisplay(PZD_486)
		, DeviceAlertAsBoolDisplay(PZD_556)
		, DeviceAlertAsBoolDisplay(PZD_637)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceBoolDisplay(PZD_966)
		#endif
		, DeviceAlertAsBoolDisplay(PZD_810)
		, DeviceAlertAsBoolDisplay(PZD_461)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_954)
		#endif
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_29_30
*/
MENU	menu_pv_input_byte_29_30
{
    LABEL	[TXT_PZD_84];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_685)
		, DeviceBoolDisplay(PZD_607)
		, DeviceAlertAsBoolDisplay(PZD_282)
		, DeviceAlertAsBoolDisplay(PZD_553)
		, DeviceAlertAsBoolDisplay(PZD_285)
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		, DeviceAlertAsBoolDisplay(PZD_952)
		#endif
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_31
*/
MENU	menu_pv_input_byte_31
{
    LABEL	[TXT_PZD_606];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_604)
		, DeviceBoolDisplay(PZD_605)
		, DeviceBoolDisplay(PZD_657)
		, DeviceBoolDisplay(PZD_658)
		, DeviceBoolDisplay(PZD_700)
		, DeviceBoolDisplay(PZD_701)
		, DeviceBoolDisplay(PZD_613)
		, DeviceBoolDisplay(PZD_614)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_32
*/
MENU	menu_pv_input_byte_32
{
    LABEL	[TXT_PZD_606];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_1118)
		, DeviceBoolDisplay(PZD_1119)
		, DeviceBoolDisplay(PZD_1120)
		, DeviceBoolDisplay(PZD_1121)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_process_variables_output
*/
MENU	menu_process_variables_output
{
    LABEL	[TXT_TST_623];
	STYLE    PAGE;
	ACCESS   ONLINE;	
    ITEMS
    {
		menu_pv_output_byte_1, /*  output byte 1 */
		ROWBREAK,
		menu_pv_output_byte_2, /*  output byte 2 */
		COLUMNBREAK,
		menu_pv_output_byte_3_4, /*  output byte 3 + 4 */
		ROWBREAK,
		menu_pv_output_byte_5, /*  output byte 5 */
		COLUMNBREAK,
		menu_pv_output_byte_6, /*  output byte 6 */
		ROWBREAK,
		menu_pv_output_byte_7_8, /*  output byte 7 + 8 */
		COLUMNBREAK,
		menu_pv_output_byte_9_10, /*  output byte 9 + 10 */
		ROWBREAK,
		menu_pv_output_byte_11_12, /*  output byte 11 + 12 */
		COLUMNBREAK,
		menu_pv_output_byte_13_14  /*  output byte 13 + 14 */
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_1
*/
MENU	menu_pv_output_byte_1
{
    LABEL	"Commands|de|Kommandos";	/* / TODO: [TXT_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_330),
		DeviceBoolDisplay(PZD_331),
		DeviceBoolDisplay(PZD_332),
		DeviceBoolDisplay(PZD_191)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_2
*/
MENU	menu_pv_output_byte_2
{
    LABEL	[TXT_PZD_463];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_463
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_3_4
*/
MENU	menu_pv_output_byte_3_4
{
    LABEL	[TXT_PZD_333];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_333
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_5
*/
MENU	menu_pv_output_byte_5
{
    LABEL	"Auxiliary commands|de|Zusatzkommandos";	/* / TODO: [TXT_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_192),
		DeviceBoolDisplay(PZD_724),
		DeviceBoolDisplay(PZD_725),
		/* FW 05.05. exisitiert nicht mehr: DeviceBoolDisplay(PZD_640), */
		DeviceBoolDisplay(PZD_811),
		DeviceBoolDisplay(PZD_812),
		DeviceBoolDisplay(PZD_188),
		DeviceBoolDisplay(PZD_639)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_6
*/
MENU	menu_pv_output_byte_6
{
    LABEL	[TXT_DIS_143];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		#ifdef _PDM_
		/* TODO: NotSupportedInBase */
		PZD_1382
		#else
		/* TODO: nicht mehr genutzt in FW 05.05: */
		DeviceBoolDisplay(PZD_328),
		DeviceBoolDisplay(PZD_169),
		DeviceBoolDisplay(PZD_170),
		DeviceBoolDisplay(PZD_171),
		DeviceBoolDisplay(PZD_327),
		DeviceBoolDisplay(PZD_172),
		DeviceBoolDisplay(PZD_173),
		DeviceBoolDisplay(PZD_193)
		#endif
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_7_8
*/
MENU	menu_pv_output_byte_7_8
{
    LABEL	[TXT_DIS_110];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_466)
		, DeviceBoolDisplay(PZD_467)
		, DeviceBoolDisplay(PZD_468)
		, DeviceBoolDisplay(PZD_469)
		, DeviceBoolDisplay(PZD_470)
		, DeviceBoolDisplay(PZD_471)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_9_10
*/
MENU	menu_pv_output_byte_9_10
{
    LABEL	[TXT_PZD_669];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_669
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_11_12
*/
MENU	menu_pv_output_byte_11_12
{
    LABEL	[TXT_PZD_464];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_464
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_13_14
*/
MENU	menu_pv_output_byte_13_14
{
    LABEL	[TXT_PZD_465];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_465
	}
}
