//---------------------------------------------------------------------------------------------------------------------
// Copyright (c) AUMA Riester GmbH & Co. KG (2011). All Rights Reserved
// Target System: SIMATIC PDM
//---------------------------------------------------------------------------------------------------------------------
// Description:
// * Implementation of CRC-16
//
//---------------------------------------------------------------------------------------------------------------------
//  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
//---------------------------------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------------------------------
//~
//   METHOD crc16_lut (unsigned int index)
// 
METHOD crc16_lut (unsigned int index)
{
	LABEL		"crc16_lut";
	TYPE		unsigned int;
	DEFINITION
	{
		unsigned int wres;
		switch (index & 0xFF)
		{
			default:
			case 0:	wres= 0x0000; break;
			case 1:	wres= 0x1021; break;
			case 2:	wres= 0x2042; break;
			case 3:	wres= 0x3063; break;
			case 4:	wres= 0x4084; break;
			case 5:	wres= 0x50A5; break;
			case 6:	wres= 0x60C6; break;
			case 7:	wres= 0x70E7; break;
			case 8:	wres= 0x8108; break;
			case 9:	wres= 0x9129; break;
			case 10:	wres= 0xA14A; break;
			case 11:	wres= 0xB16B; break;
			case 12:	wres= 0xC18C; break;
			case 13:	wres= 0xD1AD; break;
			case 14:	wres= 0xE1CE; break;
			case 15:	wres= 0xF1EF; break;
			case 16:	wres= 0x1231; break;
			case 17:	wres= 0x0210; break;
			case 18:	wres= 0x3273; break;
			case 19:	wres= 0x2252; break;
			case 20:	wres= 0x52B5; break;
			case 21:	wres= 0x4294; break;
			case 22:	wres= 0x72F7; break;
			case 23:	wres= 0x62D6; break;
			case 24:	wres= 0x9339; break;
			case 25:	wres= 0x8318; break;
			case 26:	wres= 0xB37B; break;
			case 27:	wres= 0xA35A; break;
			case 28:	wres= 0xD3BD; break;
			case 29:	wres= 0xC39C; break;
			case 30:	wres= 0xF3FF; break;
			case 31:	wres= 0xE3DE; break;
			case 32:	wres= 0x2462; break;
			case 33:	wres= 0x3443; break;
			case 34:	wres= 0x0420; break;
			case 35:	wres= 0x1401; break;
			case 36:	wres= 0x64E6; break;
			case 37:	wres= 0x74C7; break;
			case 38:	wres= 0x44A4; break;
			case 39:	wres= 0x5485; break;
			case 40:	wres= 0xA56A; break;
			case 41:	wres= 0xB54B; break;
			case 42:	wres= 0x8528; break;
			case 43:	wres= 0x9509; break;
			case 44:	wres= 0xE5EE; break;
			case 45:	wres= 0xF5CF; break;
			case 46:	wres= 0xC5AC; break;
			case 47:	wres= 0xD58D; break;
			case 48:	wres= 0x3653; break;
			case 49:	wres= 0x2672; break;
			case 50:	wres= 0x1611; break;
			case 51:	wres= 0x0630; break;
			case 52:	wres= 0x76D7; break;
			case 53:	wres= 0x66F6; break;
			case 54:	wres= 0x5695; break;
			case 55:	wres= 0x46B4; break;
			case 56:	wres= 0xB75B; break;
			case 57:	wres= 0xA77A; break;
			case 58:	wres= 0x9719; break;
			case 59:	wres= 0x8738; break;
			case 60:	wres= 0xF7DF; break;
			case 61:	wres= 0xE7FE; break;
			case 62:	wres= 0xD79D; break;
			case 63:	wres= 0xC7BC; break;
			case 64:	wres= 0x48C4; break;
			case 65:	wres= 0x58E5; break;
			case 66:	wres= 0x6886; break;
			case 67:	wres= 0x78A7; break;
			case 68:	wres= 0x0840; break;
			case 69:	wres= 0x1861; break;
			case 70:	wres= 0x2802; break;
			case 71:	wres= 0x3823; break;
			case 72:	wres= 0xC9CC; break;
			case 73:	wres= 0xD9ED; break;
			case 74:	wres= 0xE98E; break;
			case 75:	wres= 0xF9AF; break;
			case 76:	wres= 0x8948; break;
			case 77:	wres= 0x9969; break;
			case 78:	wres= 0xA90A; break;
			case 79:	wres= 0xB92B; break;
			case 80:	wres= 0x5AF5; break;
			case 81:	wres= 0x4AD4; break;
			case 82:	wres= 0x7AB7; break;
			case 83:	wres= 0x6A96; break;
			case 84:	wres= 0x1A71; break;
			case 85:	wres= 0x0A50; break;
			case 86:	wres= 0x3A33; break;
			case 87:	wres= 0x2A12; break;
			case 88:	wres= 0xDBFD; break;
			case 89:	wres= 0xCBDC; break;
			case 90:	wres= 0xFBBF; break;
			case 91:	wres= 0xEB9E; break;
			case 92:	wres= 0x9B79; break;
			case 93:	wres= 0x8B58; break;
			case 94:	wres= 0xBB3B; break;
			case 95:	wres= 0xAB1A; break;
			case 96:	wres= 0x6CA6; break;
			case 97:	wres= 0x7C87; break;
			case 98:	wres= 0x4CE4; break;
			case 99:	wres= 0x5CC5; break;
			case 100:	wres= 0x2C22; break;
			case 101:	wres= 0x3C03; break;
			case 102:	wres= 0x0C60; break;
			case 103:	wres= 0x1C41; break;
			case 104:	wres= 0xEDAE; break;
			case 105:	wres= 0xFD8F; break;
			case 106:	wres= 0xCDEC; break;
			case 107:	wres= 0xDDCD; break;
			case 108:	wres= 0xAD2A; break;
			case 109:	wres= 0xBD0B; break;
			case 110:	wres= 0x8D68; break;
			case 111:	wres= 0x9D49; break;
			case 112:	wres= 0x7E97; break;
			case 113:	wres= 0x6EB6; break;
			case 114:	wres= 0x5ED5; break;
			case 115:	wres= 0x4EF4; break;
			case 116:	wres= 0x3E13; break;
			case 117:	wres= 0x2E32; break;
			case 118:	wres= 0x1E51; break;
			case 119:	wres= 0x0E70; break;
			case 120:	wres= 0xFF9F; break;
			case 121:	wres= 0xEFBE; break;
			case 122:	wres= 0xDFDD; break;
			case 123:	wres= 0xCFFC; break;
			case 124:	wres= 0xBF1B; break;
			case 125:	wres= 0xAF3A; break;
			case 126:	wres= 0x9F59; break;
			case 127:	wres= 0x8F78; break;
			case 128:	wres= 0x9188; break;
			case 129:	wres= 0x81A9; break;
			case 130:	wres= 0xB1CA; break;
			case 131:	wres= 0xA1EB; break;
			case 132:	wres= 0xD10C; break;
			case 133:	wres= 0xC12D; break;
			case 134:	wres= 0xF14E; break;
			case 135:	wres= 0xE16F; break;
			case 136:	wres= 0x1080; break;
			case 137:	wres= 0x00A1; break;
			case 138:	wres= 0x30C2; break;
			case 139:	wres= 0x20E3; break;
			case 140:	wres= 0x5004; break;
			case 141:	wres= 0x4025; break;
			case 142:	wres= 0x7046; break;
			case 143:	wres= 0x6067; break;
			case 144:	wres= 0x83B9; break;
			case 145:	wres= 0x9398; break;
			case 146:	wres= 0xA3FB; break;
			case 147:	wres= 0xB3DA; break;
			case 148:	wres= 0xC33D; break;
			case 149:	wres= 0xD31C; break;
			case 150:	wres= 0xE37F; break;
			case 151:	wres= 0xF35E; break;
			case 152:	wres= 0x02B1; break;
			case 153:	wres= 0x1290; break;
			case 154:	wres= 0x22F3; break;
			case 155:	wres= 0x32D2; break;
			case 156:	wres= 0x4235; break;
			case 157:	wres= 0x5214; break;
			case 158:	wres= 0x6277; break;
			case 159:	wres= 0x7256; break;
			case 160:	wres= 0xB5EA; break;
			case 161:	wres= 0xA5CB; break;
			case 162:	wres= 0x95A8; break;
			case 163:	wres= 0x8589; break;
			case 164:	wres= 0xF56E; break;
			case 165:	wres= 0xE54F; break;
			case 166:	wres= 0xD52C; break;
			case 167:	wres= 0xC50D; break;
			case 168:	wres= 0x34E2; break;
			case 169:	wres= 0x24C3; break;
			case 170:	wres= 0x14A0; break;
			case 171:	wres= 0x0481; break;
			case 172:	wres= 0x7466; break;
			case 173:	wres= 0x6447; break;
			case 174:	wres= 0x5424; break;
			case 175:	wres= 0x4405; break;
			case 176:	wres= 0xA7DB; break;
			case 177:	wres= 0xB7FA; break;
			case 178:	wres= 0x8799; break;
			case 179:	wres= 0x97B8; break;
			case 180:	wres= 0xE75F; break;
			case 181:	wres= 0xF77E; break;
			case 182:	wres= 0xC71D; break;
			case 183:	wres= 0xD73C; break;
			case 184:	wres= 0x26D3; break;
			case 185:	wres= 0x36F2; break;
			case 186:	wres= 0x0691; break;
			case 187:	wres= 0x16B0; break;
			case 188:	wres= 0x6657; break;
			case 189:	wres= 0x7676; break;
			case 190:	wres= 0x4615; break;
			case 191:	wres= 0x5634; break;
			case 192:	wres= 0xD94C; break;
			case 193:	wres= 0xC96D; break;
			case 194:	wres= 0xF90E; break;
			case 195:	wres= 0xE92F; break;
			case 196:	wres= 0x99C8; break;
			case 197:	wres= 0x89E9; break;
			case 198:	wres= 0xB98A; break;
			case 199:	wres= 0xA9AB; break;
			case 200:	wres= 0x5844; break;
			case 201:	wres= 0x4865; break;
			case 202:	wres= 0x7806; break;
			case 203:	wres= 0x6827; break;
			case 204:	wres= 0x18C0; break;
			case 205:	wres= 0x08E1; break;
			case 206:	wres= 0x3882; break;
			case 207:	wres= 0x28A3; break;
			case 208:	wres= 0xCB7D; break;
			case 209:	wres= 0xDB5C; break;
			case 210:	wres= 0xEB3F; break;
			case 211:	wres= 0xFB1E; break;
			case 212:	wres= 0x8BF9; break;
			case 213:	wres= 0x9BD8; break;
			case 214:	wres= 0xABBB; break;
			case 215:	wres= 0xBB9A; break;
			case 216:	wres= 0x4A75; break;
			case 217:	wres= 0x5A54; break;
			case 218:	wres= 0x6A37; break;
			case 219:	wres= 0x7A16; break;
			case 220:	wres= 0x0AF1; break;
			case 221:	wres= 0x1AD0; break;
			case 222:	wres= 0x2AB3; break;
			case 223:	wres= 0x3A92; break;
			case 224:	wres= 0xFD2E; break;
			case 225:	wres= 0xED0F; break;
			case 226:	wres= 0xDD6C; break;
			case 227:	wres= 0xCD4D; break;
			case 228:	wres= 0xBDAA; break;
			case 229:	wres= 0xAD8B; break;
			case 230:	wres= 0x9DE8; break;
			case 231:	wres= 0x8DC9; break;
			case 232:	wres= 0x7C26; break;
			case 233:	wres= 0x6C07; break;
			case 234:	wres= 0x5C64; break;
			case 235:	wres= 0x4C45; break;
			case 236:	wres= 0x3CA2; break;
			case 237:	wres= 0x2C83; break;
			case 238:	wres= 0x1CE0; break;
			case 239:	wres= 0x0CC1; break;
			case 240:	wres= 0xEF1F; break;
			case 241:	wres= 0xFF3E; break;
			case 242:	wres= 0xCF5D; break;
			case 243:	wres= 0xDF7C; break;
			case 244:	wres= 0xAF9B; break;
			case 245:	wres= 0xBFBA; break;
			case 246:	wres= 0x8FD9; break;
			case 247:	wres= 0x9FF8; break;
			case 248:	wres= 0x6E17; break;
			case 249:	wres= 0x7E36; break;
			case 250:	wres= 0x4E55; break;
			case 251:	wres= 0x5E74; break;
			case 252:	wres= 0x2E93; break;
			case 253:	wres= 0x3EB2; break;
			case 254:	wres= 0x0ED1; break;
			case 255:	wres= 0x1EF0; break;
		}
		return (wres);
	}
}

//---------------------------------------------------------------------------------------------------------------------
//~
//   METHOD crc16_update (unsigned int bcs, char c)
// 
METHOD crc16_update (unsigned int bcs, unsigned int c)
{
    LABEL		"crc16_update";
	  TYPE		unsigned int;
    DEFINITION
    {
      unsigned int wHlp;
      unsigned int wRes;
      wHlp = crc16_lut (bcs >> 8);
      wRes = wHlp ^ ((bcs << 8) ^ (c & 0xFF));
      return (wRes & 0xFFFF);
	}
}

//---------------------------------------------------------------------------------------------------------------------
//~
//   End of file
//---------------------------------------------------------------------------------------------------------------------
