﻿/* 
 * ---------------------------------------------------------------------------------------------------------------------
 * Copyright (c) AUMA (2017). All Rights Reserved 
 * ---------------------------------------------------------------------------------------------------------------------
 * Imported data:
 *  Name....................: FupExportfile
 *  DeviceId................: unknown
 *  DeviceName..............: AC.2
 *  Description.............: Datendefinitionen für die AC.2 FW-Version 05.05.00
 *  RequestedFirmwareVersion: 0.23
 *  SchemaVersion...........: 12.00
 *  Timestamp...............: 01/26/2017 08:36:36
 *  Version.................: 03.05
 *  Author..................: AUMA\BuildUser
 * ---------------------------------------------------------------------------------------------------------------------
 * Generated 27.07.2017 08:16:56 by EDD-Generator Version 01.00.18.00
 *  Selected root menu: Hauptmenü
 *  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
 * ---------------------------------------------------------------------------------------------------------------------
 */
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Main menu and methods 
 */
 
MENU Menu_S_Device
{
    LABEL		[TXT_TST_1233];
    ITEMS
    {
        coPRM_3484,  /* Betriebsd. zurücksetzen */
        coPRM_3487,  /* Werkseinst. laden */
		SEPARATOR,
		menu_RC_main
#ifdef _V800_ /* only from PDM rev. 8.0 */
		, menu_CC_cfg
		, menu_CC_main
#ifdef AC2_DT
			, menu_DT_main  /* Date & Time */
#endif
#endif /* _V800_ */
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Special variable definitions 
 */
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Bus identification 
 */
VARIABLE PROFIBUS_Profile_Ident_Number
{
    LABEL		[TXT_TST_1226];
    CLASS		LOCAL;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0x013F;
    }
    HANDLING	READ;
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Generator version 
 */
VARIABLE VersionEddGen
{
    LABEL		[TXT_TST_1227];
    HELP		[HLP_TST_1228];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"01.00.18.00" }
    }
    HANDLING		READ;
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Designated device version 
 */
VARIABLE DesignatedDevVersion
{
    LABEL		[TXT_DesignatedDevVersion];
    HELP		[HLP_DesignatedDevVersion];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"05.05.xx" }
    }
    HANDLING		READ;
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Variable definitions 
 */
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5
 */
VARIABLE PRM_5	/* TaktstreckeAufStart */
{
    LABEL		[TXT_PRM_5];
    HELP		[HLP_PRM_5];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
}
ReadCmdDef(PRM_5, 0, 5)
WriteCmdDef(PRM_5, 0, 5)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_6
 */
VARIABLE PRM_6	/* TaktstreckeAufEnde */
{
    LABEL		[TXT_PRM_6];
    HELP		[HLP_PRM_6];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
}
ReadCmdDef(PRM_6, 0, 6)
WriteCmdDef(PRM_6, 0, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_7
 */
VARIABLE PRM_7	/* TaktfahrzeitAuf */
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_7, 0, 7)
WriteCmdDef(PRM_7, 0, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_8
 */
VARIABLE PRM_8	/* TaktpausenzeitAuf */
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_8, 0, 8)
WriteCmdDef(PRM_8, 0, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_9
 */
VARIABLE PRM_9	/* Abschaltart AUF */
{
    LABEL		[TXT_PRM_9];
    HELP		[HLP_PRM_9];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_59 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_60] } /* Wegabhängig */
        , { 1, [TXT_TYP_61] } /* Drehmomentabhängig */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (!(PRM_5066 == 2) && !(PRM_5066 == 3)) { TRUE; } ELSE { FALSE; }  /*  using RULE_484 (without ored PZD_356)  */
}
ReadCmdDef(PRM_9, 0, 9)
WriteCmdDef(PRM_9, 0, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_12
 */
VARIABLE PRM_12	/* SelbsthVerhaltOrt */
{
    LABEL		[TXT_PRM_12];
    HELP		[HLP_PRM_12];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_62 */
    {
        DEFAULT_VALUE		3;
        { 0, [TXT_TYP_63] } /* AUS */
        , { 1, [TXT_TYP_64] } /* AUF */
        , { 2, [TXT_TYP_360] } /* ZU */
        , { 3, [TXT_TYP_362] } /* AUF+ZU */
        , { 4, [TXT_TYP_363] } /* Direkt AUF-ZU */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_12, 0, 12)
WriteCmdDef(PRM_12, 0, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_13
 */
VARIABLE PRM_13	/* TaktbetriebAufMode */
{
    LABEL		[TXT_PRM_13];
    HELP		[HLP_PRM_13];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_68 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] } /* Aus */
        , { 1, [TXT_TYP_70], [HLP_TYP_70] } /* FERN */
        , { 2, [TXT_TYP_71], [HLP_TYP_71] } /* ORT */
        , { 3, [TXT_TYP_72], [HLP_TYP_72] } /* FERN + ORT */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
}
ReadCmdDef(PRM_13, 0, 13)
WriteCmdDef(PRM_13, 0, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_20
 */
VARIABLE PRM_20	/* Stütz1_Position */
{
    LABEL		[TXT_PRM_20];
    HELP		[HLP_PRM_20];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_20, 0, 20)
WriteCmdDef(PRM_20, 0, 20)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_28
 */
VARIABLE PRM_28	/* Stütz1_Meldeverhaltn */
{
    LABEL		[TXT_PRM_28];
    HELP		[HLP_PRM_28];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_28, 0, 28)
WriteCmdDef(PRM_28, 0, 28)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_29
 */
VARIABLE PRM_29	/* Stütz1_Fahrverhalten */
{
    LABEL		[TXT_PRM_29];
    HELP		[HLP_PRM_29];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_29, 0, 29)
WriteCmdDef(PRM_29, 0, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_33
 */
VARIABLE PRM_33	/* Sprache */
{
    LABEL		[TXT_PRM_33];
    HELP		[HLP_PRM_33];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_83 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_84], [HLP_TYP_84] } /* deutsch */
        , { 2, [TXT_TYP_85], [HLP_TYP_85] } /* english */
        , { 3, [TXT_TYP_86], [HLP_TYP_86] } /* francais */
        , { 4, [TXT_TYP_87], [HLP_TYP_87] } /* espagnol */
        , { 5, [TXT_TYP_88], [HLP_TYP_88] } /* italiano */
        , { 6, [TXT_TYP_89], [HLP_TYP_89] } /* русский */
        , { 7, [TXT_TYP_90], [HLP_TYP_90] } /* polski */
        , { 8, [TXT_TYP_372], [HLP_TYP_372] } /* português */
        , { 9, [TXT_TYP_373], [HLP_TYP_373] } /* türkce */
        , { 10, [TXT_TYP_374], [HLP_TYP_374] } /* magyar */
        , { 11, [TXT_TYP_378], [HLP_TYP_378] } /* 中國 */
        , { 12, [TXT_TYP_779], [HLP_TYP_779] } /* dutch */
        , { 13, [TXT_TYP_1061], [HLP_TYP_1061] } /* Čeština */
        , { 14, [TXT_TYP_1062], [HLP_TYP_1062] } /* Română */
        , { 15, [TXT_TYP_1063], [HLP_TYP_1063] } /* 日本語 */
        , { 16, [TXT_TYP_1185], [HLP_TYP_1185] } /* Български */
        , { 17, [TXT_TYP_1186], [HLP_TYP_1186] } /* Dansk */
        , { 18, [TXT_TYP_1187], [HLP_TYP_1187] } /* Ελληνικά */
        , { 19, [TXT_TYP_1188], [HLP_TYP_1188] } /* Suomi */
        , { 20, [TXT_TYP_1189], [HLP_TYP_1189] } /* 한국어 */
        , { 21, [TXT_TYP_1190], [HLP_TYP_1190] } /* Svenska */
        , { 22, [TXT_TYP_1191], [HLP_TYP_1191] } /* Tiếng Việt */
        , { 23, [TXT_TYP_1192], [HLP_TYP_1192] } /* عربي */
        , { 24, [TXT_TYP_1230], [HLP_TYP_1230] } /* Eesti keel */
        , { 25, [TXT_TYP_1231], [HLP_TYP_1231] } /* Hrvatski */
        , { 26, [TXT_TYP_1232], [HLP_TYP_1232] } /* Lietuvių */
        , { 27, [TXT_TYP_1233], [HLP_TYP_1233] } /* Latviešu */
        , { 28, [TXT_TYP_1234], [HLP_TYP_1234] } /* Norsk */
        , { 29, [TXT_TYP_1235], [HLP_TYP_1235] } /* Slovenčina */
        , { 30, [TXT_TYP_1236], [HLP_TYP_1236] } /* Slovenščina */
        , { 31, [TXT_TYP_1237], [HLP_TYP_1237] } /* Srpski */
        , { 32, [TXT_TYP_1275], [HLP_TYP_1275] } /* ไทย */
        , { 33, [TXT_TYP_1276], [HLP_TYP_1276] } /* Bahasa Indonesia */
        , { 34, [TXT_TYP_1653], [HLP_TYP_1653] } /* فارسی‎ */
        , { 35, [TXT_TYP_3585] } /* македонски */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_33, 0, 33)
WriteCmdDef(PRM_33, 0, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_45
 */
VARIABLE PRM_45	/* Soll_Ifa1_Vorhanden */
{
    LABEL		[TXT_PRM_45];
    HELP		[HLP_PRM_45];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3965 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_3966] } /* Nicht vorhanden */
        , { 1, [TXT_TYP_3967] } /* Logik-Parallel */
        , { 2, [TXT_TYP_3968], [HLP_TYP_3968] } /* LLM-Bistabile Rel */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_45, 0, 45)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_67
 */
VARIABLE PRM_67	/* Betriebsart NOT */
{
    LABEL		[TXT_PRM_67];
    HELP		[HLP_PRM_67];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_252 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_262] } /* nur FERN */
        , { 1, [TXT_TYP_263] } /* FERN + ORT */
        , { 2, [TXT_TYP_4023] } /* FERN + ORT + AUS */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_67, 0, 67)
WriteCmdDef(PRM_67, 0, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_68
 */
VARIABLE PRM_68	/* Auslösung NOT */
{
    LABEL		[TXT_PRM_68];
    HELP		[HLP_PRM_68];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_253 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_260] } /* Zuerst Gut */
        , { 2, [TXT_TYP_261] } /* Sofort aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_68, 0, 68)
WriteCmdDef(PRM_68, 0, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_69
 */
VARIABLE PRM_69	/* Bypass Thermo NOT */
{
    LABEL		[TXT_PRM_69];
    HELP		[HLP_PRM_69];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_364 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_365] } /* Not-Ueberbr-Inaktiv */
        , { 1, [TXT_TYP_366] } /* Not-Ueberbr-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2923 != 0) && (PRM_3156 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_457 */
}
ReadCmdDef(PRM_69, 0, 69)
WriteCmdDef(PRM_69, 0, 69)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_70
 */
VARIABLE PRM_70	/* Bypass Drehmo NOT */
{
    LABEL		[TXT_PRM_70];
    HELP		[HLP_PRM_70];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_364 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_365] } /* Not-Ueberbr-Inaktiv */
        , { 1, [TXT_TYP_366] } /* Not-Ueberbr-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_70, 0, 70)
WriteCmdDef(PRM_70, 0, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_71
 */
VARIABLE PRM_71	/* Bypass Takt NOT */
{
    LABEL		[TXT_PRM_71];
    HELP		[HLP_PRM_71];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_364 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_365] } /* Not-Ueberbr-Inaktiv */
        , { 1, [TXT_TYP_366] } /* Not-Ueberbr-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_71, 0, 71)
WriteCmdDef(PRM_71, 0, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_79
 */
VARIABLE PRM_79	/* Drehsinn Schließen */
{
    LABEL		[TXT_PRM_79];
    HELP		[HLP_PRM_79];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_223 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_224] } /* Rechtsdrehend */
        , { 1, [TXT_TYP_225] } /* Linksdrehend */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0) && !(PRM_5066 == 3)) || ((PRM_3633 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_541 */
}
ReadCmdDef(PRM_79, 0, 79)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_82
 */
VARIABLE PRM_82	/* DrehmoBypassZeit */
{
    LABEL		[TXT_PRM_82];
    HELP		[HLP_PRM_82];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_82, 0, 82)
WriteCmdDef(PRM_82, 0, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_84
 */
VARIABLE PRM_84	/* StellungreglerMode */
{
    LABEL		[TXT_PRM_84];
    HELP		[HLP_PRM_84];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_234 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_235] } /* Ausgeschaltet */
        , { 1, [TXT_TYP_237] } /* Adaptiv */
        IF (((PRM_1169 == 1) && (PRM_5066 == 5))) {{ 2, [TXT_TYP_2673] }} /* Adaptiv 2, using RULE_532 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PRM_84, 0, 84)
WriteCmdDef(PRM_84, 0, 84)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_86
 */
VARIABLE PRM_86	/* StelReglTotzeit */
{
    LABEL		[TXT_PRM_86];
    HELP		[HLP_PRM_86];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	600;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_1043 */
}
ReadCmdDef(PRM_86, 0, 86)
WriteCmdDef(PRM_86, 0, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_87
 */
VARIABLE PRM_87	/* StelReglExtTotzone */
{
    LABEL		[TXT_PRM_87];
    HELP		[HLP_PRM_87];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_167 */
}
ReadCmdDef(PRM_87, 0, 87)
WriteCmdDef(PRM_87, 0, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_160
 */
VARIABLE PRM_160	/* Fkt Meldeleuchte 1 */
{
    LABEL		[TXT_PRM_160];
    HELP		[HLP_PRM_160];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		370;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_160, 1, 60)
WriteCmdDef(PRM_160, 1, 60)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_163
 */
VARIABLE PRM_163	/* Laufzeit */
{
    LABEL		[TXT_PRM_163];
    HELP		[HLP_PRM_163];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_163, 1, 63)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_164
 */
VARIABLE PRM_164	/* Anläufe */
{
    LABEL		[TXT_PRM_164];
    HELP		[HLP_PRM_164];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_164, 1, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_165
 */
VARIABLE PRM_165	/* Anzahl Resets */
{
    LABEL		[TXT_PRM_165];
    HELP		[HLP_PRM_165];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_165, 1, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_166
 */
VARIABLE PRM_166	/* Drehmoabschaltung en ZU */
{
    LABEL		[TXT_PRM_166];
    HELP		[HLP_PRM_166];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_166, 1, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_167
 */
VARIABLE PRM_167	/* ErrorsEDMax */
{
    LABEL		[TXT_PRM_167];
    HELP		[HLP_PRM_167];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"min";
    HANDLING		READ;
}
ReadCmdDef(PRM_167, 1, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_168
 */
VARIABLE PRM_168	/* ErrorsEDTime */
{
    LABEL		[TXT_PRM_168];
    HELP		[HLP_PRM_168];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"min";
    HANDLING		READ;
}
ReadCmdDef(PRM_168, 1, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_170
 */
VARIABLE PRM_170	/* Thermofehler */
{
    LABEL		[TXT_PRM_170];
    HELP		[HLP_PRM_170];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_170, 1, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_171
 */
VARIABLE PRM_171	/* Drehmofehler AUF */
{
    LABEL		[TXT_PRM_171];
    HELP		[HLP_PRM_171];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_171, 1, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_172
 */
VARIABLE PRM_172	/* Wegabschaltungen ZU */
{
    LABEL		[TXT_PRM_172];
    HELP		[HLP_PRM_172];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_172, 1, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_173
 */
VARIABLE PRM_173	/* Drehmoabschaltungen AUF */
{
    LABEL		[TXT_PRM_173];
    HELP		[HLP_PRM_173];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_173, 1, 73)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_174
 */
VARIABLE PRM_174	/* Wegabschaltungen AUF */
{
    LABEL		[TXT_PRM_174];
    HELP		[HLP_PRM_174];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_174, 1, 74)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_175
 */
VARIABLE PRM_175	/* Drehmofehler ZU */
{
    LABEL		[TXT_PRM_175];
    HELP		[HLP_PRM_175];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_175, 1, 75)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_181
 */
VARIABLE PRM_181	/* Soll_Bus_vorhanden */
{
    LABEL		[TXT_PRM_181];
    HELP		[HLP_PRM_181];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1108 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_1109] } /* Kein Feldbus */
        , { 1, [TXT_TYP_1110] } /* Profibus */
        , { 2, [TXT_TYP_1111] } /* Modbus */
        , { 3, [TXT_TYP_2257] } /* FoundationFieldbus */
        , { 4, [TXT_TYP_3730] } /* HART */
        , { 5, [TXT_TYP_4124] } /* Profinet */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_181, 1, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_208
 */
VARIABLE PRM_208	/* MODE_Thermofehler */
{
    LABEL		[TXT_PRM_208];
    HELP		[HLP_PRM_208];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_239 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_240] } /* AUTO */
        , { 1, [TXT_TYP_241] } /* RESET */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_301 */
}
ReadCmdDef(PRM_208, 2, 8)
WriteCmdDef(PRM_208, 2, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_209
 */
VARIABLE PRM_209	/* PhaseDelaytime */
{
    LABEL		[TXT_PRM_209];
    HELP		[HLP_PRM_209];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	3000;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_90 */
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
            /* ### VALIDITY: Implicit RuleSet  ### AccessViolationByRule RULE_8 (lvl= 6) ###  */
}
ReadCmdDef(PRM_209, 2, 9)
WriteCmdDef(PRM_209, 2, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_212
 */
VARIABLE PRM_212	/* StelReglInnTotzAuf */
{
    LABEL		[TXT_PRM_212];
    HELP		[HLP_PRM_212];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_167 */
}
ReadCmdDef(PRM_212, 2, 12)
WriteCmdDef(PRM_212, 2, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_213
 */
VARIABLE PRM_213	/* StelReglInnTotzZu */
{
    LABEL		[TXT_PRM_213];
    HELP		[HLP_PRM_213];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_84 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_167 */
}
ReadCmdDef(PRM_213, 2, 13)
WriteCmdDef(PRM_213, 2, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_214
 */
VARIABLE PRM_214	/* SollwertToleranzAuf */
{
    LABEL		[TXT_PRM_214];
    HELP		[HLP_PRM_214];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	950;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PRM_214, 2, 14)
WriteCmdDef(PRM_214, 2, 14)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_215
 */
VARIABLE PRM_215	/* SollwertToleranzZu */
{
    LABEL		[TXT_PRM_215];
    HELP		[HLP_PRM_215];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PRM_215, 2, 15)
WriteCmdDef(PRM_215, 2, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_217
 */
VARIABLE PRM_217	/* PID Freischaltung */
{
    LABEL		[TXT_PRM_217];
    HELP		[HLP_PRM_217];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_217, 2, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_218
 */
VARIABLE PRM_218	/* PID Mode */
{
    LABEL		[TXT_PRM_218];
    HELP		[HLP_PRM_218];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_244 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_246], [HLP_TYP_246] } /* Prozess Interface */
        IF (PRM_181 != 0) {{ 1, [TXT_TYP_247], [HLP_TYP_247] }} /* Prozess Feldbus, using RULE_304 */
        { 2, [TXT_TYP_248], [HLP_TYP_248] } /* Prozess Intern */
        , { 3, [TXT_TYP_3578], [HLP_TYP_3578] } /* Select Bus/IF */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_218, 2, 18)
WriteCmdDef(PRM_218, 2, 18)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_219
 */
VARIABLE PRM_219	/* PID Sollw Int 1 */
{
    LABEL		[TXT_PRM_219];
    HELP		[HLP_PRM_219];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_219, 2, 19)
WriteCmdDef(PRM_219, 2, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_222
 */
VARIABLE PRM_222	/* Stellgrenze AUF */
{
    LABEL		[TXT_PRM_222];
    HELP		[HLP_PRM_222];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && !(PRM_5072 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_845 */
}
ReadCmdDef(PRM_222, 2, 22)
WriteCmdDef(PRM_222, 2, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_223
 */
VARIABLE PRM_223	/* PID Verhalten Ausfall */
{
    LABEL		[TXT_PRM_223];
    HELP		[HLP_PRM_223];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_249 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_250], [HLP_TYP_250] } /* PID Intern 1 */
        , { 1, [TXT_TYP_1260], [HLP_TYP_1260] } /* PID Intern 2 */
        , { 2, [TXT_TYP_251], [HLP_TYP_251] } /* Positioner FailSafe */
        , { 3, [TXT_TYP_3659] } /* PID Letzter Sollwert */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_223, 2, 23)
WriteCmdDef(PRM_223, 2, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_224
 */
VARIABLE PRM_224	/* Stellgrenze ZU */
{
    LABEL		[TXT_PRM_224];
    HELP		[HLP_PRM_224];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && !(PRM_5072 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_845 */
}
ReadCmdDef(PRM_224, 2, 24)
WriteCmdDef(PRM_224, 2, 24)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_225
 */
VARIABLE PRM_225	/* PID Verstärkung Kp */
{
    LABEL		[TXT_PRM_225];
    HELP		[HLP_PRM_225];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_225, 2, 25)
WriteCmdDef(PRM_225, 2, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_226
 */
VARIABLE PRM_226	/* PID Nachstellzeit Tn */
{
    LABEL		[TXT_PRM_226];
    HELP		[HLP_PRM_226];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3590 == 1) && (PRM_4270 == 1)) || ((PRM_3590 == 1) && (PRM_4270 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_516 */
}
ReadCmdDef(PRM_226, 2, 26)
WriteCmdDef(PRM_226, 2, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_227
 */
VARIABLE PRM_227	/* PID Vorhaltezeit Tv */
{
    LABEL		[TXT_PRM_227];
    HELP		[HLP_PRM_227];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3590 == 1) && (PRM_4270 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_514 */
}
ReadCmdDef(PRM_227, 2, 27)
WriteCmdDef(PRM_227, 2, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_229
 */
VARIABLE PRM_229	/* PID Inversbetrieb */
{
    LABEL		[TXT_PRM_229];
    HELP		[HLP_PRM_229];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_229, 2, 29)
WriteCmdDef(PRM_229, 2, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_230
 */
VARIABLE PRM_230	/* Verhalten NOT */
{
    LABEL		[TXT_PRM_230];
    HELP		[HLP_PRM_230];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_254 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_255] } /* STOP */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_256] }} /* Fahre ZU, using RULE_611 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_257] }} /* Fahre AUF, using RULE_611 */
        { 3, [TXT_TYP_258] } /* Fahre auf Position */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2923 != 0) && !(((PRM_4377 == 1) && (PRM_4378 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_498 */
}
ReadCmdDef(PRM_230, 2, 30)
WriteCmdDef(PRM_230, 2, 30)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_231
 */
VARIABLE PRM_231	/* Position NOT */
{
    LABEL		[TXT_PRM_231];
    HELP		[HLP_PRM_231];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2923 != 0) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_455 */
}
ReadCmdDef(PRM_231, 2, 31)
WriteCmdDef(PRM_231, 2, 31)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_466
 */
VARIABLE PRM_466	/* Stütz2_Position */
{
    LABEL		[TXT_PRM_466];
    HELP		[HLP_PRM_466];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	250;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_466, 4, 66)
WriteCmdDef(PRM_466, 4, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_467
 */
VARIABLE PRM_467	/* Stütz2_Fahrverhalten */
{
    LABEL		[TXT_PRM_467];
    HELP		[HLP_PRM_467];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_467, 4, 67)
WriteCmdDef(PRM_467, 4, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_468
 */
VARIABLE PRM_468	/* Stütz2_Meldeverhaltn */
{
    LABEL		[TXT_PRM_468];
    HELP		[HLP_PRM_468];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_468, 4, 68)
WriteCmdDef(PRM_468, 4, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_470
 */
VARIABLE PRM_470	/* Stütz3_Position */
{
    LABEL		[TXT_PRM_470];
    HELP		[HLP_PRM_470];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	350;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_470, 4, 70)
WriteCmdDef(PRM_470, 4, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_471
 */
VARIABLE PRM_471	/* Stütz3_Fahrverhalten */
{
    LABEL		[TXT_PRM_471];
    HELP		[HLP_PRM_471];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_471, 4, 71)
WriteCmdDef(PRM_471, 4, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_472
 */
VARIABLE PRM_472	/* Stütz3_Meldeverhaltn */
{
    LABEL		[TXT_PRM_472];
    HELP		[HLP_PRM_472];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_472, 4, 72)
WriteCmdDef(PRM_472, 4, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_474
 */
VARIABLE PRM_474	/* Stütz4_Position */
{
    LABEL		[TXT_PRM_474];
    HELP		[HLP_PRM_474];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	450;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_474, 4, 74)
WriteCmdDef(PRM_474, 4, 74)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_475
 */
VARIABLE PRM_475	/* Stütz4_Fahrverhalten */
{
    LABEL		[TXT_PRM_475];
    HELP		[HLP_PRM_475];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_475, 4, 75)
WriteCmdDef(PRM_475, 4, 75)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_476
 */
VARIABLE PRM_476	/* Stütz4_Meldeverhaltn */
{
    LABEL		[TXT_PRM_476];
    HELP		[HLP_PRM_476];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_476, 4, 76)
WriteCmdDef(PRM_476, 4, 76)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_478
 */
VARIABLE PRM_478	/* Stütz5_Position */
{
    LABEL		[TXT_PRM_478];
    HELP		[HLP_PRM_478];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	550;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_478, 4, 78)
WriteCmdDef(PRM_478, 4, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_479
 */
VARIABLE PRM_479	/* Stütz5_Fahrverhalten */
{
    LABEL		[TXT_PRM_479];
    HELP		[HLP_PRM_479];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_479, 4, 79)
WriteCmdDef(PRM_479, 4, 79)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_480
 */
VARIABLE PRM_480	/* Stütz5_Meldeverhaltn */
{
    LABEL		[TXT_PRM_480];
    HELP		[HLP_PRM_480];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_480, 4, 80)
WriteCmdDef(PRM_480, 4, 80)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_482
 */
VARIABLE PRM_482	/* Stütz6_Position */
{
    LABEL		[TXT_PRM_482];
    HELP		[HLP_PRM_482];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	650;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_482, 4, 82)
WriteCmdDef(PRM_482, 4, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_483
 */
VARIABLE PRM_483	/* Stütz6_Fahrverhalten */
{
    LABEL		[TXT_PRM_483];
    HELP		[HLP_PRM_483];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_483, 4, 83)
WriteCmdDef(PRM_483, 4, 83)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_484
 */
VARIABLE PRM_484	/* Stütz6_Meldeverhaltn */
{
    LABEL		[TXT_PRM_484];
    HELP		[HLP_PRM_484];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_484, 4, 84)
WriteCmdDef(PRM_484, 4, 84)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_486
 */
VARIABLE PRM_486	/* Stütz7_Position */
{
    LABEL		[TXT_PRM_486];
    HELP		[HLP_PRM_486];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	750;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_486, 4, 86)
WriteCmdDef(PRM_486, 4, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_487
 */
VARIABLE PRM_487	/* Stütz7_Fahrverhalten */
{
    LABEL		[TXT_PRM_487];
    HELP		[HLP_PRM_487];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_487, 4, 87)
WriteCmdDef(PRM_487, 4, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_488
 */
VARIABLE PRM_488	/* Stütz7_Meldeverhaltn */
{
    LABEL		[TXT_PRM_488];
    HELP		[HLP_PRM_488];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_488, 4, 88)
WriteCmdDef(PRM_488, 4, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_490
 */
VARIABLE PRM_490	/* Stütz8_Position */
{
    LABEL		[TXT_PRM_490];
    HELP		[HLP_PRM_490];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	850;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_490, 4, 90)
WriteCmdDef(PRM_490, 4, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_491
 */
VARIABLE PRM_491	/* Stütz8_Fahrverhalten */
{
    LABEL		[TXT_PRM_491];
    HELP		[HLP_PRM_491];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_78 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_79] } /* nicht verwendet */
        , { 1, [TXT_TYP_80] } /* STOP AUF */
        , { 2, [TXT_TYP_81] } /* STOP ZU */
        , { 3, [TXT_TYP_82] } /* STOP AUF und ZU */
        , { 4, [TXT_TYP_643] } /* PAUSE AUF */
        , { 5, [TXT_TYP_644] } /* PAUSE ZU */
        , { 6, [TXT_TYP_645] } /* PAUSE AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
ReadCmdDef(PRM_491, 4, 91)
WriteCmdDef(PRM_491, 4, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_492
 */
VARIABLE PRM_492	/* Stütz8_Meldeverhaltn */
{
    LABEL		[TXT_PRM_492];
    HELP		[HLP_PRM_492];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_492, 4, 92)
WriteCmdDef(PRM_492, 4, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_495
 */
VARIABLE PRM_495	/* Laufzeit */
{
    LABEL		[TXT_PRM_495];
    HELP		[HLP_PRM_495];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_495, 4, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_496
 */
VARIABLE PRM_496	/* Anläufe */
{
    LABEL		[TXT_PRM_496];
    HELP		[HLP_PRM_496];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_496, 4, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_497
 */
VARIABLE PRM_497	/* Drehmoabschaltungen ZU */
{
    LABEL		[TXT_PRM_497];
    HELP		[HLP_PRM_497];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_497, 4, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_498
 */
VARIABLE PRM_498	/* Wegabschaltungen ZU */
{
    LABEL		[TXT_PRM_498];
    HELP		[HLP_PRM_498];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_498, 4, 98)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_499
 */
VARIABLE PRM_499	/* Drehmoabschaltungen AUF */
{
    LABEL		[TXT_PRM_499];
    HELP		[HLP_PRM_499];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_499, 4, 99)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_500
 */
VARIABLE PRM_500	/* Wegabschaltungen AUF */
{
    LABEL		[TXT_PRM_500];
    HELP		[HLP_PRM_500];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_500, 5, 0)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_501
 */
VARIABLE PRM_501	/* Drehmofehler ZU */
{
    LABEL		[TXT_PRM_501];
    HELP		[HLP_PRM_501];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_501, 5, 1)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_502
 */
VARIABLE PRM_502	/* Drehmofehler AUF */
{
    LABEL		[TXT_PRM_502];
    HELP		[HLP_PRM_502];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_502, 5, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_503
 */
VARIABLE PRM_503	/* Thermofehler */
{
    LABEL		[TXT_PRM_503];
    HELP		[HLP_PRM_503];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_503, 5, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_505
 */
VARIABLE PRM_505	/* ErrorsEDTime */
{
    LABEL		[TXT_PRM_505];
    HELP		[HLP_PRM_505];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"min";
    HANDLING		READ;
}
ReadCmdDef(PRM_505, 5, 5)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_506
 */
VARIABLE PRM_506	/* ErrorsEDMax */
{
    LABEL		[TXT_PRM_506];
    HELP		[HLP_PRM_506];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"min";
    HANDLING		READ;
}
ReadCmdDef(PRM_506, 5, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_507
 */
VARIABLE PRM_507	/* Resets */
{
    LABEL		[TXT_PRM_507];
    HELP		[HLP_PRM_507];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_507, 5, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_519
 */
VARIABLE PRM_519	/* SelbsthVerhaltFern1 */
{
    LABEL		[TXT_PRM_519];
    HELP		[HLP_PRM_519];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_62 */
    {
        DEFAULT_VALUE		3;
        { 0, [TXT_TYP_63] } /* AUS */
        , { 1, [TXT_TYP_64] } /* AUF */
        , { 2, [TXT_TYP_360] } /* ZU */
        , { 3, [TXT_TYP_362] } /* AUF+ZU */
        , { 4, [TXT_TYP_363] } /* Direkt AUF-ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_614 */
}
ReadCmdDef(PRM_519, 5, 19)
WriteCmdDef(PRM_519, 5, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_533
 */
VARIABLE PRM_533	/* SelbsthVerhaltFern2 */
{
    LABEL		[TXT_PRM_533];
    HELP		[HLP_PRM_533];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_62 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_63] } /* AUS */
        , { 1, [TXT_TYP_64] } /* AUF */
        , { 2, [TXT_TYP_360] } /* ZU */
        , { 3, [TXT_TYP_362] } /* AUF+ZU */
        , { 4, [TXT_TYP_363] } /* Direkt AUF-ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_533, 5, 33)
WriteCmdDef(PRM_533, 5, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_557
 */
VARIABLE PRM_557	/* Fkt Meldeleuchte 2 */
{
    LABEL		[TXT_PRM_557];
    HELP		[HLP_PRM_557];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		269;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_557, 5, 57)
WriteCmdDef(PRM_557, 5, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_561
 */
VARIABLE PRM_561	/* Fkt Meldeleuchte 3 */
{
    LABEL		[TXT_PRM_561];
    HELP		[HLP_PRM_561];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		270;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_561, 5, 61)
WriteCmdDef(PRM_561, 5, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_565
 */
VARIABLE PRM_565	/* Fkt Meldeleuchte 4 */
{
    LABEL		[TXT_PRM_565];
    HELP		[HLP_PRM_565];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		268;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_565, 5, 65)
WriteCmdDef(PRM_565, 5, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_569
 */
VARIABLE PRM_569	/* Fkt Meldeleuchte 5 */
{
    LABEL		[TXT_PRM_569];
    HELP		[HLP_PRM_569];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		369;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_569, 5, 69)
WriteCmdDef(PRM_569, 5, 69)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_578
 */
VARIABLE PRM_578	/* Abschaltart ZU */
{
    LABEL		[TXT_PRM_578];
    HELP		[HLP_PRM_578];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_59 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_60] } /* Wegabhängig */
        , { 1, [TXT_TYP_61] } /* Drehmomentabhängig */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (!(PRM_5066 == 2) && !(PRM_5066 == 3)) { TRUE; } ELSE { FALSE; }  /*  using RULE_484 (without ored PZD_356)  */
}
ReadCmdDef(PRM_578, 5, 78)
WriteCmdDef(PRM_578, 5, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_590
 */
VARIABLE PRM_590	/* TaktbetriebZuMode */
{
    LABEL		[TXT_PRM_590];
    HELP		[HLP_PRM_590];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_68 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] } /* Aus */
        , { 1, [TXT_TYP_70], [HLP_TYP_70] } /* FERN */
        , { 2, [TXT_TYP_71], [HLP_TYP_71] } /* ORT */
        , { 3, [TXT_TYP_72], [HLP_TYP_72] } /* FERN + ORT */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
}
ReadCmdDef(PRM_590, 5, 90)
WriteCmdDef(PRM_590, 5, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_591
 */
VARIABLE PRM_591	/* TaktpausenzeitZu */
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_591, 5, 91)
WriteCmdDef(PRM_591, 5, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_592
 */
VARIABLE PRM_592	/* TaktfahrzeitZu */
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_592, 5, 92)
WriteCmdDef(PRM_592, 5, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_593
 */
VARIABLE PRM_593	/* TaktstreckeZuEnde */
{
    LABEL		[TXT_PRM_593];
    HELP		[HLP_PRM_593];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
}
ReadCmdDef(PRM_593, 5, 93)
WriteCmdDef(PRM_593, 5, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_594
 */
VARIABLE PRM_594	/* TaktstreckeZuStart */
{
    LABEL		[TXT_PRM_594];
    HELP		[HLP_PRM_594];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
}
ReadCmdDef(PRM_594, 5, 94)
WriteCmdDef(PRM_594, 5, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_606
 */
VARIABLE PRM_606	/* MWG-Vorhanden IST-Konfiguration */
{
    LABEL		[TXT_PRM_606];
    HELP		[HLP_PRM_606];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_846 */
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, /* Funktion/Baugruppe nicht vorhanden */
        { 1, [TXT_TYP_848] }  /* Funktion/Baugruppe vorhanden */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_606, 6, 6)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_828
 */
VARIABLE PRM_828	/* PotiEndposAufRohwert */
{
    LABEL		[TXT_PRM_828];
    HELP		[HLP_PRM_828];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_406 */
}
ReadCmdDef(PRM_828, 8, 28)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_829
 */
VARIABLE PRM_829	/* PotiEndposZuRohwert */
{
    LABEL		[TXT_PRM_829];
    HELP		[HLP_PRM_829];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_406 */
}
ReadCmdDef(PRM_829, 8, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_844
 */
VARIABLE PRM_844	/* RwgEndposAufRohwert */
{
    LABEL		[TXT_PRM_844];
    HELP		[HLP_PRM_844];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_510 */
}
ReadCmdDef(PRM_844, 8, 44)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_845
 */
VARIABLE PRM_845	/* RwgEndposZuRohwert */
{
    LABEL		[TXT_PRM_845];
    HELP		[HLP_PRM_845];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_510 */
}
ReadCmdDef(PRM_845, 8, 45)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_873
 */
VARIABLE PRM_873	/* Funktion_DigIn1 */
{
    LABEL		[TXT_PRM_873];
    HELP		[HLP_PRM_873];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		22;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_873, 8, 73)
WriteCmdDef(PRM_873, 8, 73)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_878
 */
VARIABLE PRM_878	/* InvertDigIn1 */
{
    LABEL		[TXT_PRM_878];
    HELP		[HLP_PRM_878];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_878, 8, 78)
WriteCmdDef(PRM_878, 8, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_884
 */
VARIABLE PRM_884	/* Funktion_DigIn10 */
{
    LABEL		[TXT_PRM_884];
    HELP		[HLP_PRM_884];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		723;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_884, 8, 84)
WriteCmdDef(PRM_884, 8, 84)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_885
 */
VARIABLE PRM_885	/* InvertDigIn10 */
{
    LABEL		[TXT_PRM_885];
    HELP		[HLP_PRM_885];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_885, 8, 85)
WriteCmdDef(PRM_885, 8, 85)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_890
 */
VARIABLE PRM_890	/* Funktion_DigIn9 */
{
    LABEL		[TXT_PRM_890];
    HELP		[HLP_PRM_890];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		722;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_890, 8, 90)
WriteCmdDef(PRM_890, 8, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_891
 */
VARIABLE PRM_891	/* InvertDigIn9 */
{
    LABEL		[TXT_PRM_891];
    HELP		[HLP_PRM_891];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_891, 8, 91)
WriteCmdDef(PRM_891, 8, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_896
 */
VARIABLE PRM_896	/* Funktion_DigIn8 */
{
    LABEL		[TXT_PRM_896];
    HELP		[HLP_PRM_896];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_896, 8, 96)
WriteCmdDef(PRM_896, 8, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_897
 */
VARIABLE PRM_897	/* InvertDigIn8 */
{
    LABEL		[TXT_PRM_897];
    HELP		[HLP_PRM_897];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_897, 8, 97)
WriteCmdDef(PRM_897, 8, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_902
 */
VARIABLE PRM_902	/* Funktion_DigIn7 */
{
    LABEL		[TXT_PRM_902];
    HELP		[HLP_PRM_902];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_902, 9, 2)
WriteCmdDef(PRM_902, 9, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_903
 */
VARIABLE PRM_903	/* InvertDigIn7 */
{
    LABEL		[TXT_PRM_903];
    HELP		[HLP_PRM_903];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_903, 9, 3)
WriteCmdDef(PRM_903, 9, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_908
 */
VARIABLE PRM_908	/* Funktion_DigIn6 */
{
    LABEL		[TXT_PRM_908];
    HELP		[HLP_PRM_908];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_32 */
}
ReadCmdDef(PRM_908, 9, 8)
WriteCmdDef(PRM_908, 9, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_909
 */
VARIABLE PRM_909	/* InvertDigIn6 */
{
    LABEL		[TXT_PRM_909];
    HELP		[HLP_PRM_909];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_32 */
}
ReadCmdDef(PRM_909, 9, 9)
WriteCmdDef(PRM_909, 9, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_914
 */
VARIABLE PRM_914	/* Funktion_DigIn5 */
{
    LABEL		[TXT_PRM_914];
    HELP		[HLP_PRM_914];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		21;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_32 */
}
ReadCmdDef(PRM_914, 9, 14)
WriteCmdDef(PRM_914, 9, 14)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_915
 */
VARIABLE PRM_915	/* InvertDigIn5 */
{
    LABEL		[TXT_PRM_915];
    HELP		[HLP_PRM_915];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_32 */
}
ReadCmdDef(PRM_915, 9, 15)
WriteCmdDef(PRM_915, 9, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_920
 */
VARIABLE PRM_920	/* Funktion_DigIn4 */
{
    LABEL		[TXT_PRM_920];
    HELP		[HLP_PRM_920];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		20;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_920, 9, 20)
WriteCmdDef(PRM_920, 9, 20)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_921
 */
VARIABLE PRM_921	/* InvertDigIn4 */
{
    LABEL		[TXT_PRM_921];
    HELP		[HLP_PRM_921];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_921, 9, 21)
WriteCmdDef(PRM_921, 9, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_926
 */
VARIABLE PRM_926	/* Funktion_DigIn3 */
{
    LABEL		[TXT_PRM_926];
    HELP		[HLP_PRM_926];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		18;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_926, 9, 26)
WriteCmdDef(PRM_926, 9, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_927
 */
VARIABLE PRM_927	/* InvertDigIn3 */
{
    LABEL		[TXT_PRM_927];
    HELP		[HLP_PRM_927];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_927, 9, 27)
WriteCmdDef(PRM_927, 9, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_932
 */
VARIABLE PRM_932	/* Funktion_DigIn2 */
{
    LABEL		[TXT_PRM_932];
    HELP		[HLP_PRM_932];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_272 */
    {
        DEFAULT_VALUE		19;
        { 0, [TXT_TYP_988], [HLP_TYP_988] } /* Nicht verwendet */
        , { 22, [TXT_TYP_299], [HLP_TYP_299] } /* Fern1_Regelbetrieb */
        , { 18, [TXT_TYP_302], [HLP_TYP_302] } /* Fern1_AUF */
        , { 19, [TXT_TYP_303], [HLP_TYP_303] } /* Fern1_ZU */
        , { 20, [TXT_TYP_304], [HLP_TYP_304] } /* Fern1_HALT */
        , { 32, [TXT_TYP_301], [HLP_TYP_301] } /* Fern1_RESET */
        IF (((PRM_45 != 0) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} /* Select IO Interface, using RULE_348 */
        IF (((PRM_5066 == 1)) || ((PRM_5066 == 2))) {{ 364, [TXT_TYP_688], [HLP_TYP_688] }} /* Fern1_Zweidraht, using RULE_770 */
        { 21, [TXT_TYP_300], [HLP_TYP_300] } /* Fern1_ESD */
        , { 449, [TXT_TYP_680], [HLP_TYP_680] } /* Fern1FahrtDirektpos1 */
        , { 450, [TXT_TYP_681], [HLP_TYP_681] } /* Fern1FahrtDirektpos2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 451, [TXT_TYP_682], [HLP_TYP_682] }} /* Fern1FahrtDirektpos3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 452, [TXT_TYP_683], [HLP_TYP_683] }} /* Fern1FahrtDirektpos4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 453, [TXT_TYP_684], [HLP_TYP_684] }} /* Fern1FahrtDirektpos5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 454, [TXT_TYP_685], [HLP_TYP_685] }} /* Fern1FahrtDirektpos6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 455, [TXT_TYP_686], [HLP_TYP_686] }} /* Fern1FahrtDirektpos7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 456, [TXT_TYP_687], [HLP_TYP_687] }} /* Fern1FahrtDirektpos8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1350, [TXT_TYP_3620], [HLP_TYP_3620] }} /* Fern1FahrtDirektpos9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1351, [TXT_TYP_3621], [HLP_TYP_3621] }} /* Fern1FahrtDirektpos10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1375, [TXT_TYP_3640], [HLP_TYP_3640] }} /* Fern1FahrtDirektpos11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1376, [TXT_TYP_3641], [HLP_TYP_3641] }} /* Fern1FahrtDirektpos12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1716, [TXT_TYP_4232] }} /* Fern1FahrtDirektpos13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1717, [TXT_TYP_4233] }} /* Fern1FahrtDirektpos14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1718, [TXT_TYP_4234] }} /* Fern1FahrtDirektpos15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1719, [TXT_TYP_4235] }} /* Fern1FahrtDirektpos16, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1352, [TXT_TYP_3622], [HLP_TYP_3622] }} /* SwitchValvePos1CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1353, [TXT_TYP_3623], [HLP_TYP_3623] }} /* SwitchValvePos1CCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1354, [TXT_TYP_3624], [HLP_TYP_3624] }} /* SwitchValvePos2CW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1355, [TXT_TYP_3625], [HLP_TYP_3625] }} /* SwitchValvePos2CCW, using RULE_592 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1356, [TXT_TYP_3626], [HLP_TYP_3626] }} /* SwitchValvePos3CW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 2))) {{ 1357, [TXT_TYP_3627], [HLP_TYP_3627] }} /* SwitchValvePos3CCW, using RULE_914 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1358, [TXT_TYP_3628], [HLP_TYP_3628] }} /* SwitchValvePos4CW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 3))) {{ 1359, [TXT_TYP_3629], [HLP_TYP_3629] }} /* SwitchValvePos4CCW, using RULE_916 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1566, [TXT_TYP_4025], [HLP_TYP_4025] }} /* SwitchValvePos5CW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 4))) {{ 1567, [TXT_TYP_4024], [HLP_TYP_4024] }} /* SwitchValvePos5CCW, using RULE_918 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1568, [TXT_TYP_4026], [HLP_TYP_4026] }} /* SwitchValvePos6CW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 5))) {{ 1569, [TXT_TYP_4027], [HLP_TYP_4027] }} /* SwitchValvePos6CCW, using RULE_920 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1570, [TXT_TYP_4028], [HLP_TYP_4028] }} /* SwitchValvePos7CW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 6))) {{ 1571, [TXT_TYP_4029], [HLP_TYP_4029] }} /* SwitchValvePos7CCW, using RULE_922 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1572, [TXT_TYP_4030], [HLP_TYP_4030] }} /* SwitchValvePos8CW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 7))) {{ 1573, [TXT_TYP_4031], [HLP_TYP_4031] }} /* SwitchValvePos8CCW, using RULE_924 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1574, [TXT_TYP_4032], [HLP_TYP_4032] }} /* SwitchValvePos9CW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1575, [TXT_TYP_4033], [HLP_TYP_4033] }} /* SwitchValvePos9CCW, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1576, [TXT_TYP_4034], [HLP_TYP_4034] }} /* SwitchValvePos10CW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1577, [TXT_TYP_4035], [HLP_TYP_4035] }} /* SwitchValvePos10CCW, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1736, [TXT_TYP_4295] }} /* SwitchValvePos11CW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1737, [TXT_TYP_4296] }} /* SwitchValvePos11CCW, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1738, [TXT_TYP_4297] }} /* SwitchValvePos12CW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1739, [TXT_TYP_4298] }} /* SwitchValvePos12CCW, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1740, [TXT_TYP_4299] }} /* SwitchValvePos13CW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1741, [TXT_TYP_4300] }} /* SwitchValvePos13CCW, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1742, [TXT_TYP_4301] }} /* SwitchValvePos14CW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1743, [TXT_TYP_4302] }} /* SwitchValvePos14CCW, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1744, [TXT_TYP_4303] }} /* SwitchValvePos15CW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1745, [TXT_TYP_4304] }} /* SwitchValvePos15CCW, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1746, [TXT_TYP_4305] }} /* SwitchValvePos16CW, using RULE_940 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1747, [TXT_TYP_4306] }} /* SwitchValvePos16CCW, using RULE_940 */
        IF (PRM_5066 == 3) {{ 1396, [TXT_TYP_3642], [HLP_TYP_3642] }} /* MPV DriveCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1397, [TXT_TYP_3643], [HLP_TYP_3643] }} /* MPV DriveCCW, using RULE_592 */
        IF (PRM_5066 == 3) {{ 1348, [TXT_TYP_3663] }} /* MPV: SetHomePos, using RULE_592 */
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} /* Kunde_DigitalIn_1, using RULE_304 */
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} /* Kunde_DigitalIn_2, using RULE_304 */
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} /* Kunde_DigitalIn_3, using RULE_304 */
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} /* Kunde_DigitalIn_4, using RULE_304 */
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} /* IfaFreigabeOrt, using RULE_376 */
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} /* IfaFreigabeAUF, using RULE_205 */
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} /* IfaFreigabeZU, using RULE_205 */
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} /* PCtrl: NV Intern: 1 / 2, using RULE_77 */
        { 274, [TXT_TYP_1293] } /* Fern2_aktiv */
        , { 521, [TXT_TYP_1294] } /* Fern2_AUF */
        , { 522, [TXT_TYP_1295] } /* Fern2_ZU */
        , { 523, [TXT_TYP_1296] } /* Fern2_HALT */
        IF (PRM_4191 == 1) {{ 949, [TXT_TYP_1414] }} /* PartialStrokeIfa, using RULE_466 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1015, [TXT_TYP_1663] }} /* BypassSyncIn, using RULE_496 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1324, [TXT_TYP_2744] }} /* LPV SyncIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1326, [TXT_TYP_2745] }} /* LPV EndposCloseIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1327, [TXT_TYP_2746] }} /* LPV SSRemoteIn, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1328, [TXT_TYP_2747] }} /* LPV Ready In, using RULE_564 */
        IF (PRM_3590 == 1) {{ 1336, [TXT_TYP_3580], [HLP_TYP_3580] }} /* PCtrl: NV Select: Bus/IF, using RULE_77 */
        IF (PRM_3590 == 1) {{ 1337, [TXT_TYP_3581], [HLP_TYP_3581] }} /* PCtrl: AV Select: Bus/IF, using RULE_77 */
        IF (PRM_3217 == 1) {{ 1422, [TXT_TYP_3731] }} /* IfaFreigabeAUFundZU, using RULE_205 */
        IF (PRM_5066 == 5) {{ 1606, [TXT_TYP_4090] }} /* IfaDrehzahlSelect0, using RULE_776 */
        IF (PRM_5066 == 5) {{ 1607, [TXT_TYP_4091] }} /* IfaDrehzahlSelect1, using RULE_776 */
        IF (PRM_5141 == 1) {{ 1649, [TXT_TYP_4133] }} /* ELSH EndposIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1650, [TXT_TYP_4134] }} /* ELSH SSRemoteIn, using RULE_803 */
        IF (PRM_5141 == 1) {{ 1651, [TXT_TYP_4135] }} /* ELSH ReadyIn, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_932, 9, 32)
WriteCmdDef(PRM_932, 9, 32)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_933
 */
VARIABLE PRM_933	/* InvertDigIn2 */
{
    LABEL		[TXT_PRM_933];
    HELP		[HLP_PRM_933];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
ReadCmdDef(PRM_933, 9, 33)
WriteCmdDef(PRM_933, 9, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1012
 */
VARIABLE PRM_1012	/* Funktion_DigOut1 */
{
    LABEL		[TXT_PRM_1012];
    HELP		[HLP_PRM_1012];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		79;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1012, 10, 12)
WriteCmdDef(PRM_1012, 10, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1013
 */
VARIABLE PRM_1013	/* InvertDigOut1 */
{
    LABEL		[TXT_PRM_1013];
    HELP		[HLP_PRM_1013];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1013, 10, 13)
WriteCmdDef(PRM_1013, 10, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1072
 */
VARIABLE PRM_1072	/* Funktion_DigOut8 */
{
    LABEL		[TXT_PRM_1072];
    HELP		[HLP_PRM_1072];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		302;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1072, 10, 72)
WriteCmdDef(PRM_1072, 10, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1073
 */
VARIABLE PRM_1073	/* InvertDigOut8 */
{
    LABEL		[TXT_PRM_1073];
    HELP		[HLP_PRM_1073];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1073, 10, 73)
WriteCmdDef(PRM_1073, 10, 73)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1077
 */
VARIABLE PRM_1077	/* Funktion_DigOut7 */
{
    LABEL		[TXT_PRM_1077];
    HELP		[HLP_PRM_1077];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		270;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1077, 10, 77)
WriteCmdDef(PRM_1077, 10, 77)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1078
 */
VARIABLE PRM_1078	/* InvertDigOut7 */
{
    LABEL		[TXT_PRM_1078];
    HELP		[HLP_PRM_1078];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1078, 10, 78)
WriteCmdDef(PRM_1078, 10, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1082
 */
VARIABLE PRM_1082	/* Funktion_DigOut6 */
{
    LABEL		[TXT_PRM_1082];
    HELP		[HLP_PRM_1082];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		268;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1082, 10, 82)
WriteCmdDef(PRM_1082, 10, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1083
 */
VARIABLE PRM_1083	/* InvertDigOut6 */
{
    LABEL		[TXT_PRM_1083];
    HELP		[HLP_PRM_1083];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1083, 10, 83)
WriteCmdDef(PRM_1083, 10, 83)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1087
 */
VARIABLE PRM_1087	/* Funktion_DigOut5 */
{
    LABEL		[TXT_PRM_1087];
    HELP		[HLP_PRM_1087];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		269;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1087, 10, 87)
WriteCmdDef(PRM_1087, 10, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1088
 */
VARIABLE PRM_1088	/* InvertDigOut5 */
{
    LABEL		[TXT_PRM_1088];
    HELP		[HLP_PRM_1088];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1088, 10, 88)
WriteCmdDef(PRM_1088, 10, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1092
 */
VARIABLE PRM_1092	/* Funktion_DigOut4 */
{
    LABEL		[TXT_PRM_1092];
    HELP		[HLP_PRM_1092];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		115;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1092, 10, 92)
WriteCmdDef(PRM_1092, 10, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1093
 */
VARIABLE PRM_1093	/* InvertDigOut4 */
{
    LABEL		[TXT_PRM_1093];
    HELP		[HLP_PRM_1093];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1093, 10, 93)
WriteCmdDef(PRM_1093, 10, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1097
 */
VARIABLE PRM_1097	/* Funktion_DigOut3 */
{
    LABEL		[TXT_PRM_1097];
    HELP		[HLP_PRM_1097];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		258;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1097, 10, 97)
WriteCmdDef(PRM_1097, 10, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1098
 */
VARIABLE PRM_1098	/* InvertDigOut3 */
{
    LABEL		[TXT_PRM_1098];
    HELP		[HLP_PRM_1098];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1098, 10, 98)
WriteCmdDef(PRM_1098, 10, 98)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1102
 */
VARIABLE PRM_1102	/* Funktion_DigOut2 */
{
    LABEL		[TXT_PRM_1102];
    HELP		[HLP_PRM_1102];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		259;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1102, 11, 2)
WriteCmdDef(PRM_1102, 11, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1103
 */
VARIABLE PRM_1103	/* InvertDigOut2 */
{
    LABEL		[TXT_PRM_1103];
    HELP		[HLP_PRM_1103];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
ReadCmdDef(PRM_1103, 11, 3)
WriteCmdDef(PRM_1103, 11, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1107
 */
VARIABLE PRM_1107	/* Funktion_DigOut9 */
{
    LABEL		[TXT_PRM_1107];
    HELP		[HLP_PRM_1107];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		376;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1107, 11, 7)
WriteCmdDef(PRM_1107, 11, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1108
 */
VARIABLE PRM_1108	/* InvertDigOut9 */
{
    LABEL		[TXT_PRM_1108];
    HELP		[HLP_PRM_1108];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1108, 11, 8)
WriteCmdDef(PRM_1108, 11, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1112
 */
VARIABLE PRM_1112	/* Funktion_DigOut12 */
{
    LABEL		[TXT_PRM_1112];
    HELP		[HLP_PRM_1112];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		459;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1112, 11, 12)
WriteCmdDef(PRM_1112, 11, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1113
 */
VARIABLE PRM_1113	/* InvertDigOut12 */
{
    LABEL		[TXT_PRM_1113];
    HELP		[HLP_PRM_1113];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1113, 11, 13)
WriteCmdDef(PRM_1113, 11, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1117
 */
VARIABLE PRM_1117	/* Funktion_DigOut11 */
{
    LABEL		[TXT_PRM_1117];
    HELP		[HLP_PRM_1117];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		460;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1117, 11, 17)
WriteCmdDef(PRM_1117, 11, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1118
 */
VARIABLE PRM_1118	/* InvertDigOut11 */
{
    LABEL		[TXT_PRM_1118];
    HELP		[HLP_PRM_1118];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1118, 11, 18)
WriteCmdDef(PRM_1118, 11, 18)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1122
 */
VARIABLE PRM_1122	/* Funktion_DigOut10 */
{
    LABEL		[TXT_PRM_1122];
    HELP		[HLP_PRM_1122];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_273 */
    {
        DEFAULT_VALUE		375;
        { 372, [TXT_TYP_724] } /* Konstante 0 */
        , { 259, [TXT_TYP_310] } /* EndlageZu */
        , { 258, [TXT_TYP_309] } /* EndlageAuf */
        , { 370, [TXT_TYP_968] } /* Endlage_ZU+Blinker */
        , { 369, [TXT_TYP_969] } /* Endlage_AUF+Blinker */
        , { 401, [TXT_TYP_743] } /* Position erreicht */
        , { 265, [TXT_TYP_740] } /* AntriebFaehrtZU */
        , { 264, [TXT_TYP_741] } /* AntriebFaehrtAUF */
        , { 113, [TXT_TYP_744] } /* Wahlschalter Ort */
        , { 115, [TXT_TYP_311] } /* Wahlschalter Fern */
        , { 116, [TXT_TYP_990] } /* Wahlschalter Aus */
        , { 376, [TXT_TYP_318] } /* WS_Konditioniert */
        , { 375, [TXT_TYP_317] } /* WOE_Konditioniert */
        , { 460, [TXT_TYP_320] } /* DS_Signal */
        , { 459, [TXT_TYP_319] } /* DOE_Signal */
        , { 86, [TXT_TYP_747] } /* NAMUR Ausfall */
        , { 84, [TXT_TYP_748] } /* NAMUR Fkt-Kontrolle */
        , { 83, [TXT_TYP_749] } /* NAMUR Out Of Spec */
        , { 85, [TXT_TYP_750] } /* NAMUR Wartungsbedarf */
        , { 79, [TXT_TYP_696] } /* AUMA Fehler */
        , { 78, [TXT_TYP_739] } /* AUMA Warnung */
        , { 80, [TXT_TYP_742] } /* Nicht bereit FERN */
        , { 95, [TXT_TYP_4178] } /* Kunde Fehler (konfigurierbar) */
        , { 96, [TXT_TYP_4179] } /* Kunde Warnung (konfigurierbar) */
        , { 97, [TXT_TYP_4180] } /* Kunde NichtBereitFern (konf.) */
        , { 554, [TXT_TYP_757] } /* Fahrpause */
        , { 560, [TXT_TYP_755] } /* TktStreckeAufZuBetrn */
        , { 603, [TXT_TYP_754] } /* Antrieb fährt */
        , { 539, [TXT_TYP_751] } /* Fährt von Ort */
        , { 540, [TXT_TYP_752] } /* Fährt von Fern */
        , { 541, [TXT_TYP_753] } /* Fährt mit Handrad */
        , { 549, [TXT_TYP_756] } /* Mittelstellung */
        , { 392, [TXT_TYP_767] } /* Zwischenstellung 1 */
        , { 399, [TXT_TYP_766] } /* Zwischenstellung 2 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 2))) {{ 398, [TXT_TYP_765] }} /* Zwischenstellung 3, using RULE_942 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 3))) {{ 397, [TXT_TYP_764] }} /* Zwischenstellung 4, using RULE_944 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 4))) {{ 396, [TXT_TYP_762] }} /* Zwischenstellung 5, using RULE_946 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 5))) {{ 395, [TXT_TYP_760] }} /* Zwischenstellung 6, using RULE_948 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 6))) {{ 394, [TXT_TYP_759] }} /* Zwischenstellung 7, using RULE_950 */
        IF ((!(PRM_5066 == 3)) || ((PRM_4804 > 7))) {{ 393, [TXT_TYP_758] }} /* Zwischenstellung 8, using RULE_952 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 8))) {{ 1370, [TXT_TYP_3635] }} /* Zwischenstellung 9, using RULE_926 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 9))) {{ 1371, [TXT_TYP_3636] }} /* Zwischenstellung 10, using RULE_928 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 10))) {{ 1377, [TXT_TYP_3638] }} /* Zwischenstellung 11, using RULE_930 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 11))) {{ 1378, [TXT_TYP_3639] }} /* Zwischenstellung 12, using RULE_932 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 12))) {{ 1720, [TXT_TYP_4236] }} /* Zwischenstellung 13, using RULE_934 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 13))) {{ 1721, [TXT_TYP_4237] }} /* Zwischenstellung 14, using RULE_936 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 14))) {{ 1722, [TXT_TYP_4238] }} /* Zwischenstellung 15, using RULE_938 */
        IF (((PRM_5066 == 3) && (PRM_4804 > 15))) {{ 1724, [TXT_TYP_4239] }} /* Zwischenstellung 16, using RULE_940 */
        { 500, [TXT_TYP_772] } /* DigIn1_Melde */
        , { 501, [TXT_TYP_771] } /* DigIn2_Melde */
        , { 505, [TXT_TYP_770] } /* DigIn3_Melde */
        , { 504, [TXT_TYP_763] } /* DigIn4_Melde */
        , { 503, [TXT_TYP_769] } /* DigIn5_Melde */
        , { 502, [TXT_TYP_768] } /* DigIn6_Melde */
        , { 285, [TXT_TYP_991] } /* BetrMode_NOT_HALT */
        , { 269, [TXT_TYP_312] } /* BypassedDsFehler */
        , { 268, [TXT_TYP_313] } /* BypassedDoeFehler */
        , { 546, [TXT_TYP_989] } /* Drehmomentfehler */
        , { 270, [TXT_TYP_314] } /* BypassedThErr */
        , { 302, [TXT_TYP_315] } /* Phasenausfall */
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} /* FeldbusDigout_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} /* FeldbusDigout_02, using RULE_304 */
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} /* FeldbusDigout_03, using RULE_304 */
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} /* FeldbusDigout_04, using RULE_304 */
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} /* FeldbusDigout_05, using RULE_304 */
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} /* FeldbusDigout_06, using RULE_304 */
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} /* FeldbusDigout_07, using RULE_304 */
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} /* FeldbusDigout_08, using RULE_304 */
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} /* FeldbusDigout_09, using RULE_304 */
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} /* FeldbusDigout_10, using RULE_304 */
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} /* FeldbusDigout_11, using RULE_304 */
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} /* FeldbusDigout_12, using RULE_304 */
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} /* FeldbusFailsafeAktiv, using RULE_304 */
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] } /* HandradschaltBetätigt */
        IF (PRM_4191 == 1) {{ 952, [TXT_TYP_1415] }} /* PVST aktiv, using RULE_466 */
        IF (PRM_4191 == 1) {{ 953, [TXT_TYP_1416] }} /* PVST Fehler, using RULE_466 */
        IF (PRM_4191 == 1) {{ 954, [TXT_TYP_1417] }} /* PVST Abbruch, using RULE_466 */
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] } /* Störung (AC1 konform) */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 753, [TXT_TYP_1630] }} /* InterlockFern, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 754, [TXT_TYP_1631] }} /* InterlockOrt, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 755, [TXT_TYP_1632] }} /* InterlockAUF, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 756, [TXT_TYP_1633] }} /* InterlockZU, using RULE_482 */
        IF (((PRM_3216 == 1) && (PRM_3217 == 1))) {{ 757, [TXT_TYP_1634] }} /* Interlock, using RULE_482 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1016, [TXT_TYP_1658] }} /* BypassSyncOut, using RULE_496 */
        IF (((PRM_4377 == 1) && (PRM_4378 == 1))) {{ 1017, [TXT_TYP_1659] }} /* BypassInterlock, using RULE_496 */
        { 1118, [TXT_TYP_2140] } /* SafeESD aktiv */
        , { 1119, [TXT_TYP_2141] } /* SafeStop aktiv */
        , { 1120, [TXT_TYP_2142], [HLP_TYP_2142] } /* SafetyFunction n.b. */
        , { 1121, [TXT_TYP_2149], [HLP_TYP_2149] } /* SafetyFunction aktiv */
        , { 1130, [TXT_TYP_2235], [HLP_TYP_2235] } /* System bereit */
        IF (PRM_3971 == 1) {{ 834, [TXT_TYP_2735] }} /* Drehmomentwarn AUF, using RULE_398 */
        IF (PRM_3971 == 1) {{ 835, [TXT_TYP_2736] }} /* Drehmomentwarn ZU, using RULE_398 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1325, [TXT_TYP_2748] }} /* LPV SyncOut, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1329, [TXT_TYP_2749] }} /* LPV NA-Auf, using RULE_564 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 1330, [TXT_TYP_2750] }} /* LPV NA-Zu, using RULE_564 */
        IF (PRM_4191 == 1) {{ 966, [TXT_TYP_3704] }} /* PVST erforderlich, using RULE_466 */
        IF (PRM_5080 != 0) {{ 1593, [TXT_TYP_4108] }} /* FQM FS-Ready, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1598, [TXT_TYP_4109], [HLP_TYP_4109] }} /* FQM FS-Esd-Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1629, [TXT_TYP_4110], [HLP_TYP_4110] }} /* FQM Endlage Auf, using RULE_786 */
        IF (PRM_5080 != 0) {{ 1630, [TXT_TYP_4111], [HLP_TYP_4111] }} /* FQM Endlage Zu, using RULE_786 */
        { 1726, [TXT_TYP_4255] } /* Hinweis Wartung */
        IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) {{ 1777, [TXT_TYP_4427] }} /* MPV/LPV-Pos erreicht, using RULE_1019 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1122, 11, 22)
WriteCmdDef(PRM_1122, 11, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1123
 */
VARIABLE PRM_1123	/* InvertDigOut10 */
{
    LABEL		[TXT_PRM_1123];
    HELP		[HLP_PRM_1123];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_65 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_66] } /* High-Aktiv */
        , { 1, [TXT_TYP_67] } /* Low-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2415 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_20 */
}
ReadCmdDef(PRM_1123, 11, 23)
WriteCmdDef(PRM_1123, 11, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1129
 */
VARIABLE PRM_1129	/* Funktion_AnaIn1 */
{
    LABEL		[TXT_PRM_1129];
    HELP		[HLP_PRM_1129];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_274 */
    {
        DEFAULT_VALUE		7;
        { 0, [TXT_TYP_984] } /* Nicht verwendet */
        IF (PRM_3590 == 0) {{ 7, [TXT_TYP_338] }} /* Fern1SollwertE1, using RULE_506 */
        { 12, [TXT_TYP_341] } /* Sensorsignal 1 */
        , { 13, [TXT_TYP_342] } /* Sensorsignal 2 */
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} /* Druck HydrSpeicher Sens, using RULE_295 */
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} /* Betriebsdruck Sensor, using RULE_295 */
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} /* Sollwert EP1 - Ifa, using RULE_77 */
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} /* Istwert E4 - Ifa, using RULE_77 */
        IF (((PRM_3633 == 2)) || ((PRM_5066 == 5))) {{ 935, [TXT_TYP_1664] }} /* InterfaceDrehzl, using RULE_777 */
        IF (PRM_5141 == 1) {{ 1652, [TXT_TYP_4140] }} /* ELSH Position In, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 1) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_970 */
}
ReadCmdDef(PRM_1129, 11, 29)
WriteCmdDef(PRM_1129, 11, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1130
 */
VARIABLE PRM_1130	/* UpperLimit_AnaIn1 */
{
    LABEL		[TXT_PRM_1130];
    HELP		[HLP_PRM_1130];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 1) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_970 */
}
ReadCmdDef(PRM_1130, 11, 30)
WriteCmdDef(PRM_1130, 11, 30)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1133
 */
VARIABLE PRM_1133	/* LowerLimit_AnaIn1 */
{
    LABEL		[TXT_PRM_1133];
    HELP		[HLP_PRM_1133];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 1) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_970 */
}
ReadCmdDef(PRM_1133, 11, 33)
WriteCmdDef(PRM_1133, 11, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1137
 */
VARIABLE PRM_1137	/* Funktion_AnaIn2 */
{
    LABEL		[TXT_PRM_1137];
    HELP		[HLP_PRM_1137];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_274 */
    {
        DEFAULT_VALUE		13;
        { 0, [TXT_TYP_984] } /* Nicht verwendet */
        IF (PRM_3590 == 0) {{ 7, [TXT_TYP_338] }} /* Fern1SollwertE1, using RULE_506 */
        { 12, [TXT_TYP_341] } /* Sensorsignal 1 */
        , { 13, [TXT_TYP_342] } /* Sensorsignal 2 */
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} /* Druck HydrSpeicher Sens, using RULE_295 */
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} /* Betriebsdruck Sensor, using RULE_295 */
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} /* Sollwert EP1 - Ifa, using RULE_77 */
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} /* Istwert E4 - Ifa, using RULE_77 */
        IF (((PRM_3633 == 2)) || ((PRM_5066 == 5))) {{ 935, [TXT_TYP_1664] }} /* InterfaceDrehzl, using RULE_777 */
        IF (PRM_5141 == 1) {{ 1652, [TXT_TYP_4140] }} /* ELSH Position In, using RULE_803 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 0) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_973 */
}
ReadCmdDef(PRM_1137, 11, 37)
WriteCmdDef(PRM_1137, 11, 37)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1140
 */
VARIABLE PRM_1140	/* UpperLimit_AnaIn2 */
{
    LABEL		[TXT_PRM_1140];
    HELP		[HLP_PRM_1140];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 0) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_973 */
}
ReadCmdDef(PRM_1140, 11, 40)
WriteCmdDef(PRM_1140, 11, 40)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1141
 */
VARIABLE PRM_1141	/* LowerLimit_AnaIn2 */
{
    LABEL		[TXT_PRM_1141];
    HELP		[HLP_PRM_1141];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_2239 >= 2))) && !(PRM_5189 != 0)) || ((PRM_5189 != 0) && (PRM_5190 == 0) && !(PRM_5257 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_973 */
}
ReadCmdDef(PRM_1141, 11, 41)
WriteCmdDef(PRM_1141, 11, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1164
 */
VARIABLE PRM_1164	/* Produktbez. */
{
    LABEL		[TXT_PRM_1164];
    HELP		[HLP_PRM_1164];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"AC 01.2";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1164, 11, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1165
 */
VARIABLE PRM_1165	/* Geräte-TAG */
{
    LABEL		[TXT_PRM_1165];
    HELP		[HLP_PRM_1165];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_GERAETE-TAG_";
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2591 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_149 */
}
ReadCmdDef(PRM_1165, 11, 65)
WriteCmdDef(PRM_1165, 11, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1166
 */
VARIABLE PRM_1166	/* Projektname */
{
    LABEL		[TXT_PRM_1166];
    HELP		[HLP_PRM_1166];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_PROJEKT_";
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1166, 11, 66)
WriteCmdDef(PRM_1166, 11, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1168
 */
VARIABLE PRM_1168	/* AutoPhaseKorrektur */
{
    LABEL		[TXT_PRM_1168];
    HELP		[HLP_PRM_1168];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
    VALIDITY    IF ((!(PRM_5066 == 2) && !(PRM_4437 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_508 */
}
ReadCmdDef(PRM_1168, 11, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1169
 */
VARIABLE PRM_1169	/* AktivierngStelRegler */
{
    LABEL		[TXT_PRM_1169];
    HELP		[HLP_PRM_1169];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1178 == 1) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_767 */
}
ReadCmdDef(PRM_1169, 11, 69)
WriteCmdDef(PRM_1169, 11, 69)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1175
 */
VARIABLE PRM_1175	/* Blinker USA/Europa */
{
    LABEL		[TXT_PRM_1175];
    HELP		[HLP_PRM_1175];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_356 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_358] } /* Zwischenstellg. Aus */
        , { 1, [TXT_TYP_359] } /* Zwischenstellg. Ein */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1175, 11, 75)
WriteCmdDef(PRM_1175, 11, 75)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1176
 */
VARIABLE PRM_1176	/* TaktAufAktiv */
{
    LABEL		[TXT_PRM_1176];
    HELP		[HLP_PRM_1176];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1176, 11, 76)
WriteCmdDef(PRM_1176, 11, 76)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1177
 */
VARIABLE PRM_1177	/* TaktZuAktiv */
{
    LABEL		[TXT_PRM_1177];
    HELP		[HLP_PRM_1177];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1177, 11, 77)
WriteCmdDef(PRM_1177, 11, 77)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1178
 */
VARIABLE PRM_1178	/* Kauf Stellungsregler */
{
    LABEL		[TXT_PRM_1178];
    HELP		[HLP_PRM_1178];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1178, 11, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1182
 */
VARIABLE PRM_1182	/* Anfahrüberbrückung */
{
    LABEL		[TXT_PRM_1182];
    HELP		[HLP_PRM_1182];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1182, 11, 82)
WriteCmdDef(PRM_1182, 11, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1254
 */
VARIABLE PRM_1254	/* Funktion AnPwmOut1 */
{
    LABEL		[TXT_PRM_1254];
    HELP		[HLP_PRM_1254];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_275 */
    {
        DEFAULT_VALUE		2;
        { 372, [TXT_TYP_985] } /* Konstante 0 */
        , { 2, [TXT_TYP_343] } /* Istwert E2 */
        , { 545, [TXT_TYP_367] } /* Drehmoment Istwert */
        , { 498, [TXT_TYP_345] } /* AnIn1_Melde */
        , { 499, [TXT_TYP_346] } /* AnIn2_Melde */
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} /* FeldbusAnalogOut_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} /* FeldbusAnalogOut_02, using RULE_304 */
        IF (((PRM_3633 == 2)) || ((PRM_5066 == 5))) {{ 11, [TXT_TYP_1399] }} /* Drehzahl Sollwert, using RULE_777 */
        { 1583, [TXT_TYP_3964] } /* HART CurrOut Isolated */
        , { 1785, [TXT_TYP_4423] } /* T_SteuerungNorm */
        , { 1786, [TXT_TYP_4424] } /* T_SteuereinheitNorm */
        IF (PRM_1752 != 0) {{ 1013, [TXT_TYP_4426] }} /* Gesamtbeschleunigung in %, using RULE_11 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1254, 12, 54)
WriteCmdDef(PRM_1254, 12, 54)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1255
 */
VARIABLE PRM_1255	/* Bereich_AnPwmOut1 */
{
    LABEL		[TXT_PRM_1255];
    HELP		[HLP_PRM_1255];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_127 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_128] } /* 0 bis 20 mA */
        , { 1, [TXT_TYP_129] } /* 4 bis 20mA */
        , { 2, [TXT_TYP_130] } /* 20 bis 0 mA */
        , { 3, [TXT_TYP_131] } /* 20 bis 4 mA */
        , { 4, [TXT_TYP_4181], [HLP_TYP_4181] } /* X bis Y mA */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1255, 12, 55)
WriteCmdDef(PRM_1255, 12, 55)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1256
 */
VARIABLE PRM_1256	/* Korrektur 20mA */
{
    LABEL		[TXT_PRM_1256];
    HELP		[HLP_PRM_1256];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1256, 12, 56)
WriteCmdDef(PRM_1256, 12, 56)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1257
 */
VARIABLE PRM_1257	/* Korrektur 0 / 4 mA */
{
    LABEL		[TXT_PRM_1257];
    HELP		[HLP_PRM_1257];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1257, 12, 57)
WriteCmdDef(PRM_1257, 12, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1262
 */
VARIABLE PRM_1262	/* Funktion AnPwmOut2 */
{
    LABEL		[TXT_PRM_1262];
    HELP		[HLP_PRM_1262];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_275 */
    {
        DEFAULT_VALUE		545;
        { 372, [TXT_TYP_985] } /* Konstante 0 */
        , { 2, [TXT_TYP_343] } /* Istwert E2 */
        , { 545, [TXT_TYP_367] } /* Drehmoment Istwert */
        , { 498, [TXT_TYP_345] } /* AnIn1_Melde */
        , { 499, [TXT_TYP_346] } /* AnIn2_Melde */
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} /* FeldbusAnalogOut_01, using RULE_304 */
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} /* FeldbusAnalogOut_02, using RULE_304 */
        IF (((PRM_3633 == 2)) || ((PRM_5066 == 5))) {{ 11, [TXT_TYP_1399] }} /* Drehzahl Sollwert, using RULE_777 */
        { 1583, [TXT_TYP_3964] } /* HART CurrOut Isolated */
        , { 1785, [TXT_TYP_4423] } /* T_SteuerungNorm */
        , { 1786, [TXT_TYP_4424] } /* T_SteuereinheitNorm */
        IF (PRM_1752 != 0) {{ 1013, [TXT_TYP_4426] }} /* Gesamtbeschleunigung in %, using RULE_11 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1262, 12, 62)
WriteCmdDef(PRM_1262, 12, 62)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1263
 */
VARIABLE PRM_1263	/* Bereich_AnPwmOut2 */
{
    LABEL		[TXT_PRM_1263];
    HELP		[HLP_PRM_1263];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_127 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_128] } /* 0 bis 20 mA */
        , { 1, [TXT_TYP_129] } /* 4 bis 20mA */
        , { 2, [TXT_TYP_130] } /* 20 bis 0 mA */
        , { 3, [TXT_TYP_131] } /* 20 bis 4 mA */
        , { 4, [TXT_TYP_4181], [HLP_TYP_4181] } /* X bis Y mA */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1263, 12, 63)
WriteCmdDef(PRM_1263, 12, 63)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1264
 */
VARIABLE PRM_1264	/* Korrektur 20mA */
{
    LABEL		[TXT_PRM_1264];
    HELP		[HLP_PRM_1264];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1264, 12, 64)
WriteCmdDef(PRM_1264, 12, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1265
 */
VARIABLE PRM_1265	/* Korrektur 0 / 4 mA */
{
    LABEL		[TXT_PRM_1265];
    HELP		[HLP_PRM_1265];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
ReadCmdDef(PRM_1265, 12, 65)
WriteCmdDef(PRM_1265, 12, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1321
 */
VARIABLE PRM_1321	/* Profibus_SollAdres_1 */
{
    LABEL		[TXT_PRM_1321];
    HELP		[HLP_PRM_1321];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PRM_1321, 13, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1322
 */
VARIABLE PRM_1322	/* Profibus_SollAdres_2 */
{
    LABEL		[TXT_PRM_1322];
    HELP		[HLP_PRM_1322];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_3059 == 1) && (PRM_2885 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_556 */
}
ReadCmdDef(PRM_1322, 13, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1433
 */
VARIABLE PRM_1433	/* Zeitformat */
{
    LABEL		[TXT_PRM_1433];
    HELP		[HLP_PRM_1433];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_369 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_370] } /* 12h */
        , { 1, [TXT_TYP_376] } /* 24h */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1433, 14, 33)
WriteCmdDef(PRM_1433, 14, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1467
 */
VARIABLE PRM_1467	/* Zahlenformat */
{
    LABEL		[TXT_PRM_1467];
    HELP		[HLP_PRM_1467];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_375 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_377] } /* xx.x */
        , { 1, [TXT_TYP_379] } /* xx,x */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1467, 14, 67)
WriteCmdDef(PRM_1467, 14, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1559
 */
VARIABLE PRM_1559	/* MwgEndlagenPosAuf */
{
    LABEL		[TXT_PRM_1559];
    HELP		[HLP_PRM_1559];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
ReadCmdDef(PRM_1559, 15, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1560
 */
VARIABLE PRM_1560	/* MwgEndlagenPosZu */
{
    LABEL		[TXT_PRM_1560];
    HELP		[HLP_PRM_1560];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
ReadCmdDef(PRM_1560, 15, 60)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1705
 */
VARIABLE PRM_1705	/* Winkel max Close */
{
    LABEL		[TXT_PRM_1705];
    HELP		[HLP_PRM_1705];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	8;
        MAX_VALUE	122;
        DEFAULT_VALUE	105;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1705, 17, 5)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1706
 */
VARIABLE PRM_1706	/* Winkel max Open */
{
    LABEL		[TXT_PRM_1706];
    HELP		[HLP_PRM_1706];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	132;
        MAX_VALUE	247;
        DEFAULT_VALUE	149;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1706, 17, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1707
 */
VARIABLE PRM_1707	/* Winkel min Close */
{
    LABEL		[TXT_PRM_1707];
    HELP		[HLP_PRM_1707];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	65;
        MAX_VALUE	125;
        DEFAULT_VALUE	120;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1707, 17, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1708
 */
VARIABLE PRM_1708	/* Winkel min Open */
{
    LABEL		[TXT_PRM_1708];
    HELP		[HLP_PRM_1708];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	129;
        MAX_VALUE	189;
        DEFAULT_VALUE	134;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1708, 17, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1709
 */
VARIABLE PRM_1709	/* Torque max Close */
{
    LABEL		[TXT_PRM_1709];
    HELP		[HLP_PRM_1709];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1709, 17, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1710
 */
VARIABLE PRM_1710	/* Torque max Open */
{
    LABEL		[TXT_PRM_1710];
    HELP		[HLP_PRM_1710];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1710, 17, 10)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1711
 */
VARIABLE PRM_1711	/* Torque min Close */
{
    LABEL		[TXT_PRM_1711];
    HELP		[HLP_PRM_1711];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1711, 17, 11)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1712
 */
VARIABLE PRM_1712	/* Torque min Open */
{
    LABEL		[TXT_PRM_1712];
    HELP		[HLP_PRM_1712];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1712, 17, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1713
 */
VARIABLE PRM_1713	/* Torque Totzone */
{
    LABEL		[TXT_PRM_1713];
    HELP		[HLP_PRM_1713];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	20;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1713, 17, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1714
 */
VARIABLE PRM_1714	/* TorqueZeroAdjust */
{
    LABEL		[TXT_PRM_1714];
    HELP		[HLP_PRM_1714];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-20;
        MAX_VALUE	20;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1714, 17, 14)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1715
 */
VARIABLE PRM_1715	/* KorrekturKennlnClose */
{
    LABEL		[TXT_PRM_1715];
    HELP		[HLP_PRM_1715];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1715, 17, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1716
 */
VARIABLE PRM_1716	/* KorrekturKennlnOpen */
{
    LABEL		[TXT_PRM_1716];
    HELP		[HLP_PRM_1716];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1716, 17, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1725
 */
VARIABLE PRM_1725	/* MWG LimitSwitchHyst */
{
    LABEL		[TXT_PRM_1725];
    HELP		[HLP_PRM_1725];
    CLASS		CONTAINED;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1725, 17, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1741
 */
VARIABLE PRM_1741	/* MWG TrqSwOpenHyster */
{
    LABEL		[TXT_PRM_1741];
    HELP		[HLP_PRM_1741];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	20;
        DEFAULT_VALUE	5;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1741, 17, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1752
 */
VARIABLE PRM_1752	/* Soll_MWG_vorhanden */
{
    LABEL		[TXT_PRM_1752];
    HELP		[HLP_PRM_1752];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3969 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3970] } /* Nicht vorhanden */
        , { 1, [TXT_TYP_3971] } /* SYS-MWG-1.x */
        , { 2, [TXT_TYP_3972] } /* LLM-MWG-2.x */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1752, 17, 52)
WriteCmdDef(PRM_1752, 17, 52)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1759
 */
VARIABLE PRM_1759	/* Firmware Version */
{
    LABEL		[TXT_PRM_1759];
    HELP		[HLP_PRM_1759];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxx.xx.xx";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1759, 17, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1760
 */
VARIABLE PRM_1760	/* AuftragsNr Steuerung */
{
    LABEL		[TXT_PRM_1760];
    HELP		[HLP_PRM_1760];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_AUFTRGSNR STEUERG_ ";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1760, 17, 60)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1761
 */
VARIABLE PRM_1761	/* AuftragsNr Antrieb */
{
    LABEL		[TXT_PRM_1761];
    HELP		[HLP_PRM_1761];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_AUFTRAGSNR ANTRIEB_";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1761, 17, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1762
 */
VARIABLE PRM_1762	/* SerienNr Steuerung */
{
    LABEL		[TXT_PRM_1762];
    HELP		[HLP_PRM_1762];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_SERIENNR STEUERUNG_";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1762, 17, 62)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1763
 */
VARIABLE PRM_1763	/* SerienNr Antrieb */
{
    LABEL		[TXT_PRM_1763];
    HELP		[HLP_PRM_1763];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_SERIENNR ANTRIEB_  ";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1763, 17, 63)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1764
 */
VARIABLE PRM_1764	/* Schaltplan Steuerung */
{
    LABEL		[TXT_PRM_1764];
    HELP		[HLP_PRM_1764];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPC";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1764, 17, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1765
 */
VARIABLE PRM_1765	/* Schaltplan Antrieb */
{
    LABEL		[TXT_PRM_1765];
    HELP		[HLP_PRM_1765];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPA";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_1765, 17, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1869
 */
VARIABLE PRM_1869	/* AuslösungFailsafe */
{
    LABEL		[TXT_PRM_1869];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_713 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_715] } /* ZUERST GUT */
        , { 2, [TXT_TYP_716] } /* SOFORT_AUSLÖSEN */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1869, 18, 69)
WriteCmdDef(PRM_1869, 18, 69)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1870
 */
VARIABLE PRM_1870	/* VerhaltenFailsafe */
{
    LABEL		[TXT_PRM_1870];
    HELP		[HLP_PRM_1870];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_706 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_707] } /* STOP */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_708] }} /* CLOSE, using RULE_611 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_709] }} /* OPEN, using RULE_611 */
        { 3, [TXT_TYP_710] } /* POSITION */
        , { 4, [TXT_TYP_711] } /* LAST_CMD */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1870, 18, 70)
WriteCmdDef(PRM_1870, 18, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1871
 */
VARIABLE PRM_1871	/* AuslösequellFailsafe */
{
    LABEL		[TXT_PRM_1871];
    HELP		[HLP_PRM_1871];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_712 */
    {
        DEFAULT_VALUE		4;
        IF (PRM_181 != 0) {{ 1, [TXT_TYP_718] }} /* Feldbus-Ausfall, using RULE_304 */
        IF (PRM_45 != 0) {{ 2, [TXT_TYP_719] }} /* Sollwert-Ausfall E1, using RULE_19 */
        { 4, [TXT_TYP_722] } /* Aktive Befehlsquelle */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1871, 18, 71)
WriteCmdDef(PRM_1871, 18, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1872
 */
VARIABLE PRM_1872	/* PositionFailsafe */
{
    LABEL		[TXT_PRM_1872];
    HELP		[HLP_PRM_1872];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 != 3) { TRUE; } ELSE { FALSE; }  /* using RULE_611 */
}
ReadCmdDef(PRM_1872, 18, 72)
WriteCmdDef(PRM_1872, 18, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1874
 */
VARIABLE PRM_1874	/* VerzögerungFailsafe */
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	18000;
        DEFAULT_VALUE	30;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1874, 18, 74)
WriteCmdDef(PRM_1874, 18, 74)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1887
 */
VARIABLE PRM_1887	/* Stütz1_Pausenzeit */
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1887, 18, 87)
WriteCmdDef(PRM_1887, 18, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1888
 */
VARIABLE PRM_1888	/* Stütz2_Pausenzeit */
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1888, 18, 88)
WriteCmdDef(PRM_1888, 18, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1889
 */
VARIABLE PRM_1889	/* Stütz3_Pausenzeit */
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1889, 18, 89)
WriteCmdDef(PRM_1889, 18, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1890
 */
VARIABLE PRM_1890	/* Stütz4_Pausenzeit */
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1890, 18, 90)
WriteCmdDef(PRM_1890, 18, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1891
 */
VARIABLE PRM_1891	/* Stütz5_Pausenzeit */
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1891, 18, 91)
WriteCmdDef(PRM_1891, 18, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1892
 */
VARIABLE PRM_1892	/* Stütz6_Pausenzeit */
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1892, 18, 92)
WriteCmdDef(PRM_1892, 18, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1893
 */
VARIABLE PRM_1893	/* Stütz7_Pausenzeit */
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1893, 18, 93)
WriteCmdDef(PRM_1893, 18, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1894
 */
VARIABLE PRM_1894	/* Stütz8_Pausenzeit */
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	2;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_1894, 18, 94)
WriteCmdDef(PRM_1894, 18, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1931
 */
VARIABLE PRM_1931	/* Fahrprofil Aktivierung */
{
    LABEL		[TXT_PRM_1931];
    HELP		[HLP_PRM_1931];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1178 == 1) && !(PRM_5066 == 2) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_765 */
}
ReadCmdDef(PRM_1931, 19, 31)
WriteCmdDef(PRM_1931, 19, 31)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1969
 */
VARIABLE PRM_1969	/* NennmomentAufNm */
{
    LABEL		[TXT_PRM_1969];
    HELP		[HLP_PRM_1969];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_1969, 19, 69)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_1996
 */
VARIABLE PRM_1996	/* Datumsformat */
{
    LABEL		[TXT_PRM_1996];
    HELP		[HLP_PRM_1996];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_649 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_650] } /* mm/dd/yyyy */
        , { 1, [TXT_TYP_651] } /* dd.mm.yyyy */
        , { 2, [TXT_TYP_652] } /* yyyy-mm-dd */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_1996, 19, 96)
WriteCmdDef(PRM_1996, 19, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2006
 */
VARIABLE PRM_2006	/* Einheit Temperatur */
{
    LABEL		[TXT_PRM_2006];
    HELP		[HLP_PRM_2006];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_677 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_678] } /* °C */
        , { 1, [TXT_TYP_679] } /* °F */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2006, 20, 6)
WriteCmdDef(PRM_2006, 20, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2036
 */
VARIABLE PRM_2036	/* PRM_TorqueNmOpen */
{
    LABEL		[TXT_PRM_2036];
    HELP		[HLP_PRM_2036];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2036, 20, 36)
WriteCmdDef(PRM_2036, 20, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2041
 */
VARIABLE PRM_2041	/* PRM_TorqueNmClose */
{
    LABEL		[TXT_PRM_2041];
    HELP		[HLP_PRM_2041];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2041, 20, 41)
WriteCmdDef(PRM_2041, 20, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2088
 */
VARIABLE PRM_2088	/* NennmomentZuNm */
{
    LABEL		[TXT_PRM_2088];
    HELP		[HLP_PRM_2088];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_2088, 20, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2121
 */
VARIABLE PRM_2121	/* ED-Enable */
{
    LABEL		[TXT_PRM_2121];
    HELP		[HLP_PRM_2121];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2121, 21, 21)
WriteCmdDef(PRM_2121, 21, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2122
 */
VARIABLE PRM_2122	/* Max Laufzeit pro Std */
{
    LABEL		[TXT_PRM_2122];
    HELP		[HLP_PRM_2122];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	60;
        DEFAULT_VALUE	15;
    }
    CONSTANT_UNIT		"min";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2122, 21, 22)
WriteCmdDef(PRM_2122, 21, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2123
 */
VARIABLE PRM_2123	/* Max Anläufe pro Std */
{
    LABEL		[TXT_PRM_2123];
    HELP		[HLP_PRM_2123];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2123, 21, 23)
WriteCmdDef(PRM_2123, 21, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2175
 */
VARIABLE PRM_2175	/* ServicemotionOrtClnt */
{
    LABEL		[TXT_PRM_2175];
    HELP		[HLP_PRM_2175];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_699 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_700] } /* Servicefahrt nur Ort */
        , { 1, [TXT_TYP_701] } /* ServicefahrtOrt+Fern */
        , { 2, [TXT_TYP_4240] } /* Deaktiivert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2175, 21, 75)
WriteCmdDef(PRM_2175, 21, 75)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2176
 */
VARIABLE PRM_2176	/* Datum der Endabnahme */
{
    LABEL		[TXT_PRM_2176];
    HELP		[HLP_PRM_2176];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_DATE_PRODUCTION_";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2176, 21, 76)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2178
 */
VARIABLE PRM_2178	/* UsrTripTorqueMinOpen */
{
    LABEL		[TXT_PRM_2178];
    HELP		[HLP_PRM_2178];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_2178, 21, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2179
 */
VARIABLE PRM_2179	/* UsrTripTorqueMaxOpen */
{
    LABEL		[TXT_PRM_2179];
    HELP		[HLP_PRM_2179];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_2179, 21, 79)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2180
 */
VARIABLE PRM_2180	/* UsrTripTorqueMinClos */
{
    LABEL		[TXT_PRM_2180];
    HELP		[HLP_PRM_2180];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_2180, 21, 80)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2181
 */
VARIABLE PRM_2181	/* UsrTripTorqueMaxClos */
{
    LABEL		[TXT_PRM_2181];
    HELP		[HLP_PRM_2181];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_2181, 21, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2182
 */
VARIABLE PRM_2182	/* Einheit Drehmoment */
{
    LABEL		[TXT_PRM_2182];
    HELP		[HLP_PRM_2182];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_702 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_703] } /* Nm */
        , { 1, [TXT_TYP_704] } /* lbs. ft. */
        , { 2, [TXT_TYP_705] } /* % */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2182, 21, 82)
WriteCmdDef(PRM_2182, 21, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2188
 */
VARIABLE PRM_2188	/* Lokale BDA */
{
    LABEL		[TXT_PRM_2188];
    HELP		[HLP_PRM_2188];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"XX:XX:XX:XX:XX:XX";
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_2591 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_149 */
}
ReadCmdDef(PRM_2188, 21, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2239
 */
VARIABLE PRM_2239	/* Anzahl AIN */
{
    LABEL		[TXT_PRM_2239];
    HELP		[HLP_PRM_2239];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
}
ReadCmdDef(PRM_2239, 22, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2267
 */
VARIABLE PRM_2267	/* LED-Farben */
{
    LABEL		[TXT_PRM_2267];
    HELP		[HLP_PRM_2267];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_849 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_850], [HLP_TYP_850] } /* Std (ge/rt/rt/rt/gn) */
        , { 1, [TXT_TYP_851], [HLP_TYP_851] } /* USA (gn/bl/ge/ws/rt) */
        , { 2, [TXT_TYP_1378] } /* konfigurierbar */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2267, 22, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2281
 */
VARIABLE PRM_2281	/* Anzahl DIN */
{
    LABEL		[TXT_PRM_2281];
    HELP		[HLP_PRM_2281];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
}
ReadCmdDef(PRM_2281, 22, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2293
 */
VARIABLE PRM_2293	/* Anzahl AOUT */
{
    LABEL		[TXT_PRM_2293];
    HELP		[HLP_PRM_2293];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
}
ReadCmdDef(PRM_2293, 22, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2294
 */
VARIABLE PRM_2294	/* Anzahl DOUT */
{
    LABEL		[TXT_PRM_2294];
    HELP		[HLP_PRM_2294];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
}
ReadCmdDef(PRM_2294, 22, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2339
 */
VARIABLE PRM_2339	/* Soll_OPT_vorhanden */
{
    LABEL		[TXT_PRM_2339];
    HELP		[HLP_PRM_2339];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_846 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_847] } /* nicht vorhanden */
        , { 1, [TXT_TYP_848] } /* vorhanden */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2339, 23, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2402
 */
VARIABLE PRM_2402	/* PotiRangeMin */
{
    LABEL		[TXT_PRM_2402];
    HELP		[HLP_PRM_2402];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1023;
        DEFAULT_VALUE	610;
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /*  ### AccessViolationByRule RULE_299 (lvl= 6) ###  */
            /* ### WARNING: Ambigous RuleSets "((PRM_2755 == 1))" (RULE_406) */
}
ReadCmdDef(PRM_2402, 24, 2)
WriteCmdDef(PRM_2402, 24, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2415
 */
VARIABLE PRM_2415	/* Soll_Ifa2_Vorhanden */
{
    LABEL		[TXT_PRM_2415];
    HELP		[HLP_PRM_2415];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3965 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3966] } /* Nicht vorhanden */
        , { 1, [TXT_TYP_3967] } /* Logik-Parallel */
        , { 2, [TXT_TYP_3968], [HLP_TYP_3968] } /* LLM-Bistabile Rel */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2415, 24, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2418
 */
VARIABLE PRM_2418	/* Diagnoseauswahl */
{
    LABEL		[TXT_PRM_2418];
    HELP		[HLP_PRM_2418];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_773 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_774] } /* AUMA-Meldungen */
        , { 1, [TXT_TYP_775] } /* NAMUR-Meldungen */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2418, 24, 18)
WriteCmdDef(PRM_2418, 24, 18)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2546
 */
VARIABLE PRM_2546	/* ApplMode_OpTimeMon */
{
    LABEL		[TXT_PRM_2546];
    HELP		[HLP_PRM_2546];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_886 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_887], [HLP_TYP_887] } /* Aus */
        , { 1, [TXT_TYP_888], [HLP_TYP_888] } /* Manuell */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2546, 25, 46)
WriteCmdDef(PRM_2546, 25, 46)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2547
 */
VARIABLE PRM_2547	/* ApplOpTime_OpTimeMon */
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	35999;
        DEFAULT_VALUE	9000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_2547, 25, 47)
WriteCmdDef(PRM_2547, 25, 47)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2554
 */
VARIABLE PRM_2554	/* Mode_MotionDetector */
{
    LABEL		[TXT_PRM_2554];
    HELP		[HLP_PRM_2554];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2554, 25, 54)
WriteCmdDef(PRM_2554, 25, 54)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2555
 */
VARIABLE PRM_2555	/* Dt_MotionDetector */
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	1;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_2555, 25, 55)
WriteCmdDef(PRM_2555, 25, 55)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2556
 */
VARIABLE PRM_2556	/* Dx_MotionDetector */
{
    LABEL		[TXT_PRM_2556];
    HELP		[HLP_PRM_2556];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2556, 25, 56)
WriteCmdDef(PRM_2556, 25, 56)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2568
 */
VARIABLE PRM_2568	/* Version Sprache */
{
    LABEL		[TXT_PRM_2568];
    HELP		[HLP_PRM_2568];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxxx";
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2568, 25, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2591
 */
VARIABLE PRM_2591	/* BT-Aktivierung */
{
    LABEL		[TXT_PRM_2591];
    HELP		[HLP_PRM_2591];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2591 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_94 */
}
ReadCmdDef(PRM_2591, 25, 91)
WriteCmdDef(PRM_2591, 25, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2715
 */
VARIABLE PRM_2715	/* RwgDrahtbruch */
{
    LABEL		[TXT_PRM_2715];
    HELP		[HLP_PRM_2715];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1023;
        DEFAULT_VALUE	179;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_510 */
}
ReadCmdDef(PRM_2715, 27, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2755
 */
VARIABLE PRM_2755	/* Soll_E2_Quelle_Select */
{
    LABEL		[TXT_PRM_2755];
    HELP		[HLP_PRM_2755];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_322 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_323], [HLP_TYP_323] } /* keine E2Quelle */
        , { 1, [TXT_TYP_327], [HLP_TYP_327] } /* Poti */
        , { 2, [TXT_TYP_325], [HLP_TYP_325] } /* RWG */
        , { 4, [TXT_TYP_326], [HLP_TYP_326] } /* MWG */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_2755, 27, 55)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2798
 */
VARIABLE PRM_2798	/* Mux24VExtEnable_Activate */
{
    LABEL		[TXT_PRM_2798];
    HELP		[HLP_PRM_2798];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_2798, 27, 98)
WriteCmdDef(PRM_2798, 27, 98)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2823
 */
VARIABLE PRM_2823	/* DP-V2 aktiviert */
{
    LABEL		[TXT_PRM_2823];
    HELP		[HLP_PRM_2823];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_500 */
}
ReadCmdDef(PRM_2823, 28, 23)
WriteCmdDef(PRM_2823, 28, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2858
 */
VARIABLE PRM_2858	/* MwgHubMin */
{
    LABEL		[TXT_PRM_2858];
    HELP		[HLP_PRM_2858];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	0;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
ReadCmdDef(PRM_2858, 28, 58)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2859
 */
VARIABLE PRM_2859	/* MwgHubMax */
{
    LABEL		[TXT_PRM_2859];
    HELP		[HLP_PRM_2859];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	64000;
        MAX_VALUE	64000;
        DEFAULT_VALUE	64000;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
ReadCmdDef(PRM_2859, 28, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2865
 */
VARIABLE PRM_2865	/* Activate_Delay24VKD */
{
    LABEL		[TXT_PRM_2865];
    HELP		[HLP_PRM_2865];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_2865, 28, 65)
WriteCmdDef(PRM_2865, 28, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2885
 */
VARIABLE PRM_2885	/* Redundanz-Mode */
{
    LABEL		[TXT_PRM_2885];
    HELP		[HLP_PRM_2885];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1085 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1086], [HLP_TYP_1086] } /* Keine Redundanz */
        , { 1, [TXT_TYP_1087], [HLP_TYP_1087] } /* PNO Redundanz (SR) */
        , { 4, [TXT_TYP_1297], [HLP_TYP_1297] } /* PNO Redundanz (FR) */
        , { 2, [TXT_TYP_1088], [HLP_TYP_1088] } /* AUMA Redundanz 1 */
        , { 3, [TXT_TYP_1196], [HLP_TYP_1196] } /* AUMA Redundanz 2 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_173 */
}
ReadCmdDef(PRM_2885, 28, 85)
WriteCmdDef(PRM_2885, 28, 85)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2916
 */
VARIABLE PRM_2916	/* StelReglHysAuf */
{
    LABEL		[TXT_PRM_2916];
    HELP		[HLP_PRM_2916];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_84 != 0) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_169 */
}
ReadCmdDef(PRM_2916, 29, 16)
WriteCmdDef(PRM_2916, 29, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2917
 */
VARIABLE PRM_2917	/* StelReglHysZu */
{
    LABEL		[TXT_PRM_2917];
    HELP		[HLP_PRM_2917];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_84 != 0) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_169 */
}
ReadCmdDef(PRM_2917, 29, 17)
WriteCmdDef(PRM_2917, 29, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2923
 */
VARIABLE PRM_2923	/* Aktivierung NOT */
{
    LABEL		[TXT_PRM_2923];
    HELP		[HLP_PRM_2923];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_2923, 29, 23)
WriteCmdDef(PRM_2923, 29, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2924
 */
VARIABLE PRM_2924	/* Auslösequelle NOT */
{
    LABEL		[TXT_PRM_2924];
    HELP		[HLP_PRM_2924];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1089 */
    {
        DEFAULT_VALUE		1;
        IF (PRM_45 != 0) {{ 1, [TXT_TYP_1090] }} /* Parall.Interface, using RULE_19 */
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_1091] }} /* Feldbus Interface, using RULE_304 */
        IF (((PRM_45 != 0) && (PRM_181 != 0) && (PRM_3633 == 1))) {{ 3, [TXT_TYP_1092] }} /* Parall oder Feldbus, using RULE_808 */
        IF (PRM_3633 == 1) {{ 4, [TXT_TYP_1406] }} /* Aktive Befehlsquelle, using RULE_505 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_2924, 29, 24)
WriteCmdDef(PRM_2924, 29, 24)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_2950
 */
VARIABLE PRM_2950	/* Bypass Fahrprofil NOT */
{
    LABEL		[TXT_PRM_2950];
    HELP		[HLP_PRM_2950];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_364 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_365] } /* Not-Ueberbr-Inaktiv */
        , { 1, [TXT_TYP_366] } /* Not-Ueberbr-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_2950, 29, 50)
WriteCmdDef(PRM_2950, 29, 50)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3006
 */
VARIABLE PRM_3006	/* Profibus Ident Nr */
{
    LABEL		[TXT_PRM_3006];
    HELP		[HLP_PRM_3006];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1093 */
    {
        DEFAULT_VALUE		3151;
        { 3151, [TXT_TYP_1094], [HLP_TYP_1094] } /* 0x0C4F (DP-V0/V1) */
        , { 3261, [TXT_TYP_1095], [HLP_TYP_1095] } /* 0x0CBD (DP-V0/V1/V2)  */
        , { 3191, [TXT_TYP_1107], [HLP_TYP_1107] } /* 0x0C77 (P70 DP-V0)  */
        , { 1485, [TXT_TYP_3761] } /* 0x05CD */
        , { 1842, [TXT_TYP_3762] } /* 0x0732 */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PRM_3006, 30, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3059
 */
VARIABLE PRM_3059	/* Soll_Bus_AnzahlKanal */
{
    LABEL		[TXT_PRM_3059];
    HELP		[HLP_PRM_3059];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1064 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1065], [HLP_TYP_1065] } /* Einkanalig */
        , { 1, [TXT_TYP_1066], [HLP_TYP_1066] } /* Zweikanalig */
        , { 2, [TXT_TYP_1097], [HLP_TYP_1097] } /* ZweikanaligMitRelais */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3059, 30, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3134
 */
VARIABLE PRM_3134	/* Kauf Freigabe ORT */
{
    LABEL		[TXT_PRM_3134];
    HELP		[HLP_PRM_3134];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3134, 31, 34)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3135
 */
VARIABLE PRM_3135	/* Aktiv. Freigabe ORT */
{
    LABEL		[TXT_PRM_3135];
    HELP		[HLP_PRM_3135];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3134 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_200 */
}
ReadCmdDef(PRM_3135, 31, 35)
WriteCmdDef(PRM_3135, 31, 35)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3136
 */
VARIABLE PRM_3136	/* Verh. Freigabe ORT */
{
    LABEL		[TXT_PRM_3136];
    HELP		[HLP_PRM_3136];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1123 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1124], [HLP_TYP_1124] } /* nur ORT */
        , { 1, [TXT_TYP_1125], [HLP_TYP_1125] } /* ORT und AUS */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3134 == 1) && (PRM_3135 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_202 */
}
ReadCmdDef(PRM_3136, 31, 36)
WriteCmdDef(PRM_3136, 31, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3143
 */
VARIABLE PRM_3143	/* Verh. Lokaler Halt */
{
    LABEL		[TXT_PRM_3143];
    HELP		[HLP_PRM_3143];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1126 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1127], [HLP_TYP_1127] } /* ausgeschaltet */
        , { 1, [TXT_TYP_1128], [HLP_TYP_1128] } /* ORT + FERN */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3143, 31, 43)
WriteCmdDef(PRM_3143, 31, 43)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3156
 */
VARIABLE PRM_3156	/* Ex-Ausführung */
{
    LABEL		[TXT_PRM_3156];
    HELP		[HLP_PRM_3156];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1135 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1136] } /* NEIN */
        , { 1, [TXT_TYP_1137] } /* JA */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3156, 31, 56)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3157
 */
VARIABLE PRM_3157	/* Betriebsart Standard */
{
    LABEL		[TXT_PRM_3157];
    HELP		[HLP_PRM_3157];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1132 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1133], [HLP_TYP_1133] } /* ohne Abschaltung */
        , { 1, [TXT_TYP_1134], [HLP_TYP_1134] } /* mit Abschaltung */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_301 */
}
ReadCmdDef(PRM_3157, 31, 57)
WriteCmdDef(PRM_3157, 31, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3158
 */
VARIABLE PRM_3158	/* Reakt.Reaktionszeit */
{
    LABEL		[TXT_PRM_3158];
    HELP		[HLP_PRM_3158];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	150;
        MAX_VALUE	3000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_301 */
}
ReadCmdDef(PRM_3158, 31, 58)
WriteCmdDef(PRM_3158, 31, 58)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3191
 */
VARIABLE PRM_3191	/* Tag Drehmo-Weg 1 */
{
    LABEL		[TXT_PRM_3191];
    HELP		[HLP_PRM_3191];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ REF 1 _";
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1752 != 0)) || ((PRM_5066 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_553 */
}
ReadCmdDef(PRM_3191, 31, 91)
WriteCmdDef(PRM_3191, 31, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3192
 */
VARIABLE PRM_3192	/* Tag Drehmo-Weg 2 */
{
    LABEL		[TXT_PRM_3192];
    HELP		[HLP_PRM_3192];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ REF 2 _";
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1752 != 0)) || ((PRM_5066 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_553 */
}
ReadCmdDef(PRM_3192, 31, 92)
WriteCmdDef(PRM_3192, 31, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3193
 */
VARIABLE PRM_3193	/* Tag Drehmo-Weg 3 */
{
    LABEL		[TXT_PRM_3193];
    HELP		[HLP_PRM_3193];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ REF 3 _";
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1752 != 0)) || ((PRM_5066 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_553 */
}
ReadCmdDef(PRM_3193, 31, 93)
WriteCmdDef(PRM_3193, 31, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3216
 */
VARIABLE PRM_3216	/* KAUF Interlock */
{
    LABEL		[TXT_PRM_3216];
    HELP		[HLP_PRM_3216];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3216, 32, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3217
 */
VARIABLE PRM_3217	/* Aktivierung Interlock  */
{
    LABEL		[TXT_PRM_3217];
    HELP		[HLP_PRM_3217];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3216 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_204 */
}
ReadCmdDef(PRM_3217, 32, 17)
WriteCmdDef(PRM_3217, 32, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3218
 */
VARIABLE PRM_3218	/* Betriebsart Interlock */
{
    LABEL		[TXT_PRM_3218];
    HELP		[HLP_PRM_3218];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1167 */
    {
        DEFAULT_VALUE		3;
        { 1, [TXT_TYP_1169], [HLP_TYP_1169] } /* FERN */
        , { 2, [TXT_TYP_1170], [HLP_TYP_1170] } /* ORT */
        , { 3, [TXT_TYP_1171], [HLP_TYP_1171] } /* FERN + ORT */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3217 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_205 */
}
ReadCmdDef(PRM_3218, 32, 18)
WriteCmdDef(PRM_3218, 32, 18)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3219
 */
VARIABLE PRM_3219	/* Verhalten Interlock */
{
    LABEL		[TXT_PRM_3219];
    HELP		[HLP_PRM_3219];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1142 */
    {
        DEFAULT_VALUE		3;
        { 1, [TXT_TYP_1143], [HLP_TYP_1143] } /* AUF */
        , { 2, [TXT_TYP_1144], [HLP_TYP_1144] } /* ZU */
        , { 3, [TXT_TYP_1145], [HLP_TYP_1145] } /* AUF und ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3217 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_205 */
}
ReadCmdDef(PRM_3219, 32, 19)
WriteCmdDef(PRM_3219, 32, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3255
 */
VARIABLE PRM_3255	/* IgnoreNotfahrtIntlck */
{
    LABEL		[TXT_PRM_3255];
    HELP		[HLP_PRM_3255];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1135 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1136] } /* NEIN */
        , { 1, [TXT_TYP_1137] } /* JA */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_3255, 32, 55)
WriteCmdDef(PRM_3255, 32, 55)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3295
 */
VARIABLE PRM_3295	/* Bypass Lokaler Halt */
{
    LABEL		[TXT_PRM_3295];
    HELP		[HLP_PRM_3295];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_364 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_365] } /* Not-Ueberbr-Inaktiv */
        , { 1, [TXT_TYP_366] } /* Not-Ueberbr-Aktiv */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
ReadCmdDef(PRM_3295, 32, 95)
WriteCmdDef(PRM_3295, 32, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3297
 */
VARIABLE PRM_3297	/* Soll_HydrAntrieb */
{
    LABEL		[TXT_PRM_3297];
    HELP		[HLP_PRM_3297];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1135 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1136] } /* NEIN */
        , { 1, [TXT_TYP_1137] } /* JA */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3297, 32, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3479
 */
VARIABLE PRM_3479	/* Version Lwl-FPGA */
{
    LABEL		[TXT_PRM_3479];
    HELP		[HLP_PRM_3479];
    CLASS		CONTAINED;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PRM_3479, 34, 79)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3481
 */
VARIABLE PRM_3481	/* Lwl Bus-Topologie */
{
    LABEL		[TXT_PRM_3481];
    HELP		[HLP_PRM_3481];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1193 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_1194], [HLP_TYP_1194] } /* Ring */
        , { 1, [TXT_TYP_1195], [HLP_TYP_1195] } /* Stern/Linie */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PRM_3481, 34, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3482
 */
VARIABLE PRM_3482	/* Lwl Überwachung */
{
    LABEL		[TXT_PRM_3482];
    HELP		[HLP_PRM_3482];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1252 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1254], [HLP_TYP_1254] } /* Ein (kein Endgerät) */
        , { 1, [TXT_TYP_1253], [HLP_TYP_1253] } /* Aus (Endgerät) */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PRM_3482, 34, 82)
WriteCmdDef(PRM_3482, 34, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3495
 */
VARIABLE PRM_3495	/* Soll_LWL_vorhanden */
{
    LABEL		[TXT_PRM_3495];
    HELP		[HLP_PRM_3495];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_846 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_847] } /* nicht vorhanden */
        , { 1, [TXT_TYP_848] } /* vorhanden */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3495, 34, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3496
 */
VARIABLE PRM_3496	/* Lwl-Baudrate */
{
    LABEL		[TXT_PRM_3496];
    HELP		[HLP_PRM_3496];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1200 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1201], [HLP_TYP_1201] } /* Auto-Detect */
        , { 1, [TXT_TYP_1202], [HLP_TYP_1202] } /* 9.6 kbit/s */
        , { 2, [TXT_TYP_1203], [HLP_TYP_1203] } /* 19.2 kbit/s */
        , { 3, [TXT_TYP_1204], [HLP_TYP_1204] } /* 38.4 kbit/s */
        , { 4, [TXT_TYP_1205], [HLP_TYP_1205] } /* 45.45 kbit/s */
        , { 5, [TXT_TYP_1206], [HLP_TYP_1206] } /* 57.6 kbit/s */
        , { 6, [TXT_TYP_1207], [HLP_TYP_1207] } /* 93.75 kbit/s */
        , { 7, [TXT_TYP_1208], [HLP_TYP_1208] } /* 115.2 kbit/s */
        , { 8, [TXT_TYP_1209], [HLP_TYP_1209] } /* 187.5 kbit/s */
        , { 9, [TXT_TYP_1210], [HLP_TYP_1210] } /* 500.0 kbit/s */
        , { 10, [TXT_TYP_1211], [HLP_TYP_1211] } /* 1500 kbit/s */
        , { 11, [TXT_TYP_1212], [HLP_TYP_1212] } /* 3000 kbit/s */
        , { 12, [TXT_TYP_1213], [HLP_TYP_1213] } /* 6000 kbit/s */
        , { 13, [TXT_TYP_1214], [HLP_TYP_1214] } /* 12000 kbit/s */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PRM_3496, 34, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3517
 */
VARIABLE PRM_3517	/* VibrationAlarmLevel */
{
    LABEL		[TXT_PRM_3517];
    HELP		[HLP_PRM_3517];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	500;
        MAX_VALUE	4000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"g_0";
    HANDLING		READ;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_3517, 35, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3518
 */
VARIABLE PRM_3518	/* VibrationAlarmTime */
{
    LABEL		[TXT_PRM_3518];
    HELP		[HLP_PRM_3518];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	1;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_3518, 35, 18)
WriteCmdDef(PRM_3518, 35, 18)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3527
 */
VARIABLE PRM_3527	/* Sende-Mode */
{
    LABEL		[TXT_PRM_3527];
    HELP		[HLP_PRM_3527];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1249 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1250], [HLP_TYP_1250] } /* Sende auf 1 Leitung */
        , { 1, [TXT_TYP_1251], [HLP_TYP_1251] } /* Sende auf 2 Leitungn */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_468 */
}
ReadCmdDef(PRM_3527, 35, 27)
WriteCmdDef(PRM_3527, 35, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3588
 */
VARIABLE PRM_3588	/* PCtrlCfg: Istw Quelle */
{
    LABEL		[TXT_PRM_3588];
    HELP		[HLP_PRM_3588];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1262 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1263], [HLP_TYP_1263] } /* Interface */
        IF (PRM_181 != 0) {{ 1, [TXT_TYP_1264], [HLP_TYP_1264] }} /* Feldbus, using RULE_304 */
        { 2, [TXT_TYP_3579], [HLP_TYP_3579] } /* Select Bus/IF */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_3588, 35, 88)
WriteCmdDef(PRM_3588, 35, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3589
 */
VARIABLE PRM_3589	/* PID Sollw Int 2 */
{
    LABEL		[TXT_PRM_3589];
    HELP		[HLP_PRM_3589];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_3589, 35, 89)
WriteCmdDef(PRM_3589, 35, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3590
 */
VARIABLE PRM_3590	/* PID Aktivierung */
{
    LABEL		[TXT_PRM_3590];
    HELP		[HLP_PRM_3590];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_217 == 1) && (PRM_1169 == 1) && (PRM_5066 == 1)) || ((PRM_217 == 1) && (PRM_1169 == 1) && (PRM_5066 == 5))) { TRUE; } ELSE { FALSE; }  /* using RULE_743 */
}
ReadCmdDef(PRM_3590, 35, 90)
WriteCmdDef(PRM_3590, 35, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3596
 */
VARIABLE PRM_3596	/* Modbus RedundanzMode */
{
    LABEL		[TXT_PRM_3596];
    HELP		[HLP_PRM_3596];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1271 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1272], [HLP_TYP_1272] } /* Keine Redundanz */
        IF (PRM_3633 == 1) {{ 1, [TXT_TYP_1273], [HLP_TYP_1273] }} /* AUMA Redundanz 1, using RULE_505 */
        IF (PRM_3633 == 1) {{ 2, [TXT_TYP_1274], [HLP_TYP_1274] }} /* AUMA Redundanz 2, using RULE_505 */
        { 3, [TXT_TYP_1301], [HLP_TYP_1301] } /* Ring */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3596, 35, 96)
WriteCmdDef(PRM_3596, 35, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3629
 */
VARIABLE PRM_3629	/* Monoflop: SetTime */
{
    LABEL		[TXT_PRM_3629];
    HELP		[HLP_PRM_3629];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        DEFAULT_VALUE	6000;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3629, 36, 29)
WriteCmdDef(PRM_3629, 36, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3633
 */
VARIABLE PRM_3633	/* IDENT_CODE */
{
    LABEL		[TXT_PRM_3633];
    HELP		[HLP_PRM_3633];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	255;
        DEFAULT_VALUE	1;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3633, 36, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3657
 */
VARIABLE PRM_3657	/* DrehmoWarngrenzeAUF */
{
    LABEL		[TXT_PRM_3657];
    HELP		[HLP_PRM_3657];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1752 != 0) && (PRM_3971 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_404 */
}
ReadCmdDef(PRM_3657, 36, 57)
WriteCmdDef(PRM_3657, 36, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3667
 */
VARIABLE PRM_3667	/* DrehmoWarngrenzeZU */
{
    LABEL		[TXT_PRM_3667];
    HELP		[HLP_PRM_3667];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1752 != 0) && (PRM_3971 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_404 */
}
ReadCmdDef(PRM_3667, 36, 67)
WriteCmdDef(PRM_3667, 36, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3691
 */
VARIABLE PRM_3691	/* ForcedRmtCtrl_Bought */
{
    LABEL		[TXT_PRM_3691];
    HELP		[HLP_PRM_3691];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3691, 36, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3692
 */
VARIABLE PRM_3692	/* ForcedRmtCtrl_Activate */
{
    LABEL		[TXT_PRM_3692];
    HELP		[HLP_PRM_3692];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3691 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_372 */
}
ReadCmdDef(PRM_3692, 36, 92)
WriteCmdDef(PRM_3692, 36, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3693
 */
VARIABLE PRM_3693	/* ForcedRmtCtrl_Mode */
{
    LABEL		[TXT_PRM_3693];
    HELP		[HLP_PRM_3693];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1298 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1299], [HLP_TYP_1299] } /* Fern! */
        , { 1, [TXT_TYP_1300], [HLP_TYP_1300] } /* Fern!! */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3691 == 1) && (PRM_3692 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_373 */
}
ReadCmdDef(PRM_3693, 36, 93)
WriteCmdDef(PRM_3693, 36, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3694
 */
VARIABLE PRM_3694	/* ForcedRmtCtrl_ImplFBus */
{
    LABEL		[TXT_PRM_3694];
    HELP		[HLP_PRM_3694];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1135 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_1136] } /* NEIN */
        , { 1, [TXT_TYP_1137] } /* JA */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3691 == 1) && (PRM_3692 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_373 */
}
ReadCmdDef(PRM_3694, 36, 94)
WriteCmdDef(PRM_3694, 36, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3770
 */
VARIABLE PRM_3770	/* AutoChangeOver Kauf */
{
    LABEL		[TXT_PRM_3770];
    HELP		[HLP_PRM_3770];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_3770, 37, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3771
 */
VARIABLE PRM_3771	/* AutoChangeOver Aktiv */
{
    LABEL		[TXT_PRM_3771];
    HELP		[HLP_PRM_3771];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_3770 == 1) && !(PRM_4899 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_1035 */
}
ReadCmdDef(PRM_3771, 37, 71)
WriteCmdDef(PRM_3771, 37, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3971
 */
VARIABLE PRM_3971	/* DrehmoWarn Aktiv */
{
    LABEL		[TXT_PRM_3971];
    HELP		[HLP_PRM_3971];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1752 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_11 */
}
ReadCmdDef(PRM_3971, 39, 71)
WriteCmdDef(PRM_3971, 39, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4015
 */
VARIABLE PRM_4015	/* DelayTime_DlyESD */
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4015, 40, 15)
WriteCmdDef(PRM_4015, 40, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4032
 */
VARIABLE PRM_4032	/* Intervall Weg-Zeit */
{
    LABEL		[TXT_PRM_4032];
    HELP		[HLP_PRM_4032];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	3600;
        DEFAULT_VALUE	10;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4032, 40, 32)
WriteCmdDef(PRM_4032, 40, 32)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4070
 */
VARIABLE PRM_4070	/* Proportinalbereich */
{
    LABEL		[TXT_PRM_4070];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	200;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_1169 == 1) && (PRM_3633 == 2) && !(PRM_84 == 2)) || ((PRM_1169 == 1) && (PRM_5066 == 5) && !(PRM_84 == 2))) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_1038 */
}
ReadCmdDef(PRM_4070, 40, 70)
WriteCmdDef(PRM_4070, 40, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4076
 */
VARIABLE PRM_4076	/* PropFahrtEnable */
{
    LABEL		[TXT_PRM_4076];
    HELP		[HLP_PRM_4076];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && (PRM_3633 == 2) && !(PRM_84 == 2)) || ((PRM_1169 == 1) && (PRM_5066 == 5) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_783 */
}
ReadCmdDef(PRM_4076, 40, 76)
WriteCmdDef(PRM_4076, 40, 76)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4135
 */
VARIABLE PRM_4135	/* RTC-Batterie-Test */
{
    LABEL		[TXT_PRM_4135];
    HELP		[HLP_PRM_4135];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_2267 == 2) { TRUE; } ELSE { FALSE; }  /* using RULE_431 */
}
ReadCmdDef(PRM_4135, 41, 35)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4136
 */
VARIABLE PRM_4136	/* Farbauswahl ML 1 */
{
    LABEL		[TXT_PRM_4136];
    HELP		[HLP_PRM_4136];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1382 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1383] } /* gelb */
        , { 1, [TXT_TYP_1384] } /* grün */
        , { 2, [TXT_TYP_1385] } /* gelb-grün */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2267 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_661 */
}
ReadCmdDef(PRM_4136, 41, 36)
WriteCmdDef(PRM_4136, 41, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4137
 */
VARIABLE PRM_4137	/* Farbauswahl ML 2 */
{
    LABEL		[TXT_PRM_4137];
    HELP		[HLP_PRM_4137];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1386 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1387] } /* rot */
        , { 1, [TXT_TYP_1388] } /* blau */
        , { 2, [TXT_TYP_1389] } /* violett */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2267 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_661 */
}
ReadCmdDef(PRM_4137, 41, 37)
WriteCmdDef(PRM_4137, 41, 37)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4138
 */
VARIABLE PRM_4138	/* Farbauswahl ML 3 */
{
    LABEL		[TXT_PRM_4138];
    HELP		[HLP_PRM_4138];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1390 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1391] } /* rot */
        , { 1, [TXT_TYP_1392] } /* gelb */
        , { 2, [TXT_TYP_1393] } /* orange */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2267 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_661 */
}
ReadCmdDef(PRM_4138, 41, 38)
WriteCmdDef(PRM_4138, 41, 38)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4139
 */
VARIABLE PRM_4139	/* Farbauswahl ML 4 */
{
    LABEL		[TXT_PRM_4139];
    HELP		[HLP_PRM_4139];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1386 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1387] } /* rot */
        , { 1, [TXT_TYP_1388] } /* blau */
        , { 2, [TXT_TYP_1389] } /* violett */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2267 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_661 */
}
ReadCmdDef(PRM_4139, 41, 39)
WriteCmdDef(PRM_4139, 41, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4140
 */
VARIABLE PRM_4140	/* Farbauswahl ML 5 */
{
    LABEL		[TXT_PRM_4140];
    HELP		[HLP_PRM_4140];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1394 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1395] } /* grün */
        , { 1, [TXT_TYP_1396] } /* rot */
        , { 2, [TXT_TYP_1397] } /* orange */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_2267 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_661 */
}
ReadCmdDef(PRM_4140, 41, 40)
WriteCmdDef(PRM_4140, 41, 40)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4167
 */
VARIABLE PRM_4167	/* StellbBegrEnable */
{
    LABEL		[TXT_PRM_4167];
    HELP		[HLP_PRM_4167];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_1169 == 1) && !(PRM_5072 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_845 */
}
ReadCmdDef(PRM_4167, 41, 67)
WriteCmdDef(PRM_4167, 41, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4190
 */
VARIABLE PRM_4190	/* Kauf PVST */
{
    LABEL		[TXT_PRM_4190];
    HELP		[HLP_PRM_4190];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4190, 41, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4191
 */
VARIABLE PRM_4191	/* Aktivierung PVST */
{
    LABEL		[TXT_PRM_4191];
    HELP		[HLP_PRM_4191];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4190 == 1) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_657 */
}
ReadCmdDef(PRM_4191, 41, 91)
WriteCmdDef(PRM_4191, 41, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4193
 */
VARIABLE PRM_4193	/* Distanz PVST */
{
    LABEL		[TXT_PRM_4193];
    HELP		[HLP_PRM_4193];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4288 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_534 */
}
ReadCmdDef(PRM_4193, 41, 93)
WriteCmdDef(PRM_4193, 41, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4194
 */
VARIABLE PRM_4194	/* Alarmzeit PVST */
{
    LABEL		[TXT_PRM_4194];
    HELP		[HLP_PRM_4194];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	30000;
        DEFAULT_VALUE	600;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4194, uiPRM_4194),
        DEFINITION{ uiPRM_4194.VARIABLE_STATUS = PRM_4194.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4194, 41, 94)
WriteCmdDef(PRM_4194, 41, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4195
 */
VARIABLE PRM_4195	/* Fahrtrichtung PVST */
{
    LABEL		[TXT_PRM_4195];
    HELP		[HLP_PRM_4195];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1408 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_1409], [HLP_TYP_1409] } /* AUF */
        , { 1, [TXT_TYP_1410], [HLP_TYP_1410] } /* ZU */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4191 == 1) && !(PRM_4288 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_706 */
}
ReadCmdDef(PRM_4195, 41, 95)
WriteCmdDef(PRM_4195, 41, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4233
 */
VARIABLE PRM_4233	/* KonfigEreignisprotok */
{
    LABEL		[TXT_PRM_4233];
    HELP		[HLP_PRM_4233];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1418 */
    {
        DEFAULT_VALUE		0x000003FF;
        { 0x00000001, [TXT_TYP_1419], [HLP_TYP_1419] } /* PVST aktiv */
        , { 0x00000002, [TXT_TYP_1624], [HLP_TYP_1624] } /* PVST Fehler */
        , { 0x00000004, [TXT_TYP_1625], [HLP_TYP_1625] } /* PVST Abbruch */
        , { 0x00000008, [TXT_TYP_1629], [HLP_TYP_1629] } /* PVST erforderlich */
        , { 0x00000010, [TXT_TYP_2107], [HLP_TYP_2107] } /* EndlageAuf */
        , { 0x00000020, [TXT_TYP_2108], [HLP_TYP_2108] } /* EndlageZu */
        , { 0x00000040, [TXT_TYP_2143], [HLP_TYP_2143] } /* SafeESD aktiv */
        , { 0x00000080, [TXT_TYP_2144], [HLP_TYP_2144] } /* SafeStop aktiv */
        , { 0x00000100, [TXT_TYP_2145], [HLP_TYP_2145] } /* SafetyFunction n.b. */
        , { 0x00000200, [TXT_TYP_2150] } /* ProofTest aktiv */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4233, 42, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4234
 */
VARIABLE PRM_4234	/* AUMA Warnung */
{
    LABEL		[TXT_PRM_4234];
    HELP		[HLP_PRM_4234];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1421 */
    {
        DEFAULT_VALUE		0x8FFFFFF5;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] } /* Konfigurationswarnung */
        , { 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] } /* Fehler Hydraulik */
        , { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] } /* InterneWarnung */
        , { 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] } /* Warnung Hydraulik */
        , { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] } /* 24VExtAusfall */
        , { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] } /* EDWarnLaufzeit */
        , { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] } /* EDWarnAnläufe */
        , { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] } /* FailSafeActive */
        , { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] } /* WarnungAnalogIn1 */
        , { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] } /* WarnungAnalogIn2 */
        , { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] } /* WarnSollposE1 */
        , { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] } /* Stellzeitwarnung */
        , { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] } /* WarnTempSteuerung */
        , { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] } /* Nicht verwendet */
        , { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] } /* Nicht verwendet */
        , { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] } /* RTC nicht gesetzt */
        , { 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] } /* RTC Batterie */
        , { 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] } /* PVST Fehler */
        , { 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] } /* PVST Abbruch */
        , { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] } /* KeineReaktion */
        , { 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] } /* Wrn LWL Kommfehler */
        , { 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] } /* Wrn LWL Budget */
        , { 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] } /* Wrn LWL ausgefallen */
        , { 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] } /* Drehmomentwarn AUF */
        , { 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] } /* Drehmomentwarn ZU  */
        , { 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] } /* SafetyFunction n.b. */
        , { 0x04000000, [TXT_TYP_3703] } /* PVST erforderlich */
        , { 0x08000000, [TXT_TYP_3732], [HLP_TYP_3732] } /* MaintenanceRequired */
        , { 0x10000000, [TXT_TYP_4112], [HLP_TYP_4112] } /* FQM Failsafe Error */
        , { 0x20000000, [TXT_TYP_4125], [HLP_TYP_4125] } /* WarnTempMwg */
        , { 0x40000000, [TXT_TYP_4182] } /* Drehzahlminderung */
        , { 0x80000000, [TXT_TYP_4254] } /* AUMA Warnung 2 */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4234, 42, 34)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4235
 */
VARIABLE PRM_4235	/* AUMA Fehler */
{
    LABEL		[TXT_PRM_4235];
    HELP		[HLP_PRM_4235];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1447 */
    {
        DEFAULT_VALUE		0x004F83FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] } /* Konfigurationsfehler */
        , { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] } /* Konfigfehler Fern */
        , { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] } /* InternerFehler */
        , { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] } /* BypassedDsFehler */
        , { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] } /* BypassedDoeFehler */
        , { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] } /* Phasenausfall */
        , { 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] } /* Falsche Phasenfolge */
        , { 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] } /* Netzqualität */
        , { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] } /* BypassedThErr */
        , { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] } /* KeineReaktionFehler */
        , { 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] } /* Zylinderdruck max */
        , { 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] } /* Out Of Poti-Range */
        , { 0x00001000, [TXT_TYP_2751], [HLP_TYP_2751] } /* LPV NotReady */
        , { 0x00002000, [TXT_TYP_3700], [HLP_TYP_3700] } /* WarnungAnalogIn1 */
        , { 0x00004000, [TXT_TYP_3701], [HLP_TYP_3701] } /* WarnungAnalogIn2 */
        , { 0x00008000, [TXT_TYP_4018], [HLP_TYP_4018] } /* FalscheDrehrichtung */
        , { 0x00010000, [TXT_TYP_4137], [HLP_TYP_4137] } /* ELSH Abweichung */
        , { 0x00020000, [TXT_TYP_4138] } /* ELSH NotReady */
        , { 0x00040000, [TXT_TYP_4139] } /* ELSH Drahtbruch NA */
        , { 0x00080000, [TXT_TYP_4154] } /* Fehler Umrichter */
        , { 0x00100000, [TXT_TYP_4322] } /* DMF Fehlermeldung AUF */
        , { 0x00200000, [TXT_TYP_4323] } /* DMF Fehlermeldung ZU */
        , { 0x00400000, [TXT_TYP_4332] } /* FQM Sammel-Fehler */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4235, 42, 35)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4236
 */
VARIABLE PRM_4236	/* Nicht bereit FERN */
{
    LABEL		[TXT_PRM_4236];
    HELP		[HLP_PRM_4236];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1457 */
    {
        DEFAULT_VALUE		0x00003FFF;
        { 0x00000001, [TXT_TYP_1458], [HLP_TYP_1458] } /* Falscher Befehl */
        , { 0x00000002, [TXT_TYP_1459], [HLP_TYP_1459] } /* WahlschNichtFernMask */
        , { 0x00000004, [TXT_TYP_1460], [HLP_TYP_1460] } /* BetrMode_Service */
        , { 0x00000008, [TXT_TYP_1662], [HLP_TYP_1662] } /* BetrMode_Gesperrt */
        , { 0x00000010, [TXT_TYP_1461], [HLP_TYP_1461] } /* BetrMode_NOT_HALT */
        , { 0x00000020, [TXT_TYP_1462], [HLP_TYP_1462] } /* BetrMode_ESD */
        , { 0x00000040, [TXT_TYP_1463], [HLP_TYP_1463] } /* Select IO Interface */
        , { 0x00000080, [TXT_TYP_1464], [HLP_TYP_1464] } /* HandradschaltBetätigt */
        , { 0x00000100, [TXT_TYP_1465], [HLP_TYP_1465] } /* FeldbusFailsafeAktiv */
        , { 0x00000200, [TXT_TYP_1466], [HLP_TYP_1466] } /* Lokaler HALT */
        , { 0x00000400, [TXT_TYP_1468], [HLP_TYP_1468] } /* Interlock */
        , { 0x00000800, [TXT_TYP_1660], [HLP_TYP_1660] } /* BypassInterlock */
        , { 0x00001000, [TXT_TYP_1661], [HLP_TYP_1661] } /* PVST aktiv */
        , { 0x00002000, [TXT_TYP_2138], [HLP_TYP_2138] } /* SafetyFunction aktiv */
        , { 0x00004000, [TXT_TYP_2674], [HLP_TYP_2674] } /* WahlschaltrNichtFern */
        , { 0x00008000, [TXT_TYP_4113], [HLP_TYP_4113] } /* FQM Failsafe Active */
        , { 0x00010000, [TXT_TYP_4114], [HLP_TYP_4114] } /* FQM Failsafe Init */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4236, 42, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4237
 */
VARIABLE PRM_4237	/* AUMA OK */
{
    LABEL		[TXT_PRM_4237];
    HELP		[HLP_PRM_4237];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1469 */
    {
        DEFAULT_VALUE		0x0000007F;
        { 0x00000001, [TXT_TYP_1470], [HLP_TYP_1470] } /* AUMA Warnung */
        , { 0x00000002, [TXT_TYP_1471], [HLP_TYP_1471] } /* AUMA Fehler */
        , { 0x00000004, [TXT_TYP_1472], [HLP_TYP_1472] } /* Nicht bereit FERN */
        , { 0x00000008, [TXT_TYP_1473], [HLP_TYP_1473] } /* NAMUR Out Of Spec */
        , { 0x00000010, [TXT_TYP_1474], [HLP_TYP_1474] } /* NAMUR Fkt-Kontrolle */
        , { 0x00000020, [TXT_TYP_1475], [HLP_TYP_1475] } /* NAMUR Wartungsbedarf */
        , { 0x00000040, [TXT_TYP_1476], [HLP_TYP_1476] } /* NAMUR Ausfall */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4237, 42, 37)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4238
 */
VARIABLE PRM_4238	/* Konfigurationswarnung */
{
    LABEL		[TXT_PRM_4238];
    HELP		[HLP_PRM_4238];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1477 */
    {
        DEFAULT_VALUE		0xBFFFFFFF;
        { 0x00000001, [TXT_TYP_1478], [HLP_TYP_1478] } /* Wrn Sollwert Quelle */
        , { 0x00000002, [TXT_TYP_1479], [HLP_TYP_1479] } /* Totzonenkonfiguration */
        , { 0x00000004, [TXT_TYP_1480], [HLP_TYP_1480] } /* Feldbuskonfiguration */
        , { 0x00000008, [TXT_TYP_1481], [HLP_TYP_1481] } /* Drehmokonfig. ZU */
        , { 0x00000010, [TXT_TYP_1482], [HLP_TYP_1482] } /* Drehmokonfig. AUF */
        , { 0x00000020, [TXT_TYP_1483], [HLP_TYP_1483] } /* DigIn1-Konfiguration */
        , { 0x00000040, [TXT_TYP_1484], [HLP_TYP_1484] } /* DigIn2-Konfiguration */
        , { 0x00000080, [TXT_TYP_1492], [HLP_TYP_1492] } /* DigIn3-Konfiguration */
        , { 0x00000100, [TXT_TYP_1491], [HLP_TYP_1491] } /* DigIn4-Konfiguration */
        , { 0x00000200, [TXT_TYP_1490], [HLP_TYP_1490] } /* DigIn5-Konfiguration */
        , { 0x00000400, [TXT_TYP_1489], [HLP_TYP_1489] } /* DigIn6-Konfiguration */
        , { 0x00000800, [TXT_TYP_1488], [HLP_TYP_1488] } /* DigIn7-Konfiguration */
        , { 0x00001000, [TXT_TYP_1487], [HLP_TYP_1487] } /* DigIn8-Konfiguration */
        , { 0x00002000, [TXT_TYP_1486], [HLP_TYP_1486] } /* DigIn9-Konfiguration */
        , { 0x00004000, [TXT_TYP_1485], [HLP_TYP_1485] } /* DigIn10-Konfiguration */
        , { 0x00008000, [TXT_TYP_1493], [HLP_TYP_1493] } /* NotAuslösungKonfig. */
        , { 0x00010000, [TXT_TYP_1494] } /* Konfiwarnung 2 */
        , { 0x00020000, [TXT_TYP_1495], [HLP_TYP_1495] } /* Wrn_LWL-Konfig. */
        , { 0x00040000, [TXT_TYP_1496], [HLP_TYP_1496] } /* Heizungsüberwachung-Konf. */
        , { 0x00080000, [TXT_TYP_1497], [HLP_TYP_1497] } /* Sicherheitsvh.-Konf. */
        , { 0x00100000, [TXT_TYP_1652], [HLP_TYP_1652] } /* Conf. ProcessCtrl */
        , { 0x00200000, [TXT_TYP_2151], [HLP_TYP_2151] } /* Config SIL */
        , { 0x00400000, [TXT_TYP_3584], [HLP_TYP_3584] } /* Config LPV */
        , { 0x00800000, [TXT_TYP_3634], [HLP_TYP_3634] } /* FbModul unerreichbar */
        , { 0x01000000, [TXT_TYP_3699], [HLP_TYP_3699] } /* ReaktionMonitorKonfg */
        , { 0x02000000, [TXT_TYP_3707] } /* FBK2-FF2 unerreichbar */
        , { 0x04000000, [TXT_TYP_3974], [HLP_TYP_3974] } /* FbModul Update läuft */
        , { 0x08000000, [TXT_TYP_3975], [HLP_TYP_3975] } /* FF2 Update läuft */
        , { 0x10000000, [TXT_TYP_3976], [HLP_TYP_3976] } /* HART Update läuft */
        , { 0x20000000, [TXT_TYP_4040], [HLP_TYP_4040] } /* Config SplitRange */
        , { 0x40000000, [TXT_TYP_4071], [HLP_TYP_4071] } /* Cfg.Digit.Kommunik. */
        , { 0x80000000, [TXT_TYP_4253] } /* Linksdrehend Schließen */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4238, 42, 38)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4239
 */
VARIABLE PRM_4239	/* NAMUR Out Of Spec */
{
    LABEL		[TXT_PRM_4239];
    HELP		[HLP_PRM_4239];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1421 */
    {
        DEFAULT_VALUE		0x87FFFFF5;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] } /* Konfigurationswarnung */
        , { 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] } /* Fehler Hydraulik */
        , { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] } /* InterneWarnung */
        , { 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] } /* Warnung Hydraulik */
        , { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] } /* 24VExtAusfall */
        , { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] } /* EDWarnLaufzeit */
        , { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] } /* EDWarnAnläufe */
        , { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] } /* FailSafeActive */
        , { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] } /* WarnungAnalogIn1 */
        , { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] } /* WarnungAnalogIn2 */
        , { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] } /* WarnSollposE1 */
        , { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] } /* Stellzeitwarnung */
        , { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] } /* WarnTempSteuerung */
        , { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] } /* Nicht verwendet */
        , { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] } /* Nicht verwendet */
        , { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] } /* RTC nicht gesetzt */
        , { 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] } /* RTC Batterie */
        , { 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] } /* PVST Fehler */
        , { 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] } /* PVST Abbruch */
        , { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] } /* KeineReaktion */
        , { 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] } /* Wrn LWL Kommfehler */
        , { 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] } /* Wrn LWL Budget */
        , { 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] } /* Wrn LWL ausgefallen */
        , { 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] } /* Drehmomentwarn AUF */
        , { 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] } /* Drehmomentwarn ZU  */
        , { 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] } /* SafetyFunction n.b. */
        , { 0x04000000, [TXT_TYP_3703] } /* PVST erforderlich */
        , { 0x08000000, [TXT_TYP_3732], [HLP_TYP_3732] } /* MaintenanceRequired */
        , { 0x10000000, [TXT_TYP_4112], [HLP_TYP_4112] } /* FQM Failsafe Error */
        , { 0x20000000, [TXT_TYP_4125], [HLP_TYP_4125] } /* WarnTempMwg */
        , { 0x40000000, [TXT_TYP_4182] } /* Drehzahlminderung */
        , { 0x80000000, [TXT_TYP_4254] } /* AUMA Warnung 2 */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4239, 42, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4240
 */
VARIABLE PRM_4240	/* NAMUR Fkt-Kontrolle */
{
    LABEL		[TXT_PRM_4240];
    HELP		[HLP_PRM_4240];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1500 */
    {
        DEFAULT_VALUE		0x0000003F;
        { 0x00000001, [TXT_TYP_1501], [HLP_TYP_1501] } /* WahlschNichtFernMask */
        , { 0x00000002, [TXT_TYP_1502], [HLP_TYP_1502] } /* BetrMode_Service */
        , { 0x00000004, [TXT_TYP_1503], [HLP_TYP_1503] } /* BetrMode_NOT_HALT */
        , { 0x00000008, [TXT_TYP_1504], [HLP_TYP_1504] } /* HandradschaltBetätigt */
        , { 0x00000010, [TXT_TYP_1505], [HLP_TYP_1505] } /* Lokaler HALT */
        , { 0x00000020, [TXT_TYP_1506], [HLP_TYP_1506] } /* PVST aktiv */
        , { 0x00000040, [TXT_TYP_1616], [HLP_TYP_1616] } /* WahlschaltrNichtFern */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4240, 42, 40)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4241
 */
VARIABLE PRM_4241	/* NAMUR Wartungsbedarf */
{
    LABEL		[TXT_PRM_4241];
    HELP		[HLP_PRM_4241];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1507 */
    {
        DEFAULT_VALUE		0x0000001F;
        { 0x00000001, [TXT_TYP_1508], [HLP_TYP_1508] } /* WartgLebensdMechanik */
        , { 0x00000002, [TXT_TYP_3751] } /* WartgLebensdOring */
        , { 0x00000004, [TXT_TYP_3752] } /* WartgLebensdSchmier */
        , { 0x00000008, [TXT_TYP_3753] } /* WartgLebensdSchütz */
        , { 0x00000010, [TXT_TYP_3754] } /* WartgWartgsintervall */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4241, 42, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4242
 */
VARIABLE PRM_4242	/* NAMUR Ausfall */
{
    LABEL		[TXT_PRM_4242];
    HELP		[HLP_PRM_4242];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1447 */
    {
        DEFAULT_VALUE		0x000F83FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] } /* Konfigurationsfehler */
        , { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] } /* Konfigfehler Fern */
        , { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] } /* InternerFehler */
        , { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] } /* BypassedDsFehler */
        , { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] } /* BypassedDoeFehler */
        , { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] } /* Phasenausfall */
        , { 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] } /* Falsche Phasenfolge */
        , { 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] } /* Netzqualität */
        , { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] } /* BypassedThErr */
        , { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] } /* KeineReaktionFehler */
        , { 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] } /* Zylinderdruck max */
        , { 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] } /* Out Of Poti-Range */
        , { 0x00001000, [TXT_TYP_2751], [HLP_TYP_2751] } /* LPV NotReady */
        , { 0x00002000, [TXT_TYP_3700], [HLP_TYP_3700] } /* WarnungAnalogIn1 */
        , { 0x00004000, [TXT_TYP_3701], [HLP_TYP_3701] } /* WarnungAnalogIn2 */
        , { 0x00008000, [TXT_TYP_4018], [HLP_TYP_4018] } /* FalscheDrehrichtung */
        , { 0x00010000, [TXT_TYP_4137], [HLP_TYP_4137] } /* ELSH Abweichung */
        , { 0x00020000, [TXT_TYP_4138] } /* ELSH NotReady */
        , { 0x00040000, [TXT_TYP_4139] } /* ELSH Drahtbruch NA */
        , { 0x00080000, [TXT_TYP_4154] } /* Fehler Umrichter */
        , { 0x00100000, [TXT_TYP_4322] } /* DMF Fehlermeldung AUF */
        , { 0x00200000, [TXT_TYP_4323] } /* DMF Fehlermeldung ZU */
        , { 0x00400000, [TXT_TYP_4332] } /* FQM Sammel-Fehler */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4242, 42, 42)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4243
 */
VARIABLE PRM_4243	/* Konfigurationsfehler */
{
    LABEL		[TXT_PRM_4243];
    HELP		[HLP_PRM_4243];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1511 */
    {
        DEFAULT_VALUE		0x000001BF;
        { 0x00000001, [TXT_TYP_1513], [HLP_TYP_1513] } /* IE-Relaispl */
        , { 0x00000002, [TXT_TYP_1514], [HLP_TYP_1514] } /* IE-Optionspl */
        , { 0x00000004, [TXT_TYP_1515], [HLP_TYP_1515] } /* IE-KonfigStgGeber */
        , { 0x00000008, [TXT_TYP_1516], [HLP_TYP_1516] } /* IE_PrmKonfig */
        , { 0x00000010, [TXT_TYP_3582], [HLP_TYP_3582] } /* Config SIL */
        , { 0x00000020, [TXT_TYP_4073], [HLP_TYP_4073] } /* IE_FQM */
        , { 0x00000040, [TXT_TYP_4230] } /* Config FuP */
        , { 0x00000080, [TXT_TYP_4307] } /* MPV und re. Schließ */
        , { 0x00000100, [TXT_TYP_4308] } /* Config FuP ACV */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4243, 42, 43)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4244
 */
VARIABLE PRM_4244	/* Fehler Hydraulik */
{
    LABEL		[TXT_PRM_4244];
    HELP		[HLP_PRM_4244];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1518 */
    {
        DEFAULT_VALUE		0x00000000;
        { 0x00000001, [TXT_TYP_1519], [HLP_TYP_1519] } /* Füllstand Hydrauliköl */
        , { 0x00000002, [TXT_TYP_1520], [HLP_TYP_1520] } /* Ölleckage */
        , { 0x00000004, [TXT_TYP_2110] } /* Laufzeit Motor */
        , { 0x00000008, [TXT_TYP_2111] } /* ErrHydrPressGrad */
        , { 0x00000010, [TXT_TYP_2112] } /* Phasenausfall */
        , { 0x00000020, [TXT_TYP_2113] } /* Falsche Phasenfolge */
        , { 0x00000040, [TXT_TYP_2114] } /* BypassedThErr */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3297 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_295 */
}
ReadCmdDef(PRM_4244, 42, 44)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4245
 */
VARIABLE PRM_4245	/* Falscher Befehl */
{
    LABEL		[TXT_PRM_4245];
    HELP		[HLP_PRM_4245];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1521 */
    {
        DEFAULT_VALUE		0x0000000F;
        { 0x00000001, [TXT_TYP_1522], [HLP_TYP_1522] } /* FalschBefehl FERN_I */
        , { 0x00000002, [TXT_TYP_1523], [HLP_TYP_1523] } /* FalschBefehl FERN_II */
        , { 0x00000004, [TXT_TYP_1524], [HLP_TYP_1524] } /* FalscheBefehlFeldbus */
        , { 0x00000008, [TXT_TYP_1525], [HLP_TYP_1525] } /* FalschesCmdPosCtrl */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4245, 42, 45)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4246
 */
VARIABLE PRM_4246	/* InternerFehler */
{
    LABEL		[TXT_PRM_4246];
    HELP		[HLP_PRM_4246];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1526 */
    {
        DEFAULT_VALUE		0x5FFFFFFF;
        { 0x00000001, [TXT_TYP_1527], [HLP_TYP_1527] } /* IE_ThermoÜberwDefekt */
        , { 0x00000002, [TXT_TYP_1528], [HLP_TYP_1528] } /* IE_WahlschaltrDefekt */
        , { 0x00000004, [TXT_TYP_1529], [HLP_TYP_1529] } /* IE_HW_Phasenerkenn. */
        , { 0x00000008, [TXT_TYP_1530], [HLP_TYP_1530] } /* IE_24VAC_Ausfall */
        , { 0x00000010, [TXT_TYP_1531], [HLP_TYP_1531] } /* IE_AusgangDefekt */
        , { 0x00000020, [TXT_TYP_1532], [HLP_TYP_1532] } /* IE_Stellungsgeber */
        , { 0x00000040, [TXT_TYP_1533], [HLP_TYP_1533] } /* IE-Logik */
        , { 0x00000080, [TXT_TYP_1534] } /* Nicht verwendet */
        , { 0x00000100, [TXT_TYP_1535], [HLP_TYP_1535] } /* IE-Mwg */
        , { 0x00000200, [TXT_TYP_1536], [HLP_TYP_1536] } /* IE-Lcb */
        , { 0x00000400, [TXT_TYP_1537], [HLP_TYP_1537] } /* IE_Hall1KalibrFehler */
        , { 0x00000800, [TXT_TYP_1541], [HLP_TYP_1541] } /* IE_Hall2KalibrFehler */
        , { 0x00001000, [TXT_TYP_1540], [HLP_TYP_1540] } /* IE_Hall3KalibrFehler */
        , { 0x00002000, [TXT_TYP_1539], [HLP_TYP_1539] } /* IE_Hall4KalibrFehler */
        , { 0x00004000, [TXT_TYP_1538], [HLP_TYP_1538] } /* IE_Hall5KalibrFehler */
        , { 0x00008000, [TXT_TYP_1542], [HLP_TYP_1542] } /* IE_MwgMessystDefekt */
        , { 0x00010000, [TXT_TYP_1543], [HLP_TYP_1543] } /* IE-Version */
        , { 0x00020000, [TXT_TYP_1544], [HLP_TYP_1544] } /* IE-Eeprom */
        , { 0x00040000, [TXT_TYP_1545], [HLP_TYP_1545] } /* IE-Parameter */
        , { 0x00080000, [TXT_TYP_1546], [HLP_TYP_1546] } /* IE-Filezugriff */
        , { 0x00100000, [TXT_TYP_1547], [HLP_TYP_1547] } /* IE-Backup */
        , { 0x00200000, [TXT_TYP_1548], [HLP_TYP_1548] } /* IE-Subscription */
        , { 0x00400000, [TXT_TYP_1549], [HLP_TYP_1549] } /* IE-Startup FB */
        , { 0x00800000, [TXT_TYP_1550], [HLP_TYP_1550] } /* IE-Startup-BGR */
        , { 0x01000000, [TXT_TYP_1551], [HLP_TYP_1551] } /* IE_Lcb_Exception */
        , { 0x02000000, [TXT_TYP_1552], [HLP_TYP_1552] } /* IE_Logik_Exception */
        , { 0x04000000, [TXT_TYP_1553], [HLP_TYP_1553] } /* IE_Mwg_Exception */
        , { 0x08000000, [TXT_TYP_1554], [HLP_TYP_1554] } /* IE_Bus_Exception */
        , { 0x10000000, [TXT_TYP_1555], [HLP_TYP_1555] } /* IE_EndlagenDefekt */
        , { 0x20000000, [TXT_TYP_1618], [HLP_TYP_1618] } /* SignalbruchE2 */
        , { 0x40000000, [TXT_TYP_3878] } /* IE_CAN_Overflow */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4246, 42, 46)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4247
 */
VARIABLE PRM_4247	/* InterneWarnung */
{
    LABEL		[TXT_PRM_4247];
    HELP		[HLP_PRM_4247];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1556 */
    {
        DEFAULT_VALUE		0x0000027F;
        { 0x00000001, [TXT_TYP_1557], [HLP_TYP_1557] } /* WarnHeizungDefekt */
        , { 0x00000002, [TXT_TYP_1558], [HLP_TYP_1558] } /* 24VKDAusfall */
        , { 0x00000004, [TXT_TYP_1559], [HLP_TYP_1559] } /* 24VIntAusfall */
        , { 0x00000008, [TXT_TYP_1560], [HLP_TYP_1560] } /* IW-BackupInUse */
        , { 0x00000010, [TXT_TYP_1561], [HLP_TYP_1561] } /* WarnNoReferenzE2 */
        , { 0x00000020, [TXT_TYP_1562], [HLP_TYP_1562] } /* WarnSignalhubE2 */
        , { 0x00000040, [TXT_TYP_1563], [HLP_TYP_1563] } /* SignalbruchE2 */
        , { 0x00000080, [TXT_TYP_1564], [HLP_TYP_1564] } /* Wrn_Event_Mark */
        , { 0x00000100, [TXT_TYP_1565], [HLP_TYP_1565] } /* Wrn_Tm_Mark */
        , { 0x00000200, [TXT_TYP_4225], [HLP_TYP_4225] } /* IW_BLUETOOTH */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4247, 42, 47)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4248
 */
VARIABLE PRM_4248	/* Diagnose Feldbus */
{
    LABEL		[TXT_PRM_4248];
    HELP		[HLP_PRM_4248];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1566 */
    {
        DEFAULT_VALUE		0x000007FF;
        { 0x00000001, [TXT_TYP_1568], [HLP_TYP_1568] } /* Pb GC Clear K1 */
        , { 0x00000002, [TXT_TYP_1569], [HLP_TYP_1569] } /* Feldbus DataEx K1 */
        , { 0x00000004, [TXT_TYP_1570], [HLP_TYP_1570] } /* Pb 0 Tele K1 */
        , { 0x00000008, [TXT_TYP_1571], [HLP_TYP_1571] } /* Pb GC Clear K2 */
        , { 0x00000010, [TXT_TYP_1572], [HLP_TYP_1572] } /* Feldbus DataEx K2 */
        , { 0x00000020, [TXT_TYP_1573], [HLP_TYP_1573] } /* Pb 0 Tele K2 */
        , { 0x00000040, [TXT_TYP_1574], [HLP_TYP_1574] } /* Wrn LWL Kommfehler */
        , { 0x00000080, [TXT_TYP_1575], [HLP_TYP_1575] } /* Wrn LWL Budget */
        , { 0x00000100, [TXT_TYP_1576], [HLP_TYP_1576] } /* Wrn LWL ausgefallen */
        , { 0x00000200, [TXT_TYP_2132] } /* FeldbusK1BusActivity */
        , { 0x00000400, [TXT_TYP_2133] } /* FeldbusK2BusActivity */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_304 */
}
ReadCmdDef(PRM_4248, 42, 48)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4249
 */
VARIABLE PRM_4249	/* Warnung Hydraulik */
{
    LABEL		[TXT_PRM_4249];
    HELP		[HLP_PRM_4249];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1577 */
    {
        DEFAULT_VALUE		0x00000007;
        { 0x00000001, [TXT_TYP_1578], [HLP_TYP_1578] } /* Hydraulikdruck min */
        , { 0x00000002, [TXT_TYP_1579], [HLP_TYP_1579] } /* AnläufeHydrPump */
        , { 0x00000004, [TXT_TYP_1580], [HLP_TYP_1580] } /* Speicherdruckkonfig. */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3297 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_295 */
}
ReadCmdDef(PRM_4249, 42, 49)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4250
 */
VARIABLE PRM_4250	/* Störung (AC1 konform) */
{
    LABEL		[TXT_PRM_4250];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1581 */
    {
        DEFAULT_VALUE		0x00000007;
        { 0x00000001, [TXT_TYP_1582], [HLP_TYP_1582] } /* Kunde Fehler (konfigurierbar) */
        , { 0x00000002, [TXT_TYP_1583], [HLP_TYP_1583] } /* Kunde Warnung (konfigurierbar) */
        , { 0x00000004, [TXT_TYP_1584], [HLP_TYP_1584] } /* Kunde NichtBereitFern (konf.) */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4250, 42, 50)
WriteCmdDef(PRM_4250, 42, 50)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4251
 */
VARIABLE PRM_4251	/* FehlerKonfigurierbar */
{
    LABEL		[TXT_PRM_4251];
    HELP		[HLP_PRM_4251];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1447 */
    {
        DEFAULT_VALUE		0x000F83FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] } /* Konfigurationsfehler */
        , { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] } /* Konfigfehler Fern */
        , { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] } /* InternerFehler */
        , { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] } /* BypassedDsFehler */
        , { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] } /* BypassedDoeFehler */
        , { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] } /* Phasenausfall */
        IF (PRM_3633 == 1) {{ 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] }} /* Falsche Phasenfolge, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] }} /* Netzqualität, using RULE_505 */
        { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] } /* BypassedThErr */
        , { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] } /* KeineReaktionFehler */
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] }} /* Zylinderdruck max, using RULE_505 */
        IF (PRM_3633 == 2) {{ 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] }} /* Out Of Poti-Range, using RULE_502 */
        IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) {{ 0x00001000, [TXT_TYP_2751], [HLP_TYP_2751] }} /* LPV NotReady, using RULE_564 */
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_3700], [HLP_TYP_3700] }} /* WarnungAnalogIn1, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00004000, [TXT_TYP_3701], [HLP_TYP_3701] }} /* WarnungAnalogIn2, using RULE_505 */
        { 0x00008000, [TXT_TYP_4018], [HLP_TYP_4018] } /* FalscheDrehrichtung */
        IF (((PRM_5141 == 1) && (PRM_5140 == 1))) {{ 0x00010000, [TXT_TYP_4137], [HLP_TYP_4137] }} /* ELSH Abweichung, using RULE_848 */
        IF (((PRM_5141 == 1) && (PRM_5140 == 1))) {{ 0x00020000, [TXT_TYP_4138] }} /* ELSH NotReady, using RULE_848 */
        IF (((PRM_5141 == 1) && (PRM_5140 == 1))) {{ 0x00040000, [TXT_TYP_4139] }} /* ELSH Drahtbruch NA, using RULE_848 */
        IF (PRM_5066 == 5) {{ 0x00080000, [TXT_TYP_4154] }} /* Fehler Umrichter, using RULE_776 */
        IF (((PRM_5189 != 0) && (PRM_5257 != 0))) {{ 0x00100000, [TXT_TYP_4322] }} /* DMF Fehlermeldung AUF, using RULE_991 */
        IF (((PRM_5189 != 0) && (PRM_5257 != 0))) {{ 0x00200000, [TXT_TYP_4323] }} /* DMF Fehlermeldung ZU, using RULE_991 */
        IF (PRM_5080 != 0) {{ 0x00400000, [TXT_TYP_4332] }} /* FQM Sammel-Fehler, using RULE_786 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4251, 42, 51)
WriteCmdDef(PRM_4251, 42, 51)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4252
 */
VARIABLE PRM_4252	/* WarnungKonfigurierb. */
{
    LABEL		[TXT_PRM_4252];
    HELP		[HLP_PRM_4252];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1421 */
    {
        DEFAULT_VALUE		0x08002705;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] } /* Konfigurationswarnung */
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] }} /* Fehler Hydraulik, using RULE_505 */
        { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] } /* InterneWarnung */
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] }} /* Warnung Hydraulik, using RULE_505 */
        { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] } /* 24VExtAusfall */
        , { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] } /* EDWarnLaufzeit */
        , { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] } /* EDWarnAnläufe */
        , { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] } /* FailSafeActive */
        , { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] } /* WarnungAnalogIn1 */
        , { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] } /* WarnungAnalogIn2 */
        , { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] } /* WarnSollposE1 */
        , { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] } /* Stellzeitwarnung */
        , { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] } /* WarnTempSteuerung */
        , { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] } /* Nicht verwendet */
        , { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] } /* Nicht verwendet */
        , { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] } /* RTC nicht gesetzt */
        IF (PRM_3633 == 1) {{ 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] }} /* RTC Batterie, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] }} /* PVST Fehler, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] }} /* PVST Abbruch, using RULE_505 */
        { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] } /* KeineReaktion */
        IF (PRM_3633 == 1) {{ 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] }} /* Wrn LWL Kommfehler, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] }} /* Wrn LWL Budget, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] }} /* Wrn LWL ausgefallen, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] }} /* Drehmomentwarn AUF, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] }} /* Drehmomentwarn ZU, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] }} /* SafetyFunction n.b., using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x04000000, [TXT_TYP_3703] }} /* PVST erforderlich, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x08000000, [TXT_TYP_3732], [HLP_TYP_3732] }} /* MaintenanceRequired, using RULE_505 */
        IF (PRM_5080 != 0) {{ 0x10000000, [TXT_TYP_4112], [HLP_TYP_4112] }} /* FQM Failsafe Error, using RULE_786 */
        IF (PRM_1752 != 0) {{ 0x20000000, [TXT_TYP_4125], [HLP_TYP_4125] }} /* WarnTempMwg, using RULE_11 */
        IF (PRM_5066 == 5) {{ 0x40000000, [TXT_TYP_4182] }} /* Drehzahlminderung, using RULE_776 */
        { 0x80000000, [TXT_TYP_4254] } /* AUMA Warnung 2 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4252, 42, 52)
WriteCmdDef(PRM_4252, 42, 52)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4253
 */
VARIABLE PRM_4253	/* NBF konfigurierbar */
{
    LABEL		[TXT_PRM_4253];
    HELP		[HLP_PRM_4253];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1457 */
    {
        DEFAULT_VALUE		0x00001FFF;
        { 0x00000001, [TXT_TYP_1458], [HLP_TYP_1458] } /* Falscher Befehl */
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1459], [HLP_TYP_1459] }} /* WahlschNichtFernMask, using RULE_505 */
        { 0x00000004, [TXT_TYP_1460], [HLP_TYP_1460] } /* BetrMode_Service */
        , { 0x00000008, [TXT_TYP_1662], [HLP_TYP_1662] } /* BetrMode_Gesperrt */
        , { 0x00000010, [TXT_TYP_1461], [HLP_TYP_1461] } /* BetrMode_NOT_HALT */
        , { 0x00000020, [TXT_TYP_1462], [HLP_TYP_1462] } /* BetrMode_ESD */
        , { 0x00000040, [TXT_TYP_1463], [HLP_TYP_1463] } /* Select IO Interface */
        , { 0x00000080, [TXT_TYP_1464], [HLP_TYP_1464] } /* HandradschaltBetätigt */
        , { 0x00000100, [TXT_TYP_1465], [HLP_TYP_1465] } /* FeldbusFailsafeAktiv */
        IF (PRM_3633 == 1) {{ 0x00000200, [TXT_TYP_1466], [HLP_TYP_1466] }} /* Lokaler HALT, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_1468], [HLP_TYP_1468] }} /* Interlock, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00000800, [TXT_TYP_1660], [HLP_TYP_1660] }} /* BypassInterlock, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00001000, [TXT_TYP_1661], [HLP_TYP_1661] }} /* PVST aktiv, using RULE_505 */
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_2138], [HLP_TYP_2138] }} /* SafetyFunction aktiv, using RULE_505 */
        IF (PRM_3633 == 2) {{ 0x00004000, [TXT_TYP_2674], [HLP_TYP_2674] }} /* WahlschaltrNichtFern, using RULE_502 */
        IF (PRM_5080 != 0) {{ 0x00008000, [TXT_TYP_4113], [HLP_TYP_4113] }} /* FQM Failsafe Active, using RULE_786 */
        IF (PRM_5080 != 0) {{ 0x00010000, [TXT_TYP_4114], [HLP_TYP_4114] }} /* FQM Failsafe Init, using RULE_786 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4253, 42, 53)
WriteCmdDef(PRM_4253, 42, 53)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4254
 */
VARIABLE PRM_4254	/* Konfigfehler Fern */
{
    LABEL		[TXT_PRM_4254];
    HELP		[HLP_PRM_4254];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1591 */
    {
        DEFAULT_VALUE		0x0000017F;
        { 0x00000001, [TXT_TYP_1512], [HLP_TYP_1512] } /* IE-Interface */
        , { 0x00000002, [TXT_TYP_1517], [HLP_TYP_1517] } /* IE_RemoteIfaConfig */
        , { 0x00000004, [TXT_TYP_1592], [HLP_TYP_1592] } /* IE_PrmKonfigFern */
        , { 0x00000008, [TXT_TYP_2725], [HLP_TYP_2725] } /* FF1 Update nötig */
        , { 0x00000010, [TXT_TYP_3693], [HLP_TYP_3693] } /* IE-Bus */
        , { 0x00000020, [TXT_TYP_3772], [HLP_TYP_3772] } /* HART Update nötig */
        , { 0x00000040, [TXT_TYP_3973], [HLP_TYP_3973] } /* FF2 Update nötig */
        , { 0x00000080, [TXT_TYP_4054] } /* IE-Interface-2 */
        , { 0x00000100, [TXT_TYP_4331] } /* Nicht verwendet */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4254, 42, 54)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4256
 */
VARIABLE PRM_4256	/* Status Safety (SIL) */
{
    LABEL		[TXT_PRM_4256];
    HELP		[HLP_PRM_4256];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1609 */
    {
        DEFAULT_VALUE		0x00000007;
        { 0x00000001, [TXT_TYP_1610] } /* SafeESD aktiv */
        , { 0x00000002, [TXT_TYP_2706] } /* SafeStop aktiv */
        , { 0x00000004, [TXT_TYP_2707] } /* SafetyFunction n.b. */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_4437 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_524 */
}
ReadCmdDef(PRM_4256, 42, 56)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4257
 */
VARIABLE PRM_4257	/* PzdAktivierung-FQM */
{
    LABEL		[TXT_PRM_4257];
    HELP		[HLP_PRM_4257];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_4324 */
    {
        DEFAULT_VALUE		0x0000007F;
        { 0x00000001, [TXT_TYP_4325] } /* FQM FS-Diag Result */
        , { 0x00000002, [TXT_TYP_4326] } /* FQM Timeout Tension */
        , { 0x00000004, [TXT_TYP_4327] } /* FQM Timeout Limit */
        , { 0x00000008, [TXT_TYP_4328] } /* FQM Fehler Spg */
        , { 0x00000010, [TXT_TYP_4329] } /* FQM Fehler Temp */
        , { 0x00000020, [TXT_TYP_4330] } /* FQM Failsafe Error */
        , { 0x00000040, [TXT_TYP_4416] } /* FQM Timeout Motor */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5080 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_786 */
}
ReadCmdDef(PRM_4257, 42, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4258
 */
VARIABLE PRM_4258	/* AUMA Warnung 2 */
{
    LABEL		[TXT_PRM_4258];
    HELP		[HLP_PRM_4258];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_4417 */
    {
        DEFAULT_VALUE		0x00000000;
        { 0x00000001, [TXT_TYP_4418] } /* DMF Warnmeldung AUF */
        , { 0x00000002, [TXT_TYP_4419] } /* DMF Warnmeldung ZU */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4258, 42, 58)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4259
 */
VARIABLE PRM_4259	/* Konfigwarnung 2 */
{
    LABEL		[TXT_PRM_4259];
    HELP		[HLP_PRM_4259];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_4420 */
    {
        DEFAULT_VALUE		0x00000006;
        { 0x00000001, [TXT_TYP_4421] } /* Konfig Warnung DMF Level */
        , { 0x00000002, [TXT_TYP_4422] } /* Config FQM */
        , { 0x00000004, [TXT_TYP_4425] } /* Konfig Warnung Freispülen */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4259, 42, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4261
 */
VARIABLE PRM_4261	/* LWL Warnung */
{
    LABEL		[TXT_PRM_4261];
    HELP		[HLP_PRM_4261];
    CLASS		CONTAINED;
    TYPE		BIT_ENUMERATED (4)      /* TYP_1599 */
    {
        DEFAULT_VALUE		0x0000000F;
        { 0x00000001, [TXT_TYP_1600], [HLP_TYP_1600] } /* Lwl_Signal_Kanal-1 */
        , { 0x00000002, [TXT_TYP_1613], [HLP_TYP_1613] } /* Lwl_Signal_Kanal-2 */
        , { 0x00000004, [TXT_TYP_1614], [HLP_TYP_1614] } /* Lwl_RS485_Formatfehl */
        , { 0x00000008, [TXT_TYP_1615], [HLP_TYP_1615] } /* LwlBaudrate */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_304 */
}
ReadCmdDef(PRM_4261, 42, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4270
 */
VARIABLE PRM_4270	/* PID Reglerart */
{
    LABEL		[TXT_PRM_4270];
    HELP		[HLP_PRM_4270];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1620 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_1621], [HLP_TYP_1621] } /* P-Regler */
        , { 1, [TXT_TYP_1622], [HLP_TYP_1622] } /* PI-Regler */
        , { 2, [TXT_TYP_1623], [HLP_TYP_1623] } /* PID-Regler */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PRM_4270, 42, 70)
WriteCmdDef(PRM_4270, 42, 70)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4286
 */
VARIABLE PRM_4286	/* Wartezeit PVST */
{
    LABEL		[TXT_PRM_4286];
    HELP		[HLP_PRM_4286];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	1;
        MAX_VALUE	9000;
        DEFAULT_VALUE	20;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4286, uiPRM_4286),
        DEFINITION{ uiPRM_4286.VARIABLE_STATUS = PRM_4286.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4286, 42, 86)
WriteCmdDef(PRM_4286, 42, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4287
 */
VARIABLE PRM_4287	/* Fahrzeit PVST */
{
    LABEL		[TXT_PRM_4287];
    HELP		[HLP_PRM_4287];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	1;
        MAX_VALUE	9000;
        DEFAULT_VALUE	20;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4288 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_535 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4287, uiPRM_4287),
        DEFINITION{ uiPRM_4287.VARIABLE_STATUS = PRM_4287.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4287, 42, 87)
WriteCmdDef(PRM_4287, 42, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4288
 */
VARIABLE PRM_4288	/* Verhalten PVST */
{
    LABEL		[TXT_PRM_4288];
    HELP		[HLP_PRM_4288];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1626 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1627], [HLP_TYP_1627] } /* Stellungsgeber */
        , { 1, [TXT_TYP_1628], [HLP_TYP_1628] } /* Zeit/Endlage */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
}
ReadCmdDef(PRM_4288, 42, 88)
WriteCmdDef(PRM_4288, 42, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4289
 */
VARIABLE PRM_4289	/* Überwachungszeit PVST */
{
    LABEL		[TXT_PRM_4289];
    HELP		[HLP_PRM_4289];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"d";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
}
ReadCmdDef(PRM_4289, 42, 89)
WriteCmdDef(PRM_4289, 42, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4292
 */
VARIABLE PRM_4292	/* Überwachung PVST */
{
    LABEL		[TXT_PRM_4292];
    HELP		[HLP_PRM_4292];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
}
ReadCmdDef(PRM_4292, 42, 92)
WriteCmdDef(PRM_4292, 42, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4312
 */
VARIABLE PRM_4312	/* Abschaltmoment AUF */
{
    LABEL		[TXT_PRM_4312];
    HELP		[HLP_PRM_4312];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        MAX_VALUE	800000;
        DEFAULT_VALUE	10000;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 2) && (((PRM_1129 == 776)) || ((PRM_1137 == 776))))) { TRUE; } ELSE { FALSE; }  /* using RULE_487 */
}
ReadCmdDef(PRM_4312, 43, 12)
WriteCmdDef(PRM_4312, 43, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4313
 */
VARIABLE PRM_4313	/* Abschaltmoment ZU */
{
    LABEL		[TXT_PRM_4313];
    HELP		[HLP_PRM_4313];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4)
    {
        MAX_VALUE	800000;
        DEFAULT_VALUE	10000;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 2) && (((PRM_1129 == 776)) || ((PRM_1137 == 776))))) { TRUE; } ELSE { FALSE; }  /* using RULE_487 */
}
ReadCmdDef(PRM_4313, 43, 13)
WriteCmdDef(PRM_4313, 43, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4377
 */
VARIABLE PRM_4377	/* Kauf Bypass */
{
    LABEL		[TXT_PRM_4377];
    HELP		[HLP_PRM_4377];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4377, 43, 77)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4378
 */
VARIABLE PRM_4378	/* Aktivierung Bypass */
{
    LABEL		[TXT_PRM_4378];
    HELP		[HLP_PRM_4378];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4377 == 1) && (PRM_5066 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_651 */
}
ReadCmdDef(PRM_4378, 43, 78)
WriteCmdDef(PRM_4378, 43, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4379
 */
VARIABLE PRM_4379	/* Bypass Applikation */
{
    LABEL		[TXT_PRM_4379];
    HELP		[HLP_PRM_4379];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1655 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1656], [HLP_TYP_1656] } /* Hauptarmatur */
        , { 1, [TXT_TYP_1657], [HLP_TYP_1657] } /* Bypassarmatur */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4377 == 1) && (PRM_4378 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_496 */
}
ReadCmdDef(PRM_4379, 43, 79)
WriteCmdDef(PRM_4379, 43, 79)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4407
 */
VARIABLE PRM_4407	/* AuslösQuellInterlock */
{
    LABEL		[TXT_PRM_4407];
    HELP		[HLP_PRM_4407];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_2115 */
    {
        DEFAULT_VALUE		4;
        IF (PRM_45 != 0) {{ 1, [TXT_TYP_2116] }} /* Interface, using RULE_19 */
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_2117] }} /* Feldbus, using RULE_304 */
        { 4, [TXT_TYP_2118] } /* Aktive Befehlsquelle */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4407, 44, 7)
WriteCmdDef(PRM_4407, 44, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4437
 */
VARIABLE PRM_4437	/* Ausführung SIL */
{
    LABEL		[TXT_PRM_4437];
    HELP		[HLP_PRM_4437];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_1135 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1136] } /* NEIN */
        , { 1, [TXT_TYP_1137] } /* JA */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4437, 44, 37)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4606
 */
VARIABLE PRM_4606	/* FF RedundanzMode */
{
    LABEL		[TXT_PRM_4606];
    HELP		[HLP_PRM_4606];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_2276 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_2278] } /* Keine Redundanz */
        , { 1, [TXT_TYP_2279] } /* AUMA Redundanz 1 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4606, 46, 6)
WriteCmdDef(PRM_4606, 46, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4714
 */
VARIABLE PRM_4714	/* MT Lebensdauer Schütz */
{
    LABEL		[TXT_PRM_4714];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4714, 47, 14)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4715
 */
VARIABLE PRM_4715	/* MT Lebensdauer Oring */
{
    LABEL		[TXT_PRM_4715];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4715, 47, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4716
 */
VARIABLE PRM_4716	/* MT Lebensdauer Fett */
{
    LABEL		[TXT_PRM_4716];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4716, 47, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4719
 */
VARIABLE PRM_4719	/* MT Wartungsintervall */
{
    LABEL		[TXT_PRM_4719];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_4719, 47, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4723
 */
VARIABLE PRM_4723	/* Limit Schütz */
{
    LABEL		[TXT_PRM_4723];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4723, 47, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4725
 */
VARIABLE PRM_4725	/* Limit Oring */
{
    LABEL		[TXT_PRM_4725];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4725, 47, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4726
 */
VARIABLE PRM_4726	/* Limit Fett */
{
    LABEL		[TXT_PRM_4726];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4726, 47, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4730
 */
VARIABLE PRM_4730	/* Überwachung Wartungsintervall */
{
    LABEL		[TXT_PRM_4730];
    HELP		[HLP_PRM_4730];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4731 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_558 */
}
ReadCmdDef(PRM_4730, 47, 30)
WriteCmdDef(PRM_4730, 47, 30)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4731
 */
VARIABLE PRM_4731	/* Wartungsmeldungen */
{
    LABEL		[TXT_PRM_4731];
    HELP		[HLP_PRM_4731];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4731, 47, 31)
WriteCmdDef(PRM_4731, 47, 31)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4735
 */
VARIABLE PRM_4735	/* Kauf LPV */
{
    LABEL		[TXT_PRM_4735];
    HELP		[HLP_PRM_4735];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4735, 47, 35)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4736
 */
VARIABLE PRM_4736	/* Aktivierung LPV */
{
    LABEL		[TXT_PRM_4736];
    HELP		[HLP_PRM_4736];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4735 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_562 */
}
ReadCmdDef(PRM_4736, 47, 36)
WriteCmdDef(PRM_4736, 47, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4737
 */
VARIABLE PRM_4737	/* LPV Role */
{
    LABEL		[TXT_PRM_4737];
    HELP		[HLP_PRM_4737];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_2741 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_2742], [HLP_TYP_2742] } /* Hauptantrieb */
        , { 1, [TXT_TYP_2743], [HLP_TYP_2743] } /* Nebenantrieb */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_564 */
}
ReadCmdDef(PRM_4737, 47, 37)
WriteCmdDef(PRM_4737, 47, 37)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4738
 */
VARIABLE PRM_4738	/* LPV Delay Open */
{
    LABEL		[TXT_PRM_4738];
    HELP		[HLP_PRM_4738];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	9000;
        DEFAULT_VALUE	1200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 0) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))) && !(((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))))) { TRUE; } ELSE { FALSE; }  /* using RULE_597 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4738, uiPRM_4738),
        DEFINITION{ uiPRM_4738.VARIABLE_STATUS = PRM_4738.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4738, 47, 38)
WriteCmdDef(PRM_4738, 47, 38)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4739
 */
VARIABLE PRM_4739	/* LPV Delay Close */
{
    LABEL		[TXT_PRM_4739];
    HELP		[HLP_PRM_4739];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	9000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 0) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))) && !(((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))))) { TRUE; } ELSE { FALSE; }  /* using RULE_597 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4739, uiPRM_4739),
        DEFINITION{ uiPRM_4739.VARIABLE_STATUS = PRM_4739.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4739, 47, 39)
WriteCmdDef(PRM_4739, 47, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4740
 */
VARIABLE PRM_4740	/* LPV Delay NA */
{
    LABEL		[TXT_PRM_4740];
    HELP		[HLP_PRM_4740];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	9000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 1) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_599 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4740, uiPRM_4740),
        DEFINITION{ uiPRM_4740.VARIABLE_STATUS = PRM_4740.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4740, 47, 40)
WriteCmdDef(PRM_4740, 47, 40)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4757
 */
VARIABLE PRM_4757	/* Temp. Steuerung max.  */
{
    LABEL		[TXT_PRM_4757];
    HELP		[HLP_PRM_4757];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	-100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4757, 47, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4760
 */
VARIABLE PRM_4760	/* Temp. Steuereinheit max.  */
{
    LABEL		[TXT_PRM_4760];
    HELP		[HLP_PRM_4760];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	-100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4760, 47, 60)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4761
 */
VARIABLE PRM_4761	/* Temp. Steuerung min.  */
{
    LABEL		[TXT_PRM_4761];
    HELP		[HLP_PRM_4761];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4761, 47, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4764
 */
VARIABLE PRM_4764	/* Temp. Steuereinheit min.  */
{
    LABEL		[TXT_PRM_4764];
    HELP		[HLP_PRM_4764];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4764, 47, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4765
 */
VARIABLE PRM_4765	/* Temp. Steuerung max.  */
{
    LABEL		[TXT_PRM_4765];
    HELP		[HLP_PRM_4765];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	-100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4765, 47, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4766
 */
VARIABLE PRM_4766	/* Temp. Steuerung min.  */
{
    LABEL		[TXT_PRM_4766];
    HELP		[HLP_PRM_4766];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4766, 47, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4771
 */
VARIABLE PRM_4771	/* Temp. Steuereinheit max.  */
{
    LABEL		[TXT_PRM_4771];
    HELP		[HLP_PRM_4771];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	-100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4771, 47, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4772
 */
VARIABLE PRM_4772	/* Temp. Steuereinheit min.  */
{
    LABEL		[TXT_PRM_4772];
    HELP		[HLP_PRM_4772];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PRM_4772, 47, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4781
 */
VARIABLE PRM_4781	/* MPV TurnOffset */
{
    LABEL		[TXT_PRM_4781];
    HELP		[HLP_PRM_4781];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-10000;
        MAX_VALUE	10000;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_719 */
}
ReadCmdDef(PRM_4781, 47, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4782
 */
VARIABLE PRM_4782	/* MPV GearConfig */
{
    LABEL		[TXT_PRM_4782];
    HELP		[HLP_PRM_4782];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3664 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3665] } /* GS50.3 */
        , { 1, [TXT_TYP_3666] } /* GS63.3 */
        , { 2, [TXT_TYP_3667] } /* GS80.3 */
        , { 3, [TXT_TYP_3668] } /* GS100.3 */
        , { 4, [TXT_TYP_3669] } /* GS100.3/VZ2.3 */
        , { 5, [TXT_TYP_3670] } /* GS100.3/VZ3.3 */
        , { 6, [TXT_TYP_3671] } /* GS100.3/VZ4.3 */
        , { 7, [TXT_TYP_3672] } /* GS125.3 */
        , { 8, [TXT_TYP_3673] } /* GS125.3/VZ2.3 */
        , { 9, [TXT_TYP_3674] } /* GS125.3/VZ3.3 */
        , { 10, [TXT_TYP_3675] } /* GS125.3/VZ4.3 */
        , { 11, [TXT_TYP_3676] } /* GS160.3 */
        , { 12, [TXT_TYP_3687] } /* GS160.3/GZ160.3(4:1) */
        , { 13, [TXT_TYP_3677] } /* GS160.3/GZ160.3(8:1) */
        , { 14, [TXT_TYP_3679] } /* GS200.3 */
        , { 15, [TXT_TYP_3688] } /* GS200.3/GZ200.3(4:1) */
        , { 16, [TXT_TYP_3680] } /* GS200.3/GZ200.3(8:1) */
        , { 17, [TXT_TYP_3683] } /* GS250.3 */
        , { 18, [TXT_TYP_3689] } /* GS250.3/GZ250.3(4:1) */
        , { 19, [TXT_TYP_3684] } /* GS250.3/GZ250.3(8:1) */
        , { 20, [TXT_TYP_4075] } /* Einstellbar */
        , { 21, [TXT_TYP_4314] } /* Kein Getriebe */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4782, 47, 82)
WriteCmdDef(PRM_4782, 47, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4788
 */
VARIABLE PRM_4788	/* MPV ActuatorSize */
{
    LABEL		[TXT_PRM_4788];
    HELP		[HLP_PRM_4788];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3645 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3646] } /* SA07.1/SA07.5 */
        , { 1, [TXT_TYP_3647] } /* SA10.1 */
        , { 2, [TXT_TYP_3648] } /* SA14.1/SA14.5 */
        , { 3, [TXT_TYP_3649] } /* SA16.1 */
        , { 4, [TXT_TYP_3650] } /* SA25.1 */
        , { 5, [TXT_TYP_3651] } /* SA30.1 */
        , { 6, [TXT_TYP_3652] } /* SA35.1 */
        , { 7, [TXT_TYP_3653] } /* SA40.1 */
        , { 8, [TXT_TYP_3654] } /* SA48.1 */
        , { 9, [TXT_TYP_3655] } /* SA07.2/SA07.6 */
        , { 10, [TXT_TYP_3656] } /* SA10.2 */
        , { 11, [TXT_TYP_3657] } /* SA14.2/SA14.6 */
        , { 12, [TXT_TYP_3658] } /* SA16.2 */
        , { 13, [TXT_TYP_4309] } /* SQ05.2 */
        , { 14, [TXT_TYP_4310] } /* SQ07.2 */
        , { 15, [TXT_TYP_4311] } /* SQ10.2 */
        , { 16, [TXT_TYP_4312] } /* SQ12.2 */
        , { 17, [TXT_TYP_4313] } /* SQ14.2 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4788, 47, 88)
WriteCmdDef(PRM_4788, 47, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4789
 */
VARIABLE PRM_4789	/* MPV_Pos1 */
{
    LABEL		[TXT_PRM_4789];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4789, 47, 89)
WriteCmdDef(PRM_4789, 47, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4790
 */
VARIABLE PRM_4790	/* MPV_Pos2 */
{
    LABEL		[TXT_PRM_4790];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4790, 47, 90)
WriteCmdDef(PRM_4790, 47, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4791
 */
VARIABLE PRM_4791	/* MPV_Pos3 */
{
    LABEL		[TXT_PRM_4791];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_914 */
}
ReadCmdDef(PRM_4791, 47, 91)
WriteCmdDef(PRM_4791, 47, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4792
 */
VARIABLE PRM_4792	/* MPV_Pos4 */
{
    LABEL		[TXT_PRM_4792];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_916 */
}
ReadCmdDef(PRM_4792, 47, 92)
WriteCmdDef(PRM_4792, 47, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4793
 */
VARIABLE PRM_4793	/* MPV_Pos5 */
{
    LABEL		[TXT_PRM_4793];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_918 */
}
ReadCmdDef(PRM_4793, 47, 93)
WriteCmdDef(PRM_4793, 47, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4794
 */
VARIABLE PRM_4794	/* MPV_Pos6 */
{
    LABEL		[TXT_PRM_4794];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 5))) { TRUE; } ELSE { FALSE; }  /* using RULE_920 */
}
ReadCmdDef(PRM_4794, 47, 94)
WriteCmdDef(PRM_4794, 47, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4795
 */
VARIABLE PRM_4795	/* MPV_Pos7 */
{
    LABEL		[TXT_PRM_4795];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_922 */
}
ReadCmdDef(PRM_4795, 47, 95)
WriteCmdDef(PRM_4795, 47, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4796
 */
VARIABLE PRM_4796	/* MPV_Pos8 */
{
    LABEL		[TXT_PRM_4796];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 7))) { TRUE; } ELSE { FALSE; }  /* using RULE_924 */
}
ReadCmdDef(PRM_4796, 47, 96)
WriteCmdDef(PRM_4796, 47, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4797
 */
VARIABLE PRM_4797	/* MPV_Pos9 */
{
    LABEL		[TXT_PRM_4797];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 8))) { TRUE; } ELSE { FALSE; }  /* using RULE_926 */
}
ReadCmdDef(PRM_4797, 47, 97)
WriteCmdDef(PRM_4797, 47, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4798
 */
VARIABLE PRM_4798	/* MPV_Pos10 */
{
    LABEL		[TXT_PRM_4798];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 9))) { TRUE; } ELSE { FALSE; }  /* using RULE_928 */
}
ReadCmdDef(PRM_4798, 47, 98)
WriteCmdDef(PRM_4798, 47, 98)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4799
 */
VARIABLE PRM_4799	/* MPV_DeadZone */
{
    LABEL		[TXT_PRM_4799];
    HELP		[HLP_PRM_4799];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3600;
        DEFAULT_VALUE	250;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4799, 47, 99)
WriteCmdDef(PRM_4799, 47, 99)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4800
 */
VARIABLE PRM_4800	/* MPV_TolComp */
{
    LABEL		[TXT_PRM_4800];
    HELP		[HLP_PRM_4800];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4800, 48, 0)
WriteCmdDef(PRM_4800, 48, 0)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4802
 */
VARIABLE PRM_4802	/* MPV Meldeverhalten */
{
    LABEL		[TXT_PRM_4802];
    HELP		[HLP_PRM_4802];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_73 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_74] } /* AUS??? */
        IF (PRM_5066 != 3) {{ 1, [TXT_TYP_75] }} /* POS bis AUF, using RULE_954 */
        IF (PRM_5066 != 3) {{ 2, [TXT_TYP_76] }} /* ZU bis POS, using RULE_954 */
        { 3, [TXT_TYP_77] } /* POS */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4802, 48, 2)
WriteCmdDef(PRM_4802, 48, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4803
 */
VARIABLE PRM_4803	/* MPV Stütz_Hysterese */
{
    LABEL		[TXT_PRM_4803];
    HELP		[HLP_PRM_4803];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4803, 48, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4804
 */
VARIABLE PRM_4804	/* MPV #Pos. Aktiv */
{
    LABEL		[TXT_PRM_4804];
    HELP		[HLP_PRM_4804];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	16;
        DEFAULT_VALUE	8;
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4804, 48, 4)
WriteCmdDef(PRM_4804, 48, 4)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4806
 */
VARIABLE PRM_4806	/* MPV_Pos11 */
{
    LABEL		[TXT_PRM_4806];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 10))) { TRUE; } ELSE { FALSE; }  /* using RULE_930 */
}
ReadCmdDef(PRM_4806, 48, 6)
WriteCmdDef(PRM_4806, 48, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4807
 */
VARIABLE PRM_4807	/* MPV_Pos12 */
{
    LABEL		[TXT_PRM_4807];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 11))) { TRUE; } ELSE { FALSE; }  /* using RULE_932 */
}
ReadCmdDef(PRM_4807, 48, 7)
WriteCmdDef(PRM_4807, 48, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4808
 */
VARIABLE PRM_4808	/* Position NOT MPV */
{
    LABEL		[TXT_PRM_4808];
    HELP		[HLP_PRM_4808];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4808, 48, 8)
WriteCmdDef(PRM_4808, 48, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4809
 */
VARIABLE PRM_4809	/* PositionFailsafe MPV */
{
    LABEL		[TXT_PRM_4809];
    HELP		[HLP_PRM_4809];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_4809, 48, 9)
WriteCmdDef(PRM_4809, 48, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4821
 */
VARIABLE PRM_4821	/* MPV Selbsthaltung */
{
    LABEL		[TXT_PRM_4821];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3660 */
    {
        DEFAULT_VALUE		3;
        { 0, [TXT_TYP_3661] } /* AUS */
        , { 1, [TXT_TYP_3662] } /* CCW */
        , { 2, [TXT_TYP_3690] } /* CW */
        , { 3, [TXT_TYP_3691] } /* CCW+CW */
        , { 4, [TXT_TYP_3692] } /* Direkt CCW-CW */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_617 */
}
ReadCmdDef(PRM_4821, 48, 21)
WriteCmdDef(PRM_4821, 48, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4822
 */
VARIABLE PRM_4822	/* AC2 Uhrzeit: Jahr */
{
    LABEL		[TXT_PRM_4822];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	9999;
        DEFAULT_VALUE	2000;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4822, 48, 22)
WriteCmdDef(PRM_4822, 48, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4823
 */
VARIABLE PRM_4823	/* AC2 Uhrzeit: Monat */
{
    LABEL		[TXT_PRM_4823];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	12;
        DEFAULT_VALUE	1;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4823, 48, 23)
WriteCmdDef(PRM_4823, 48, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4824
 */
VARIABLE PRM_4824	/* AC2 Uhrzeit: Tag */
{
    LABEL		[TXT_PRM_4824];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	31;
        DEFAULT_VALUE	1;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4824, 48, 24)
WriteCmdDef(PRM_4824, 48, 24)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4825
 */
VARIABLE PRM_4825	/* AC2 Uhrzeit: Stunden */
{
    LABEL		[TXT_PRM_4825];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	23;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4825, 48, 25)
WriteCmdDef(PRM_4825, 48, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4826
 */
VARIABLE PRM_4826	/* AC2 Uhrzeit: Minuten */
{
    LABEL		[TXT_PRM_4826];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	59;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4826, 48, 26)
WriteCmdDef(PRM_4826, 48, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4827
 */
VARIABLE PRM_4827	/* AC2 Uhrzeit: Sekunden */
{
    LABEL		[TXT_PRM_4827];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	59;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4827, 48, 27)
WriteCmdDef(PRM_4827, 48, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4828
 */
VARIABLE PRM_4828	/* AC2 Uhrzeit setzen */
{
    LABEL		[TXT_PRM_4828];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4828, 48, 28)
WriteCmdDef(PRM_4828, 48, 28)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4829
 */
VARIABLE PRM_4829	/* AC2 Uhrzeit lesen */
{
    LABEL		[TXT_PRM_4829];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4829, 48, 29)
WriteCmdDef(PRM_4829, 48, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4849
 */
VARIABLE PRM_4849	/* Kauf EL setzen CmdPrm */
{
    LABEL		[TXT_PRM_4849];
    HELP		[HLP_PRM_4849];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_4849, 48, 49)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4850
 */
VARIABLE PRM_4850	/* Aktivierung EL setzen */
{
    LABEL		[TXT_PRM_4850];
    HELP		[HLP_PRM_4850];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4849 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_626 */
}
ReadCmdDef(PRM_4850, 48, 50)
WriteCmdDef(PRM_4850, 48, 50)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4859
 */
DeviceBoolVariable_RO(PRM_4859, 4)  /* PrmConst-1 */

ReadCmdDef(PRM_4859, 48, 59)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4886
 */
VARIABLE PRM_4886	/* MT Mechanik */
{
    LABEL		[TXT_PRM_4886];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4886, 48, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4887
 */
VARIABLE PRM_4887	/* Limit Starts Auf */
{
    LABEL		[TXT_PRM_4887];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4887, 48, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4888
 */
VARIABLE PRM_4888	/* Limit Starts Zu */
{
    LABEL		[TXT_PRM_4888];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4888, 48, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4889
 */
VARIABLE PRM_4889	/* Limit Umdrehungen Auf */
{
    LABEL		[TXT_PRM_4889];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4889, 48, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4890
 */
VARIABLE PRM_4890	/* Limit Umdrehungen Zu */
{
    LABEL		[TXT_PRM_4890];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4890, 48, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4891
 */
VARIABLE PRM_4891	/* Limit Mechanik */
{
    LABEL		[TXT_PRM_4891];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_4891, 48, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4892
 */
VARIABLE PRM_4892	/* MT Reset */
{
    LABEL		[TXT_PRM_4892];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4892, 48, 92)
WriteCmdDef(PRM_4892, 48, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4893
 */
VARIABLE PRM_4893	/* Dauer Wartungsintervall */
{
    LABEL		[TXT_PRM_4893];
    HELP		[HLP_PRM_4893];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3738 */
    {
        DEFAULT_VALUE		8;
        { 0, [TXT_TYP_3739] } /* 1 Monat */
        , { 1, [TXT_TYP_3740] } /* 3 Monate */
        , { 2, [TXT_TYP_3741] } /* 6 Monate */
        , { 3, [TXT_TYP_3742] } /* 1 Jahr */
        , { 4, [TXT_TYP_3743] } /* 2 Jahre */
        , { 5, [TXT_TYP_3744] } /* 3 Jahre */
        , { 6, [TXT_TYP_3745] } /* 4 Jahre */
        , { 7, [TXT_TYP_3746] } /* 5 Jahre */
        , { 8, [TXT_TYP_3747] } /* 10 Jahre */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4730 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_663 */
}
ReadCmdDef(PRM_4893, 48, 93)
WriteCmdDef(PRM_4893, 48, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4896
 */
VARIABLE PRM_4896	/* Stellzeit ZU */
{
    LABEL		[TXT_PRM_4896];
    HELP		[HLP_PRM_4896];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	35999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4896, uiPRM_4896),
        DEFINITION{ uiPRM_4896.VARIABLE_STATUS = PRM_4896.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4896, 48, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4897
 */
VARIABLE PRM_4897	/* Stellzeit AUF */
{
    LABEL		[TXT_PRM_4897];
    HELP		[HLP_PRM_4897];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	35999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4897, uiPRM_4897),
        DEFINITION{ uiPRM_4897.VARIABLE_STATUS = PRM_4897.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_4897, 48, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4899
 */
VARIABLE PRM_4899	/* Feldbus Betriebsart */
{
    LABEL		[TXT_PRM_4899];
    HELP		[HLP_PRM_4899];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3748 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3749] } /* Befehle & Rückmeldg */
        , { 1, [TXT_TYP_3750] } /* Nur Rückmeldungen */
        IF (PRM_3771 == 0) {{ 2, [TXT_TYP_4439] }} /* Auto-Umschaltung, using RULE_1033 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((((PRM_45 != 0) && (PRM_181 != 0))))) { TRUE; } ELSE { FALSE; }  /* using RULE_686 */
}
ReadCmdDef(PRM_4899, 48, 99)
WriteCmdDef(PRM_4899, 48, 99)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4902
 */
VARIABLE PRM_4902	/* Profibus Verbindgstyp */
{
    LABEL		[TXT_PRM_4902];
    HELP		[HLP_PRM_4902];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3756 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3757] } /* AC01.2 */
        , { 1, [TXT_TYP_3758] } /* AC01.1 */
        , { 2, [TXT_TYP_3759] } /* AM 0...1000 */
        , { 3, [TXT_TYP_3760] } /* AM 0...100 */
        , { 4, [TXT_TYP_4415] } /* AC01.1 BP */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PRM_4902, 49, 2)
WriteCmdDef(PRM_4902, 49, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4942
 */
VARIABLE PRM_4942	/* Heizungsansteuerung */
{
    LABEL		[TXT_PRM_4942];
    HELP		[HLP_PRM_4942];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3846 */
    {
        DEFAULT_VALUE		2;
        { 0, [TXT_TYP_3847] } /* AUS */
        , { 1, [TXT_TYP_3848] } /* EIN */
        IF (PRM_1752 != 0) {{ 2, [TXT_TYP_3849] }} /* AUTO, using RULE_11 */
    }
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_4942, 49, 42)
WriteCmdDef(PRM_4942, 49, 42)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4944
 */
VARIABLE PRM_4944	/* Auslösequelle PVST */
{
    LABEL		[TXT_PRM_4944];
    HELP		[HLP_PRM_4944];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_3850 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3851] } /* Aktive Befehlsquelle */
        IF (PRM_45 != 0) {{ 1, [TXT_TYP_3852] }} /* Interface, using RULE_19 */
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_3853] }} /* Feldbus, using RULE_304 */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
}
ReadCmdDef(PRM_4944, 49, 44)
WriteCmdDef(PRM_4944, 49, 44)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4956
 */
VARIABLE PRM_4956	/* Aktivierung SplitRange */
{
    LABEL		[TXT_PRM_4956];
    HELP		[HLP_PRM_4956];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 1) && (((PRM_45 != 0) && (PRM_1169 == 1)))) || ((PRM_5066 == 2) && (((PRM_45 != 0) && (PRM_1169 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_772 */
}
ReadCmdDef(PRM_4956, 49, 56)
WriteCmdDef(PRM_4956, 49, 56)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4957
 */
VARIABLE PRM_4957	/* Untere Bereichsgrenze */
{
    LABEL		[TXT_PRM_4957];
    HELP		[HLP_PRM_4957];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4956 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_714 */
}
ReadCmdDef(PRM_4957, 49, 57)
WriteCmdDef(PRM_4957, 49, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4958
 */
VARIABLE PRM_4958	/* Obere Bereichsgrenze */
{
    LABEL		[TXT_PRM_4958];
    HELP		[HLP_PRM_4958];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4956 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_714 */
}
ReadCmdDef(PRM_4958, 49, 58)
WriteCmdDef(PRM_4958, 49, 58)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5057
 */
VARIABLE PRM_5057	/* TorqueScale */
{
    LABEL		[TXT_PRM_5057];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1000;
        MAX_VALUE	2000;
        DEFAULT_VALUE	1500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PRM_5057, 50, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5061
 */
VARIABLE PRM_5061	/* Vibration max. */
{
    LABEL		[TXT_PRM_5061];
    HELP		[HLP_PRM_5061];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"g_0";
    HANDLING		READ;
}
ReadCmdDef(PRM_5061, 50, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5062
 */
VARIABLE PRM_5062	/* Vibration max. */
{
    LABEL		[TXT_PRM_5062];
    HELP		[HLP_PRM_5062];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"g_0";
    HANDLING		READ;
}
ReadCmdDef(PRM_5062, 50, 62)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5066
 */
VARIABLE PRM_5066	/* Ausführung FUP */
{
    LABEL		[TXT_PRM_5066];
    HELP		[HLP_PRM_5066];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4063 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4064], [HLP_TYP_4064] } /* Standard */
        , { 2, [TXT_TYP_4065], [HLP_TYP_4065] } /* Hydraulik */
        , { 3, [TXT_TYP_4066], [HLP_TYP_4066] } /* MPV */
        , { 4, [TXT_TYP_4072], [HLP_TYP_4072] } /* LPV */
        , { 5, [TXT_TYP_4089], [HLP_TYP_4089] } /* SARV */
    }
    HANDLING		READ;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_5066, 50, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5067
 */
VARIABLE PRM_5067	/* Betriebsstunden */
{
    LABEL		[TXT_PRM_5067];
    HELP		[HLP_PRM_5067];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_5067, 50, 67)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5068
 */
VARIABLE PRM_5068	/* Betriebsstunden */
{
    LABEL		[TXT_PRM_5068];
    HELP		[HLP_PRM_5068];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_5068, 50, 68)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5071
 */
VARIABLE PRM_5071	/* Freischalt Freispülen */
{
    LABEL		[TXT_PRM_5071];
    HELP		[HLP_PRM_5071];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_5071, 50, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5072
 */
VARIABLE PRM_5072	/* Aktivierung Freispülen */
{
    LABEL		[TXT_PRM_5072];
    HELP		[HLP_PRM_5072];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF ((!(((PRM_5066 == 4)) || ((PRM_4736 == 1))) && !(PRM_4378 == 1) && !(PRM_4167 == 1) && (PRM_5071 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_747 */
}
ReadCmdDef(PRM_5072, 50, 72)
WriteCmdDef(PRM_5072, 50, 72)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5073
 */
VARIABLE PRM_5073	/* Fahrzeit Reverse */
{
    LABEL		[TXT_PRM_5073];
    HELP		[HLP_PRM_5073];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	60;
        DEFAULT_VALUE	3;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5072 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_749 */
}
ReadCmdDef(PRM_5073, 50, 73)
WriteCmdDef(PRM_5073, 50, 73)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5074
 */
VARIABLE PRM_5074	/* Freispülversuche */
{
    LABEL		[TXT_PRM_5074];
    HELP		[HLP_PRM_5074];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	5;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5072 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_749 */
}
ReadCmdDef(PRM_5074, 50, 74)
WriteCmdDef(PRM_5074, 50, 74)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5075
 */
VARIABLE PRM_5075	/* Toleranzbereich */
{
    LABEL		[TXT_PRM_5075];
    HELP		[HLP_PRM_5075];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	5;
        MAX_VALUE	30;
        DEFAULT_VALUE	10;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_5072 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_749 */
}
ReadCmdDef(PRM_5075, 50, 75)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5080
 */
VARIABLE PRM_5080	/* Soll_FQM_vorhanden */
{
    LABEL		[TXT_PRM_5080];
    HELP		[HLP_PRM_5080];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_846 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_847] } /* nicht vorhanden */
        , { 1, [TXT_TYP_848] } /* vorhanden */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_5080, 50, 80)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5091
 */
VARIABLE PRM_5091	/* Soll_MCtrl_vorhanden */
{
    LABEL		[TXT_PRM_5091];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_846 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_847] } /* nicht vorhanden */
        , { 1, [TXT_TYP_848] } /* vorhanden */
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_5091, 50, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5103
 */
VARIABLE PRM_5103	/* Drehzahl Intern1 */
{
    LABEL		[TXT_PRM_5103];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5103, 51, 3)
WriteCmdDef(PRM_5103, 51, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5104
 */
VARIABLE PRM_5104	/* MPV_GearNum */
{
    LABEL		[TXT_PRM_5104];
    HELP		[HLP_PRM_5104];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	10000;
        DEFAULT_VALUE	1;
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4782 == 20))) { TRUE; } ELSE { FALSE; }  /* using RULE_781 */
}
ReadCmdDef(PRM_5104, 51, 4)
WriteCmdDef(PRM_5104, 51, 4)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5105
 */
VARIABLE PRM_5105	/* MPV_GearDenom */
{
    LABEL		[TXT_PRM_5105];
    HELP		[HLP_PRM_5105];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	10000;
        DEFAULT_VALUE	1;
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4782 == 20))) { TRUE; } ELSE { FALSE; }  /* using RULE_781 */
}
ReadCmdDef(PRM_5105, 51, 5)
WriteCmdDef(PRM_5105, 51, 5)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5106
 */
VARIABLE PRM_5106	/* Drehzahl Intern2 */
{
    LABEL		[TXT_PRM_5106];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5106, 51, 6)
WriteCmdDef(PRM_5106, 51, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5107
 */
VARIABLE PRM_5107	/* Drehzahl Intern3 */
{
    LABEL		[TXT_PRM_5107];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5107, 51, 7)
WriteCmdDef(PRM_5107, 51, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5108
 */
VARIABLE PRM_5108	/* Drehzahl Intern4 */
{
    LABEL		[TXT_PRM_5108];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5108, 51, 8)
WriteCmdDef(PRM_5108, 51, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5109
 */
VARIABLE PRM_5109	/* Drehzahlquelle ORT Auf */
{
    LABEL		[TXT_PRM_5109];
    HELP		[HLP_PRM_5109];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4076 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4077] } /* Intern 1 */
        , { 2, [TXT_TYP_4078] } /* Intern 2 */
        , { 3, [TXT_TYP_4079] } /* Intern 3 */
        , { 4, [TXT_TYP_4080] } /* Intern 4 */
        , { 5, [TXT_TYP_4081] } /* IntSelDigIn */
        , { 6, [TXT_TYP_4082] } /* AnalogIn */
        , { 7, [TXT_TYP_4083] } /* Fieldbus */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5109, 51, 9)
WriteCmdDef(PRM_5109, 51, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5110
 */
VARIABLE PRM_5110	/* Drehzahlquelle FERN Auf */
{
    LABEL		[TXT_PRM_5110];
    HELP		[HLP_PRM_5110];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4076 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4077] } /* Intern 1 */
        , { 2, [TXT_TYP_4078] } /* Intern 2 */
        , { 3, [TXT_TYP_4079] } /* Intern 3 */
        , { 4, [TXT_TYP_4080] } /* Intern 4 */
        , { 5, [TXT_TYP_4081] } /* IntSelDigIn */
        , { 6, [TXT_TYP_4082] } /* AnalogIn */
        , { 7, [TXT_TYP_4083] } /* Fieldbus */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5110, 51, 10)
WriteCmdDef(PRM_5110, 51, 10)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5111
 */
VARIABLE PRM_5111	/* DrehzahlFernMin */
{
    LABEL		[TXT_PRM_5111];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	MIN_VAL_BY_PRM_5114;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5111, 51, 11)
WriteCmdDef(PRM_5111, 51, 11)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5112
 */
VARIABLE PRM_5112	/* DrehzahlFernMax */
{
    LABEL		[TXT_PRM_5112];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	MAX_VAL_BY_PRM_5114;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5112, 51, 12)
WriteCmdDef(PRM_5112, 51, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5113
 */
VARIABLE PRM_5113	/* Befehlsauswertung FERN */
{
    LABEL		[TXT_PRM_5113];
    HELP		[HLP_PRM_5113];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4086 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4087] } /* pegelgesteuert */
        , { 1, [TXT_TYP_4088] } /* flankengesteuert */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_5113, 51, 13)
WriteCmdDef(PRM_5113, 51, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5114
 */
VARIABLE PRM_5114	/* Nenndrehzahl */
{
    LABEL		[TXT_PRM_5114];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4264 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4265] } /* 45 U/min */
        , { 1, [TXT_TYP_4266] } /* 90 U/min */
        , { 2, [TXT_TYP_4267] } /* 180 U/min */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5114, 51, 14)
WriteCmdDef(PRM_5114, 51, 14)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5116
 */
VARIABLE PRM_5116	/* PropSpeedMin */
{
    LABEL		[TXT_PRM_5116];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	10;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_1045 */
}
ReadCmdDef(PRM_5116, 51, 16)
WriteCmdDef(PRM_5116, 51, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5121
 */
VARIABLE PRM_5121	/* SoftStartTime */
{
    LABEL		[TXT_PRM_5121];
    HELP		[HLP_PRM_5121];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	2;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5121, 51, 21)
WriteCmdDef(PRM_5121, 51, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5122
 */
VARIABLE PRM_5122	/* SoftStopTime */
{
    LABEL		[TXT_PRM_5122];
    HELP		[HLP_PRM_5122];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	2;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5122, 51, 22)
WriteCmdDef(PRM_5122, 51, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5125
 */
VARIABLE PRM_5125	/* Drehzahl NOT Auf */
{
    LABEL		[TXT_PRM_5125];
    HELP		[HLP_PRM_5125];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5125, 51, 25)
WriteCmdDef(PRM_5125, 51, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5126
 */
VARIABLE PRM_5126	/* DrehzahlFailOpOpen */
{
    LABEL		[TXT_PRM_5126];
    HELP		[HLP_PRM_5126];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5126, 51, 26)
WriteCmdDef(PRM_5126, 51, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5127
 */
VARIABLE PRM_5127	/* Stellzeit Intern1 */
{
    LABEL		[TXT_PRM_5127];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5127, 51, 27)
WriteCmdDef(PRM_5127, 51, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5128
 */
VARIABLE PRM_5128	/* Stellzeit Intern2 */
{
    LABEL		[TXT_PRM_5128];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5128, 51, 28)
WriteCmdDef(PRM_5128, 51, 28)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5129
 */
VARIABLE PRM_5129	/* Stellzeit Intern3 */
{
    LABEL		[TXT_PRM_5129];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5129, 51, 29)
WriteCmdDef(PRM_5129, 51, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5130
 */
VARIABLE PRM_5130	/* Stellzeit Intern4 */
{
    LABEL		[TXT_PRM_5130];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5130, 51, 30)
WriteCmdDef(PRM_5130, 51, 30)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5131
 */
VARIABLE PRM_5131	/* Stellzeit NOT Auf */
{
    LABEL		[TXT_PRM_5131];
    HELP		[HLP_PRM_5131];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5131, 51, 31)
WriteCmdDef(PRM_5131, 51, 31)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5132
 */
VARIABLE PRM_5132	/* StellzeitFailOpOpen */
{
    LABEL		[TXT_PRM_5132];
    HELP		[HLP_PRM_5132];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5132, 51, 32)
WriteCmdDef(PRM_5132, 51, 32)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5134
 */
VARIABLE PRM_5134	/* StellzeitFernMin */
{
    LABEL		[TXT_PRM_5134];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	40;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5134, 51, 34)
WriteCmdDef(PRM_5134, 51, 34)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5135
 */
VARIABLE PRM_5135	/* StellzeitFernMax */
{
    LABEL		[TXT_PRM_5135];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	320;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5135, 51, 35)
WriteCmdDef(PRM_5135, 51, 35)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5136
 */
VARIABLE PRM_5136	/* Nennstellzeit */
{
    LABEL		[TXT_PRM_5136];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4268 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4269] } /* 5,6 s */
        , { 1, [TXT_TYP_4270] } /* 11 s */
        , { 2, [TXT_TYP_4271] } /* 24 s */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5136, 51, 36)
WriteCmdDef(PRM_5136, 51, 36)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5138
 */
VARIABLE PRM_5138	/* Antriebstyp */
{
    LABEL		[TXT_PRM_5138];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4126 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4127] } /* SA */
        , { 1, [TXT_TYP_4128] } /* SQ */
        , { 2, [TXT_TYP_4285] } /* Custom */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5138, 51, 38)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5139
 */
VARIABLE PRM_5139	/* PropTimeMin */
{
    LABEL		[TXT_PRM_5139];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	56;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0) && !(PRM_84 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_1047 */
}
ReadCmdDef(PRM_5139, 51, 39)
WriteCmdDef(PRM_5139, 51, 39)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5140
 */
VARIABLE PRM_5140	/* FreischaltElWelle */
{
    LABEL		[TXT_PRM_5140];
    HELP		[HLP_PRM_5140];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_5140, 51, 40)
WriteCmdDef(PRM_5140, 51, 40)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5141
 */
VARIABLE PRM_5141	/* AktivierungElWelle */
{
    LABEL		[TXT_PRM_5141];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5141, 51, 41)
WriteCmdDef(PRM_5141, 51, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5161
 */
VARIABLE PRM_5161	/* Drehmomentbegrenzung  */
{
    LABEL		[TXT_PRM_5161];
    HELP		[HLP_PRM_5161];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_231 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] } /* Deaktiviert */
        , { 1, [TXT_TYP_233], [HLP_TYP_233] } /* Aktiviert */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1752 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_11 */
}
ReadCmdDef(PRM_5161, 51, 61)
WriteCmdDef(PRM_5161, 51, 61)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5162
 */
VARIABLE PRM_5162	/* DrehmoBypassLim */
{
    LABEL		[TXT_PRM_5162];
    HELP		[HLP_PRM_5162];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	100;
        MAX_VALUE	150;
        DEFAULT_VALUE	120;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1752 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_11 */
}
ReadCmdDef(PRM_5162, 51, 62)
WriteCmdDef(PRM_5162, 51, 62)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5163
 */
VARIABLE PRM_5163	/* I-Konfig Endl. ZU */
{
    LABEL		[TXT_PRM_5163];
    HELP		[HLP_PRM_5163];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1255 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_812 */
}
ReadCmdDef(PRM_5163, 51, 63)
WriteCmdDef(PRM_5163, 51, 63)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5164
 */
VARIABLE PRM_5164	/* I-Konfig Endl. AUF */
{
    LABEL		[TXT_PRM_5164];
    HELP		[HLP_PRM_5164];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1255 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_812 */
}
ReadCmdDef(PRM_5164, 51, 64)
WriteCmdDef(PRM_5164, 51, 64)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5165
 */
VARIABLE PRM_5165	/* I-Konfig Endl. ZU */
{
    LABEL		[TXT_PRM_5165];
    HELP		[HLP_PRM_5165];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1263 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_817 */
}
ReadCmdDef(PRM_5165, 51, 65)
WriteCmdDef(PRM_5165, 51, 65)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5166
 */
VARIABLE PRM_5166	/* I-Konfig Endl. AUF */
{
    LABEL		[TXT_PRM_5166];
    HELP		[HLP_PRM_5166];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1263 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_817 */
}
ReadCmdDef(PRM_5166, 51, 66)
WriteCmdDef(PRM_5166, 51, 66)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5171
 */
VARIABLE PRM_5171	/* AvgTemp Log */
{
    LABEL		[TXT_PRM_5171];
    HELP		[HLP_PRM_5171];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_5171, 51, 71)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5174
 */
VARIABLE PRM_5174	/* AvgTemp Mwg */
{
    LABEL		[TXT_PRM_5174];
    HELP		[HLP_PRM_5174];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	150;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_5174, 51, 74)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5189
 */
VARIABLE PRM_5189	/* Aktivierung DMF-Auswertung */
{
    LABEL		[TXT_PRM_5189];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
ReadCmdDef(PRM_5189, 51, 89)
WriteCmdDef(PRM_5189, 51, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5190
 */
VARIABLE PRM_5190	/* Auswahl Analogeingang */
{
    LABEL		[TXT_PRM_5190];
    HELP		[HLP_PRM_5190];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4216 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_4217] } /* AnIn 1 */
        , { 1, [TXT_TYP_4218] } /* AnIn 2 */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_5190, 51, 90)
WriteCmdDef(PRM_5190, 51, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5212
 */
VARIABLE PRM_5212	/* Drehmo Mittelwert */
{
    LABEL		[TXT_PRM_5212];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_5212, 52, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5213
 */
VARIABLE PRM_5213	/* Drehmo Mittelwert */
{
    LABEL		[TXT_PRM_5213];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PRM_5213, 52, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5220
 */
VARIABLE PRM_5220	/* MPV_Pos13 */
{
    LABEL		[TXT_PRM_5220];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 12))) { TRUE; } ELSE { FALSE; }  /* using RULE_934 */
}
ReadCmdDef(PRM_5220, 52, 20)
WriteCmdDef(PRM_5220, 52, 20)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5221
 */
VARIABLE PRM_5221	/* MPV_Pos14 */
{
    LABEL		[TXT_PRM_5221];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 13))) { TRUE; } ELSE { FALSE; }  /* using RULE_936 */
}
ReadCmdDef(PRM_5221, 52, 21)
WriteCmdDef(PRM_5221, 52, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5222
 */
VARIABLE PRM_5222	/* MPV_Pos15 */
{
    LABEL		[TXT_PRM_5222];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 14))) { TRUE; } ELSE { FALSE; }  /* using RULE_938 */
}
ReadCmdDef(PRM_5222, 52, 22)
WriteCmdDef(PRM_5222, 52, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5223
 */
VARIABLE PRM_5223	/* MPV_Pos16 */
{
    LABEL		[TXT_PRM_5223];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	3599;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4804 > 15))) { TRUE; } ELSE { FALSE; }  /* using RULE_940 */
}
ReadCmdDef(PRM_5223, 52, 23)
WriteCmdDef(PRM_5223, 52, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5224
 */
VARIABLE PRM_5224	/* Max-Anläufe/Std */
{
    LABEL		[TXT_PRM_5224];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_5224, 52, 24)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5225
 */
VARIABLE PRM_5225	/* Max-Laufzeit/Std */
{
    LABEL		[TXT_PRM_5225];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_5225, 52, 25)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5226
 */
VARIABLE PRM_5226	/* Max-Anläufe/Std */
{
    LABEL		[TXT_PRM_5226];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    HANDLING		READ;
}
ReadCmdDef(PRM_5226, 52, 26)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5227
 */
VARIABLE PRM_5227	/* Max-Laufzeit/Std */
{
    LABEL		[TXT_PRM_5227];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4);
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
ReadCmdDef(PRM_5227, 52, 27)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5228
 */
VARIABLE PRM_5228	/* WartungsInfo */
{
    LABEL		[TXT_PRM_5228];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4731 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_558 */
}
ReadCmdDef(PRM_5228, 52, 28)
WriteCmdDef(PRM_5228, 52, 28)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5229
 */
VARIABLE PRM_5229	/* Vorwarnlevel */
{
    LABEL		[TXT_PRM_5229];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	50;
        MAX_VALUE	100;
        DEFAULT_VALUE	90;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_5229, 52, 29)
WriteCmdDef(PRM_5229, 52, 29)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5232
 */
VARIABLE PRM_5232	/* Anz. DrehmoKurvenAuf */
{
    LABEL		[TXT_PRM_5232];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (PRM_5233 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_870 */
}
ReadCmdDef(PRM_5232, 52, 32)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5233
 */
VARIABLE PRM_5233	/* Aktivierung MwKurven */
{
    LABEL		[TXT_PRM_5233];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1752 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_11 */
}
ReadCmdDef(PRM_5233, 52, 33)
WriteCmdDef(PRM_5233, 52, 33)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5238
 */
VARIABLE PRM_5238	/* Anz. DrehmoKurvenZu */
{
    LABEL		[TXT_PRM_5238];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (PRM_5233 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_870 */
}
ReadCmdDef(PRM_5238, 52, 38)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5241
 */
VARIABLE PRM_5241	/* Falsche Drehrichtung */
{
    LABEL		[TXT_PRM_5241];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PRM_5241, 52, 41)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5243
 */
VARIABLE PRM_5243	/* Antriebsgröße SA */
{
    LABEL		[TXT_PRM_5243];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4046 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4047] } /* SA07.2 */
        , { 1, [TXT_TYP_4048] } /* SA07.6 */
        , { 2, [TXT_TYP_4049] } /* SA10.2 */
        , { 3, [TXT_TYP_4050] } /* SA14.2 */
        , { 4, [TXT_TYP_4051] } /* SA14.6 */
        , { 5, [TXT_TYP_4052] } /* SA16.2 */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5243, 52, 43)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5244
 */
VARIABLE PRM_5244	/* Antriebsgröße SQ */
{
    LABEL		[TXT_PRM_5244];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4279 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4280] } /* SQ05.2 */
        , { 1, [TXT_TYP_4281] } /* SQ07.2 */
        , { 2, [TXT_TYP_4282] } /* SQ10.2 */
        , { 3, [TXT_TYP_4283] } /* SQ12.2 */
        , { 4, [TXT_TYP_4284] } /* SQ14.2 */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5244, 52, 44)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5245
 */
VARIABLE PRM_5245	/* Motorspannung */
{
    LABEL		[TXT_PRM_5245];
    HELP		[HLP_PRM_5245];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4275 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4276] } /* 100 V */
        , { 1, [TXT_TYP_4277] } /* 200 V */
        , { 2, [TXT_TYP_4278] } /* 380 V */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5245, 52, 45)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5248
 */
VARIABLE PRM_5248	/* Betriebsart Antrieb */
{
    LABEL		[TXT_PRM_5248];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4289 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4290] } /* S2-15 */
        , { 1, [TXT_TYP_4291] } /* S2-30 */
        , { 2, [TXT_TYP_4292] } /* S2-60 */
        , { 3, [TXT_TYP_4293] } /* S4-25 */
        , { 4, [TXT_TYP_4294] } /* S4-50 */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5248, 52, 48)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5249
 */
VARIABLE PRM_5249	/* Startzeit */
{
    LABEL		[TXT_PRM_5249];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5249, 52, 49)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5250
 */
VARIABLE PRM_5250	/* Startfrequenz */
{
    LABEL		[TXT_PRM_5250];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	50;
        MAX_VALUE	150;
        DEFAULT_VALUE	120;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"Hz";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5250, 52, 50)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5252
 */
VARIABLE PRM_5252	/* EnableEndPosDerating */
{
    LABEL		[TXT_PRM_5252];
    HELP		[HLP_PRM_5252];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_335 */
    {
        DEFAULT_VALUE		1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] } /* Aus */
        , { 1, [TXT_TYP_337], [HLP_TYP_337] } /* Ein */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5252, 52, 52)
WriteCmdDef(PRM_5252, 52, 52)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5257
 */
VARIABLE PRM_5257	/* DMF-Typ */
{
    LABEL		[TXT_PRM_5257];
    HELP		[HLP_PRM_5257];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4315 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4316], [HLP_TYP_4316] } /* Standard */
        , { 1, [TXT_TYP_4317], [HLP_TYP_4317] } /* Mechanische Welle */
    }
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_5257, 52, 57)
WriteCmdDef(PRM_5257, 52, 57)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5278
 */
VARIABLE PRM_5278	/* Drehzahlquelle PID */
{
    LABEL		[TXT_PRM_5278];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4076 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4077] } /* Intern 1 */
        , { 2, [TXT_TYP_4078] } /* Intern 2 */
        , { 3, [TXT_TYP_4079] } /* Intern 3 */
        , { 4, [TXT_TYP_4080] } /* Intern 4 */
        , { 5, [TXT_TYP_4081] } /* IntSelDigIn */
        , { 6, [TXT_TYP_4082] } /* AnalogIn */
        , { 7, [TXT_TYP_4083] } /* Fieldbus */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_3590 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_1027 */
}
ReadCmdDef(PRM_5278, 52, 78)
WriteCmdDef(PRM_5278, 52, 78)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5280
 */
VARIABLE PRM_5280	/* Stütz1_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5280];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5280, 52, 80)
WriteCmdDef(PRM_5280, 52, 80)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5281
 */
VARIABLE PRM_5281	/* Stütz1_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5281];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5281, 52, 81)
WriteCmdDef(PRM_5281, 52, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5282
 */
VARIABLE PRM_5282	/* Stütz2_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5282];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5282, 52, 82)
WriteCmdDef(PRM_5282, 52, 82)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5283
 */
VARIABLE PRM_5283	/* Stütz2_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5283];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5283, 52, 83)
WriteCmdDef(PRM_5283, 52, 83)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5284
 */
VARIABLE PRM_5284	/* Stütz3_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5284];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5284, 52, 84)
WriteCmdDef(PRM_5284, 52, 84)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5285
 */
VARIABLE PRM_5285	/* Stütz3_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5285];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5285, 52, 85)
WriteCmdDef(PRM_5285, 52, 85)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5286
 */
VARIABLE PRM_5286	/* Stütz4_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5286];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5286, 52, 86)
WriteCmdDef(PRM_5286, 52, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5287
 */
VARIABLE PRM_5287	/* Stütz4_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5287];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5287, 52, 87)
WriteCmdDef(PRM_5287, 52, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5288
 */
VARIABLE PRM_5288	/* Stütz5_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5288];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5288, 52, 88)
WriteCmdDef(PRM_5288, 52, 88)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5289
 */
VARIABLE PRM_5289	/* Stütz5_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5289];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5289, 52, 89)
WriteCmdDef(PRM_5289, 52, 89)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5290
 */
VARIABLE PRM_5290	/* Stütz6_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5290];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5290, 52, 90)
WriteCmdDef(PRM_5290, 52, 90)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5291
 */
VARIABLE PRM_5291	/* Stütz6_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5291];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5291, 52, 91)
WriteCmdDef(PRM_5291, 52, 91)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5292
 */
VARIABLE PRM_5292	/* Stütz7_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5292];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5292, 52, 92)
WriteCmdDef(PRM_5292, 52, 92)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5293
 */
VARIABLE PRM_5293	/* Stütz7_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5293];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5293, 52, 93)
WriteCmdDef(PRM_5293, 52, 93)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5294
 */
VARIABLE PRM_5294	/* Stütz8_Drehzahl_AUF */
{
    LABEL		[TXT_PRM_5294];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5294, 52, 94)
WriteCmdDef(PRM_5294, 52, 94)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5295
 */
VARIABLE PRM_5295	/* Stütz8_Drehzahl_ZU */
{
    LABEL		[TXT_PRM_5295];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5295, 52, 95)
WriteCmdDef(PRM_5295, 52, 95)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5296
 */
VARIABLE PRM_5296	/* Stütz1_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5296];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5296, 52, 96)
WriteCmdDef(PRM_5296, 52, 96)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5297
 */
VARIABLE PRM_5297	/* Stütz1_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5297];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5297, 52, 97)
WriteCmdDef(PRM_5297, 52, 97)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5298
 */
VARIABLE PRM_5298	/* Stütz2_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5298];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5298, 52, 98)
WriteCmdDef(PRM_5298, 52, 98)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5299
 */
VARIABLE PRM_5299	/* Stütz2_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5299];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5299, 52, 99)
WriteCmdDef(PRM_5299, 52, 99)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5300
 */
VARIABLE PRM_5300	/* Stütz3_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5300];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5300, 53, 0)
WriteCmdDef(PRM_5300, 53, 0)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5301
 */
VARIABLE PRM_5301	/* Stütz3_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5301];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5301, 53, 1)
WriteCmdDef(PRM_5301, 53, 1)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5302
 */
VARIABLE PRM_5302	/* Stütz4_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5302];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5302, 53, 2)
WriteCmdDef(PRM_5302, 53, 2)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5303
 */
VARIABLE PRM_5303	/* Stütz4_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5303];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5303, 53, 3)
WriteCmdDef(PRM_5303, 53, 3)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5304
 */
VARIABLE PRM_5304	/* Stütz5_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5304];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5304, 53, 4)
WriteCmdDef(PRM_5304, 53, 4)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5305
 */
VARIABLE PRM_5305	/* Stütz5_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5305];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5305, 53, 5)
WriteCmdDef(PRM_5305, 53, 5)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5306
 */
VARIABLE PRM_5306	/* Stütz6_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5306];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5306, 53, 6)
WriteCmdDef(PRM_5306, 53, 6)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5307
 */
VARIABLE PRM_5307	/* Stütz6_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5307];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5307, 53, 7)
WriteCmdDef(PRM_5307, 53, 7)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5308
 */
VARIABLE PRM_5308	/* Stütz7_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5308];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5308, 53, 8)
WriteCmdDef(PRM_5308, 53, 8)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5309
 */
VARIABLE PRM_5309	/* Stütz7_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5309];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5309, 53, 9)
WriteCmdDef(PRM_5309, 53, 9)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5310
 */
VARIABLE PRM_5310	/* Stütz8_Stellzeit_AUF */
{
    LABEL		[TXT_PRM_5310];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5310, 53, 10)
WriteCmdDef(PRM_5310, 53, 10)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5311
 */
VARIABLE PRM_5311	/* Stütz8_Stellzeit_ZU */
{
    LABEL		[TXT_PRM_5311];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5311, 53, 11)
WriteCmdDef(PRM_5311, 53, 11)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5312
 */
VARIABLE PRM_5312	/* MPV_LagCompCW */
{
    LABEL		[TXT_PRM_5312];
    HELP		[HLP_PRM_5312];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-1000;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_5312, 53, 12)
WriteCmdDef(PRM_5312, 53, 12)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5313
 */
VARIABLE PRM_5313	/* MPV_LagCompCCW */
{
    LABEL		[TXT_PRM_5313];
    HELP		[HLP_PRM_5313];
    CLASS		CONTAINED;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-1000;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"°";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
ReadCmdDef(PRM_5313, 53, 13)
WriteCmdDef(PRM_5313, 53, 13)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5315
 */
VARIABLE PRM_5315	/* LPV Delay  */
{
    LABEL		[TXT_PRM_5315];
    HELP		[HLP_PRM_5315];
    CLASS		CONTAINED;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MAX_VALUE	9000;
        DEFAULT_VALUE	1200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_1019 */
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_5315, uiPRM_5315),
        DEFINITION{ uiPRM_5315.VARIABLE_STATUS = PRM_5315.VARIABLE_STATUS; }
    }
}
ReadCmdDef(PRM_5315, 53, 15)
WriteCmdDef(PRM_5315, 53, 15)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5316
 */
VARIABLE PRM_5316	/* StelRegTotzoneMin */
{
    LABEL		[TXT_PRM_5316];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	50;
        DEFAULT_VALUE	2;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_84 == 2) { TRUE; } ELSE { FALSE; }  /* using RULE_1037 */
}
ReadCmdDef(PRM_5316, 53, 16)
WriteCmdDef(PRM_5316, 53, 16)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5317
 */
VARIABLE PRM_5317	/* StelRegTotzoneMax */
{
    LABEL		[TXT_PRM_5317];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	50;
        DEFAULT_VALUE	25;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_84 == 2) { TRUE; } ELSE { FALSE; }  /* using RULE_1037 */
}
ReadCmdDef(PRM_5317, 53, 17)
WriteCmdDef(PRM_5317, 53, 17)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5319
 */
VARIABLE PRM_5319	/* Drehzahlquelle ORT Zu */
{
    LABEL		[TXT_PRM_5319];
    HELP		[HLP_PRM_5319];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4076 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4077] } /* Intern 1 */
        , { 2, [TXT_TYP_4078] } /* Intern 2 */
        , { 3, [TXT_TYP_4079] } /* Intern 3 */
        , { 4, [TXT_TYP_4080] } /* Intern 4 */
        , { 5, [TXT_TYP_4081] } /* IntSelDigIn */
        , { 6, [TXT_TYP_4082] } /* AnalogIn */
        , { 7, [TXT_TYP_4083] } /* Fieldbus */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5319, 53, 19)
WriteCmdDef(PRM_5319, 53, 19)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5320
 */
VARIABLE PRM_5320	/* Drehzahlquelle FERN Zu */
{
    LABEL		[TXT_PRM_5320];
    HELP		[HLP_PRM_5320];
    CLASS		CONTAINED;
    TYPE		ENUMERATED (2)      /* TYP_4076 */
    {
        DEFAULT_VALUE		1;
        { 1, [TXT_TYP_4077] } /* Intern 1 */
        , { 2, [TXT_TYP_4078] } /* Intern 2 */
        , { 3, [TXT_TYP_4079] } /* Intern 3 */
        , { 4, [TXT_TYP_4080] } /* Intern 4 */
        , { 5, [TXT_TYP_4081] } /* IntSelDigIn */
        , { 6, [TXT_TYP_4082] } /* AnalogIn */
        , { 7, [TXT_TYP_4083] } /* Fieldbus */
    }
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PRM_5320, 53, 20)
WriteCmdDef(PRM_5320, 53, 20)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5321
 */
VARIABLE PRM_5321	/* Drehzahl NOT Zu */
{
    LABEL		[TXT_PRM_5321];
    HELP		[HLP_PRM_5321];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5321, 53, 21)
WriteCmdDef(PRM_5321, 53, 21)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5322
 */
VARIABLE PRM_5322	/* DrehzahlFailOpClose */
{
    LABEL		[TXT_PRM_5322];
    HELP		[HLP_PRM_5322];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5114;
        MAX_VALUE	MAX_VAL_BY_PRM_5114;
        DEFAULT_VALUE	45;
    }
    CONSTANT_UNIT		"rpm";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && (PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_795 */
}
ReadCmdDef(PRM_5322, 53, 22)
WriteCmdDef(PRM_5322, 53, 22)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5323
 */
VARIABLE PRM_5323	/* Stellzeit NOT Zu */
{
    LABEL		[TXT_PRM_5323];
    HELP		[HLP_PRM_5323];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5323, 53, 23)
WriteCmdDef(PRM_5323, 53, 23)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_5324
 */
VARIABLE PRM_5324	/* StellzeitFailOpClose */
{
    LABEL		[TXT_PRM_5324];
    HELP		[HLP_PRM_5324];
    CLASS		CONTAINED;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	MIN_VAL_BY_PRM_5136;
        MAX_VALUE	MAX_VAL_BY_PRM_5136;
        DEFAULT_VALUE	110;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 5) && !(PRM_5138 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_797 */
}
ReadCmdDef(PRM_5324, 53, 24)
WriteCmdDef(PRM_5324, 53, 24)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_7
 */
VARIABLE uiPRM_7	/* TaktfahrzeitAuf */
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_7, PRM_7, 10, 18000),
        DEFINITION{ PRM_7.VARIABLE_STATUS = uiPRM_7.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_8
 */
VARIABLE uiPRM_8	/* TaktpausenzeitAuf */
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1176 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_17 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_8, PRM_8, 10, 18000),
        DEFINITION{ PRM_8.VARIABLE_STATUS = uiPRM_8.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_591
 */
VARIABLE uiPRM_591	/* TaktpausenzeitZu */
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_591, PRM_591, 10, 18000),
        DEFINITION{ PRM_591.VARIABLE_STATUS = uiPRM_591.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_592
 */
VARIABLE uiPRM_592	/* TaktfahrzeitZu */
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1177 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_16 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_592, PRM_592, 10, 18000),
        DEFINITION{ PRM_592.VARIABLE_STATUS = uiPRM_592.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1874
 */
VARIABLE uiPRM_1874	/* VerzögerungFailsafe */
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:03,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1874, PRM_1874, 0, 18000),
        DEFINITION{ PRM_1874.VARIABLE_STATUS = uiPRM_1874.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1887
 */
VARIABLE uiPRM_1887	/* Stütz1_Pausenzeit */
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1887, PRM_1887, 2, 18000),
        DEFINITION{ PRM_1887.VARIABLE_STATUS = uiPRM_1887.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1888
 */
VARIABLE uiPRM_1888	/* Stütz2_Pausenzeit */
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1888, PRM_1888, 2, 18000),
        DEFINITION{ PRM_1888.VARIABLE_STATUS = uiPRM_1888.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1889
 */
VARIABLE uiPRM_1889	/* Stütz3_Pausenzeit */
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1889, PRM_1889, 2, 18000),
        DEFINITION{ PRM_1889.VARIABLE_STATUS = uiPRM_1889.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1890
 */
VARIABLE uiPRM_1890	/* Stütz4_Pausenzeit */
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1890, PRM_1890, 2, 18000),
        DEFINITION{ PRM_1890.VARIABLE_STATUS = uiPRM_1890.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1891
 */
VARIABLE uiPRM_1891	/* Stütz5_Pausenzeit */
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1891, PRM_1891, 2, 18000),
        DEFINITION{ PRM_1891.VARIABLE_STATUS = uiPRM_1891.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1892
 */
VARIABLE uiPRM_1892	/* Stütz6_Pausenzeit */
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1892, PRM_1892, 2, 18000),
        DEFINITION{ PRM_1892.VARIABLE_STATUS = uiPRM_1892.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1893
 */
VARIABLE uiPRM_1893	/* Stütz7_Pausenzeit */
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1893, PRM_1893, 2, 18000),
        DEFINITION{ PRM_1893.VARIABLE_STATUS = uiPRM_1893.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_1894
 */
VARIABLE uiPRM_1894	/* Stütz8_Pausenzeit */
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1894, PRM_1894, 2, 18000),
        DEFINITION{ PRM_1894.VARIABLE_STATUS = uiPRM_1894.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_2547
 */
VARIABLE uiPRM_2547	/* ApplOpTime_OpTimeMon */
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"15:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2547, PRM_2547, 0, 35999),
        DEFINITION{ PRM_2547.VARIABLE_STATUS = uiPRM_2547.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_2555
 */
VARIABLE uiPRM_2555	/* Dt_MotionDetector */
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2555, PRM_2555, 1, 18000),
        DEFINITION{ PRM_2555.VARIABLE_STATUS = uiPRM_2555.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4015
 */
VARIABLE uiPRM_4015	/* DelayTime_DlyESD */
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4015, PRM_4015, 0, 18000),
        DEFINITION{ PRM_4015.VARIABLE_STATUS = uiPRM_4015.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4194
 */
VARIABLE uiPRM_4194	/* Alarmzeit PVST */
{
    LABEL		[TXT_PRM_4194];
    HELP		[HLP_PRM_4194];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"01:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4194, uiPRM_4194),
        DEFINITION{ uiPRM_4194.VARIABLE_STATUS = PRM_4194.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4194, PRM_4194, 10, 30000),
        DEFINITION{ PRM_4194.VARIABLE_STATUS = uiPRM_4194.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4286
 */
VARIABLE uiPRM_4286	/* Wartezeit PVST */
{
    LABEL		[TXT_PRM_4286];
    HELP		[HLP_PRM_4286];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:02,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4286, uiPRM_4286),
        DEFINITION{ uiPRM_4286.VARIABLE_STATUS = PRM_4286.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4286, PRM_4286, 1, 9000),
        DEFINITION{ PRM_4286.VARIABLE_STATUS = uiPRM_4286.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4287
 */
VARIABLE uiPRM_4287	/* Fahrzeit PVST */
{
    LABEL		[TXT_PRM_4287];
    HELP		[HLP_PRM_4287];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:02,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (PRM_4288 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_535 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4287, uiPRM_4287),
        DEFINITION{ uiPRM_4287.VARIABLE_STATUS = PRM_4287.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4287, PRM_4287, 1, 9000),
        DEFINITION{ PRM_4287.VARIABLE_STATUS = uiPRM_4287.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4738
 */
VARIABLE uiPRM_4738	/* LPV Delay Open */
{
    LABEL		[TXT_PRM_4738];
    HELP		[HLP_PRM_4738];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"02:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 0) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))) && !(((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))))) { TRUE; } ELSE { FALSE; }  /* using RULE_597 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4738, uiPRM_4738),
        DEFINITION{ uiPRM_4738.VARIABLE_STATUS = PRM_4738.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4738, PRM_4738, 0, 9000),
        DEFINITION{ PRM_4738.VARIABLE_STATUS = uiPRM_4738.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4739
 */
VARIABLE uiPRM_4739	/* LPV Delay Close */
{
    LABEL		[TXT_PRM_4739];
    HELP		[HLP_PRM_4739];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 0) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))) && !(((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))))) { TRUE; } ELSE { FALSE; }  /* using RULE_597 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4739, uiPRM_4739),
        DEFINITION{ uiPRM_4739.VARIABLE_STATUS = PRM_4739.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4739, PRM_4739, 0, 9000),
        DEFINITION{ PRM_4739.VARIABLE_STATUS = uiPRM_4739.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4740
 */
VARIABLE uiPRM_4740	/* LPV Delay NA */
{
    LABEL		[TXT_PRM_4740];
    HELP		[HLP_PRM_4740];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_4737 == 1) && (((PRM_5066 == 4)) || ((PRM_4736 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_599 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4740, uiPRM_4740),
        DEFINITION{ uiPRM_4740.VARIABLE_STATUS = PRM_4740.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4740, PRM_4740, 0, 9000),
        DEFINITION{ PRM_4740.VARIABLE_STATUS = uiPRM_4740.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4896
 */
VARIABLE uiPRM_4896	/* Stellzeit ZU */
{
    LABEL		[TXT_PRM_4896];
    HELP		[HLP_PRM_4896];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4896, uiPRM_4896),
        DEFINITION{ uiPRM_4896.VARIABLE_STATUS = PRM_4896.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4896, PRM_4896, 0, 35999),
        DEFINITION{ PRM_4896.VARIABLE_STATUS = uiPRM_4896.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_4897
 */
VARIABLE uiPRM_4897	/* Stellzeit AUF */
{
    LABEL		[TXT_PRM_4897];
    HELP		[HLP_PRM_4897];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4897, uiPRM_4897),
        DEFINITION{ uiPRM_4897.VARIABLE_STATUS = PRM_4897.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4897, PRM_4897, 0, 35999),
        DEFINITION{ PRM_4897.VARIABLE_STATUS = uiPRM_4897.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   uiPRM_5315
 */
VARIABLE uiPRM_5315	/* LPV Delay  */
{
    LABEL		[TXT_PRM_5315];
    HELP		[HLP_PRM_5315];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"02:00,0";
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    VALIDITY    IF (((PRM_5066 == 3) && (PRM_4736 == 1) && (PRM_4737 == 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_1019 */
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_5315, uiPRM_5315),
        DEFINITION{ uiPRM_5315.VARIABLE_STATUS = PRM_5315.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_5315, PRM_5315, 0, 9000),
        DEFINITION{ PRM_5315.VARIABLE_STATUS = uiPRM_5315.VARIABLE_STATUS; }
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3484
 */
VARIABLE PRM_3484	/* Betriebsd. zurücksetzen */
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_3484, 34, 84)
WriteCmdDef(PRM_3484, 34, 84)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_3487
 */
VARIABLE PRM_3487	/* Werkseinst. laden */
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
            /* ### VALIDITY: Implicit RuleSet, using RULE_7 */
}
ReadCmdDef(PRM_3487, 34, 87)
WriteCmdDef(PRM_3487, 34, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4785
 */
VARIABLE PRM_4785	/* Kennlinie 1 speichern */
{
    LABEL		[TXT_PRM_4785];
    HELP		[HLP_PRM_4785];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4785, 47, 85)
WriteCmdDef(PRM_4785, 47, 85)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4786
 */
VARIABLE PRM_4786	/* Kennlinie 2 speichern */
{
    LABEL		[TXT_PRM_4786];
    HELP		[HLP_PRM_4786];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4786, 47, 86)
WriteCmdDef(PRM_4786, 47, 86)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4787
 */
VARIABLE PRM_4787	/* Kennlinie 3 speichern */
{
    LABEL		[TXT_PRM_4787];
    HELP		[HLP_PRM_4787];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4787, 47, 87)
WriteCmdDef(PRM_4787, 47, 87)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PRM_4881
 */
VARIABLE PRM_4881	/* Kennlinien löschen */
{
    LABEL		[TXT_PRM_4881];
    HELP		[HLP_PRM_4881];
    CLASS		CONTAINED;
    TYPE		INTEGER (2);
    HANDLING		READ & WRITE;
}
ReadCmdDef(PRM_4881, 48, 81)
WriteCmdDef(PRM_4881, 48, 81)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_2
 */
VARIABLE PZD_2	/* Istwert E2 */
{
    LABEL		[TXT_PZD_2];
    HELP		[HLP_PZD_2];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_2, 0, 130)
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_4
 */
VARIABLE PZD_4	/* T_Steuerung */
{
    LABEL		[TXT_PZD_4];
    HELP		[HLP_PZD_4];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-60;
        MAX_VALUE	150;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
}
ReadCmdDef(PZD_4, 0, 132)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_77
 */
DeviceAlertVariable(PZD_77, 4)  /* Sammel-Meldung1: Ereignisprotokoll PVST */
ReadCmdDef(PZD_77, 0, 205)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_78
 */
DeviceAlertVariable(PZD_78, 4)  /* Sammel-Meldung2: Warnung */

COMMAND read_PZD_78
{
    SLOT		0;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_78    /* 2 Octets */
        }
        REQUEST
        {
        }
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_79
 */
DeviceAlertVariable(PZD_79, 4)  /* Sammel-Meldung3: Fehler */
ReadCmdDef(PZD_79, 0, 207)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_80
 */
DeviceAlertVariable(PZD_80, 4)  /* Sammel-Meldung4: nicht bereit Fern */
ReadCmdDef(PZD_80, 0, 208)

 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_81
 */
DeviceAlertVariable(PZD_81, 4)  /* Sammel-Meldung5: auma OK */
ReadCmdDef(PZD_81, 0, 209)

 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_82
 */
DeviceAlertVariable(PZD_82, 4)  /* Sammel-Meldung6: Konfigurationswarnung */
ReadCmdDef(PZD_82, 0, 210)

 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_83
 */
DeviceAlertVariable(PZD_83, 4)  /* Sammel-Meldung7: Namur Out Of Spec */
ReadCmdDef(PZD_83, 0, 211)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_84
 */
DeviceAlertVariable(PZD_84, 4)  /* Sammel-Meldung8: Namur Funktionskontrolle */
ReadCmdDef(PZD_84, 0, 212)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_85
 */
DeviceAlertVariable(PZD_85, 4)  /* Sammel-Meldung9: Namur Wartungsbedarf */
ReadCmdDef(PZD_85, 0, 213)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_86
 */
DeviceAlertVariable(PZD_86, 4)  /* Sammel-Meldung10: Namur Ausfall */
ReadCmdDef(PZD_86, 0, 214)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_87
 */
DeviceAlertVariable(PZD_87, 4)  /* Sammel-Meldung 11: Konfigurationsfehler */
ReadCmdDef(PZD_87, 0, 215)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_88
 */
DeviceAlertVariable(PZD_88, 4)  /* Sammel-Meldung 12: Fehler Hydraulik */
ReadCmdDef(PZD_88, 0, 216)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_89
 */
DeviceAlertVariable(PZD_89, 4)  /* Sammel-Meldung 13: Falscher Befehl */
ReadCmdDef(PZD_89, 0, 217)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_90
 */
DeviceAlertVariable(PZD_90, 4)  /* Sammel-Meldung 14: Interne Fehler */
ReadCmdDef(PZD_90, 0, 218)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_91
 */
DeviceAlertVariable(PZD_91, 4)  /* Sammel-Meldung 15: Interne Warnung */
ReadCmdDef(PZD_91, 0, 219)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_92
 */
DeviceAlertVariable(PZD_92, 4)  /* Sammel-Meldung 16: Diagnose Feldbus */
ReadCmdDef(PZD_92, 0, 220)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_93
 */
DeviceAlertVariable(PZD_93, 4)  /* Sammel-Meldung 17: Warnung Hydraulik */
ReadCmdDef(PZD_93, 0, 221)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_94
 */
DeviceAlertVariable(PZD_94, 4)  /* Sammel-Meldung 18: Störung AC1 kompatibel */
ReadCmdDef(PZD_94, 0, 222)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_95
 */
DeviceAlertVariable(PZD_95, 4)  /* Sammel-Meldung 19: Kunde Fehler (konfigurierbar) */
ReadCmdDef(PZD_95, 0, 223)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_96
 */
DeviceAlertVariable(PZD_96, 4)  /* Sammel-Meldung 20: Kunde Warnung (konfigurierbar) */
ReadCmdDef(PZD_96, 0, 224)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_97
 */
DeviceAlertVariable(PZD_97, 4)  /* Sammel-Meldung 21: Kunde NichtBereitFern (konfigurierbar) */
ReadCmdDef(PZD_97, 0, 225)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_98
 */
DeviceAlertVariable(PZD_98, 4)  /* Sammel-Meldung 22: KonfigurationsfehlerFern */
ReadCmdDef(PZD_98, 0, 226)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_99
 */
DeviceAlertVariable(PZD_99, 4)  /* Sammel-Meldung 23: Kunde Status EPAC (konfigurierbar) */
ReadCmdDef(PZD_99, 0, 227)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_100
 */
DeviceAlertVariable(PZD_100, 4)  /* Sammel-Meldung 24: Status Safety (SIL) */
ReadCmdDef(PZD_100, 1, 128)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_101
 */
DeviceAlertVariable(PZD_101, 4)  /* Sammel-Meldung: Service3 */
ReadCmdDef(PZD_101, 1, 129)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_102
 */
DeviceAlertVariable(PZD_102, 4)  /* Sammel-Meldung: Service2*/
ReadCmdDef(PZD_102, 1, 130)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_103
 */
DeviceAlertVariable(PZD_103, 4)  /* Sammel-Meldung: Service1 */
ReadCmdDef(PZD_103, 1, 131)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_104
 */
DeviceAlertVariable(PZD_104, 4)  /* Sammel-Meldung: LWL Warnung */
ReadCmdDef(PZD_104, 1, 132)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_105
 */
DeviceAlertVariable(PZD_105, 4)  /* Sammel-Meldung: Reserve 28 */
ReadCmdDef(PZD_105, 1, 133)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_106
 */
DeviceAlertVariable(PZD_106, 4)  /* Sammel-Meldung: Konfiwarnung 2 */
ReadCmdDef(PZD_106, 1, 134)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_107
 */
DeviceAlertVariable(PZD_107, 4)  /* Sammel-Meldung: AUMA Warnung 2 */
ReadCmdDef(PZD_107, 1, 135)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_108
 */
DeviceAlertVariable(PZD_108, 4)  /* Sammel-Meldung: FQM Sammel-Fehler */
ReadCmdDef(PZD_108, 1, 136)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_109
 */
VARIABLE PZD_109	/* T_Steuereinheit */
{
    LABEL		[TXT_PZD_109];
    HELP		[HLP_PZD_109];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-60;
        MAX_VALUE	150;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
    VALIDITY    IF (PRM_1752 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_11 */
}
ReadCmdDef(PZD_109, 1, 137)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_112
 */
VARIABLE PZD_112	/* SelSwitchUnmasked */
{
    LABEL		[TXT_PZD_112];
    HELP		[HLP_PZD_112];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_331 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_2734] } /* Falsche Stellung */
        , { 1, [TXT_TYP_332], [HLP_TYP_332] } /* ORT */
        , { 2, [TXT_TYP_333], [HLP_TYP_333] } /* AUS */
        , { 3, [TXT_TYP_334], [HLP_TYP_334] } /* FERN */
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_112, 1, 140)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_120
 */
VARIABLE PZD_120	/* Betriebsmodus */
{
    LABEL		[TXT_PZD_120];
    HELP		[HLP_PZD_120];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_646 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_647], [HLP_TYP_647] } /* PowerOff */
        , { 1, [TXT_TYP_659], [HLP_TYP_659] } /* Not Halt */
        , { 2, [TXT_TYP_648], [HLP_TYP_648] } /* Aus */
        , { 3, [TXT_TYP_661], [HLP_TYP_661] } /* Service */
        , { 4, [TXT_TYP_662], [HLP_TYP_662] } /* Ort */
        , { 5, [TXT_TYP_663], [HLP_TYP_663] } /* Interlock */
        , { 6, [TXT_TYP_664], [HLP_TYP_664] } /* Notfahrt */
        , { 7, [TXT_TYP_665], [HLP_TYP_665] } /* Fern1 */
        , { 8, [TXT_TYP_666], [HLP_TYP_666] } /* Fern2 */
        , { 9, [TXT_TYP_667], [HLP_TYP_667] } /* Feldbus */
        , { 10, [TXT_TYP_660], [HLP_TYP_660] } /* Gesperrt */
        , { 11, [TXT_TYP_2699], [HLP_TYP_2699] } /* SafeESD */
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_120, 1, 148)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_144_cmd
 */
VARIABLE PZD_144_cmd	/* Logik: Fahrbefehl (cmd) */
{
    LABEL		[TXT_TXT_149];
    HELP		[HLP_TXT_149];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* LTYP_10 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TXT_119], [HLP_TXT_119] } /* DrvCmd4_cmd_0 */
        , { 1, [TXT_TXT_120], [HLP_TXT_120] } /* DrvCmd4_cmd_1 */
        , { 2, [TXT_TXT_118], [HLP_TXT_118] } /* DrvCmd4_cmd_2 */
        , { 4, [TXT_TXT_117], [HLP_TXT_117] } /* DrvCmd4_cmd_4 */
    }
    HANDLING		READ;
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_144_dir
 */
VARIABLE PZD_144_dir	/* Logik: Fahrbefehl (direction) */
{
    LABEL		[TXT_TXT_150];
    HELP		[HLP_TXT_150];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* LTYP_20 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TXT_151], [HLP_TXT_151] } /* DrvCmd4_dir_0 */
        , { 1, [TXT_TXT_152], [HLP_TXT_152] } /* DrvCmd4_dir_1 */
        , { 2, [TXT_TXT_153], [HLP_TXT_153] } /* DrvCmd4_dir_2 */
    }
    HANDLING		READ;
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_144_speed
 */
VARIABLE PZD_144_speed	/* Logik: Fahrbefehl (speed) */
{
    LABEL		[TXT_TXT_157];
    HELP		[HLP_TXT_157];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_144_position
 */
VARIABLE PZD_144_position	/* Logik: Fahrbefehl (position) */
{
    LABEL		[TXT_TXT_155];
    HELP		[HLP_TXT_155];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	4095;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}

COMMAND read_PZD_144
{
    SLOT		1;
    INDEX		172;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_144_cmd  <0xE0000000>, PZD_144_dir  <0x18000000>, PZD_144_position  <0x00FFF000>, PZD_144_speed  <0x00000FFF>    /* Logik: Fahrbefehl (4 Octets) */
        }
        REQUEST
        {
        }
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_174
 */
VARIABLE PZD_174	/* Gesamtbeschleunigung in g */
{
    LABEL		[TXT_PZD_174];
    HELP		[HLP_PZD_174];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	4000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"g_0";
    HANDLING		READ;
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
ReadCmdDef(PZD_174, 1, 202)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_188
 */
DeviceBoolVariable_RO(PZD_188, 4)  /* FeldbusNot */

ReadCmdDef(PZD_188, 1, 216)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_192
 */
DeviceBoolVariable_RO(PZD_192, 4)  /* FeldbusFreigabeOrt */

ReadCmdDef(PZD_192, 1, 220)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_264
 */
DeviceBoolVariable_RO(PZD_264, 4)  /* Logik: Fährt Richtung AUF (logisch, unterdrückt bei SafeStop (SIL)) */

ReadCmdDef(PZD_264, 2, 192) 

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_265
 */
DeviceBoolVariable_RO(PZD_265, 4)  /* Logik: Fährt Richtung ZU (logisch, unterdrückt bei SafeStop (SIL)) */

ReadCmdDef(PZD_265, 2, 193) 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_268
 */
DeviceAlertVariable(PZD_268, 4)  /* Logik: Bypassed Drehmomentfehler AUF */
ReadCmdDef(PZD_268, 2, 196)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_269
 */
DeviceAlertVariable(PZD_269, 4)  /* Logik: Bypassed Drehmomentfehler ZU */
ReadCmdDef(PZD_269, 2, 197)

 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_270
 */
DeviceAlertVariable(PZD_270, 4)  /* Logik: Bypassed Thermofehler */
ReadCmdDef(PZD_270, 2, 198)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_275
 */
DeviceAlertVariable(PZD_275, 4)  /* Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1  */
ReadCmdDef(PZD_275, 2, 203)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_280
 */
DeviceAlertVariable(PZD_280, 4)  /* Logik: Betriebsmodus EMCY_OP */
ReadCmdDef(PZD_280, 2, 208)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_282
 */
DeviceAlertVariable(PZD_282, 4)  /* Logik: Betriebsmodus SERVICE */
ReadCmdDef(PZD_282, 2, 210)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_285
 */
DeviceAlertVariable(PZD_285, 4)  /* Logik: Betriebsmodus EMCY_STOP */
ReadCmdDef(PZD_285, 2, 213)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_302
 */
DeviceAlertVariable(PZD_302, 4)  /* Logik: Phasenausfall */
ReadCmdDef(PZD_302, 3, 130)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_345
 */
VARIABLE PZD_345	/* PotiRohwert-mV */
{
    LABEL		[TXT_PZD_345];
    HELP		[HLP_PZD_345];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	5000;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"mV";
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_406 */
}
ReadCmdDef(PZD_345, 3, 173)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_346
 */
VARIABLE PZD_346	/* RwgRohwert-mA */
{
    LABEL		[TXT_PZD_346];
    HELP		[HLP_PZD_346];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	206;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_510 */
}
ReadCmdDef(PZD_346, 3, 174)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_371
 */
DeviceAlertVariable(PZD_371, 4)  /* Logik: ungültiger Fahrbefehl */
ReadCmdDef(PZD_371, 3, 199)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_375
 */
DeviceBoolVariable_RO(PZD_375, 4)  /* Logik: Wegendlage Shalter AUF (konditioniert) */

ReadCmdDef(PZD_375, 3, 203) 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_376
 */
DeviceBoolVariable_RO(PZD_376, 4)  /* Logik: Wegendlage Schalter ZU (konditioniert) */

ReadCmdDef(PZD_376, 3, 204) 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_385
 */
DeviceAlertVariable(PZD_385, 4)  /* LCB: Interner Fehler Version */
ReadCmdDef(PZD_385, 3, 213)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_386
 */
DeviceAlertVariable(PZD_386, 4)  /* LCB: Interner Fehler Eeprom */
ReadCmdDef(PZD_386, 3, 214)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_387
 */
DeviceAlertVariable(PZD_387, 4)  /* LCB: Interner Fehler Parameter */
ReadCmdDef(PZD_387, 3, 215)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_388
 */
DeviceAlertVariable(PZD_388, 4)  /* LCB: Interner Fehler Filezugriff */
ReadCmdDef(PZD_388, 3, 216)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_389
 */
DeviceAlertVariable(PZD_389, 4)  /* LCB: Interne Warnung Backup in Use */
ReadCmdDef(PZD_389, 3, 217)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_390
 */
DeviceAlertVariable(PZD_390, 4)  /* LCB: Interne Fehler Backup */
ReadCmdDef(PZD_390, 3, 218)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_401
 */
DeviceBoolVariable_RO(PZD_401, 4)  /* Logik: Position erreicht */

ReadCmdDef(PZD_401, 4, 129) 

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_410
 */
VARIABLE PZD_410	/* AbsolutePositionMwg */
{
    LABEL		[TXT_PZD_410];
    HELP		[HLP_PZD_410];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
ReadCmdDef(PZD_410, 4, 138)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_417
 */
DeviceAlertVariable(PZD_417, 4)  /* MWG: Kalibrier-Feedback Hall-Sensor 1  */
ReadCmdDef(PZD_417, 4, 145)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_418
 */
DeviceAlertVariable(PZD_418, 4)  /* MWG: Kalibrier-Feedback Hall-Sensor 5  */
ReadCmdDef(PZD_418, 4, 146)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_419
 */
DeviceAlertVariable(PZD_419, 4)  /* MWG: Kalibrier-Feedback Hall-Sensor 4  */
ReadCmdDef(PZD_419, 4, 147)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_420
 */
DeviceAlertVariable(PZD_420, 4)  /* MWG: Kalibrier-Feedback Hall-Sensor 3  */
ReadCmdDef(PZD_420, 4, 148)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_421
 */
DeviceAlertVariable(PZD_421, 4)  /* MWG: Kalibrier-Feedback Hall-Sensor 2  */
ReadCmdDef(PZD_421, 4, 149)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_459
 */
DeviceBoolVariable_RO(PZD_459, 4)  /* Logik: Signal Torque OPEN  */

ReadCmdDef(PZD_459, 4, 187) 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_460
 */
DeviceBoolVariable_RO(PZD_460, 4)  /* Logik: Signal Torque CLOSE */

ReadCmdDef(PZD_460, 4, 188) 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_461
 */
DeviceAlertVariable(PZD_461, 4)  /* FailSafe ist aktiv */
ReadCmdDef(PZD_461, 4, 189)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_463
 */
VARIABLE PZD_463	/* FeldbusDrehzl */
{
    LABEL		[TXT_PZD_463];
    HELP		[HLP_PZD_463];
    CLASS		OUTPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_463, 4, 191)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_466
 */
DeviceBoolVariable_RO(PZD_466, 4)  /* FeldbusDigout_01 */

ReadCmdDef(PZD_466, 4, 194)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_467
 */
DeviceBoolVariable_RO(PZD_467, 4)  /* FeldbusDigout_02 */

ReadCmdDef(PZD_467, 4, 195)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_468
 */
DeviceBoolVariable_RO(PZD_468, 4)  /* FeldbusDigout_03 */

ReadCmdDef(PZD_468, 4, 196)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_469
 */
DeviceBoolVariable_RO(PZD_469, 4)  /* FeldbusDigout_04 */

ReadCmdDef(PZD_469, 4, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_470
 */
DeviceBoolVariable_RO(PZD_470, 4)  /* FeldbusDigout_05 */

ReadCmdDef(PZD_470, 4, 198)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_471
 */
DeviceBoolVariable_RO(PZD_471, 4)  /* FeldbusDigout_06 */

ReadCmdDef(PZD_471, 4, 199)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_479
 */
DeviceAlertVariable(PZD_479, 4)  /* Logik: Netzqualität */
ReadCmdDef(PZD_479, 4, 207)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_480
 */
DeviceAlertVariable(PZD_480, 4)  /* Logik: HW-Fehler */
ReadCmdDef(PZD_480, 4, 208)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_481
 */
DeviceAlertVariable(PZD_481, 4)  /* Logik: PH_DIR_NOK (falsche Phasenfolge) */
ReadCmdDef(PZD_481, 4, 209)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_482
 */
DeviceAlertVariable(PZD_482, 4)  /* Logik: 24VAC Error */
ReadCmdDef(PZD_482, 4, 210)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_483
 */
DeviceAlertVariable(PZD_483, 4)  /* Logik: 24VKD Error */
ReadCmdDef(PZD_483, 4, 211)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_484
 */
DeviceAlertVariable(PZD_484, 4)  /* Logik: 24VInt Error */
ReadCmdDef(PZD_484, 4, 212)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_485
 */
DeviceAlertVariable(PZD_485, 4)  /* Logik: 24VExt Error */
ReadCmdDef(PZD_485, 4, 213)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_486
 */
DeviceAlertVariable(PZD_486, 4)  /* Lcb: ED Warnung 1: (Laufzeit) */
ReadCmdDef(PZD_486, 4, 214)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_487
 */
DeviceAlertVariable(PZD_487, 4)  /* Lcb: ED Warnung 2 (Anläufe) */
ReadCmdDef(PZD_487, 4, 215)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_488
 */
VARIABLE PZD_488	/* ED Time */
{
    LABEL		[TXT_PZD_488];
    HELP		[HLP_PZD_488];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        MAX_VALUE	3600;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    VALIDITY    IF (PRM_2121 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_155 */
}
ReadCmdDef(PZD_488, 4, 216)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_489
 */
VARIABLE PZD_489	/* ED Starts */
{
    LABEL		[TXT_PZD_489];
    HELP		[HLP_PZD_489];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        MAX_VALUE	36000;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_2121 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_155 */
}
ReadCmdDef(PZD_489, 4, 217)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_490
 */
DeviceAlertVariable(PZD_490, 4)  /* LCB: RTC nicht gesetzt */
ReadCmdDef(PZD_490, 4, 218)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_494
 */
DeviceAlertVariable(PZD_494, 4)  /* System: Interner Fehler Subscription */
ReadCmdDef(PZD_494, 4, 222)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_495
 */
DeviceAlertVariable(PZD_495, 4)  /* System: Interner Fehler FB-Startup */
ReadCmdDef(PZD_495, 4, 223)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_530
 */
DeviceAlertVariable(PZD_530, 4)  /* System: Interner Fehler Bgr-Startup */
ReadCmdDef(PZD_530, 5, 158)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_545
 */
VARIABLE PZD_545	/* Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000) */
{
    LABEL		[TXT_PZD_545];
    HELP		[HLP_PZD_545];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_545, 5, 173)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_553
 */
DeviceAlertVariable(PZD_553, 4)  /* Logik: Handschalter betätigt */
ReadCmdDef(PZD_553, 5, 181)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_555
 */
DeviceAlertVariable(PZD_555, 4)  /* Falscher Befehl Interface I */
ReadCmdDef(PZD_555, 5, 183)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_556
 */
DeviceAlertVariable(PZD_556, 4)  /* Stellzeitwarnung */
ReadCmdDef(PZD_556, 5, 184)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_557
 */
DeviceAlertVariable(PZD_557, 4)  /* Motorschutzüberwachung defekt */
ReadCmdDef(PZD_557, 5, 185)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_562
 */
DeviceAlertVariable(PZD_562, 4)  /* Falscher Befehl Interface II */
ReadCmdDef(PZD_562, 5, 190)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_563
 */
DeviceAlertVariable(PZD_563, 4)  /* Keine Reaktion: Warnung */
ReadCmdDef(PZD_563, 5, 191)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_576
 */
VARIABLE PZD_576	/* Pb WD-Status K1 */
{
    LABEL		[TXT_PZD_576];
    HELP		[HLP_PZD_576];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_781 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_788] } /* Baud Search */
        , { 1, [TXT_TYP_789] } /* Baud Control */
        , { 2, [TXT_TYP_790] } /* DP Control */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_576, 5, 204)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_577
 */
VARIABLE PZD_577	/* Pb DP-Status K1 */
{
    LABEL		[TXT_PZD_577];
    HELP		[HLP_PZD_577];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_782 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_791] } /* Wait Prm */
        , { 1, [TXT_TYP_792] } /* Wait Cfg */
        , { 2, [TXT_TYP_793] } /* Data Ex */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_577, 5, 205)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_578
 */
VARIABLE PZD_578	/* Pb Baudrate K1 */
{
    LABEL		[TXT_PZD_578];
    HELP		[HLP_PZD_578];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_783 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_794] } /* 12 MBit/s */
        , { 1, [TXT_TYP_795] } /* 6 MBit/s */
        , { 2, [TXT_TYP_796] } /* 3 MBit/s */
        , { 3, [TXT_TYP_797] } /* 1,5 MBit/s */
        , { 4, [TXT_TYP_798] } /* 500 KBit/s */
        , { 5, [TXT_TYP_799] } /* 187,5 KBit/s */
        , { 6, [TXT_TYP_800] } /* 93,75 KBit/s */
        , { 7, [TXT_TYP_801] } /* 45,45 KBit/s */
        , { 8, [TXT_TYP_802] } /* 19,20 KBit/s */
        , { 9, [TXT_TYP_803] } /* 9,6 KBit/s */
        , { 15, [TXT_TYP_804] } /* Nicht vorhanden */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_578, 5, 206)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_579
 */
VARIABLE PZD_579	/* Pb 0 Tele K1 */
{
    LABEL		[TXT_PZD_579];
    HELP		[HLP_PZD_579];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_784 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_805] } /* Datenlänge 0 inaktiv */
        , { 1, [TXT_TYP_806] } /* Datenlänge 0 aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_579, 5, 207)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_580
 */
VARIABLE PZD_580	/* Pb GC Clear K1 */
{
    LABEL		[TXT_PZD_580];
    HELP		[HLP_PZD_580];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_785 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_807] } /* GC-Clear inaktiv */
        , { 1, [TXT_TYP_808] } /* GC-Clear aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_580, 5, 208)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_581
 */
VARIABLE PZD_581	/* Pb GC Freeze K1 */
{
    LABEL		[TXT_PZD_581];
    HELP		[HLP_PZD_581];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_786 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_809] } /* Freeze-Modus inaktiv */
        , { 1, [TXT_TYP_810] } /* Freeze-Modus aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_581, 5, 209)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_582
 */
VARIABLE PZD_582	/* Pb GC Sync K1 */
{
    LABEL		[TXT_PZD_582];
    HELP		[HLP_PZD_582];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_787 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_811] } /* Synch-Modus inaktiv */
        , { 1, [TXT_TYP_812] } /* Synch-Modus aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_582, 5, 210)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_583
 */
VARIABLE PZD_583	/* Pb WD-Status K2 */
{
    LABEL		[TXT_PZD_583];
    HELP		[HLP_PZD_583];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_781 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_788] } /* Baud Search */
        , { 1, [TXT_TYP_789] } /* Baud Control */
        , { 2, [TXT_TYP_790] } /* DP Control */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_583, 5, 211)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_584
 */
VARIABLE PZD_584	/* Pb DP-Status K2 */
{
    LABEL		[TXT_PZD_584];
    HELP		[HLP_PZD_584];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_782 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_791] } /* Wait Prm */
        , { 1, [TXT_TYP_792] } /* Wait Cfg */
        , { 2, [TXT_TYP_793] } /* Data Ex */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_584, 5, 212)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_585
 */
VARIABLE PZD_585	/* Pb Baudrate K2 */
{
    LABEL		[TXT_PZD_585];
    HELP		[HLP_PZD_585];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_783 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_794] } /* 12 MBit/s */
        , { 1, [TXT_TYP_795] } /* 6 MBit/s */
        , { 2, [TXT_TYP_796] } /* 3 MBit/s */
        , { 3, [TXT_TYP_797] } /* 1,5 MBit/s */
        , { 4, [TXT_TYP_798] } /* 500 KBit/s */
        , { 5, [TXT_TYP_799] } /* 187,5 KBit/s */
        , { 6, [TXT_TYP_800] } /* 93,75 KBit/s */
        , { 7, [TXT_TYP_801] } /* 45,45 KBit/s */
        , { 8, [TXT_TYP_802] } /* 19,20 KBit/s */
        , { 9, [TXT_TYP_803] } /* 9,6 KBit/s */
        , { 15, [TXT_TYP_804] } /* Nicht vorhanden */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_585, 5, 213)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_586
 */
VARIABLE PZD_586	/* Pb 0 Tele K2 */
{
    LABEL		[TXT_PZD_586];
    HELP		[HLP_PZD_586];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_784 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_805] } /* Datenlänge 0 inaktiv */
        , { 1, [TXT_TYP_806] } /* Datenlänge 0 aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_586, 5, 214)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_587
 */
VARIABLE PZD_587	/* Pb GC Clear K2 */
{
    LABEL		[TXT_PZD_587];
    HELP		[HLP_PZD_587];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_785 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_807] } /* GC-Clear inaktiv */
        , { 1, [TXT_TYP_808] } /* GC-Clear aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_587, 5, 215)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_588
 */
VARIABLE PZD_588	/* Pb GC Freeze K2 */
{
    LABEL		[TXT_PZD_588];
    HELP		[HLP_PZD_588];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_786 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_809] } /* Freeze-Modus inaktiv */
        , { 1, [TXT_TYP_810] } /* Freeze-Modus aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_588, 5, 216)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_589
 */
VARIABLE PZD_589	/* Pb GC Sync K2 */
{
    LABEL		[TXT_PZD_589];
    HELP		[HLP_PZD_589];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_787 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_811] } /* Synch-Modus inaktiv */
        , { 1, [TXT_TYP_812] } /* Synch-Modus aktiv */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_589, 5, 217)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_593
 */
DeviceAlertVariable(PZD_593, 4)  /* System: Interner Fehler LCB */
ReadCmdDef(PZD_593, 5, 221)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_594
 */
DeviceAlertVariable(PZD_594, 4)  /* System: Interner Fehler Logik */
ReadCmdDef(PZD_594, 5, 222)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_595
 */
DeviceAlertVariable(PZD_595, 4)  /* System: Interner Fehler Mwg */
ReadCmdDef(PZD_595, 5, 223)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_596
 */
DeviceAlertVariable(PZD_596, 4)  /* System: Interner Fehler Bus */
ReadCmdDef(PZD_596, 5, 224)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_597
 */
DeviceAlertVariable(PZD_597, 4)  /* System: Interner Fehler Interface */
ReadCmdDef(PZD_597, 5, 225)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_598
 */
DeviceAlertVariable(PZD_598, 4)  /* System: Interner Fehler Relaisplatine */
ReadCmdDef(PZD_598, 5, 226)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_599
 */
DeviceAlertVariable(PZD_599, 4)  /* System: Interner Fehler Optionsplatine */
ReadCmdDef(PZD_599, 5, 227)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_604
 */
DeviceBoolVariable_RO(PZD_604, 4)  /* Fahrbef.Kanal1 aktiv */

ReadCmdDef(PZD_604, 6, 132)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_605
 */
DeviceBoolVariable_RO(PZD_605, 4)  /* Fahrbef.Kanal2 aktiv */

ReadCmdDef(PZD_605, 6, 133)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_606
 */
DeviceAlertVariable(PZD_606, 4)  /* Feldbus Fail Safe aktiv */
ReadCmdDef(PZD_606, 6, 134)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_607
 */
DeviceBoolVariable_RO(PZD_607, 4)  /* WahlschaltrNichtFern */

ReadCmdDef(PZD_607, 6, 135)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_615
 */
DeviceAlertVariable(PZD_615, 4)  /* Konfigurationsfehler */
ReadCmdDef(PZD_615, 6, 143)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_619
 */
DeviceAlertVariable(PZD_619, 4)  /* Warnung Heizung SA Defekt */
ReadCmdDef(PZD_619, 6, 147)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_621
 */
DeviceAlertVariable(PZD_621, 4)  /* Warnung keine Referenzfahrrt E2 */
ReadCmdDef(PZD_621, 6, 149)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_622
 */
DeviceAlertVariable(PZD_622, 4)  /* Warnung geringer Signalhub E2 */
ReadCmdDef(PZD_622, 6, 150)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_623
 */
DeviceAlertVariable(PZD_623, 4)  /* Warnung Signalbruch E2 */
ReadCmdDef(PZD_623, 6, 151)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_625
 */
DeviceAlertVariable(PZD_625, 4)  /* Warnung LWL (Meldung von Modul)) */
ReadCmdDef(PZD_625, 6, 153)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_629
 */
DeviceAlertVariable(PZD_629, 4)  /* Warnung Temperatur Steuerung */
ReadCmdDef(PZD_629, 6, 157)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_630
 */
DeviceAlertVariable(PZD_630, 4)  /* Warnung Temperatur Motor */
ReadCmdDef(PZD_630, 6, 158)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_631
 */
DeviceAlertVariable(PZD_631, 4)  /* Warnung Temperatur Getriebe */
ReadCmdDef(PZD_631, 6, 159)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_633
 */
DeviceAlertVariable(PZD_633, 4)  /* Warnung AnalogIn 1 E8 */
ReadCmdDef(PZD_633, 6, 161)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_634
 */
DeviceAlertVariable(PZD_634, 4)  /* Warnung AnalogIn 2 E9 */
ReadCmdDef(PZD_634, 6, 162)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_637
 */
DeviceAlertVariable(PZD_637, 4)  /* Warnung Sollposition E1 */
ReadCmdDef(PZD_637, 6, 165)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_639
 */
DeviceBoolVariable_RO(PZD_639, 4)  /* PartialStrokeFB */

ReadCmdDef(PZD_639, 6, 167)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_657
 */
DeviceBoolVariable_RO(PZD_657, 4)  /* DP-Status Data Ex (Kanal 1) */
ReadCmdDef(PZD_657, 6, 185)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_658
 */
DeviceBoolVariable_RO(PZD_658, 4)  /* DP-Status Data Ex (Kanal 2) */
ReadCmdDef(PZD_658, 6, 186)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_659
 */
VARIABLE PZD_659	/* XTActual */
{
    LABEL		[TXT_PZD_659];
    HELP		[HLP_PZD_659];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_84 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_165 */
}
ReadCmdDef(PZD_659, 6, 187)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_664
 */
DeviceAlertVariable(PZD_664, 4)  /* Meldung: Ausgang defekt */
ReadCmdDef(PZD_664, 6, 192)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_665
 */
DeviceBoolVariable_RO(PZD_665, 4)  /* BetrMode_Gesperrt */

ReadCmdDef(PZD_665, 6, 193)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_666
 */
DeviceAlertVariable(PZD_666, 4)  /* Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert */
ReadCmdDef(PZD_666, 6, 194)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_671
 */
DeviceAlertVariable(PZD_671, 4)  /* System: Interner Fehler Konfiguration Stellungsgeber */
ReadCmdDef(PZD_671, 6, 199)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_675
 */
DeviceAlertVariable(PZD_675, 4)  /* System: Interner Fehler Lcb-Exception */
ReadCmdDef(PZD_675, 6, 203)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_676
 */
DeviceAlertVariable(PZD_676, 4)  /* System: Interner Fehler Logik-Exception */
ReadCmdDef(PZD_676, 6, 204)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_677
 */
DeviceAlertVariable(PZD_677, 4)  /* System: Interner Fehler Mwg-Exception */
ReadCmdDef(PZD_677, 6, 205)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_678
 */
DeviceAlertVariable(PZD_678, 4)  /* System: Interner Fehler Bus-Exception */
ReadCmdDef(PZD_678, 6, 206)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_679
 */
DeviceAlertVariable(PZD_679, 4)  /* Fehler Stellungsgeber */
ReadCmdDef(PZD_679, 6, 207)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_684
 */
DeviceAlertVariable(PZD_684, 4)  /* Wahlschalter defekt */
ReadCmdDef(PZD_684, 6, 212)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_685
 */
DeviceAlertVariable(PZD_685, 4)  /* lokaler HALT */
ReadCmdDef(PZD_685, 6, 213)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_688
 */
DeviceAlertVariable(PZD_688, 4)  /* Falscher Befehl Feldbus */
ReadCmdDef(PZD_688, 6, 216)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_707
 */
DeviceAlertVariable(PZD_707, 4)  /* Interner Fehler MWG Messystem defekt */
ReadCmdDef(PZD_707, 7, 135)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_708
 */
DeviceAlertVariable(PZD_708, 4)  /* Interner Fehler Endlagen defekt */
ReadCmdDef(PZD_708, 7, 136)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_709
 */
VARIABLE PZD_709	/* Istwert E2(synchron) */
{
    LABEL		[TXT_PZD_709];
    HELP		[HLP_PZD_709];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PZD_709, 7, 137)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_718
 */
DeviceAlertVariable(PZD_718, 4)  /* Keine Reaktion: Fehler */
ReadCmdDef(PZD_718, 7, 146)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_724
 */
DeviceBoolVariable_RO(PZD_724, 4)  /* BusFreigabeAUF */

ReadCmdDef(PZD_724, 7, 152)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_725
 */
DeviceBoolVariable_RO(PZD_725, 4)  /* BusFreigabeZU */

ReadCmdDef(PZD_725, 7, 153)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_726
 */
DeviceBoolVariable_RO(PZD_726, 4)  /* FeldbusFahreAuf */

ReadCmdDef(PZD_726, 7, 154)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_727
 */
DeviceBoolVariable_RO(PZD_727, 4)  /* FeldbusFahreZu */

ReadCmdDef(PZD_727, 7, 155)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_728
 */
DeviceBoolVariable_RO(PZD_728, 4)  /* FeldbusFahreSoll */

ReadCmdDef(PZD_728, 7, 156)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_729
 */
DeviceBoolVariable_RO(PZD_729, 4)  /* Feldbus_Reset */

ReadCmdDef(PZD_729, 7, 157)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_735
 */
VARIABLE PZD_735	/* DPV1Sollwert */
{
    LABEL		[TXT_PZD_735];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_735, 7, 163)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_737
 */
DeviceBoolVariable_RO(PZD_737, 4)  /* DPV1_Control */

ReadCmdDef(PZD_737, 7, 165)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_738
 */
DeviceBoolVariable_RO(PZD_738, 4)  /* DP-V1 C2-Verbindung  */

ReadCmdDef(PZD_738, 7, 166)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_741
 */
VARIABLE PZD_741	/* Primary Channel (PNO) */
{
    LABEL		[TXT_PZD_741];
    HELP		[HLP_PZD_741];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_1152 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] } /* keiner */
        , { 1, [TXT_TYP_1154], [HLP_TYP_1154] } /* Kanal 1 */
        , { 2, [TXT_TYP_1155], [HLP_TYP_1155] } /* Kanal 2 */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_741, 7, 169)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_742
 */
VARIABLE PZD_742	/* Secondary Channel (PNO) */
{
    LABEL		[TXT_PZD_742];
    HELP		[HLP_PZD_742];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_1152 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] } /* keiner */
        , { 1, [TXT_TYP_1154], [HLP_TYP_1154] } /* Kanal 1 */
        , { 2, [TXT_TYP_1155], [HLP_TYP_1155] } /* Kanal 2 */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_742, 7, 170)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_744
 */
VARIABLE PZD_744	/* DP-V1 Enable (SetPrm) */
{
    LABEL		[TXT_PZD_744];
    HELP		[HLP_PZD_744];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_1161 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] } /* Deaktiviert */
        , { 1, [TXT_TYP_1163], [HLP_TYP_1163] } /* Aktiviert */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_744, 7, 172)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_745
 */
VARIABLE PZD_745	/* DP-RED (SetPrm) */
{
    LABEL		[TXT_PZD_745];
    HELP		[HLP_PZD_745];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_1161 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] } /* Deaktiviert */
        , { 1, [TXT_TYP_1163], [HLP_TYP_1163] } /* Aktiviert */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_745, 7, 173)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_746
 */
VARIABLE PZD_746	/* DP-ALARM (SetPrm) */
{
    LABEL		[TXT_PZD_746];
    HELP		[HLP_PZD_746];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_1161 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] } /* Deaktiviert */
        , { 1, [TXT_TYP_1163], [HLP_TYP_1163] } /* Aktiviert */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_746, 7, 174)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_757
 */
DeviceAlertVariable(PZD_757, 4)  /* InterlockActive */
ReadCmdDef(PZD_757, 7, 185)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_758
 */
DeviceAlertVariable(PZD_758, 2)  /* PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration */
ReadCmdDef(PZD_758, 7, 186)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_759
 */
DeviceAlertVariable(PZD_759, 2)  /* PRM-Konsistenz: Feldbuskonfiguration */
ReadCmdDef(PZD_759, 7, 187)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_760
 */
DeviceAlertVariable(PZD_760, 2)  /* PRM-Konsistenz: MWG-Drehmokonfiguration ZU */
ReadCmdDef(PZD_760, 7, 188)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_761
 */
DeviceAlertVariable(PZD_761, 2)  /* PRM-Konsistenz: MWG-Drehmokonfiguration AUF */
ReadCmdDef(PZD_761, 7, 189)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_762
 */
DeviceAlertVariable(PZD_762, 2)  /* PRM-Konsistenz: DigIn1-Konfiguration */
ReadCmdDef(PZD_762, 7, 190)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_763
 */
DeviceAlertVariable(PZD_763, 2)  /* PRM-Konsistenz: DigIn2-Konfiguration */
ReadCmdDef(PZD_763, 7, 191)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_764
 */
DeviceAlertVariable(PZD_764, 2)  /* PRM-Konsistenz: DigIn3-Konfiguration */
ReadCmdDef(PZD_764, 7, 192)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_765
 */
DeviceAlertVariable(PZD_765, 2)  /* PRM-Konsistenz: DigIn4-Konfiguration */
ReadCmdDef(PZD_765, 7, 193)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_766
 */
DeviceAlertVariable(PZD_766, 2)  /* PRM-Konsistenz: DigIn5-Konfiguration */
ReadCmdDef(PZD_766, 7, 194)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_767
 */
DeviceAlertVariable(PZD_767, 2)  /* PRM-Konsistenz: DigIn6-Konfiguration */
ReadCmdDef(PZD_767, 7, 195)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_768
 */
DeviceAlertVariable(PZD_768, 2)  /* PRM-Konsistenz: DigIn7-Konfiguration */
ReadCmdDef(PZD_768, 7, 196)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_769
 */
DeviceAlertVariable(PZD_769, 2)  /* PRM-Konsistenz: DigIn8-Konfiguration */
ReadCmdDef(PZD_769, 7, 197)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_770
 */
DeviceAlertVariable(PZD_770, 2)  /* PRM-Konsistenz: DigIn9-Konfiguration */
ReadCmdDef(PZD_770, 7, 198)

 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_771
 */
DeviceAlertVariable(PZD_771, 2)  /* PRM-Konsistenz: DigIn10-Konfiguration */
ReadCmdDef(PZD_771, 7, 199)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_773
 */
DeviceAlertVariable(PZD_773, 4)  /* Meldung: Ölleckage (Hydr.-Antrieb) */
ReadCmdDef(PZD_773, 7, 201)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_774
 */
DeviceAlertVariable(PZD_774, 4)  /* Meldung: Füllstand Hydrauliköl (Hydr.-Antrieb) */
ReadCmdDef(PZD_774, 7, 202)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_791
 */
DeviceAlertVariable(PZD_791, 4)  /* Meldung: Laufzeit Motor (Hydr.-Antrieb) */
ReadCmdDef(PZD_791, 7, 219)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_794
 */
VARIABLE PZD_794	/* Lwl_Signal_Kanal-1 */
{
    LABEL		[TXT_PZD_794];
    HELP		[HLP_PZD_794];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_1239 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1240] } /* Deaktiviert */
        , { 1, [TXT_TYP_1241] } /* Pegel zu gering */
        , { 2, [TXT_TYP_1242] } /* Pegel gering kein Rx */
        , { 3, [TXT_TYP_1243] } /* Pegel gering Rx ok */
        , { 4, [TXT_TYP_1244] } /* Pegel gut kein Rx */
        , { 5, [TXT_TYP_1245] } /* Pegel gut Rx ok */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PZD_794, 7, 222)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_795
 */
VARIABLE PZD_795	/* Lwl_Signal_Kanal-2 */
{
    LABEL		[TXT_PZD_795];
    HELP		[HLP_PZD_795];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_1239 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1240] } /* Deaktiviert */
        , { 1, [TXT_TYP_1241] } /* Pegel zu gering */
        , { 2, [TXT_TYP_1242] } /* Pegel gering kein Rx */
        , { 3, [TXT_TYP_1243] } /* Pegel gering Rx ok */
        , { 4, [TXT_TYP_1244] } /* Pegel gut kein Rx */
        , { 5, [TXT_TYP_1245] } /* Pegel gut Rx ok */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PZD_795, 7, 223)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_797
 */
VARIABLE PZD_797	/* LwlBaudrate */
{
    LABEL		[TXT_PZD_797];
    HELP		[HLP_PZD_797];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_1215 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_1216] } /* Ungültig */
        , { 1, [TXT_TYP_1217] } /* 9.6 kbit/s */
        , { 2, [TXT_TYP_1218] } /* 19.2 kbit/s */
        , { 3, [TXT_TYP_1219] } /* 38.4 kbit/s */
        , { 4, [TXT_TYP_1220] } /* 45.45 kbit/s */
        , { 5, [TXT_TYP_1221] } /* 57.6 kbit/s */
        , { 6, [TXT_TYP_1222] } /* 93.75 kbit/s */
        , { 7, [TXT_TYP_1223] } /* 115.2 kbit/s */
        , { 8, [TXT_TYP_1224] } /* 187.5 kbit/s */
        , { 9, [TXT_TYP_1225] } /* 500.0 kbit/s */
        , { 10, [TXT_TYP_1226] } /* 1500 kbit/s */
        , { 11, [TXT_TYP_1227] } /* 3000 kbit/s */
        , { 12, [TXT_TYP_1228] } /* 6000 kbit/s */
        , { 13, [TXT_TYP_1229] } /* 12000 kbit/s */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
ReadCmdDef(PZD_797, 7, 225)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_798
 */
DeviceAlertVariable(PZD_798, 2)  /* PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration */
ReadCmdDef(PZD_798, 7, 226)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_808
 */
DeviceAlertVariable(PZD_808, 2)  /* PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion */
ReadCmdDef(PZD_808, 8, 136)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_809
 */
DeviceAlertVariable(PZD_809, 4)  /* System: Konfigurationsfehler \"FERN-Interface fehlt\" */
ReadCmdDef(PZD_809, 8, 137)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_810
 */
DeviceAlertVariable(PZD_810, 4)  /* Warnung LWL nicht vorhanden */
ReadCmdDef(PZD_810, 8, 138)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_813
 */
DeviceAlertVariable(PZD_813, 4)  /* Warnung LWL Budget */
ReadCmdDef(PZD_813, 8, 141)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_824_speed
 */
VARIABLE PZD_824_speed	/* Fahrbefehl_Prozessregler (speed) */
{
    LABEL		[TXT_TXT_157];
    HELP		[HLP_TXT_157];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining COMMAND(s)   for PZD_824
 */
COMMAND read_PZD_824 /* Fahrbefehl_Prozessregler */
{
    SLOT	8;
    INDEX	152;
    OPERATION	READ;
    TRANSACTION
    {
        REQUEST { }
        REPLY { PZD_824_cmd  <0xE0000000>, PZD_824_dir  <0x18000000>, PZD_824_position  <0x00FFF000>, PZD_824_speed  <0x00000FFF> }  /* 4 Octets */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_824_cmd
 */
VARIABLE PZD_824_cmd	/* Fahrbefehl_Prozessregler (cmd) */
{
    LABEL		[TXT_TXT_149];
    HELP		[HLP_TXT_149];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* LTYP_10 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TXT_119], [HLP_TXT_119] } /* DrvCmd4_cmd_0 */
        , { 1, [TXT_TXT_120], [HLP_TXT_120] } /* DrvCmd4_cmd_1 */
        , { 2, [TXT_TXT_118], [HLP_TXT_118] } /* DrvCmd4_cmd_2 */
        , { 4, [TXT_TXT_117], [HLP_TXT_117] } /* DrvCmd4_cmd_4 */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_824_position
 */
VARIABLE PZD_824_position	/* Fahrbefehl_Prozessregler (position) */
{
    LABEL		[TXT_TXT_155];
    HELP		[HLP_TXT_155];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	4095;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_824_dir
 */
VARIABLE PZD_824_dir	/* Fahrbefehl_Prozessregler (direction) */
{
    LABEL		[TXT_TXT_150];
    HELP		[HLP_TXT_150];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* LTYP_20 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TXT_151], [HLP_TXT_151] } /* DrvCmd4_dir_0 */
        , { 1, [TXT_TXT_152], [HLP_TXT_152] } /* DrvCmd4_dir_1 */
        , { 2, [TXT_TXT_153], [HLP_TXT_153] } /* DrvCmd4_dir_2 */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_832
 */
DeviceAlertVariable(PZD_832, 2)  /* PRM-Konsistenz: LWL-Konfiguration */
ReadCmdDef(PZD_832, 8, 160)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_833
 */
DeviceAlertVariable(PZD_833, 2)  /* Lwl-Formatfehler RS485 */
ReadCmdDef(PZD_833, 8, 161)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_834
 */
DeviceAlertVariable(PZD_834, 4)  /* MWG: Drehmomentwarnung AUF	 */
ReadCmdDef(PZD_834, 8, 162)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_835
 */
DeviceAlertVariable(PZD_835, 4)  /* MWG: Drehmomentwarnung ZU */
ReadCmdDef(PZD_835, 8, 163)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_844
 */
DeviceAlertVariable(PZD_844, 4)  /* Wahlschalter nicht Fern, maskiert */
ReadCmdDef(PZD_844, 8, 172)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_924
 */
DeviceAlertVariable(PZD_924, 4)  /* Interne Warnung Event-HighwaterMark */
ReadCmdDef(PZD_924, 9, 152)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_925
 */
DeviceAlertVariable(PZD_925, 4)  /* Interne Warnung Timeouts-HighwaterMark */
ReadCmdDef(PZD_925, 9, 153)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_928
 */
VARIABLE PZD_928	/* Aktueller Poti-Hub */
{
    LABEL		[TXT_PZD_928];
    HELP		[HLP_PZD_928];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1023;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_406 */
}
ReadCmdDef(PZD_928, 9, 156)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_938
 */
DeviceAlertVariable(PZD_938, 4)  /* PRM-Konsistenz: Konfiguration der Heizungsüberwachung */
ReadCmdDef(PZD_938, 9, 166)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_943
 */
DeviceAlertVariable(PZD_943, 4)  /* LCB: RTC Batterie-Überwachung */
ReadCmdDef(PZD_943, 9, 171)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_944
 */
DeviceAlertVariable(PZD_944, 4)  /* PRM-Konsistenz: Konfiguration des Sicherheitsverhaltens */
ReadCmdDef(PZD_944, 9, 172)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_952
 */
DeviceAlertVariable(PZD_952, 4)  /* Meldung: Partial Stroke aktiv */
ReadCmdDef(PZD_952, 9, 180)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_953
 */
DeviceAlertVariable(PZD_953, 4)  /* Meldung: Partial Stroke Fehler */
ReadCmdDef(PZD_953, 9, 181)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_954
 */
DeviceAlertVariable(PZD_954, 4)  /* Meldung: Partial Stroke Abbruch */
ReadCmdDef(PZD_954, 9, 182)

/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_958
 */
VARIABLE PZD_958	/* Profibus_Ist_Adress1 */
{
    LABEL		[TXT_PZD_958];
    HELP		[HLP_PZD_958];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	126;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_958, 9, 186)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_959
 */
VARIABLE PZD_959	/* Profibus_Ist_Adress2 */
{
    LABEL		[TXT_PZD_959];
    HELP		[HLP_PZD_959];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	126;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_959, 9, 187)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_963
 */
VARIABLE PZD_963	/* Sollwert EP1(sync) */
{
    LABEL		[TXT_PZD_963];
    HELP		[HLP_PZD_963];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PZD_963, 9, 191)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_964
 */
VARIABLE PZD_964	/* Istwert E4(sync) */
{
    LABEL		[TXT_PZD_964];
    HELP		[HLP_PZD_964];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
ReadCmdDef(PZD_964, 9, 192)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_966
 */
DeviceBoolVariable_RO(PZD_966, 4)  /* PVST erforderlich */

ReadCmdDef(PZD_966, 9, 194)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1017
 */
DeviceBoolVariable_RO(PZD_1017, 4)  /* BypassInterlock */

ReadCmdDef(PZD_1017, 10, 145)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1030
 */
VARIABLE PZD_1030	/* XT Open */
{
    LABEL		[TXT_PZD_1030];
    HELP		[HLP_PZD_1030];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_84 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_166 */
}
ReadCmdDef(PZD_1030, 10, 158)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1031
 */
VARIABLE PZD_1031	/* XT Close */
{
    LABEL		[TXT_PZD_1031];
    HELP		[HLP_PZD_1031];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_84 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_166 */
}
ReadCmdDef(PZD_1031, 10, 159)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1032
 */
VARIABLE PZD_1032	/* Xi Open */
{
    LABEL		[TXT_PZD_1032];
    HELP		[HLP_PZD_1032];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PZD_1032, 10, 160)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1033
 */
VARIABLE PZD_1033	/* Xi Close */
{
    LABEL		[TXT_PZD_1033];
    HELP		[HLP_PZD_1033];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PZD_1033, 10, 161)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1117
 */
VARIABLE PZD_1117	/* SollPos Aktuell */
{
    LABEL		[TXT_PZD_1117];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
ReadCmdDef(PZD_1117, 11, 145)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1120
 */
DeviceBoolVariable_RO(PZD_1120, 4)  /* SafetyFunction n.b. */

ReadCmdDef(PZD_1120, 11, 148)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1121
 */
DeviceBoolVariable_RO(PZD_1121, 4)  /* SafetyFunction aktiv */

ReadCmdDef(PZD_1121, 11, 149)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1126
 */
VARIABLE PZD_1126	/* PbChkConfig1 */
{
    LABEL		[TXT_PZD_1126];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_2155 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_2156] } /* NoChkConfig */
        , { 1, [TXT_TYP_2157] } /* 1 in 1 out */
        , { 2, [TXT_TYP_2158] } /* 1 in 4 out  */
        , { 3, [TXT_TYP_2197] } /* 1 in 4 out consist. */
        , { 4, [TXT_TYP_2184] } /* 1 in 8 out */
        , { 5, [TXT_TYP_2198] } /* 1 in 8 out consist. */
        , { 6, [TXT_TYP_2183] } /* 2 in 1 out */
        , { 7, [TXT_TYP_2199] } /* 2 in 1 out consist. */
        , { 8, [TXT_TYP_2182] } /* 2 in 2 out */
        , { 9, [TXT_TYP_2200] } /* 2 in 2 out consist. */
        , { 10, [TXT_TYP_2181] } /* 2 in 4 out */
        , { 11, [TXT_TYP_2201] } /* 2 in 4 out consist. */
        , { 12, [TXT_TYP_2180] } /* 2 in 8 out */
        , { 13, [TXT_TYP_2202] } /* 2 in 8 out consist. */
        , { 14, [TXT_TYP_2179] } /* 2 in 16 out */
        , { 15, [TXT_TYP_2203] } /* 2 in 16 out consist. */
        , { 16, [TXT_TYP_2178] } /* 4 in 1 out */
        , { 17, [TXT_TYP_2204] } /* 4 in 1 out consist. */
        , { 18, [TXT_TYP_2177] } /* 4 in 4 out */
        , { 19, [TXT_TYP_2205] } /* 4 in 4 out consist. */
        , { 20, [TXT_TYP_2176] } /* 4 in 6 out */
        , { 21, [TXT_TYP_2206] } /* 4 in 6 out consist. */
        , { 22, [TXT_TYP_2175] } /* 4 in 8 out */
        , { 23, [TXT_TYP_2207] } /* 4 in 8 out consist. */
        , { 24, [TXT_TYP_2174] } /* 4 in 16 out */
        , { 25, [TXT_TYP_2208] } /* 4 in 16 out consist. */
        , { 26, [TXT_TYP_2173] } /* 6 in 1 out */
        , { 27, [TXT_TYP_2209] } /* 6 in 1 out consist. */
        , { 28, [TXT_TYP_2172] } /* 6 in 2 out */
        , { 29, [TXT_TYP_2210] } /* 6 in 2 out consist. */
        , { 30, [TXT_TYP_2171] } /* 6 in 4 out */
        , { 31, [TXT_TYP_2211] } /* 6 in 4 out consist. */
        , { 32, [TXT_TYP_2170] } /* 6 in 6 out */
        , { 33, [TXT_TYP_2212] } /* 6 in 6 out consist. */
        , { 34, [TXT_TYP_2169] } /* 6 in 8 out */
        , { 35, [TXT_TYP_2213] } /* 6 in 8 out consist. */
        , { 36, [TXT_TYP_2168] } /* 6 in 16 out */
        , { 37, [TXT_TYP_2214] } /* 6 in 16 out consist. */
        , { 38, [TXT_TYP_2167] } /* 8 in 4 out */
        , { 39, [TXT_TYP_2215] } /* 8 in 4 out consist. */
        , { 40, [TXT_TYP_2166] } /* 8 in 6 out */
        , { 41, [TXT_TYP_2216] } /* 8 in 6 out consist. */
        , { 42, [TXT_TYP_2165] } /* 8 in 8 out */
        , { 43, [TXT_TYP_2217] } /* 8 in 8 out consist. */
        , { 44, [TXT_TYP_2164] } /* 8 in 12 out */
        , { 45, [TXT_TYP_2218] } /* 8 in 12 out consist. */
        , { 46, [TXT_TYP_2163] } /* 12 in 4 out */
        , { 47, [TXT_TYP_2219] } /* 12 in 4 out consist. */
        , { 48, [TXT_TYP_2162] } /* 12 in 6 out */
        , { 49, [TXT_TYP_2220] } /* 12 in 6 out consist. */
        , { 50, [TXT_TYP_2161] } /* 12 in 8 out */
        , { 51, [TXT_TYP_2221] } /* 12 in 8 out consist. */
        , { 52, [TXT_TYP_2160] } /* 12 in 12 out */
        , { 53, [TXT_TYP_2222] } /* 12 in 12 out consist */
        , { 54, [TXT_TYP_2194] } /* 12 in 16 out */
        , { 55, [TXT_TYP_2223] } /* 12 in 16 out consist */
        , { 56, [TXT_TYP_2193] } /* 16 in 8 out */
        , { 57, [TXT_TYP_2224] } /* 16 in 8 out consist. */
        , { 58, [TXT_TYP_2192] } /* 20 in 4 out */
        , { 59, [TXT_TYP_2225] } /* 20 in 4 out consist. */
        , { 60, [TXT_TYP_2191] } /* 20 in 8 out */
        , { 61, [TXT_TYP_2226] } /* 20 in 8 out consist. */
        , { 62, [TXT_TYP_2190] } /* 20 in 12 out */
        , { 63, [TXT_TYP_2227] } /* 20 in 12 out consist */
        , { 64, [TXT_TYP_2189] } /* 22 in 8 out */
        , { 65, [TXT_TYP_2228] } /* 22 in 8 out consist. */
        , { 66, [TXT_TYP_2188] } /* 24 in 8 out */
        , { 67, [TXT_TYP_2229] } /* 24 in 8 out consist. */
        , { 68, [TXT_TYP_2187] } /* 32 in 4 out */
        , { 69, [TXT_TYP_2230] } /* 32 in 4 out consist. */
        , { 70, [TXT_TYP_2186] } /* 32 in 8 out */
        , { 71, [TXT_TYP_2231] } /* 32 in 8 out consist. */
        , { 72, [TXT_TYP_2185] } /* 32 in 12 out */
        , { 73, [TXT_TYP_2232] } /* 32 in 12 out consist */
        , { 74, [TXT_TYP_2196] } /* 32 in 16 out */
        , { 75, [TXT_TYP_2233] } /* 32 in 16 out consist */
        , { 76, [TXT_TYP_2195] } /* 40 in 26 out */
        , { 77, [TXT_TYP_2234] } /* 40 in 26 out consist */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
ReadCmdDef(PZD_1126, 11, 154)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1127
 */
VARIABLE PZD_1127	/* PbChkConfig2 */
{
    LABEL		[TXT_PZD_1127];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_2155 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_2156] } /* NoChkConfig */
        , { 1, [TXT_TYP_2157] } /* 1 in 1 out */
        , { 2, [TXT_TYP_2158] } /* 1 in 4 out  */
        , { 3, [TXT_TYP_2197] } /* 1 in 4 out consist. */
        , { 4, [TXT_TYP_2184] } /* 1 in 8 out */
        , { 5, [TXT_TYP_2198] } /* 1 in 8 out consist. */
        , { 6, [TXT_TYP_2183] } /* 2 in 1 out */
        , { 7, [TXT_TYP_2199] } /* 2 in 1 out consist. */
        , { 8, [TXT_TYP_2182] } /* 2 in 2 out */
        , { 9, [TXT_TYP_2200] } /* 2 in 2 out consist. */
        , { 10, [TXT_TYP_2181] } /* 2 in 4 out */
        , { 11, [TXT_TYP_2201] } /* 2 in 4 out consist. */
        , { 12, [TXT_TYP_2180] } /* 2 in 8 out */
        , { 13, [TXT_TYP_2202] } /* 2 in 8 out consist. */
        , { 14, [TXT_TYP_2179] } /* 2 in 16 out */
        , { 15, [TXT_TYP_2203] } /* 2 in 16 out consist. */
        , { 16, [TXT_TYP_2178] } /* 4 in 1 out */
        , { 17, [TXT_TYP_2204] } /* 4 in 1 out consist. */
        , { 18, [TXT_TYP_2177] } /* 4 in 4 out */
        , { 19, [TXT_TYP_2205] } /* 4 in 4 out consist. */
        , { 20, [TXT_TYP_2176] } /* 4 in 6 out */
        , { 21, [TXT_TYP_2206] } /* 4 in 6 out consist. */
        , { 22, [TXT_TYP_2175] } /* 4 in 8 out */
        , { 23, [TXT_TYP_2207] } /* 4 in 8 out consist. */
        , { 24, [TXT_TYP_2174] } /* 4 in 16 out */
        , { 25, [TXT_TYP_2208] } /* 4 in 16 out consist. */
        , { 26, [TXT_TYP_2173] } /* 6 in 1 out */
        , { 27, [TXT_TYP_2209] } /* 6 in 1 out consist. */
        , { 28, [TXT_TYP_2172] } /* 6 in 2 out */
        , { 29, [TXT_TYP_2210] } /* 6 in 2 out consist. */
        , { 30, [TXT_TYP_2171] } /* 6 in 4 out */
        , { 31, [TXT_TYP_2211] } /* 6 in 4 out consist. */
        , { 32, [TXT_TYP_2170] } /* 6 in 6 out */
        , { 33, [TXT_TYP_2212] } /* 6 in 6 out consist. */
        , { 34, [TXT_TYP_2169] } /* 6 in 8 out */
        , { 35, [TXT_TYP_2213] } /* 6 in 8 out consist. */
        , { 36, [TXT_TYP_2168] } /* 6 in 16 out */
        , { 37, [TXT_TYP_2214] } /* 6 in 16 out consist. */
        , { 38, [TXT_TYP_2167] } /* 8 in 4 out */
        , { 39, [TXT_TYP_2215] } /* 8 in 4 out consist. */
        , { 40, [TXT_TYP_2166] } /* 8 in 6 out */
        , { 41, [TXT_TYP_2216] } /* 8 in 6 out consist. */
        , { 42, [TXT_TYP_2165] } /* 8 in 8 out */
        , { 43, [TXT_TYP_2217] } /* 8 in 8 out consist. */
        , { 44, [TXT_TYP_2164] } /* 8 in 12 out */
        , { 45, [TXT_TYP_2218] } /* 8 in 12 out consist. */
        , { 46, [TXT_TYP_2163] } /* 12 in 4 out */
        , { 47, [TXT_TYP_2219] } /* 12 in 4 out consist. */
        , { 48, [TXT_TYP_2162] } /* 12 in 6 out */
        , { 49, [TXT_TYP_2220] } /* 12 in 6 out consist. */
        , { 50, [TXT_TYP_2161] } /* 12 in 8 out */
        , { 51, [TXT_TYP_2221] } /* 12 in 8 out consist. */
        , { 52, [TXT_TYP_2160] } /* 12 in 12 out */
        , { 53, [TXT_TYP_2222] } /* 12 in 12 out consist */
        , { 54, [TXT_TYP_2194] } /* 12 in 16 out */
        , { 55, [TXT_TYP_2223] } /* 12 in 16 out consist */
        , { 56, [TXT_TYP_2193] } /* 16 in 8 out */
        , { 57, [TXT_TYP_2224] } /* 16 in 8 out consist. */
        , { 58, [TXT_TYP_2192] } /* 20 in 4 out */
        , { 59, [TXT_TYP_2225] } /* 20 in 4 out consist. */
        , { 60, [TXT_TYP_2191] } /* 20 in 8 out */
        , { 61, [TXT_TYP_2226] } /* 20 in 8 out consist. */
        , { 62, [TXT_TYP_2190] } /* 20 in 12 out */
        , { 63, [TXT_TYP_2227] } /* 20 in 12 out consist */
        , { 64, [TXT_TYP_2189] } /* 22 in 8 out */
        , { 65, [TXT_TYP_2228] } /* 22 in 8 out consist. */
        , { 66, [TXT_TYP_2188] } /* 24 in 8 out */
        , { 67, [TXT_TYP_2229] } /* 24 in 8 out consist. */
        , { 68, [TXT_TYP_2187] } /* 32 in 4 out */
        , { 69, [TXT_TYP_2230] } /* 32 in 4 out consist. */
        , { 70, [TXT_TYP_2186] } /* 32 in 8 out */
        , { 71, [TXT_TYP_2231] } /* 32 in 8 out consist. */
        , { 72, [TXT_TYP_2185] } /* 32 in 12 out */
        , { 73, [TXT_TYP_2232] } /* 32 in 12 out consist */
        , { 74, [TXT_TYP_2196] } /* 32 in 16 out */
        , { 75, [TXT_TYP_2233] } /* 32 in 16 out consist */
        , { 76, [TXT_TYP_2195] } /* 40 in 26 out */
        , { 77, [TXT_TYP_2234] } /* 40 in 26 out consist */
    }
    HANDLING		READ;
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
ReadCmdDef(PZD_1127, 11, 155)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1312
 */
DeviceAlertVariable(PZD_1312, 4)	/* WartgLebensdSchütz */
ReadCmdDef(PZD_1312, 13, 140)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1313
 */
DeviceAlertVariable(PZD_1313, 4)	/* WartgLebensdOring */
ReadCmdDef(PZD_1313, 13, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1314
 */
DeviceAlertVariable(PZD_1314, 4)	/* WartgLebensdSchmier */
ReadCmdDef(PZD_1314, 13, 142)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1317
 */
DeviceAlertVariable(PZD_1317, 4)	/* WartgWartgsintervall */
ReadCmdDef(PZD_1317, 13, 145)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1382
 */
VARIABLE PZD_1382	/* DirektposMpvCmdFBus */
{
    LABEL		[TXT_PZD_1382];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (2)      /* TYP_3978 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_3979] } /* Keine Direktposition */
        , { 1, [TXT_TYP_3980] } /* Direktposition 1 */
        , { 2, [TXT_TYP_3981] } /* Direktposition 2 */
        , { 4, [TXT_TYP_3982] } /* Direktposition 3 */
        , { 8, [TXT_TYP_3983] } /* Direktposition 4 */
        , { 16, [TXT_TYP_3984] } /* Direktposition 5 */
        , { 32, [TXT_TYP_3985] } /* Direktposition 6 */
        , { 64, [TXT_TYP_3986] } /* Direktposition 7 */
        , { 128, [TXT_TYP_3987] } /* Direktposition 8 */
        , { 129, [TXT_TYP_3988] } /* Direktposition 9 */
        , { 130, [TXT_TYP_3989] } /* Direktposition1 10 */
        , { 131, [TXT_TYP_3990] } /* Direktposition1 11 */
        , { 132, [TXT_TYP_3991] } /* Direktposition1 12 */
        , { 133, [TXT_TYP_4241] } /* Direktposition1 13 */
        , { 134, [TXT_TYP_4242] } /* Direktposition1 14 */
        , { 135, [TXT_TYP_4243] } /* Direktposition1 15 */
        , { 136, [TXT_TYP_4244] } /* Direktposition1 16 */
        , { 144, [TXT_TYP_3992] } /* CW */
        , { 145, [TXT_TYP_3993] } /* Direktposition 1 CW */
        , { 146, [TXT_TYP_3994] } /* Direktposition 2 CW */
        , { 147, [TXT_TYP_3995] } /* Direktposition 3 CW */
        , { 148, [TXT_TYP_3996] } /* Direktposition 4 CW */
        , { 149, [TXT_TYP_3997] } /* Direktposition 5 CW */
        , { 150, [TXT_TYP_3998] } /* Direktposition 6 CW */
        , { 151, [TXT_TYP_3999] } /* Direktposition 7 CW */
        , { 152, [TXT_TYP_4000] } /* Direktposition 8 CW */
        , { 153, [TXT_TYP_4001] } /* Direktposition 9 CW */
        , { 154, [TXT_TYP_4002] } /* Direktposition 10 CW */
        , { 155, [TXT_TYP_4003] } /* Direktposition 11 CW */
        , { 156, [TXT_TYP_4004] } /* Direktposition 12 CW */
        , { 157, [TXT_TYP_4245] } /* Direktposition 13 CW */
        , { 158, [TXT_TYP_4246] } /* Direktposition 14 CW */
        , { 159, [TXT_TYP_4247] } /* Direktposition 15 CW */
        , { 176, [TXT_TYP_4251] } /* Direktposition 16 CW */
        , { 160, [TXT_TYP_4005] } /* CCW */
        , { 161, [TXT_TYP_4006] } /* Direktposition 1 CCW */
        , { 162, [TXT_TYP_4007] } /* Direktposition 2 CCW */
        , { 163, [TXT_TYP_4008] } /* Direktposition 3 CCW */
        , { 164, [TXT_TYP_4009] } /* Direktposition 4 CCW */
        , { 165, [TXT_TYP_4010] } /* Direktposition 5 CCW */
        , { 166, [TXT_TYP_4011] } /* Direktposition 6 CCW */
        , { 167, [TXT_TYP_4012] } /* Direktposition 7 CCW */
        , { 168, [TXT_TYP_4013] } /* Direktposition 8 CCW */
        , { 169, [TXT_TYP_4014] } /* Direktposition 9 CCW */
        , { 170, [TXT_TYP_4015] } /* Direktposition 10 CCW */
        , { 171, [TXT_TYP_4016] } /* Direktposition 11 CCW */
        , { 172, [TXT_TYP_4017] } /* Direktposition 12 CCW */
        , { 173, [TXT_TYP_4248] } /* Direktposition 13 CCW */
        , { 174, [TXT_TYP_4249] } /* Direktposition 14 CCW */
        , { 175, [TXT_TYP_4250] } /* Direktposition 15 CCW */
        , { 192, [TXT_TYP_4252] } /* Direktposition 16 CCW */
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_1382, 13, 210)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1430
 */
DeviceAlertVariable(PZD_1430, 4) 	/* WartgLebensdMechanik */

ReadCmdDef(PZD_1430, 14, 158)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1443
 */
DeviceBoolVariable_RO(PZD_1443, 4)  /* MaintenanceRequired */

ReadCmdDef(PZD_1443, 14, 171)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1453
 */
VARIABLE PZD_1453	/* SchleifenstromOutput */
{
    LABEL		[TXT_PZD_1453];
    HELP		[HLP_PZD_1453];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	2400;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ;
}
ReadCmdDef(PZD_1453, 14, 181)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1610
 */
DeviceBoolVariable_RO(PZD_1610, 4)  /* Phasenausfall */

ReadCmdDef(PZD_1610, 16, 138)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1611
 */
VARIABLE PZD_1611	/* Zwischenkreisspannung */
{
    LABEL		[TXT_PZD_1611];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2);
    CONSTANT_UNIT		"V";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1611, 16, 139)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1612
 */
VARIABLE PZD_1612	/* Zwischenkreisstrom */
{
    LABEL		[TXT_PZD_1612];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"A";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1612, 16, 140)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1613
 */
VARIABLE PZD_1613	/* Motorstrom (Phase) */
{
    LABEL		[TXT_PZD_1613];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"A";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1613, 16, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1615
 */
VARIABLE PZD_1615	/* StatusInfo */
{
    LABEL		[TXT_PZD_1615];
    CLASS		DIAGNOSTIC;
    TYPE		BIT_ENUMERATED (2)      /* TYP_4092 */
    {
        DEFAULT_VALUE		0x0000;
        { 0x0001, [TXT_TYP_4093] } /* MOTCTRL_OK */
        , { 0x0002, [TXT_TYP_4094] } /* MOT_ON */
        , { 0x0004, [TXT_TYP_4095] } /* I_SHUTDOWN */
        , { 0x0008, [TXT_TYP_4096] } /* U_SHUTDOWN */
        , { 0x0010, [TXT_TYP_4097] } /* OVERCURRENT */
        , { 0x0020, [TXT_TYP_4098] } /* OVERTEMP */
        , { 0x0040, [TXT_TYP_4099] } /* BRAKE_ON */
        , { 0x0080, [TXT_TYP_4100] } /* HEATING_ON */
        , { 0x0100, [TXT_TYP_4101] } /* I_CYC_LIMIT */
        , { 0x0200, [TXT_TYP_4132] } /* TMS_ON */
        , { 0x0400, [TXT_TYP_4148] } /* IPEAK_SHTDWN */
        , { 0x0800, [TXT_TYP_4152] } /* IDC_LIM */
        , { 0x1000, [TXT_TYP_4153] } /* I_CYC_SHTDWN */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1615, 16, 143)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1616
 */
VARIABLE PZD_1616	/* Aussteuerung */
{
    LABEL		[TXT_PZD_1616];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1616, 16, 144)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1617
 */
VARIABLE PZD_1617	/* Reserve */
{
    LABEL		[TXT_PZD_1617];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2);
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1617, 16, 145)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1656
 */
VARIABLE PZD_1656	/* SARV Drehmoment */
{
    LABEL		[TXT_PZD_1656];
    CLASS		DIAGNOSTIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.01;
        EDIT_FORMAT	".2f";
        DISPLAY_FORMAT	".2f";
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1656, 16, 184)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1658
 */
VARIABLE PZD_1658	/* SARV HW Config */
{
    LABEL		[TXT_PZD_1658];
    CLASS		DIAGNOSTIC;
    TYPE		ENUMERATED (2)      /* TYP_4165 */
    {
        DEFAULT_VALUE		0;
        { 0, [TXT_TYP_4166] } /* Unknown */
        , { 1, [TXT_TYP_4175] } /* PU1_PS1 */
        , { 2, [TXT_TYP_4167] } /* PU1_PS2 */
        , { 3, [TXT_TYP_4168] } /* PU1_PS3 */
        , { 4, [TXT_TYP_4169] } /* PU2_PS1 */
        , { 5, [TXT_TYP_4170] } /* PU2_PS2 */
        , { 6, [TXT_TYP_4171] } /* PU2_PS3 */
        , { 7, [TXT_TYP_4172] } /* PU3_PS1 */
        , { 8, [TXT_TYP_4173] } /* PU3_PS2 */
        , { 9, [TXT_TYP_4174] } /* PU3_PS3 */
    }
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1658, 16, 186)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1782
 */
VARIABLE PZD_1782	/* IGBT-Temp */
{
    LABEL		[TXT_PZD_1782];
    CLASS		DIAGNOSTIC;
    TYPE		INTEGER (2);
    CONSTANT_UNIT		[degC];
    HANDLING		READ;
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
ReadCmdDef(PZD_1782, 17, 210)
 
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Table Specialist 
 */
MENU	offline_root_menu
{
    LABEL	[TXT_TST_1230];
#ifdef dtmGENERATOR
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
#endif /* dtmGENERATOR */ 
    ITEMS
    {
            menu_DIS_9 /* Display... */
            , menu_DIS_21 /* Informationen */
            , menu_DIS_41 /* Einstellungen */
            , menu_DIS_53 /* Gerätekonfiguration */
            , menu_DIS_592 /* Gerätestatus */
            , menu_DIS_22 /* Diagnose */
            , menu_DIS_1231 /* Asset Management */
    }
}

#ifdef dtmGENERATOR
MENU	online_root_menu
{
    LABEL	[TXT_TST_1231];
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
    ITEMS
    {
            menu_DIS_9 /* Display... */
            , menu_DIS_21 /* Informationen */
            , menu_DIS_41 /* Einstellungen */
            , menu_DIS_53 /* Gerätekonfiguration */
            , menu_DIS_592 /* Gerätestatus */
            , menu_DIS_22 /* Diagnose */
            , menu_DIS_1231 /* Asset Management */
            , Menu_S_Device /* Service-Kommandos */
    }
}

#else

MENU	process_variables_root_menu
{
    LABEL	[TXT_TST_1231];
	STYLE   WINDOW;
    ITEMS
    {
            menu_DIS_21_p  /* Informationen */
            , menu_process_variables_input  /* Prozessvariablen (input) */
            , menu_process_variables_output /* Prozessvariablen (output) */
    }
}
MENU	diagnostic_root_menu
{
    LABEL	[TXT_TST_1232];
    ITEMS
    {
            menu_DIS_21 /* Informationen */
            , menu_DIS_592 /* Gerätestatus */
            , menu_DIS_22  /* Diagnose */
            , menu_AM_main  /* asset management */
            , menu_TV_main  /* trend view */
    }
}
#ifndef  _AMSDM_
MENU	device_root_menu
{
    LABEL		[TXT_TST_1233];
    ITEMS
    {
        coPRM_3484		/* Betriebsd. zurücksetzen */
        , coPRM_3487	/* Werkseinst. laden */
		, menu_RC_main
#ifdef _V800_ /* only from PDM rev. 8.0 */
		, menu_CC_cfg
		, menu_CC_main
#ifdef AC2_DT
			, menu_DT_main  /* Date & Time */
#endif
#endif /* _V800_ */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_CC_cfg Kennlinien speichern/löschen
 */
MENU menu_CC_cfg /* Kennlinien speichern/löschen */
{
    LABEL		"Record characteristics|de|Kennlinien speichern";
    ITEMS
    {
		coPRM_4785		/* Kennlinie 1 speichern */
		, coPRM_4786	/* Kennlinie 2 speichern */
		, coPRM_4787	/* Kennlinie 3 speichern */
		, coPRM_4881    /* Kennlinien löschen */
	}
}
#endif /* !_AMSDM_ */
#endif /* dtmGENERATOR */
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_9 "Display..."
 */
MENU menu_DIS_9 /* Display... */
{
    LABEL		[TXT_DIS_9];
    ITEMS
    {
            PRM_33 /* Sprache */
/*            DIS_221 "Datum und Uhrzeit" (Usage: AC01.2 ToolSuite EDD; ReadAccess: 0; RuleSet: ); ### CMD not implemented yet ###*/
            , PRM_1996 /* Datumsformat */
            , PRM_1433 /* Zeitformat */
            , PRM_1467 /* Zahlenformat */
            , PRM_2182 /* Einheit Drehmoment */
            , PRM_2006 /* Einheit Temperatur */
            , PRM_2418 /* Diagnoseauswahl */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_21 "Informationen"
 */
MENU menu_DIS_21 /* Informationen */
{
    LABEL		[TXT_DIS_21];
    ITEMS
    {
#ifdef PA_IANDM
            menu_IM_record,
#endif
            menu_DIS_26 /* Gerätekennung */
            , menu_DIS_62 /* Produktion */
    }
}
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_21 "Informationen"
 */
MENU menu_DIS_21_p /* Informationen */
{
    LABEL		[TXT_DIS_21];
	STYLE		PAGE;
    ITEMS
    {
#ifdef PA_IANDM
            menu_IM_record,
#endif
            menu_DIS_26 /* Gerätekennung */
            , menu_DIS_62 /* Produktion */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_26 "Gerätekennung"
 */
MENU menu_DIS_26 /* Gerätekennung */
{
    LABEL		[TXT_DIS_26];
    ITEMS
    {
            PRM_1164 /* Produktbez. */
            , PRM_1165 /* Geräte-TAG */
            , PRM_1166 /* Projektname */
            , menu_DIS_28 /* Steuerung */
            , menu_DIS_29 /* Antrieb */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_28 "Steuerung"
 */
MENU menu_DIS_28 /* Steuerung */
{
    LABEL		[TXT_DIS_28];
    ITEMS
    {
            PRM_1760 /* AuftragsNr Steuerung */
            , PRM_1762 /* SerienNr Steuerung */
            , PRM_1764 /* Schaltplan Steuerung */
            , PRM_2176 /* Datum der Endabnahme */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_29 "Antrieb"
 */
MENU menu_DIS_29 /* Antrieb */
{
    LABEL		[TXT_DIS_29];
    ITEMS
    {
            PRM_1761 /* AuftragsNr Antrieb */
            , PRM_1763 /* SerienNr Antrieb */
            , PRM_1765 /* Schaltplan Antrieb */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_62 "Produktion"
 */
MENU menu_DIS_62 /* Produktion */
{
    LABEL		[TXT_DIS_62];
    ITEMS
    {
            VersionEddGen, /* EDD Generator version */
            DesignatedDevVersion, /* Designated device version */
            PRM_1759 /* Firmware Version */
            , PRM_2568 /* Version Sprache */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_41 "Einstellungen"
 */
MENU menu_DIS_41 /* Einstellungen */
{
    LABEL		[TXT_DIS_41];
    ITEMS
    {
            menu_DIS_12 /* Abschaltart, using RULE_484 (without ored PZD_356) */
            , menu_DIS_13 /* Drehmo-Einstellung */
            , menu_DIS_75 /* Ortssteuerstelle */
            , menu_DIS_15 /* Interface, using RULE_19 */
            , menu_DIS_16 /* Profibus, using RULE_21 */
            , menu_DIS_145 /* Stellungsregler, using RULE_609 */
            , menu_DIS_742 /* Prozessregler, using RULE_77 */
            , menu_DIS_1699 /* Drehzahlfunktionen, using RULE_776 */
            , menu_DIS_378 /* Sicherheitsverhalten */
            , menu_DIS_198 /* NOT-Funktion, using RULE_12 */
            , menu_DIS_142 /* Taktgeber, using RULE_30 */
            , menu_DIS_143 /* Stützpunkte, using RULE_753 */
            , menu_DIS_355 /* ED-Überwachung */
            , menu_DIS_676 /* Bewegungserkennung */
            , menu_DIS_568 /* Stellzeitüberwachung, using RULE_611 */
            , menu_DIS_632 /* Reaktionsüberwachung, using RULE_301 */
            , menu_DIS_664 /* Interlock, using RULE_205 */
            , menu_DIS_852 /* PartialValveStrokeTest, using RULE_466 */
            , menu_DIS_942 /* Bypass Management, using RULE_496 */
            , menu_DIS_1089 /* Lift Plug Valve, using RULE_564 */
            , menu_DIS_1140 /* MultiportValve, using RULE_592 */
            , menu_DIS_1680 /* Freispülautomatik, using RULE_749 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_12 "Abschaltart"
 */
MENU menu_DIS_12 /* Abschaltart */
{
    LABEL		[TXT_DIS_12];
    ITEMS
    {
            PRM_578 /* Abschaltart ZU, using RULE_484 (without ored PZD_356) */
            , PRM_9 /* Abschaltart AUF, using RULE_484 (without ored PZD_356) */
    }
    VALIDITY    IF (!(PRM_5066 == 2) && !(PRM_5066 == 3)) { TRUE; } ELSE { FALSE; }  /*  using RULE_484 (without ored PZD_356) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_13 "Drehmo-Einstellung"
 */
MENU menu_DIS_13 /* Drehmo-Einstellung */
{
    LABEL		[TXT_DIS_13];
    ITEMS
    {
            PRM_1182 /* Anfahrüberbrückung */
            , PRM_82 /* DrehmoBypassZeit */
            , PRM_5161 /* Drehmomentbegrenzung, using RULE_11 */
            , PRM_5162 /* DrehmoBypassLim, using RULE_11 */
            , PRM_4313 /* Abschaltmoment ZU, using RULE_487 */
            , PRM_4312 /* Abschaltmoment AUF, using RULE_487 */
            , PRM_3667 /* DrehmoWarngrenzeZU, using RULE_404 */
            , PRM_3657 /* DrehmoWarngrenzeAUF, using RULE_404 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_75 "Ortssteuerstelle"
 */
MENU menu_DIS_75 /* Ortssteuerstelle */
{
    LABEL		[TXT_DIS_75];
    ITEMS
    {
            PRM_12 /* SelbsthVerhaltOrt */
            , PRM_3143 /* Verh. Lokaler Halt */
            , PRM_3136 /* Verh. Freigabe ORT, using RULE_202 */
            , PRM_3693 /* ForcedRmtCtrl_Mode, using RULE_373 */
            , PRM_3694 /* ForcedRmtCtrl_ImplFBus, using RULE_373 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_15 "Interface"
 */
MENU menu_DIS_15 /* Interface */
{
    LABEL		[TXT_DIS_15];
    ITEMS
    {
            PRM_519 /* SelbsthVerhaltFern1, using RULE_614 */
            , PRM_4821 /* MPV Selbsthaltung, using RULE_617 */
            , PRM_533 /* SelbsthVerhaltFern2, using RULE_20 */
    }
    VALIDITY    IF (PRM_45 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_19 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_16 "Profibus"
 */
MENU menu_DIS_16 /* Profibus */
{
    LABEL		[TXT_DIS_16];
    ITEMS
    {
            PRM_1321 /* Profibus_SollAdres_1, using RULE_21 */
            , PRM_1322 /* Profibus_SollAdres_2, using RULE_556 */
    }
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_145 "Stellungsregler"
 */
MENU menu_DIS_145 /* Stellungsregler */
{
    LABEL		[TXT_DIS_145];
    ITEMS
    {
            PRM_84 /* StellungreglerMode, using RULE_14 */
            , PRM_87 /* StelReglExtTotzone, using RULE_167 */
            , PRM_86 /* StelReglTotzeit, using RULE_1043 */
            , PRM_212 /* StelReglInnTotzAuf, using RULE_167 */
            , PRM_213 /* StelReglInnTotzZu, using RULE_167 */
            , PRM_2916 /* StelReglHysAuf, using RULE_169 */
            , PRM_2917 /* StelReglHysZu, using RULE_169 */
            , PRM_215 /* SollwertToleranzZu, using RULE_14 */
            , PRM_214 /* SollwertToleranzAuf, using RULE_14 */
            , PRM_4167 /* StellbBegrEnable, using RULE_845 */
            , PRM_222 /* Stellgrenze AUF, using RULE_845 */
            , PRM_224 /* Stellgrenze ZU, using RULE_845 */
            , PRM_4076 /* PropFahrtEnable, using RULE_783 */
            , PRM_4070 /* Proportinalbereich, using RULE_1038 */
            , PRM_5116 /* PropSpeedMin, using RULE_1045 */
            , PRM_5139 /* PropTimeMin, using RULE_1047 */
    }
    VALIDITY    IF (((PRM_1169 == 1) && !(PRM_5066 == 3))) { TRUE; } ELSE { FALSE; }  /* using RULE_609 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_742 "Prozessregler"
 */
MENU menu_DIS_742 /* Prozessregler */
{
    LABEL		[TXT_DIS_742];
    ITEMS
    {
            PRM_4270 /* PID Reglerart, using RULE_77 */
            , PRM_218 /* PID Mode, using RULE_77 */
            , PRM_223 /* PID Verhalten Ausfall, using RULE_77 */
            , PRM_229 /* PID Inversbetrieb, using RULE_77 */
            , PRM_219 /* PID Sollw Int 1, using RULE_77 */
            , PRM_3589 /* PID Sollw Int 2, using RULE_77 */
            , PRM_225 /* PID Verstärkung Kp, using RULE_77 */
            , PRM_226 /* PID Nachstellzeit Tn, using RULE_516 */
            , PRM_227 /* PID Vorhaltezeit Tv, using RULE_514 */
            , PRM_3588 /* PCtrlCfg: Istw Quelle, using RULE_77 */
    }
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1699 "Drehzahlfunktionen"
 */
MENU menu_DIS_1699 /* Drehzahlfunktionen */
{
    LABEL		[TXT_DIS_1699];
    ITEMS
    {
            PRM_5121 /* SoftStartTime, using RULE_776 */
            , PRM_5122 /* SoftStopTime, using RULE_776 */
            , PRM_5109 /* Drehzahlquelle ORT Auf, using RULE_776 */
            , PRM_5319 /* Drehzahlquelle ORT Zu, using RULE_776 */
            , PRM_5110 /* Drehzahlquelle FERN Auf, using RULE_776 */
            , PRM_5320 /* Drehzahlquelle FERN Zu, using RULE_776 */
            , PRM_5103 /* Drehzahl Intern1, using RULE_795 */
            , PRM_5127 /* Stellzeit Intern1, using RULE_797 */
            , PRM_5106 /* Drehzahl Intern2, using RULE_795 */
            , PRM_5128 /* Stellzeit Intern2, using RULE_797 */
            , PRM_5107 /* Drehzahl Intern3, using RULE_795 */
            , PRM_5129 /* Stellzeit Intern3, using RULE_797 */
            , PRM_5108 /* Drehzahl Intern4, using RULE_795 */
            , PRM_5130 /* Stellzeit Intern4, using RULE_797 */
            , PRM_5111 /* DrehzahlFernMin, using RULE_795 */
            , PRM_5134 /* StellzeitFernMin, using RULE_797 */
            , PRM_5112 /* DrehzahlFernMax, using RULE_795 */
            , PRM_5135 /* StellzeitFernMax, using RULE_797 */
    }
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_378 "Sicherheitsverhalten"
 */
MENU menu_DIS_378 /* Sicherheitsverhalten */
{
    LABEL		[TXT_DIS_378];
    ITEMS
    {
            PRM_1869 /* AuslösungFailsafe */
            , PRM_1870 /* VerhaltenFailsafe */
            , PRM_1871 /* AuslösequellFailsafe */
            , PRM_1874
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1874 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* VerzögerungFailsafe */
            , PRM_1872 /* PositionFailsafe, using RULE_611 */
            , PRM_4809 /* PositionFailsafe MPV, using RULE_592 */
            , PRM_5126 /* DrehzahlFailOpOpen, using RULE_795 */
            , PRM_5322 /* DrehzahlFailOpClose, using RULE_795 */
            , PRM_5132 /* StellzeitFailOpOpen, using RULE_797 */
            , PRM_5324 /* StellzeitFailOpClose, using RULE_797 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_198 "NOT-Funktion"
 */
MENU menu_DIS_198 /* NOT-Funktion */
{
    LABEL		[TXT_DIS_198];
    ITEMS
    {
            PRM_68 /* Auslösung NOT, using RULE_12 */
            , PRM_67 /* Betriebsart NOT, using RULE_12 */
            , PRM_2924 /* Auslösequelle NOT, using RULE_12 */
            , PRM_230 /* Verhalten NOT, using RULE_498 */
            , PRM_231 /* Position NOT, using RULE_455 */
            , PRM_4808 /* Position NOT MPV, using RULE_592 */
            , PRM_5125 /* Drehzahl NOT Auf, using RULE_795 */
            , PRM_5321 /* Drehzahl NOT Zu, using RULE_795 */
            , PRM_5131 /* Stellzeit NOT Auf, using RULE_797 */
            , PRM_5323 /* Stellzeit NOT Zu, using RULE_797 */
            , PRM_70 /* Bypass Drehmo NOT, using RULE_12 */
            , PRM_69 /* Bypass Thermo NOT, using RULE_457 */
            , PRM_71 /* Bypass Takt NOT, using RULE_12 */
            , PRM_2950 /* Bypass Fahrprofil NOT, using RULE_12 */
            , PRM_3255 /* IgnoreNotfahrtIntlck, using RULE_12 */
            , PRM_3295 /* Bypass Lokaler Halt, using RULE_12 */
            , PRM_4015
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4015 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* DelayTime_DlyESD, using RULE_12 */
    }
    VALIDITY    IF (PRM_2923 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_12 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_142 "Taktgeber"
 */
MENU menu_DIS_142 /* Taktgeber */
{
    LABEL		[TXT_DIS_142];
    ITEMS
    {
            PRM_590 /* TaktbetriebZuMode, using RULE_16 */
            , PRM_592
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_592 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* TaktfahrzeitZu, using RULE_16 */
            , PRM_591
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_591 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* TaktpausenzeitZu, using RULE_16 */
            , PRM_594 /* TaktstreckeZuStart, using RULE_16 */
            , PRM_593 /* TaktstreckeZuEnde, using RULE_16 */
            , PRM_13 /* TaktbetriebAufMode, using RULE_17 */
            , PRM_7
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_7 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* TaktfahrzeitAuf, using RULE_17 */
            , PRM_8
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_8 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* TaktpausenzeitAuf, using RULE_17 */
            , PRM_5 /* TaktstreckeAufStart, using RULE_17 */
            , PRM_6 /* TaktstreckeAufEnde, using RULE_17 */
    }
    VALIDITY    IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_30 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_143 "Stützpunkte"
 */
MENU menu_DIS_143 /* Stützpunkte */
{
    LABEL		[TXT_DIS_143];
    ITEMS
    {
            menu_DIS_160 /* Positionen */
            , menu_DIS_257 /* Fahrverhalten, using RULE_18 */
            , menu_DIS_266 /* Meldeverhalten */
            , menu_DIS_2001 /* Drehzahlen, using RULE_1029 */
            , menu_DIS_268 /* Pausenzeit, using RULE_18 */
    }
    VALIDITY    IF (((PRM_5066 == 1)) || ((PRM_5066 == 4)) || ((PRM_5066 == 5))) { TRUE; } ELSE { FALSE; }  /* using RULE_753 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_160 "Positionen"
 */
MENU menu_DIS_160 /* Positionen */
{
    LABEL		[TXT_DIS_160];
    ITEMS
    {
            PRM_20 /* Stütz1_Position */
            , PRM_466 /* Stütz2_Position */
            , PRM_470 /* Stütz3_Position */
            , PRM_474 /* Stütz4_Position */
            , PRM_478 /* Stütz5_Position */
            , PRM_482 /* Stütz6_Position */
            , PRM_486 /* Stütz7_Position */
            , PRM_490 /* Stütz8_Position */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_257 "Fahrverhalten"
 */
MENU menu_DIS_257 /* Fahrverhalten */
{
    LABEL		[TXT_DIS_257];
    ITEMS
    {
            PRM_29 /* Stütz1_Fahrverhalten, using RULE_18 */
            , PRM_467 /* Stütz2_Fahrverhalten, using RULE_18 */
            , PRM_471 /* Stütz3_Fahrverhalten, using RULE_18 */
            , PRM_475 /* Stütz4_Fahrverhalten, using RULE_18 */
            , PRM_479 /* Stütz5_Fahrverhalten, using RULE_18 */
            , PRM_483 /* Stütz6_Fahrverhalten, using RULE_18 */
            , PRM_487 /* Stütz7_Fahrverhalten, using RULE_18 */
            , PRM_491 /* Stütz8_Fahrverhalten, using RULE_18 */
    }
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_266 "Meldeverhalten"
 */
MENU menu_DIS_266 /* Meldeverhalten */
{
    LABEL		[TXT_DIS_266];
    ITEMS
    {
            PRM_28 /* Stütz1_Meldeverhaltn */
            , PRM_468 /* Stütz2_Meldeverhaltn */
            , PRM_472 /* Stütz3_Meldeverhaltn */
            , PRM_476 /* Stütz4_Meldeverhaltn */
            , PRM_480 /* Stütz5_Meldeverhaltn */
            , PRM_484 /* Stütz6_Meldeverhaltn */
            , PRM_488 /* Stütz7_Meldeverhaltn */
            , PRM_492 /* Stütz8_Meldeverhaltn */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_2001 "Drehzahlen"
 */
MENU menu_DIS_2001 /* Drehzahlen */
{
    LABEL		[TXT_DIS_2001];
    ITEMS
    {
            PRM_5280 /* Stütz1_Drehzahl_AUF, using RULE_795 */
            , PRM_5281 /* Stütz1_Drehzahl_ZU, using RULE_795 */
            , PRM_5282 /* Stütz2_Drehzahl_AUF, using RULE_795 */
            , PRM_5283 /* Stütz2_Drehzahl_ZU, using RULE_795 */
            , PRM_5284 /* Stütz3_Drehzahl_AUF, using RULE_795 */
            , PRM_5285 /* Stütz3_Drehzahl_ZU, using RULE_795 */
            , PRM_5286 /* Stütz4_Drehzahl_AUF, using RULE_795 */
            , PRM_5287 /* Stütz4_Drehzahl_ZU, using RULE_795 */
            , PRM_5288 /* Stütz5_Drehzahl_AUF, using RULE_795 */
            , PRM_5289 /* Stütz5_Drehzahl_ZU, using RULE_795 */
            , PRM_5290 /* Stütz6_Drehzahl_AUF, using RULE_795 */
            , PRM_5291 /* Stütz6_Drehzahl_ZU, using RULE_795 */
            , PRM_5292 /* Stütz7_Drehzahl_AUF, using RULE_795 */
            , PRM_5293 /* Stütz7_Drehzahl_ZU, using RULE_795 */
            , PRM_5294 /* Stütz8_Drehzahl_AUF, using RULE_795 */
            , PRM_5295 /* Stütz8_Drehzahl_ZU, using RULE_795 */
            , PRM_5296 /* Stütz1_Stellzeit_AUF, using RULE_797 */
            , PRM_5297 /* Stütz1_Stellzeit_ZU, using RULE_797 */
            , PRM_5298 /* Stütz2_Stellzeit_AUF, using RULE_797 */
            , PRM_5299 /* Stütz2_Stellzeit_ZU, using RULE_797 */
            , PRM_5300 /* Stütz3_Stellzeit_AUF, using RULE_797 */
            , PRM_5301 /* Stütz3_Stellzeit_ZU, using RULE_797 */
            , PRM_5302 /* Stütz4_Stellzeit_AUF, using RULE_797 */
            , PRM_5303 /* Stütz4_Stellzeit_ZU, using RULE_797 */
            , PRM_5304 /* Stütz5_Stellzeit_AUF, using RULE_797 */
            , PRM_5305 /* Stütz5_Stellzeit_ZU, using RULE_797 */
            , PRM_5306 /* Stütz6_Stellzeit_AUF, using RULE_797 */
            , PRM_5307 /* Stütz6_Stellzeit_ZU, using RULE_797 */
            , PRM_5308 /* Stütz7_Stellzeit_AUF, using RULE_797 */
            , PRM_5309 /* Stütz7_Stellzeit_ZU, using RULE_797 */
            , PRM_5310 /* Stütz8_Stellzeit_AUF, using RULE_797 */
            , PRM_5311 /* Stütz8_Stellzeit_ZU, using RULE_797 */
    }
    VALIDITY    IF (((PRM_1931 == 1) && (PRM_5066 == 5))) { TRUE; } ELSE { FALSE; }  /* using RULE_1029 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_268 "Pausenzeit"
 */
MENU menu_DIS_268 /* Pausenzeit */
{
    LABEL		[TXT_DIS_268];
    ITEMS
    {
            PRM_1887
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1887 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz1_Pausenzeit, using RULE_18 */
            , PRM_1888
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1888 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz2_Pausenzeit, using RULE_18 */
            , PRM_1889
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1889 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz3_Pausenzeit, using RULE_18 */
            , PRM_1890
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1890 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz4_Pausenzeit, using RULE_18 */
            , PRM_1891
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1891 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz5_Pausenzeit, using RULE_18 */
            , PRM_1892
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1892 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz6_Pausenzeit, using RULE_18 */
            , PRM_1893
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1893 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz7_Pausenzeit, using RULE_18 */
            , PRM_1894
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_1894 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stütz8_Pausenzeit, using RULE_18 */
    }
    VALIDITY    IF (PRM_1931 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_18 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_355 "ED-Überwachung"
 */
MENU menu_DIS_355 /* ED-Überwachung */
{
    LABEL		[TXT_DIS_355];
    ITEMS
    {
            PRM_2121 /* ED-Enable */
            , PRM_2122 /* Max Laufzeit pro Std */
            , PRM_2123 /* Max Anläufe pro Std */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_676 "Bewegungserkennung"
 */
MENU menu_DIS_676 /* Bewegungserkennung */
{
    LABEL		[TXT_DIS_676];
    ITEMS
    {
            PRM_2554 /* Mode_MotionDetector */
            , PRM_2555
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_2555 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Dt_MotionDetector */
            , PRM_2556 /* Dx_MotionDetector */
            , PRM_3629 /* Monoflop: SetTime */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_568 "Stellzeitüberwachung"
 */
MENU menu_DIS_568 /* Stellzeitüberwachung */
{
    LABEL		[TXT_DIS_568];
    ITEMS
    {
            PRM_2546 /* ApplMode_OpTimeMon */
            , PRM_2547
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_2547 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* ApplOpTime_OpTimeMon */
    }
    VALIDITY    IF (PRM_5066 != 3) { TRUE; } ELSE { FALSE; }  /* using RULE_611 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_632 "Reaktionsüberwachung"
 */
MENU menu_DIS_632 /* Reaktionsüberwachung */
{
    LABEL		[TXT_DIS_632];
    ITEMS
    {
            PRM_3157 /* Betriebsart Standard, using RULE_301 */
            , PRM_3158 /* Reakt.Reaktionszeit, using RULE_301 */
    }
    VALIDITY    IF (PRM_3156 == 0) { TRUE; } ELSE { FALSE; }  /* using RULE_301 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_664 "Interlock"
 */
MENU menu_DIS_664 /* Interlock */
{
    LABEL		[TXT_DIS_664];
    ITEMS
    {
            PRM_3218 /* Betriebsart Interlock, using RULE_205 */
            , PRM_3219 /* Verhalten Interlock, using RULE_205 */
            , PRM_4407 /* AuslösQuellInterlock */
    }
    VALIDITY    IF (PRM_3217 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_205 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_852 "PartialValveStrokeTest"
 */
MENU menu_DIS_852 /* PartialValveStrokeTest */
{
    LABEL		[TXT_DIS_852];
    ITEMS
    {
            PRM_4288 /* Verhalten PVST, using RULE_466 */
            , PRM_4195 /* Fahrtrichtung PVST, using RULE_706 */
            , PRM_4193 /* Distanz PVST, using RULE_534 */
            , PRM_4194
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4194 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Alarmzeit PVST, using RULE_466 */
            , PRM_4287
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4287 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Fahrzeit PVST, using RULE_535 */
            , PRM_4286
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4286 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Wartezeit PVST, using RULE_466 */
            , PRM_4292 /* Überwachung PVST, using RULE_466 */
            , PRM_4289 /* Überwachungszeit PVST, using RULE_466 */
            , PRM_4944 /* Auslösequelle PVST, using RULE_466 */
    }
    VALIDITY    IF (PRM_4191 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_466 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_942 "Bypass Management"
 */
MENU menu_DIS_942 /* Bypass Management */
{
    LABEL		[TXT_DIS_942];
    ITEMS
    {
            PRM_4379 /* Bypass Applikation, using RULE_496 */
    }
    VALIDITY    IF (((PRM_4377 == 1) && (PRM_4378 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_496 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1089 "Lift Plug Valve"
 */
MENU menu_DIS_1089 /* Lift Plug Valve */
{
    LABEL		[TXT_DIS_1089];
    ITEMS
    {
            PRM_4737 /* LPV Role, using RULE_564 */
            , PRM_4738
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4738 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* LPV Delay Open, using RULE_597 */
            , PRM_4739
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4739 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* LPV Delay Close, using RULE_597 */
            , PRM_4740
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4740 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* LPV Delay NA, using RULE_599 */
    }
    VALIDITY    IF (((((PRM_5066 == 4)) || ((PRM_4736 == 1))))) { TRUE; } ELSE { FALSE; }  /* using RULE_564 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1140 "MultiportValve"
 */
MENU menu_DIS_1140 /* MultiportValve */
{
    LABEL		[TXT_DIS_1140];
    ITEMS
    {
            PRM_4788 /* MPV ActuatorSize, using RULE_592 */
            , PRM_4782 /* MPV GearConfig, using RULE_592 */
            , PRM_5104 /* MPV_GearNum, using RULE_781 */
            , PRM_5105 /* MPV_GearDenom, using RULE_781 */
            , PRM_4781 /* MPV TurnOffset, using RULE_719 */
            , PRM_4799 /* MPV_DeadZone, using RULE_592 */
            , PRM_4800 /* MPV_TolComp, using RULE_592 */
            , PRM_4804 /* MPV #Pos. Aktiv, using RULE_592 */
            , PRM_4802 /* MPV Meldeverhalten, using RULE_592 */
            , PRM_4803 /* MPV Stütz_Hysterese, using RULE_592 */
            , menu_DIS_1149 /* MPV Positionen, using RULE_592 */
    }
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1149 "MPV Positionen"
 */
MENU menu_DIS_1149 /* MPV Positionen */
{
    LABEL		[TXT_DIS_1149];
    ITEMS
    {
            PRM_4789 /* MPV_Pos1, using RULE_592 */
            , PRM_4790 /* MPV_Pos2, using RULE_592 */
            , PRM_4791 /* MPV_Pos3, using RULE_914 */
            , PRM_4792 /* MPV_Pos4, using RULE_916 */
            , PRM_4793 /* MPV_Pos5, using RULE_918 */
            , PRM_4794 /* MPV_Pos6, using RULE_920 */
            , PRM_4795 /* MPV_Pos7, using RULE_922 */
            , PRM_4796 /* MPV_Pos8, using RULE_924 */
            , PRM_4797 /* MPV_Pos9, using RULE_926 */
            , PRM_4798 /* MPV_Pos10, using RULE_928 */
            , PRM_4806 /* MPV_Pos11, using RULE_930 */
            , PRM_4807 /* MPV_Pos12, using RULE_932 */
            , PRM_5220 /* MPV_Pos13, using RULE_934 */
            , PRM_5221 /* MPV_Pos14, using RULE_936 */
            , PRM_5222 /* MPV_Pos15, using RULE_938 */
            , PRM_5223 /* MPV_Pos16, using RULE_940 */
    }
    VALIDITY    IF (PRM_5066 == 3) { TRUE; } ELSE { FALSE; }  /* using RULE_592 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1680 "Freispülautomatik"
 */
MENU menu_DIS_1680 /* Freispülautomatik */
{
    LABEL		[TXT_DIS_1680];
    ITEMS
    {
            PRM_5073 /* Fahrzeit Reverse, using RULE_749 */
            , PRM_5074 /* Freispülversuche, using RULE_749 */
            , PRM_5075 /* Toleranzbereich, using RULE_749 */
    }
    VALIDITY    IF (PRM_5072 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_749 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_53 "Gerätekonfiguration"
 */
MENU menu_DIS_53 /* Gerätekonfiguration */
{
    LABEL		[TXT_DIS_53];
    ITEMS
    {
            menu_DIS_159 /* Ortssteuerstelle */
            , menu_DIS_139 /* Interface, using RULE_19 */
            , menu_DIS_600 /* Profibus, using RULE_21 */
            , menu_DIS_708 /* LWL-Modul, using RULE_307 */
            , menu_DIS_168 /* Antrieb */
            , menu_DIS_170 /* Phasenüberwachung, implicit RULE_90 */
            , menu_DIS_645 /* Überwachungsfktn., implicit RULE_7 */
            , menu_DIS_860 /* Sammelmeldungen, implicit RULE_7 */
            , menu_DIS_380 /* Serviceschnittstelle */
            , menu_DIS_178 /* Anwendungsfunktionen */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_159 "Ortssteuerstelle"
 */
MENU menu_DIS_159 /* Ortssteuerstelle */
{
    LABEL		[TXT_DIS_159];
    ITEMS
    {
            PRM_160 /* Fkt Meldeleuchte 1 */
            , PRM_557 /* Fkt Meldeleuchte 2 */
            , PRM_561 /* Fkt Meldeleuchte 3 */
            , PRM_565 /* Fkt Meldeleuchte 4 */
            , PRM_569 /* Fkt Meldeleuchte 5 */
            , PRM_1175 /* Blinker USA/Europa */
            , PRM_4136 /* Farbauswahl ML 1, using RULE_661 */
            , PRM_4137 /* Farbauswahl ML 2, using RULE_661 */
            , PRM_4138 /* Farbauswahl ML 3, using RULE_661 */
            , PRM_4139 /* Farbauswahl ML 4, using RULE_661 */
            , PRM_4140 /* Farbauswahl ML 5, using RULE_661 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_139 "Interface"
 */
MENU menu_DIS_139 /* Interface */
{
    LABEL		[TXT_DIS_139];
    ITEMS
    {
            menu_DIS_116 /* Eingänge binär, using RULE_31 */
            , menu_DIS_389 /* Eingänge analog, using RULE_34 */
            , menu_DIS_110 /* Ausgänge binär, using RULE_33 */
            , menu_DIS_335 /* Ausgänge analog, using RULE_35 */
    }
    VALIDITY    IF (PRM_45 != 0) { TRUE; } ELSE { FALSE; }  /* using RULE_19 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_116 "Eingänge binär"
 */
MENU menu_DIS_116 /* Eingänge binär */
{
    LABEL		[TXT_DIS_116];
    ITEMS
    {
            PRM_873 /* Funktion_DigIn1, using RULE_31 */
            , PRM_932 /* Funktion_DigIn2, using RULE_31 */
            , PRM_926 /* Funktion_DigIn3, using RULE_31 */
            , PRM_920 /* Funktion_DigIn4, using RULE_31 */
            , PRM_914 /* Funktion_DigIn5, using RULE_32 */
            , PRM_908 /* Funktion_DigIn6, using RULE_32 */
            , PRM_902 /* Funktion_DigIn7, using RULE_20 */
            , PRM_896 /* Funktion_DigIn8, using RULE_20 */
            , PRM_890 /* Funktion_DigIn9, using RULE_20 */
            , PRM_884 /* Funktion_DigIn10, using RULE_20 */
            , PRM_878 /* InvertDigIn1, using RULE_31 */
            , PRM_933 /* InvertDigIn2, using RULE_31 */
            , PRM_927 /* InvertDigIn3, using RULE_31 */
            , PRM_921 /* InvertDigIn4, using RULE_31 */
            , PRM_915 /* InvertDigIn5, using RULE_32 */
            , PRM_909 /* InvertDigIn6, using RULE_32 */
            , PRM_903 /* InvertDigIn7, using RULE_20 */
            , PRM_897 /* InvertDigIn8, using RULE_20 */
            , PRM_891 /* InvertDigIn9, using RULE_20 */
            , PRM_885 /* InvertDigIn10, using RULE_20 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2281 >= 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_31 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_389 "Eingänge analog"
 */
MENU menu_DIS_389 /* Eingänge analog */
{
    LABEL		[TXT_DIS_389];
    ITEMS
    {
            PRM_1133 /* LowerLimit_AnaIn1, using RULE_970 */
            , PRM_1130 /* UpperLimit_AnaIn1, using RULE_970 */
            , PRM_1129 /* Funktion_AnaIn1, using RULE_970 */
            , PRM_1141 /* LowerLimit_AnaIn2, using RULE_973 */
            , PRM_1140 /* UpperLimit_AnaIn2, using RULE_973 */
            , PRM_1137 /* Funktion_AnaIn2, using RULE_973 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2239 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_34 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_110 "Ausgänge binär"
 */
MENU menu_DIS_110 /* Ausgänge binär */
{
    LABEL		[TXT_DIS_110];
    ITEMS
    {
            PRM_1012 /* Funktion_DigOut1, using RULE_33 */
            , PRM_1102 /* Funktion_DigOut2, using RULE_33 */
            , PRM_1097 /* Funktion_DigOut3, using RULE_33 */
            , PRM_1092 /* Funktion_DigOut4, using RULE_33 */
            , PRM_1087 /* Funktion_DigOut5, using RULE_33 */
            , PRM_1082 /* Funktion_DigOut6, using RULE_33 */
            , PRM_1077 /* Funktion_DigOut7, using RULE_20 */
            , PRM_1072 /* Funktion_DigOut8, using RULE_20 */
            , PRM_1107 /* Funktion_DigOut9, using RULE_20 */
            , PRM_1122 /* Funktion_DigOut10, using RULE_20 */
            , PRM_1117 /* Funktion_DigOut11, using RULE_20 */
            , PRM_1112 /* Funktion_DigOut12, using RULE_20 */
            , PRM_1013 /* InvertDigOut1, using RULE_33 */
            , PRM_1103 /* InvertDigOut2, using RULE_33 */
            , PRM_1098 /* InvertDigOut3, using RULE_33 */
            , PRM_1093 /* InvertDigOut4, using RULE_33 */
            , PRM_1088 /* InvertDigOut5, using RULE_33 */
            , PRM_1083 /* InvertDigOut6, using RULE_33 */
            , PRM_1078 /* InvertDigOut7, using RULE_20 */
            , PRM_1073 /* InvertDigOut8, using RULE_20 */
            , PRM_1108 /* InvertDigOut9, using RULE_20 */
            , PRM_1123 /* InvertDigOut10, using RULE_20 */
            , PRM_1118 /* InvertDigOut11, using RULE_20 */
            , PRM_1113 /* InvertDigOut12, using RULE_20 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2294 >= 6))) { TRUE; } ELSE { FALSE; }  /* using RULE_33 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_335 "Ausgänge analog"
 */
MENU menu_DIS_335 /* Ausgänge analog */
{
    LABEL		[TXT_DIS_335];
    ITEMS
    {
            PRM_1254 /* Funktion AnPwmOut1, using RULE_35 */
            , PRM_1255 /* Bereich_AnPwmOut1, using RULE_35 */
            , PRM_1262 /* Funktion AnPwmOut2, using RULE_35 */
            , PRM_1263 /* Bereich_AnPwmOut2, using RULE_35 */
            , menu_DIS_544 /* Abgleich AOUT1, using RULE_35 */
            , menu_DIS_545 /* Abgleich AOUT2, using RULE_35 */
            , menu_DIS_1811 /* Stromkonfig AOUT1, using RULE_812 */
            , menu_DIS_1814 /* Stromkonfig AOUT2, using RULE_817 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_544 "Abgleich AOUT1"
 */
MENU menu_DIS_544 /* Abgleich AOUT1 */
{
    LABEL		[TXT_DIS_544];
    ITEMS
    {
            PRM_1257 /* Korrektur 0 / 4 mA, using RULE_35 */
            , PRM_1256 /* Korrektur 20mA, using RULE_35 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_545 "Abgleich AOUT2"
 */
MENU menu_DIS_545 /* Abgleich AOUT2 */
{
    LABEL		[TXT_DIS_545];
    ITEMS
    {
            PRM_1265 /* Korrektur 0 / 4 mA, using RULE_35 */
            , PRM_1264 /* Korrektur 20mA, using RULE_35 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_2293 >= 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_35 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1811 "Stromkonfig AOUT1"
 */
MENU menu_DIS_1811 /* Stromkonfig AOUT1 */
{
    LABEL		[TXT_DIS_1811];
    ITEMS
    {
            PRM_5163 /* I-Konfig Endl. ZU, using RULE_812 */
            , PRM_5164 /* I-Konfig Endl. AUF, using RULE_812 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1255 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_812 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1814 "Stromkonfig AOUT2"
 */
MENU menu_DIS_1814 /* Stromkonfig AOUT2 */
{
    LABEL		[TXT_DIS_1814];
    ITEMS
    {
            PRM_5165 /* I-Konfig Endl. ZU, using RULE_817 */
            , PRM_5166 /* I-Konfig Endl. AUF, using RULE_817 */
    }
    VALIDITY    IF (((PRM_45 != 0) && (PRM_1263 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_817 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_600 "Profibus"
 */
MENU menu_DIS_600 /* Profibus */
{
    LABEL		[TXT_DIS_600];
    ITEMS
    {
            PRM_2885 /* Redundanz-Mode, using RULE_173 */
            , PRM_3527 /* Sende-Mode, using RULE_468 */
    }
    VALIDITY    IF ((PRM_181 == 1) && (PRM_3059 == 1)) { TRUE; } ELSE { FALSE; }  /* using RULE_21 + RULE_173 (|| RULE_468) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_708 "LWL-Modul"
 */
MENU menu_DIS_708 /* LWL-Modul */
{
    LABEL		[TXT_DIS_708];
    ITEMS
    {
            PRM_3482 /* Lwl Überwachung, using RULE_307 */
            , PRM_3481 /* Lwl Bus-Topologie, using RULE_307 */
            , PRM_3496 /* Lwl-Baudrate, using RULE_307 */
    }
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_168 "Antrieb"
 */
MENU menu_DIS_168 /* Antrieb */
{
    LABEL		[TXT_DIS_168];
    ITEMS
    {
            PRM_208 /* MODE_Thermofehler, using RULE_301 */
            , PRM_79 /* Drehsinn Schließen, using RULE_541 */
            , PRM_5138 /* Antriebstyp, using RULE_776 */
            , PRM_5114 /* Nenndrehzahl, using RULE_795 */
            , PRM_5136 /* Nennstellzeit, using RULE_797 */
            , menu_DIS_175 /* MWG, using RULE_62 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_175 "MWG"
 */
MENU menu_DIS_175 /* MWG */
{
    LABEL		[TXT_DIS_175];
    ITEMS
    {
            PRM_2088 /* NennmomentZuNm, using RULE_62 */
            , PRM_1969 /* NennmomentAufNm, using RULE_62 */
            , PRM_1707 /* Winkel min Close, using RULE_62 */
            , PRM_1711 /* Torque min Close, using RULE_62 */
            , PRM_1705 /* Winkel max Close, using RULE_62 */
            , PRM_1709 /* Torque max Close, using RULE_62 */
            , PRM_1708 /* Winkel min Open, using RULE_62 */
            , PRM_1712 /* Torque min Open, using RULE_62 */
            , PRM_1706 /* Winkel max Open, using RULE_62 */
            , PRM_1710 /* Torque max Open, using RULE_62 */
            , PRM_1715 /* KorrekturKennlnClose, using RULE_62 */
            , PRM_1716 /* KorrekturKennlnOpen, using RULE_62 */
            , PRM_1741 /* MWG TrqSwOpenHyster, using RULE_62 */
            , PRM_1713 /* Torque Totzone, using RULE_62 */
            , PRM_1725 /* MWG LimitSwitchHyst, using RULE_62 */
            , PRM_1714 /* TorqueZeroAdjust, using RULE_62 */
            , PRM_2180 /* UsrTripTorqueMinClos, using RULE_62 */
            , PRM_2181 /* UsrTripTorqueMaxClos, using RULE_62 */
            , PRM_2178 /* UsrTripTorqueMinOpen, using RULE_62 */
            , PRM_2179 /* UsrTripTorqueMaxOpen, using RULE_62 */
    }
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_170 "Phasenüberwachung"
 */
MENU menu_DIS_170 /* Phasenüberwachung */
{
    LABEL		[TXT_DIS_170];
    ITEMS
    {
            PRM_1168 /* AutoPhaseKorrektur, using RULE_508 */
            , PRM_209 /* PhaseDelaytime, implicit RULE_90 */
    }
            /* ### VALIDITY: Implicit RuleSet using RULE_90 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_645 "Überwachungsfktn."
 */
MENU menu_DIS_645 /* Überwachungsfktn. */
{
    LABEL		[TXT_DIS_645];
    ITEMS
    {
            PRM_2798 /* Mux24VExtEnable_Activate, implicit RULE_7 */
            , PRM_2865 /* Activate_Delay24VKD, implicit RULE_7 */
            , PRM_4135 /* RTC-Batterie-Test, using RULE_431 */
    }
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_860 "Sammelmeldungen"
 */
MENU menu_DIS_860 /* Sammelmeldungen */
{
    LABEL		[TXT_DIS_860];
    ITEMS
    {
            PRM_4233 /* KonfigEreignisprotok */
            , PRM_4234 /* AUMA Warnung */
            , PRM_4235 /* AUMA Fehler */
            , PRM_4236 /* Nicht bereit FERN */
            , PRM_4237 /* AUMA OK */
            , PRM_4238 /* Konfigurationswarnung */
            , PRM_4239 /* NAMUR Out Of Spec */
            , PRM_4240 /* NAMUR Fkt-Kontrolle */
            , PRM_4241 /* NAMUR Wartungsbedarf */
            , PRM_4242 /* NAMUR Ausfall */
            , PRM_4243 /* Konfigurationsfehler */
            , PRM_4244 /* Fehler Hydraulik, using RULE_295 */
            , PRM_4245 /* Falscher Befehl */
            , PRM_4246 /* InternerFehler */
            , PRM_4247 /* InterneWarnung */
            , PRM_4248 /* Diagnose Feldbus, using RULE_304 */
            , PRM_4249 /* Warnung Hydraulik, using RULE_295 */
            , PRM_4250 /* Störung (AC1 konform) */
            , PRM_4251 /* FehlerKonfigurierbar */
            , PRM_4252 /* WarnungKonfigurierb. */
            , PRM_4253 /* NBF konfigurierbar */
            , PRM_4254 /* Konfigfehler Fern */
            , PRM_4256 /* Status Safety (SIL), using RULE_524 */
            , PRM_4261 /* LWL Warnung, using RULE_304 */
    }
            /* ### VALIDITY: Implicit RuleSet using RULE_7 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_380 "Serviceschnittstelle"
 */
MENU menu_DIS_380 /* Serviceschnittstelle */
{
    LABEL		[TXT_DIS_380];
    ITEMS
    {
            PRM_1165 /* Geräte-TAG */
            , PRM_2175 /* ServicemotionOrtClnt */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_178 "Anwendungsfunktionen"
 */
MENU menu_DIS_178 /* Anwendungsfunktionen */
{
    LABEL		[TXT_DIS_178];
    ITEMS
    {
            menu_DIS_212 /* Aktivierung */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_212 "Aktivierung"
 */
MENU menu_DIS_212 /* Aktivierung */
{
    LABEL		[TXT_DIS_212];
    ITEMS
    {
            PRM_2923 /* Aktivierung NOT */
            , PRM_1177 /* TaktZuAktiv */
            , PRM_1176 /* TaktAufAktiv */
            , PRM_1169 /* AktivierngStelRegler, using RULE_767 */
            , PRM_1931 /* Fahrprofil Aktivierung, using RULE_765 */
            , PRM_3590 /* PID Aktivierung, using RULE_743 */
            , PRM_2823 /* DP-V2 aktiviert, using RULE_500 */
            , PRM_2591 /* BT-Aktivierung */
            , PRM_3135 /* Aktiv. Freigabe ORT, using RULE_200 */
            , PRM_3692 /* ForcedRmtCtrl_Activate, using RULE_372 */
            , PRM_3771 /* AutoChangeOver Aktiv, using RULE_1035 */
            , PRM_3217 /* Aktivierung Interlock , using RULE_204 */
            , PRM_3971 /* DrehmoWarn Aktiv, using RULE_11 */
            , PRM_4191 /* Aktivierung PVST, using RULE_657 */
            , PRM_4736 /* Aktivierung LPV, using RULE_562 */
            , PRM_4378 /* Aktivierung Bypass, using RULE_651 */
            , PRM_4731 /* Wartungsmeldungen */
            , PRM_4730 /* Überwachung Wartungsintervall, using RULE_558 */
            , PRM_5228 /* WartungsInfo, using RULE_558 */
            , PRM_4850 /* Aktivierung EL setzen, using RULE_626 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_592 "Gerätestatus"
 */
MENU menu_DIS_592 /* Gerätestatus */
{
    LABEL		[TXT_DIS_592];
    ITEMS
    {
            menu_DIS_612 /* Allgemein */
            , menu_DIS_540 /* Auma-Meldungen */
            , menu_DIS_533 /* Namur-Meldungen */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_612 "Allgemein"
 */
MENU menu_DIS_612 /* Allgemein */
{
    LABEL		[TXT_DIS_612];
    ITEMS
    {
            DeviceAlertDisplay(PZD_268) /* BypassedDoeFehler */
            , DeviceAlertDisplay(PZD_269) /* BypassedDsFehler */
            , PZD_112 (READ_ONLY) /* SelSwitchUnmasked */
            , PZD_2 (READ_ONLY) /* Istwert E2 */
            , PZD_545 (READ_ONLY) /* Drehmoment Istwert */
            , PZD_120 (READ_ONLY) /* Betriebsmodus */
            , menu_PZD_144 (READ_ONLY) /* Fahrbefehl */
            , PZD_264(NO_LABEL)  /* AntriebFaehrtAUF */
            , PZD_265(NO_LABEL)  /* AntriebFaehrtZU */
            , PZD_401(NO_LABEL)  /* Position erreicht */
            , PZD_375(NO_LABEL)  /* WOE_Konditioniert */
            , PZD_376(NO_LABEL)  /* WS_Konditioniert */
            , PZD_459(NO_LABEL)  /* DOE_Signal */
            , PZD_460(NO_LABEL)  /* DS_Signal */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_144 "Fahrbefehl"
 */
MENU menu_PZD_144 /* Fahrbefehl */
{
    LABEL		[TXT_PZD_144];
    ITEMS
    {
            PZD_144_cmd (READ_ONLY) /* Logik: Fahrbefehl (cmd) */
            , PZD_144_dir (READ_ONLY) /* Logik: Fahrbefehl (direction) */
            , PZD_144_speed (READ_ONLY) /* Logik: Fahrbefehl (speed) */
            , PZD_144_position (READ_ONLY) /* Logik: Fahrbefehl (position) */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_22 "Diagnose"
 */
MENU menu_DIS_22 /* Diagnose */
{
    LABEL		[TXT_DIS_22];
    ITEMS
    {
            menu_DIS_244 /* Bluetooth */
            , menu_DIS_831 /* Stellungsgeber Poti, using RULE_406 */
            , menu_DIS_996 /* Stellungsgeber RWG, using RULE_510 */
            , menu_DIS_1006 /* Stellungsgeber MWG, using RULE_519 */
            , menu_DIS_613 /* Stellungsregler, using RULE_14 */
            , menu_DIS_593 /* ED Überwachung, using RULE_155 */
            , menu_DIS_883 /* Prozessregler, using RULE_77 */
            , menu_DIS_1710 /* SARV, using RULE_776 */
            , menu_DIS_240 /* Profibus Kanal 1, using RULE_21 */
            , menu_DIS_549 /* Profibus Kanal 2, using RULE_105 */
            , menu_DIS_602 /* Profibus Details, using RULE_21 */
            , menu_DIS_638 /* LWL, using RULE_307 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_244 "Bluetooth"
 */
MENU menu_DIS_244 /* Bluetooth */
{
    LABEL		[TXT_DIS_244];
    ITEMS
    {
            PRM_1165 /* Geräte-TAG, using RULE_149 */
            , PRM_2188 /* Lokale BDA, using RULE_149 */
            , PRM_2591 /* BT-Aktivierung, using RULE_94 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_831 "Stellungsgeber Poti"
 */
MENU menu_DIS_831 /* Stellungsgeber Poti */
{
    LABEL		[TXT_DIS_831];
    ITEMS
    {
            PRM_2402 /* PotiRangeMin, using RULE_406 */
            , PZD_928 (READ_ONLY) /* Aktueller Poti-Hub, using RULE_406 */
            , PRM_828 /* PotiEndposAufRohwert, using RULE_406 */
            , PRM_829 /* PotiEndposZuRohwert, using RULE_406 */
            , PZD_345 (READ_ONLY) /* PotiRohwert-mV, using RULE_406 */
    }
    VALIDITY    IF (((PRM_2755 == 1))) { TRUE; } ELSE { FALSE; }  /* using RULE_406 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_996 "Stellungsgeber RWG"
 */
MENU menu_DIS_996 /* Stellungsgeber RWG */
{
    LABEL		[TXT_DIS_996];
    ITEMS
    {
            PRM_2715 /* RwgDrahtbruch, using RULE_510 */
            , PRM_844 /* RwgEndposAufRohwert, using RULE_510 */
            , PRM_845 /* RwgEndposZuRohwert, using RULE_510 */
            , PZD_346 (READ_ONLY) /* RwgRohwert-mA, using RULE_510 */
    }
    VALIDITY    IF (((PRM_2755 == 2))) { TRUE; } ELSE { FALSE; }  /* using RULE_510 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1006 "Stellungsgeber MWG"
 */
MENU menu_DIS_1006 /* Stellungsgeber MWG */
{
    LABEL		[TXT_DIS_1006];
    ITEMS
    {
            PRM_2858 /* MwgHubMin, using RULE_519 */
            , PRM_2859 /* MwgHubMax, using RULE_519 */
            , PRM_1559 /* MwgEndlagenPosAuf, using RULE_519 */
            , PRM_1560 /* MwgEndlagenPosZu, using RULE_519 */
            , PZD_410 (READ_ONLY) /* AbsolutePositionMwg, using RULE_519 */
    }
    VALIDITY    IF (((PRM_2755 == 4))) { TRUE; } ELSE { FALSE; }  /* using RULE_519 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_613 "Stellungsregler"
 */
MENU menu_DIS_613 /* Stellungsregler */
{
    LABEL		[TXT_DIS_613];
    ITEMS
    {
            PRM_84 /* StellungreglerMode, using RULE_14 */
            , PZD_1117 (READ_ONLY) /* SollPos Aktuell, using RULE_14 */
            , PZD_709 (READ_ONLY) /* Istwert E2(synchron), using RULE_14 */
            , PZD_659 (READ_ONLY) /* XTActual, using RULE_165 */
            , PZD_1030 (READ_ONLY) /* XT Open, using RULE_166 */
            , PZD_1031 (READ_ONLY) /* XT Close, using RULE_166 */
            , PZD_1032 (READ_ONLY) /* Xi Open, using RULE_14 */
            , PZD_1033 (READ_ONLY) /* Xi Close, using RULE_14 */
    }
    VALIDITY    IF (PRM_1169 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_14 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_593 "ED Überwachung"
 */
MENU menu_DIS_593 /* ED Überwachung */
{
    LABEL		[TXT_DIS_593];
    ITEMS
    {
            PZD_488 (READ_ONLY) /* ED Time, using RULE_155 */
            , PZD_489 (READ_ONLY) /* ED Starts, using RULE_155 */
    }
    VALIDITY    IF (PRM_2121 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_155 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_883 "Prozessregler"
 */
MENU menu_DIS_883 /* Prozessregler */
{
    LABEL		[TXT_DIS_883];
    ITEMS
    {
            PZD_963 (READ_ONLY) /* Sollwert EP1(sync), using RULE_77 */
            , PZD_964 (READ_ONLY) /* Istwert E4(sync), using RULE_77 */
            , menu_PZD_824 /* Fahrbefehl_Prozessregler, using RULE_77 */
    }
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_824 "Fahrbefehl_Prozessregler"
 */
MENU menu_PZD_824 /* Fahrbefehl_Prozessregler */
{
    LABEL		[TXT_PZD_824];
    STYLE		GROUP;
    ITEMS
    {
            PZD_824_cmd (READ_ONLY) /* Fahrbefehl_Prozessregler (cmd) */
            , PZD_824_dir (READ_ONLY) /* Fahrbefehl_Prozessregler (direction) */
            , PZD_824_speed (READ_ONLY) /* Fahrbefehl_Prozessregler (speed) */
            , PZD_824_position (READ_ONLY) /* Fahrbefehl_Prozessregler (position) */
    }
    VALIDITY    IF (PRM_3590 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_77 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1710 "SARV"
 */
MENU menu_DIS_1710 /* SARV */
{
    LABEL		[TXT_DIS_1710];
    ITEMS
    {
            PZD_1611 (READ_ONLY) /* Zwischenkreisspannung, using RULE_776 */
            , PZD_1612 (READ_ONLY) /* Zwischenkreisstrom, using RULE_776 */
            , PZD_1613 (READ_ONLY) /* Motorstrom (Phase), using RULE_776 */
            , PZD_1782 (READ_ONLY) /* IGBT-Temp, using RULE_776 */
            , PZD_1615 (READ_ONLY) /* StatusInfo, using RULE_776 */
            , PZD_1616 (READ_ONLY) /* Aussteuerung, using RULE_776 */
    }
    VALIDITY    IF (PRM_5066 == 5) { TRUE; } ELSE { FALSE; }  /* using RULE_776 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_240 "Profibus Kanal 1"
 */
MENU menu_DIS_240 /* Profibus Kanal 1 */
{
    LABEL		[TXT_DIS_240];
    ITEMS
    {
            PZD_958 (READ_ONLY) /* Profibus_Ist_Adress1, using RULE_21 */
            , PZD_578 (READ_ONLY) /* Pb Baudrate K1, using RULE_21 */
            , PZD_576 (READ_ONLY) /* Pb WD-Status K1, using RULE_21 */
            , PZD_577 (READ_ONLY) /* Pb DP-Status K1, using RULE_21 */
            , PZD_580 (READ_ONLY) /* Pb GC Clear K1, using RULE_21 */
            , PZD_579 (READ_ONLY) /* Pb 0 Tele K1, using RULE_21 */
            , PZD_581 (READ_ONLY) /* Pb GC Freeze K1, using RULE_21 */
            , PZD_582 (READ_ONLY) /* Pb GC Sync K1, using RULE_21 */
    }
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_549 "Profibus Kanal 2"
 */
MENU menu_DIS_549 /* Profibus Kanal 2 */
{
    LABEL		[TXT_DIS_549];
    ITEMS
    {
            PZD_959 (READ_ONLY) /* Profibus_Ist_Adress2, using RULE_105 */
            , PZD_585 (READ_ONLY) /* Pb Baudrate K2, using RULE_105 */
            , PZD_583 (READ_ONLY) /* Pb WD-Status K2, using RULE_105 */
            , PZD_584 (READ_ONLY) /* Pb DP-Status K2, using RULE_105 */
            , PZD_587 (READ_ONLY) /* Pb GC Clear K2, using RULE_105 */
            , PZD_586 (READ_ONLY) /* Pb 0 Tele K2, using RULE_105 */
            , PZD_588 (READ_ONLY) /* Pb GC Freeze K2, using RULE_105 */
            , PZD_589 (READ_ONLY) /* Pb GC Sync K2, using RULE_105 */
    }
    VALIDITY    IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_105 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_602 "Profibus Details"
 */
MENU menu_DIS_602 /* Profibus Details */
{
    LABEL		[TXT_DIS_602];
    ITEMS
    {
            DeviceBoolDisplay(PZD_737) /* DPV1_Control, using RULE_21 */
            , DeviceBoolDisplay(PZD_738) /* DP-V1 C2-Verbindung , using RULE_21 */
            , DeviceBoolDisplay(PZD_604) /* Fahrbef.Kanal1 aktiv, using RULE_21 */
            , DeviceBoolDisplay(PZD_605) /* Fahrbef.Kanal2 aktiv, using RULE_105 */
            , PZD_741 (READ_ONLY) /* Primary Channel (PNO), using RULE_105 */
            , PZD_742 (READ_ONLY) /* Secondary Channel (PNO), using RULE_105 */
            , PRM_3006 /* Profibus Ident Nr, using RULE_21 */
            , PRM_2885 /* Redundanz-Mode, using RULE_173 */
            , PZD_744 (READ_ONLY) /* DP-V1 Enable (SetPrm), using RULE_21 */
            , PZD_746 (READ_ONLY) /* DP-ALARM (SetPrm), using RULE_105 */
            , PZD_745 (READ_ONLY) /* DP-RED (SetPrm), using RULE_105 */
            , PRM_3527 /* Sende-Mode, using RULE_468 */
    }
    VALIDITY    IF (PRM_181 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_21 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_638 "LWL"
 */
MENU menu_DIS_638 /* LWL */
{
    LABEL		[TXT_DIS_638];
    ITEMS
    {
            PZD_794 (READ_ONLY) /* Lwl_Signal_Kanal-1, using RULE_307 */
            , PZD_795 (READ_ONLY) /* Lwl_Signal_Kanal-2, using RULE_307 */
            , PZD_833 (READ_ONLY) /* Lwl_RS485_Formatfehl, using RULE_307 */
            , PZD_797 (READ_ONLY) /* LwlBaudrate, using RULE_307 */
            , PRM_3479 /* Version Lwl-FPGA, using RULE_307 */
    }
    VALIDITY    IF (PRM_3495 == 1) { TRUE; } ELSE { FALSE; }  /* using RULE_307 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1231 "Asset Management"
 */
MENU menu_DIS_1231 /* Asset Management */
{
    LABEL		[TXT_DIS_1231];
    ITEMS
    {
            menu_DIS_177 /* Betriebsdaten */
            , menu_DIS_313 /* Kennlinien */
            , menu_DIS_1644 /* Wartung */
            , menu_DIS_1232 /* Stellzeit, using RULE_611 */
            , menu_DIS_524 /* Gerätetemperaturen */
            , menu_DIS_960 /* Vibration, using RULE_62 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_177 "Betriebsdaten"
 */
MENU menu_DIS_177 /* Betriebsdaten */
{
    LABEL		[TXT_DIS_177];
    ITEMS
    {
            menu_DIS_183 /* Betriebsdaten Gesamt */
            , menu_DIS_188 /* Betriebsdaten Kunde */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_183 "Betriebsdaten Gesamt"
 */
MENU menu_DIS_183 /* Betriebsdaten Gesamt */
{
    LABEL		[TXT_DIS_183];
    ITEMS
    {
            PRM_495 /* Laufzeit */
            , PRM_5227 /* Max-Laufzeit/Std */
            , PRM_5068 /* Betriebsstunden */
            , PRM_496 /* Anläufe */
            , PRM_5226 /* Max-Anläufe/Std */
            , PRM_5213 /* Drehmo Mittelwert */
            , PRM_503 /* Thermofehler */
            , PRM_501 /* Drehmofehler ZU */
            , PRM_502 /* Drehmofehler AUF */
            , PRM_498 /* Wegabschaltungen ZU */
            , PRM_500 /* Wegabschaltungen AUF */
            , PRM_497 /* Drehmoabschaltungen ZU */
            , PRM_499 /* Drehmoabschaltungen AUF */
            , PRM_505 /* ErrorsEDTime */
            , PRM_506 /* ErrorsEDMax */
            , PRM_507 /* Resets */
            , PRM_4765 /* Temp. Steuerung max.  */
            , PRM_4766 /* Temp. Steuerung min.  */
            , PRM_4771 /* Temp. Steuereinheit max.  */
            , PRM_4772 /* Temp. Steuereinheit min.  */
            , PRM_5062 /* Vibration max. */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_188 "Betriebsdaten Kunde"
 */
MENU menu_DIS_188 /* Betriebsdaten Kunde */
{
    LABEL		[TXT_DIS_188];
    ITEMS
    {
            PRM_163 /* Laufzeit */
            , PRM_5225 /* Max-Laufzeit/Std */
            , PRM_5067 /* Betriebsstunden */
            , PRM_164 /* Anläufe */
            , PRM_5224 /* Max-Anläufe/Std */
            , PRM_5212 /* Drehmo Mittelwert */
            , PRM_170 /* Thermofehler */
            , PRM_175 /* Drehmofehler ZU */
            , PRM_171 /* Drehmofehler AUF */
            , PRM_172 /* Wegabschaltungen ZU */
            , PRM_174 /* Wegabschaltungen AUF */
            , PRM_166 /* Drehmoabschaltung en ZU */
            , PRM_173 /* Drehmoabschaltungen AUF */
            , PRM_168 /* ErrorsEDTime */
            , PRM_167 /* ErrorsEDMax */
            , PRM_165 /* Anzahl Resets */
            , PRM_4757 /* Temp. Steuerung max.  */
            , PRM_4761 /* Temp. Steuerung min.  */
            , PRM_4760 /* Temp. Steuereinheit max.  */
            , PRM_4764 /* Temp. Steuereinheit min.  */
            , PRM_5061 /* Vibration max. */
            , coPRM_3484 /*(HIDDEN) /* Betriebsd. zurücksetzen */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_313 "Kennlinien"
 */
MENU menu_DIS_313 /* Kennlinien */
{
    LABEL		[TXT_DIS_313];
    ITEMS
    {
            menu_DIS_1229 /* Drehmoment-Weg, using RULE_436 */
            , PRM_4032 /* Intervall Weg-Zeit */
            , coPRM_4881 /*(HIDDEN)*/ /* Kennlinien löschen */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1229 "Drehmoment-Weg"
 */
MENU menu_DIS_1229 /* Drehmoment-Weg */
{
    LABEL		[TXT_DIS_1229];
    ITEMS
    {
            coPRM_4785 /*(HIDDEN)*/ /* Kennlinie 1 speichern */
            , coPRM_4786 /*(HIDDEN)*/ /* Kennlinie 2 speichern */
            , coPRM_4787 /*(HIDDEN)*/ /* Kennlinie 3 speichern */
            , PRM_3191 /* Tag Drehmo-Weg 1, using RULE_553 */
            , PRM_3192 /* Tag Drehmo-Weg 2, using RULE_553 */
            , PRM_3193 /* Tag Drehmo-Weg 3, using RULE_553 */
            , PRM_5232 /* Anz. DrehmoKurvenAuf, using RULE_870 */
            , PRM_5238 /* Anz. DrehmoKurvenZu, using RULE_870 */
    }
    VALIDITY    IF (((PRM_1752 != 0)) || ((PRM_5066 == 2) && (((PRM_1129 == 776)) || ((PRM_1137 == 776))))) { TRUE; } ELSE { FALSE; }  /* using RULE_436 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1644 "Wartung"
 */
MENU menu_DIS_1644 /* Wartung */
{
    LABEL		[TXT_DIS_1644];
    ITEMS
    {
            PRM_4893 /* Dauer Wartungsintervall, using RULE_663 */
            , PRM_4887 /* Limit Starts Auf */
            , PRM_4888 /* Limit Starts Zu */
            , PRM_4889 /* Limit Umdrehungen Auf */
            , PRM_4890 /* Limit Umdrehungen Zu */
            , PRM_5229 /* Vorwarnlevel */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_1232 "Stellzeit"
 */
MENU menu_DIS_1232 /* Stellzeit */
{
    LABEL		[TXT_DIS_1232];
    ITEMS
    {
            PRM_4896
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4896 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stellzeit ZU */
            , PRM_4897
#ifndef dtmGENERATOR
		(HIDDEN), uiPRM_4897 /* local TIME_MMSS01- variable */
#endif /* dtmGENERATOR */ /* Stellzeit AUF */
    }
    VALIDITY    IF (PRM_5066 != 3) { TRUE; } ELSE { FALSE; }  /* using RULE_611 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_524 "Gerätetemperaturen"
 */
MENU menu_DIS_524 /* Gerätetemperaturen */
{
    LABEL		[TXT_DIS_524];
    ITEMS
    {
            PZD_4 (READ_ONLY) /* T_Steuerung */
            , PRM_5171 /* AvgTemp Log, implicit RULE_7 */
            , PZD_109 (READ_ONLY) /* T_Steuereinheit, using RULE_11 */
            , PRM_5174 /* AvgTemp Mwg, implicit RULE_7 */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_960 "Vibration"
 */
MENU menu_DIS_960 /* Vibration */
{
    LABEL		[TXT_DIS_960];
    ITEMS
    {
            PZD_174 (READ_ONLY) /* Gesamtbeschleunigung in g, using RULE_62 */
    }
    VALIDITY    IF (((PRM_1752 != 0))) { TRUE; } ELSE { FALSE; }  /* using RULE_62 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_540 "Auma-Meldungen"
 */
MENU menu_DIS_540 /* Auma-Meldungen */
{
    LABEL		[TXT_DIS_540];
    STYLE		MENU;
    ITEMS
    {
		IF ((PZD_78 == 0)&&(PZD_80 == 0)&&(PZD_79 == 0)) { [TXT_NO_ACTIVE_MESSAGES] }
		PZD_78 (HIDDEN), menu_DIS_541  /* Warnungen (using RulePZD_78) */
		, PZD_80 (HIDDEN), menu_DIS_542  /* nicht bereit FERN (using RulePZD_80) */
		, PZD_79 (HIDDEN), menu_DIS_543  /* Fehler (using RulePZD_79) */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_541 "Sammel-Meldung2: Warnung"
 */
MENU menu_DIS_541 /* Sammel-Meldung2: Warnung */
{
    LABEL		[TXT_DIS_541];
    ITEMS
    {
			IF (PZD_78 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_82 (HIDDEN), menu_PZD_82 /* Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82) */
            , PZD_91 (HIDDEN), menu_PZD_91 /* Sammel-Meldung 15: Interne Warnung (using RulePZD_91) */
            , PZD_93 (HIDDEN), menu_PZD_93 /* Sammel-Meldung 17: Warnung Hydraulik (using RulePZD_93) */
            , DeviceAlertDisplay(PZD_953) /* Meldung: Partial Stroke Fehler (using RulePZD_953) */
            , DeviceAlertDisplay(PZD_954) /* Meldung: Partial Stroke Abbruch (using RulePZD_954) */
            , DeviceAlertDisplay(PZD_461) /* FailSafe ist aktiv (using RulePZD_461) */
            , DeviceAlertDisplay(PZD_834) /* MWG: Drehmomentwarnung AUF	 (using RulePZD_834) */
            , DeviceAlertDisplay(PZD_835) /* MWG: Drehmomentwarnung ZU (using RulePZD_835) */
            , DeviceAlertDisplay(PZD_486) /* Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486) */
            , DeviceAlertDisplay(PZD_487) /* Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487) */
            , DeviceAlertDisplay(PZD_556) /* Stellzeitwarnung (using RulePZD_556) */
            , DeviceAlertDisplay(PZD_563) /* Keine Reaktion: Warnung (using RulePZD_563) */
            , DeviceAlertDisplay(PZD_485) /* Logik: 24VExt Error (using RulePZD_485) */
            , DeviceAlertDisplay(PZD_490) /* LCB: RTC nicht gesetzt (using RulePZD_490) */
            , DeviceAlertDisplay(PZD_943) /* LCB: RTC Batterie-Überwachung (using RulePZD_943) */
            , DeviceAlertDisplay(PZD_629) /* Warnung Temperatur Steuerung (using RulePZD_629) */
            , DeviceAlertDisplay(PZD_630) /* Warnung Temperatur Motor (using RulePZD_630) */
            , DeviceAlertDisplay(PZD_631) /* Warnung Temperatur Getriebe (using RulePZD_631) */
            , DeviceAlertDisplay(PZD_625) /* Warnung LWL (Meldung von Modul)) (using RulePZD_625) */
            , DeviceAlertDisplay(PZD_810) /* Warnung LWL nicht vorhanden (using RulePZD_810) */
            , DeviceAlertDisplay(PZD_813) /* Warnung LWL Budget (using RulePZD_813) */
            , DeviceAlertDisplay(PZD_633) /* Warnung AnalogIn 1 E8 (using RulePZD_633) */
            , DeviceAlertDisplay(PZD_634) /* Warnung AnalogIn 2 E9 (using RulePZD_634) */
            , DeviceAlertDisplay(PZD_637) /* Warnung Sollposition E1 (using RulePZD_637) */
    }
    VALIDITY    IF (PZD_78 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_78) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
 */
MENU menu_PZD_82 /* Sammel-Meldung6: Konfigurationswarnung */
{
    LABEL		[TXT_PZD_82];
    ITEMS
    {
			IF (PZD_82 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_666) /* Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666) */
            , DeviceAlertDisplay(PZD_758) /* PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758) */
            , DeviceAlertDisplay(PZD_759) /* PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759) */
            , DeviceAlertDisplay(PZD_760) /* PRM-Konsistenz: MWG-Drehmokonfiguration ZU (using RulePZD_760) */
            , DeviceAlertDisplay(PZD_761) /* PRM-Konsistenz: MWG-Drehmokonfiguration AUF (using RulePZD_761) */
            , DeviceAlertDisplay(PZD_762) /* PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762) */
            , DeviceAlertDisplay(PZD_763) /* PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763) */
            , DeviceAlertDisplay(PZD_764) /* PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764) */
            , DeviceAlertDisplay(PZD_765) /* PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765) */
            , DeviceAlertDisplay(PZD_766) /* PRM-Konsistenz: DigIn5-Konfiguration (using RulePZD_766) */
            , DeviceAlertDisplay(PZD_767) /* PRM-Konsistenz: DigIn6-Konfiguration (using RulePZD_767) */
            , DeviceAlertDisplay(PZD_768) /* PRM-Konsistenz: DigIn7-Konfiguration (using RulePZD_768) */
            , DeviceAlertDisplay(PZD_769) /* PRM-Konsistenz: DigIn8-Konfiguration (using RulePZD_769) */
            , DeviceAlertDisplay(PZD_770) /* PRM-Konsistenz: DigIn9-Konfiguration (using RulePZD_770) */
            , DeviceAlertDisplay(PZD_771) /* PRM-Konsistenz: DigIn10-Konfiguration (using RulePZD_771) */
            , DeviceAlertDisplay(PZD_808) /* PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808) */
            , DeviceAlertDisplay(PZD_832) /* PRM-Konsistenz: LWL-Konfiguration (using RulePZD_832) */
            , DeviceAlertDisplay(PZD_938) /* PRM-Konsistenz: Konfiguration der Heizungsüberwachung (using RulePZD_938) */
            , DeviceAlertDisplay(PZD_944) /* PRM-Konsistenz: Konfiguration des Sicherheitsverhaltens (using RulePZD_944) */
    }
    VALIDITY    IF (PZD_82 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_82) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_88 "Sammel-Meldung 12: Fehler Hydraulik"
 */
MENU menu_PZD_88 /* Sammel-Meldung 12: Fehler Hydraulik */
{
    LABEL		[TXT_PZD_88];
    ITEMS
    {
			IF (PZD_88 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_773) /* Meldung: Ölleckage (Hydr.-Antrieb) (using RulePZD_773) */
            , DeviceAlertDisplay(PZD_774) /* Meldung: Füllstand Hydrauliköl (Hydr.-Antrieb) (using RulePZD_774) */
    }
    VALIDITY    IF (PZD_88 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_88) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_91 "Sammel-Meldung 15: Interne Warnung"
 */
MENU menu_PZD_91 /* Sammel-Meldung 15: Interne Warnung */
{
    LABEL		[TXT_PZD_91];
    ITEMS
    {
			IF (PZD_91 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_483) /* Logik: 24VKD Error (using RulePZD_483) */
            , DeviceAlertDisplay(PZD_484) /* Logik: 24VInt Error (using RulePZD_484) */
            , DeviceAlertDisplay(PZD_389) /* LCB: Interne Warnung Backup in Use (using RulePZD_389) */
            , DeviceAlertDisplay(PZD_619) /* Warnung Heizung SA Defekt (using RulePZD_619) */
            , DeviceAlertDisplay(PZD_621) /* Warnung keine Referenzfahrrt E2 (using RulePZD_621) */
            , DeviceAlertDisplay(PZD_623) /* Warnung Signalbruch E2 (using RulePZD_623) */
            , DeviceAlertDisplay(PZD_622) /* Warnung geringer Signalhub E2 (using RulePZD_622) */
            , DeviceAlertDisplay(PZD_924) /* Interne Warnung Event-HighwaterMark (using RulePZD_924) */
            , DeviceAlertDisplay(PZD_925) /* Interne Warnung Timeouts-HighwaterMark (using RulePZD_925) */
    }
    VALIDITY    IF (PZD_91 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_91) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
 */
MENU menu_PZD_93 /* Sammel-Meldung 17: Warnung Hydraulik */
{
    LABEL		[TXT_PZD_93];
    ITEMS
    {
			IF (PZD_93 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_791) /* Meldung: Laufzeit Motor (Hydr.-Antrieb) (using RulePZD_791) */
            , DeviceAlertDisplay(PZD_798) /* PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration (using RulePZD_798) */
    }
    VALIDITY    IF (PZD_93 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_93) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_542 "Sammel-Meldung4: nicht bereit Fern"
 */
MENU menu_DIS_542 /* Sammel-Meldung4: nicht bereit Fern */
{
    LABEL		[TXT_DIS_542];
    ITEMS
    {
			IF (PZD_80 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_89 (HIDDEN), menu_PZD_89  /* Sammel-Meldung 13: Falscher Befehl (using RulePZD_89) */
            , DeviceAlertDisplay(PZD_952) /* Meldung: Partial Stroke aktiv (using RulePZD_952) */
            , DeviceAlertDisplay(PZD_275) /* Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1  (using RulePZD_275) */
            , DeviceAlertDisplay(PZD_757) /* InterlockActive (using RulePZD_757) */
            , DeviceAlertDisplay(PZD_553) /* Logik: Handschalter betätigt (using RulePZD_553) */
            , DeviceAlertDisplay(PZD_844) /* Wahlschalter nicht Fern, maskiert (using RulePZD_844) */
            , DeviceAlertDisplay(PZD_685) /* lokaler HALT (using RulePZD_685) */
            , DeviceAlertDisplay(PZD_285) /* Logik: Betriebsmodus EMCY_STOP (using RulePZD_285) */
            , DeviceAlertDisplay(PZD_282) /* Logik: Betriebsmodus SERVICE (using RulePZD_282) */
            , DeviceAlertDisplay(PZD_280) /* Logik: Betriebsmodus EMCY_OP (using RulePZD_280) */
            , DeviceAlertDisplay(PZD_606) /* Feldbus Fail Safe aktiv (using RulePZD_606) */
    }
    VALIDITY    IF (PZD_80 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_80) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_89 "Sammel-Meldung 13: Falscher Befehl"
 */
MENU menu_PZD_89 /* Sammel-Meldung 13: Falscher Befehl */
{
    LABEL		[TXT_PZD_89];
    ITEMS
    {
			IF (PZD_89 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_371) /* Logik: ungültiger Fahrbefehl (using RulePZD_371) */
            , DeviceAlertDisplay(PZD_555) /* Falscher Befehl Interface I (using RulePZD_555) */
            , DeviceAlertDisplay(PZD_562) /* Falscher Befehl Interface II (using RulePZD_562) */
            , DeviceAlertDisplay(PZD_688) /* Falscher Befehl Feldbus (using RulePZD_688) */
    }
    VALIDITY    IF (PZD_89 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_89) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_543 "Sammel-Meldung3: Fehler"
 */
MENU menu_DIS_543 /* Sammel-Meldung3: Fehler */
{
    LABEL		[TXT_DIS_543];
    ITEMS
    {
			IF (PZD_79 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_87 (HIDDEN), menu_PZD_87   /* Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87) */
            , PZD_90 (HIDDEN), menu_PZD_90 /* Sammel-Meldung 14: Interne Fehler (using RulePZD_90) */
            , DeviceAlertDisplay(PZD_268) /* Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268) */
            , DeviceAlertDisplay(PZD_269) /* Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269) */
            , DeviceAlertDisplay(PZD_270) /* Logik: Bypassed Thermofehler (using RulePZD_270) */
            , DeviceAlertDisplay(PZD_718) /* Keine Reaktion: Fehler (using RulePZD_718) */
            , DeviceAlertDisplay(PZD_481) /* Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481) */
            , DeviceAlertDisplay(PZD_302) /* Logik: Phasenausfall (using RulePZD_302) */
            , DeviceAlertDisplay(PZD_479) /* Logik: Netzqualität (using RulePZD_479) */
    }
    VALIDITY    IF (PZD_79 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_79) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
 */
MENU menu_PZD_87 /* Sammel-Meldung 11: Konfigurationsfehler */
{
    LABEL		[TXT_PZD_87];
    ITEMS
    {
			IF (PZD_87 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_597) /* System: Interner Fehler Interface (using RulePZD_597) */
            , DeviceAlertDisplay(PZD_598) /* System: Interner Fehler Relaisplatine (using RulePZD_598) */
            , DeviceAlertDisplay(PZD_599) /* System: Interner Fehler Optionsplatine (using RulePZD_599) */
            , DeviceAlertDisplay(PZD_671) /* System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671) */
            , DeviceAlertDisplay(PZD_615) /* Konfigurationsfehler (using RulePZD_615) */
            , DeviceAlertDisplay(PZD_809) /* System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809) */
    }
    VALIDITY    IF (PZD_87 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_87) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_PZD_90 "Sammel-Meldung 14: Interne Fehler"
 */
MENU menu_PZD_90 /* Sammel-Meldung 14: Interne Fehler */
{
    LABEL		[TXT_PZD_90];
    ITEMS
    {
			IF (PZD_90 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_417) /* MWG: Kalibrier-Feedback Hall-Sensor 1  (using RulePZD_417) */
            , DeviceAlertDisplay(PZD_421) /* MWG: Kalibrier-Feedback Hall-Sensor 2  (using RulePZD_421) */
            , DeviceAlertDisplay(PZD_420) /* MWG: Kalibrier-Feedback Hall-Sensor 3  (using RulePZD_420) */
            , DeviceAlertDisplay(PZD_419) /* MWG: Kalibrier-Feedback Hall-Sensor 4  (using RulePZD_419) */
            , DeviceAlertDisplay(PZD_418) /* MWG: Kalibrier-Feedback Hall-Sensor 5  (using RulePZD_418) */
            , DeviceAlertDisplay(PZD_684) /* Wahlschalter defekt (using RulePZD_684) */
            , DeviceAlertDisplay(PZD_664) /* Meldung: Ausgang defekt (using RulePZD_664) */
            , DeviceAlertDisplay(PZD_557) /* Motorschutzüberwachung defekt (using RulePZD_557) */
            , DeviceAlertDisplay(PZD_480) /* Logik: HW-Fehler (using RulePZD_480) */
            , DeviceAlertDisplay(PZD_482) /* Logik: 24VAC Error (using RulePZD_482) */
            , DeviceAlertDisplay(PZD_385) /* LCB: Interner Fehler Version (using RulePZD_385) */
            , DeviceAlertDisplay(PZD_386) /* LCB: Interner Fehler Eeprom (using RulePZD_386) */
            , DeviceAlertDisplay(PZD_387) /* LCB: Interner Fehler Parameter (using RulePZD_387) */
            , DeviceAlertDisplay(PZD_388) /* LCB: Interner Fehler Filezugriff (using RulePZD_388) */
            , DeviceAlertDisplay(PZD_390) /* LCB: Interne Fehler Backup (using RulePZD_390) */
            , DeviceAlertDisplay(PZD_494) /* System: Interner Fehler Subscription (using RulePZD_494) */
            , DeviceAlertDisplay(PZD_495) /* System: Interner Fehler FB-Startup (using RulePZD_495) */
            , DeviceAlertDisplay(PZD_530) /* System: Interner Fehler Bgr-Startup (using RulePZD_530) */
            , DeviceAlertDisplay(PZD_593) /* System: Interner Fehler LCB (using RulePZD_593) */
            , DeviceAlertDisplay(PZD_594) /* System: Interner Fehler Logik (using RulePZD_594) */
            , DeviceAlertDisplay(PZD_595) /* System: Interner Fehler Mwg (using RulePZD_595) */
            , DeviceAlertDisplay(PZD_596) /* System: Interner Fehler Bus (using RulePZD_596) */
            , DeviceAlertDisplay(PZD_675) /* System: Interner Fehler Lcb-Exception (using RulePZD_675) */
            , DeviceAlertDisplay(PZD_676) /* System: Interner Fehler Logik-Exception (using RulePZD_676) */
            , DeviceAlertDisplay(PZD_677) /* System: Interner Fehler Mwg-Exception (using RulePZD_677) */
            , DeviceAlertDisplay(PZD_678) /* System: Interner Fehler Bus-Exception (using RulePZD_678) */
            , DeviceAlertDisplay(PZD_679) /* Fehler Stellungsgeber (using RulePZD_679) */
            , DeviceAlertDisplay(PZD_707) /* Interner Fehler MWG Messystem defekt (using RulePZD_707) */
            , DeviceAlertDisplay(PZD_708) /* Interner Fehler Endlagen defekt (using RulePZD_708) */
    }
    VALIDITY    IF (PZD_90 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_90) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_533 "Namur-Meldungen"
 */
MENU menu_DIS_533 /* Namur-Meldungen */
{
    LABEL		[TXT_DIS_533];
    STYLE		MENU;
    ITEMS
    {
		IF ((PZD_83 == 0)&&(PZD_84 == 0)&&(PZD_85 == 0)&&(PZD_86 == 0)) { [TXT_NO_ACTIVE_MESSAGES] }
		PZD_83 (HIDDEN), menu_DIS_534, /* außerhalb Spez. (using RulePZD_83) */
		PZD_84 (HIDDEN), menu_DIS_535, /* Funktionskontrolle (using RulePZD_84) */
		PZD_85 (HIDDEN), menu_DIS_536, /* Wartungsbedarf (using RulePZD_85) */
		PZD_86 (HIDDEN), menu_DIS_537  /* Ausfall (using RulePZD_86) */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_534 "Sammel-Meldung7: Namur Out Of Spec"
 */
MENU menu_DIS_534 /* Sammel-Meldung7: Namur Out Of Spec */
{
    LABEL		[TXT_DIS_534];
    ITEMS
    {
			IF (PZD_83 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_78 (HIDDEN), menu_DIS_541  /* Sammel-Meldung2: Warnung (using RulePZD_78) */
    }
    VALIDITY    IF (PZD_83 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_83) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle"
 */
MENU menu_DIS_535 /* Sammel-Meldung8: Namur Funktionskontrolle */
{
    LABEL		[TXT_DIS_535];
    ITEMS
    {
			IF (PZD_84 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            DeviceAlertDisplay(PZD_952) /* Meldung: Partial Stroke aktiv (using RulePZD_952) */
            , DeviceAlertDisplay(PZD_553) /* Logik: Handschalter betätigt (using RulePZD_553) */
            , DeviceAlertDisplay(PZD_844) /* Wahlschalter nicht Fern, maskiert (using RulePZD_844) */
            , DeviceAlertDisplay(PZD_685) /* lokaler HALT (using RulePZD_685) */
            , DeviceAlertDisplay(PZD_285) /* Logik: Betriebsmodus EMCY_STOP (using RulePZD_285) */
            , DeviceAlertDisplay(PZD_282) /* Logik: Betriebsmodus SERVICE (using RulePZD_282) */
    }
    VALIDITY    IF (PZD_84 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_84) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU menu_DIS_536 "Sammel-Meldung9: Namur Wartungsbedarf"
 */
MENU menu_DIS_536 /* Sammel-Meldung9: Namur Wartungsbedarf */
{
    LABEL		[TXT_DIS_536];
	STYLE		PAGE;
    ITEMS
    {
			IF (PZD_85 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
			DeviceAlertDisplay(PZD_1430)   /* Wartung: Meldung Mechanik */
			, DeviceAlertDisplay(PZD_1313)   /* Wartung: Meldung Lebensdauer ORing */
			, DeviceAlertDisplay(PZD_1314)   /* Wartung: Meldung Lebensdauer Fett */
			, DeviceAlertDisplay(PZD_1312)   /* Wartung: Meldung Lebensdauer Schütz */
			, DeviceAlertDisplay(PZD_1317)   /* Wartung: Meldung Wartungsintervall */
    }
	VALIDITY	IF (PZD_85 != 0) { TRUE; } ELSE { FALSE; }  /* using RulePZD_86 */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining MENU  menu_DIS_537 "Sammel-Meldung10: Namur Ausfall"
 */
MENU menu_DIS_537 /* Sammel-Meldung10: Namur Ausfall */
{
    LABEL		[TXT_DIS_537];
    ITEMS
    {
			IF (PZD_86 == 0) { [TXT_NO_ACTIVE_MESSAGES] }
            PZD_79 (HIDDEN), menu_DIS_543 (READ_ONLY) /* Sammel-Meldung3: Fehler (using RulePZD_79) */
    }
    VALIDITY    IF (PZD_86 != 0) { TRUE; } ELSE { FALSE; }  /* (using RulePZD_86) */
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Special methods 
 */
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Diagnosis method 
 */
#ifdef _PDM_
METHOD method_refresh_DIS_612
{
	LABEL 	"method_refresh_DIS_612";
	DEFINITION
	{
        ReadCommand(read_PZD_268);    /* Logik: Bypassed Drehmomentfehler AUF (2 Octets) */
        ReadCommand(read_PZD_269);    /* Logik: Bypassed Drehmomentfehler ZU (2 Octets) */
        ReadCommand(read_PZD_112);    /* Wahlschalter (2 Octets) */
        ReadCommand(read_PZD_2);      /* Stellungsistwert Stellantrieb E2 (2 Octets) */
        ReadCommand(read_PZD_545);    /* Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000) (2 Octets) */
        ReadCommand(read_PZD_120);    /* Logik: Betriebsmodus (2 Octets) */
        ReadCommand(read_PZD_144);    /* Logik: Fahrbefehl (4 Octets) */
        ReadCommand(read_PZD_264);    /* Logik: Fährt Richtung AUF (logisch, unterdrückt bei SafeStop (SIL)) (2 Octets) */
        ReadCommand(read_PZD_265);    /* Logik: Fährt Richtung ZU (logisch, unterdrückt bei SafeStop (SIL)) (2 Octets) */
        ReadCommand(read_PZD_401);    /* Logik: Position erreicht (2 Octets) */
        ReadCommand(read_PZD_375);    /* Logik: Wegendlage Shalter AUF (konditioniert) (2 Octets) */
        ReadCommand(read_PZD_376);    /* Logik: Wegendlage Schalter ZU (konditioniert) (2 Octets) */
        ReadCommand(read_PZD_459);    /* Logik: Signal Torque OPEN (2 Octets) */
        ReadCommand(read_PZD_460);    /* Logik: Signal Torque CLOSE (2 Octets) */
	}
}

/* standard method for device specific diagnosis status */
METHOD method_PDM_DeviceDiagnosis
{
    LABEL	[TXT_method_PDM_DeviceDiagnosis];
    ACCESS	ONLINE;
    DEFINITION
    {
        /* ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Start" ); */
        method_refresh_DIS_612(); /* refresh menu Allgemein */

        /* PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung" */
        /* read value of PZD_78 before checking its state */
        ReadCommand(read_PZD_78);
        if(PZD_78 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
            /* PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung" */
            /* read value of PZD_82 before checking its state */
            ReadCommand(read_PZD_82);
            if(PZD_82 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                /* PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert" */
                /* read value of PZD_666 before checking its state */
                ReadCommand(read_PZD_666);
                if(PZD_666 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration" */
                /* read value of PZD_758 before checking its state */
                ReadCommand(read_PZD_758);
                if(PZD_758 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration" */
                /* read value of PZD_759 before checking its state */
                ReadCommand(read_PZD_759);
                if(PZD_759 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU" */
                /* read value of PZD_760 before checking its state */
                ReadCommand(read_PZD_760);
                if(PZD_760 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF" */
                /* read value of PZD_761 before checking its state */
                ReadCommand(read_PZD_761);
                if(PZD_761 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration" */
                /* read value of PZD_762 before checking its state */
                ReadCommand(read_PZD_762);
                if(PZD_762 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration" */
                /* read value of PZD_763 before checking its state */
                ReadCommand(read_PZD_763);
                if(PZD_763 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration" */
                /* read value of PZD_764 before checking its state */
                ReadCommand(read_PZD_764);
                if(PZD_764 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration" */
                /* read value of PZD_765 before checking its state */
                ReadCommand(read_PZD_765);
                if(PZD_765 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration" */
                /* read value of PZD_766 before checking its state */
                ReadCommand(read_PZD_766);
                if(PZD_766 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration" */
                /* read value of PZD_767 before checking its state */
                ReadCommand(read_PZD_767);
                if(PZD_767 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration" */
                /* read value of PZD_768 before checking its state */
                ReadCommand(read_PZD_768);
                if(PZD_768 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration" */
                /* read value of PZD_769 before checking its state */
                ReadCommand(read_PZD_769);
                if(PZD_769 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration" */
                /* read value of PZD_770 before checking its state */
                ReadCommand(read_PZD_770);
                if(PZD_770 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration" */
                /* read value of PZD_771 before checking its state */
                ReadCommand(read_PZD_771);
                if(PZD_771 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion" */
                /* read value of PZD_808 before checking its state */
                ReadCommand(read_PZD_808);
                if(PZD_808 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration" */
                /* read value of PZD_832 before checking its state */
                ReadCommand(read_PZD_832);
                if(PZD_832 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_938 "PRM-Konsistenz: Konfiguration der Heizungsüberwachung" */
                /* read value of PZD_938 before checking its state */
                ReadCommand(read_PZD_938);
                if(PZD_938 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_938]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_944 "PRM-Konsistenz: Konfiguration des Sicherheitsverhaltens" */
                /* read value of PZD_944 before checking its state */
                ReadCommand(read_PZD_944);
                if(PZD_944 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_944]);
                }
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_88 "Sammel-Meldung 12: Fehler Hydraulik" */
            /* read value of PZD_88 before checking its state */
            ReadCommand(read_PZD_88);
            if(PZD_88 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_88]);
                /* PDM_DIAG_PROCESS_WARNING: PZD_773 "Meldung: Ölleckage (Hydr.-Antrieb)" */
                /* read value of PZD_773 before checking its state */
                ReadCommand(read_PZD_773);
                if(PZD_773 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_773]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_774 "Meldung: Füllstand Hydrauliköl (Hydr.-Antrieb)" */
                /* read value of PZD_774 before checking its state */
                ReadCommand(read_PZD_774);
                if(PZD_774 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_774]);
                }
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung" */
            /* read value of PZD_91 before checking its state */
            ReadCommand(read_PZD_91);
            if(PZD_91 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                /* PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error" */
                /* read value of PZD_483 before checking its state */
                ReadCommand(read_PZD_483);
                if(PZD_483 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error" */
                /* read value of PZD_484 before checking its state */
                ReadCommand(read_PZD_484);
                if(PZD_484 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_389 "LCB: Interne Warnung Backup in Use" */
                /* read value of PZD_389 before checking its state */
                ReadCommand(read_PZD_389);
                if(PZD_389 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_389]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt" */
                /* read value of PZD_619 before checking its state */
                ReadCommand(read_PZD_619);
                if(PZD_619 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2" */
                /* read value of PZD_621 before checking its state */
                ReadCommand(read_PZD_621);
                if(PZD_621 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2" */
                /* read value of PZD_623 before checking its state */
                ReadCommand(read_PZD_623);
                if(PZD_623 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2" */
                /* read value of PZD_622 before checking its state */
                ReadCommand(read_PZD_622);
                if(PZD_622 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_924 "Interne Warnung Event-HighwaterMark" */
                /* read value of PZD_924 before checking its state */
                ReadCommand(read_PZD_924);
                if(PZD_924 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_924]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_925 "Interne Warnung Timeouts-HighwaterMark" */
                /* read value of PZD_925 before checking its state */
                ReadCommand(read_PZD_925);
                if(PZD_925 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_925]);
                }
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik" */
            /* read value of PZD_93 before checking its state */
            ReadCommand(read_PZD_93);
            if(PZD_93 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                /* PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)" */
                /* read value of PZD_791 before checking its state */
                ReadCommand(read_PZD_791);
                if(PZD_791 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration" */
                /* read value of PZD_798 before checking its state */
                ReadCommand(read_PZD_798);
                if(PZD_798 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                }
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_953 "Meldung: Partial Stroke Fehler" */
            /* read value of PZD_953 before checking its state */
            ReadCommand(read_PZD_953);
            if(PZD_953 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_953]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_954 "Meldung: Partial Stroke Abbruch" */
            /* read value of PZD_954 before checking its state */
            ReadCommand(read_PZD_954);
            if(PZD_954 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_954]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv" */
            /* read value of PZD_461 before checking its state */
            ReadCommand(read_PZD_461);
            if(PZD_461 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	" */
            /* read value of PZD_834 before checking its state */
            ReadCommand(read_PZD_834);
            if(PZD_834 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU" */
            /* read value of PZD_835 before checking its state */
            ReadCommand(read_PZD_835);
            if(PZD_835 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)" */
            /* read value of PZD_486 before checking its state */
            ReadCommand(read_PZD_486);
            if(PZD_486 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)" */
            /* read value of PZD_487 before checking its state */
            ReadCommand(read_PZD_487);
            if(PZD_487 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung" */
            /* read value of PZD_556 before checking its state */
            ReadCommand(read_PZD_556);
            if(PZD_556 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung" */
            /* read value of PZD_563 before checking its state */
            ReadCommand(read_PZD_563);
            if(PZD_563 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error" */
            /* read value of PZD_485 before checking its state */
            ReadCommand(read_PZD_485);
            if(PZD_485 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_490 "LCB: RTC nicht gesetzt" */
            /* read value of PZD_490 before checking its state */
            ReadCommand(read_PZD_490);
            if(PZD_490 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_943 "LCB: RTC Batterie-Überwachung" */
            /* read value of PZD_943 before checking its state */
            ReadCommand(read_PZD_943);
            if(PZD_943 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_943]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung" */
            /* read value of PZD_629 before checking its state */
            ReadCommand(read_PZD_629);
            if(PZD_629 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor" */
            /* read value of PZD_630 before checking its state */
            ReadCommand(read_PZD_630);
            if(PZD_630 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe" */
            /* read value of PZD_631 before checking its state */
            ReadCommand(read_PZD_631);
            if(PZD_631 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))" */
            /* read value of PZD_625 before checking its state */
            ReadCommand(read_PZD_625);
            if(PZD_625 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden" */
            /* read value of PZD_810 before checking its state */
            ReadCommand(read_PZD_810);
            if(PZD_810 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget" */
            /* read value of PZD_813 before checking its state */
            ReadCommand(read_PZD_813);
            if(PZD_813 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8" */
            /* read value of PZD_633 before checking its state */
            ReadCommand(read_PZD_633);
            if(PZD_633 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9" */
            /* read value of PZD_634 before checking its state */
            ReadCommand(read_PZD_634);
            if(PZD_634 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
            }
            /* PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1" */
            /* read value of PZD_637 before checking its state */
            ReadCommand(read_PZD_637);
            if(PZD_637 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
            }
        }
        /* PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_542 "Sammel-Meldung4: nicht bereit Fern" */
        /* read value of PZD_80 before checking its state */
        ReadCommand(read_PZD_80);
        if(PZD_80 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_542]);
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_89 "Sammel-Meldung 13: Falscher Befehl" */
            /* read value of PZD_89 before checking its state */
            ReadCommand(read_PZD_89);
            if(PZD_89 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_89]);
                /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_371 "Logik: ungültiger Fahrbefehl" */
                /* read value of PZD_371 before checking its state */
                ReadCommand(read_PZD_371);
                if(PZD_371 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_371]);
                }
                /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_555 "Falscher Befehl Interface I" */
                /* read value of PZD_555 before checking its state */
                ReadCommand(read_PZD_555);
                if(PZD_555 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_555]);
                }
                /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_562 "Falscher Befehl Interface II" */
                /* read value of PZD_562 before checking its state */
                ReadCommand(read_PZD_562);
                if(PZD_562 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_562]);
                }
                /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_688 "Falscher Befehl Feldbus" */
                /* read value of PZD_688 before checking its state */
                ReadCommand(read_PZD_688);
                if(PZD_688 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_688]);
                }
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_952 "Meldung: Partial Stroke aktiv" */
            /* read value of PZD_952 before checking its state */
            ReadCommand(read_PZD_952);
            if(PZD_952 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_952]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_275 "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 " */
            /* read value of PZD_275 before checking its state */
            ReadCommand(read_PZD_275);
            if(PZD_275 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_275]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_757 "InterlockActive" */
            /* read value of PZD_757 before checking its state */
            ReadCommand(read_PZD_757);
            if(PZD_757 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_757]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handschalter betätigt" */
            /* read value of PZD_553 before checking its state */
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert" */
            /* read value of PZD_844 before checking its state */
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT" */
            /* read value of PZD_685 before checking its state */
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP" */
            /* read value of PZD_285 before checking its state */
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE" */
            /* read value of PZD_282 before checking its state */
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_280 "Logik: Betriebsmodus EMCY_OP" */
            /* read value of PZD_280 before checking its state */
            ReadCommand(read_PZD_280);
            if(PZD_280 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_280]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_606 "Feldbus Fail Safe aktiv" */
            /* read value of PZD_606 before checking its state */
            ReadCommand(read_PZD_606);
            if(PZD_606 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_606]);
            }
        }
        /* PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler" */
        /* read value of PZD_79 before checking its state */
        ReadCommand(read_PZD_79);
        if(PZD_79 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler" */
            /* read value of PZD_87 before checking its state */
            ReadCommand(read_PZD_87);
            if(PZD_87 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_597 "System: Interner Fehler Interface" */
                /* read value of PZD_597 before checking its state */
                ReadCommand(read_PZD_597);
                if(PZD_597 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_597]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_598 "System: Interner Fehler Relaisplatine" */
                /* read value of PZD_598 before checking its state */
                ReadCommand(read_PZD_598);
                if(PZD_598 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_598]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_599 "System: Interner Fehler Optionsplatine" */
                /* read value of PZD_599 before checking its state */
                ReadCommand(read_PZD_599);
                if(PZD_599 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_599]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber" */
                /* read value of PZD_671 before checking its state */
                ReadCommand(read_PZD_671);
                if(PZD_671 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_615 "Konfigurationsfehler" */
                /* read value of PZD_615 before checking its state */
                ReadCommand(read_PZD_615);
                if(PZD_615 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_615]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\"" */
                /* read value of PZD_809 before checking its state */
                ReadCommand(read_PZD_809);
                if(PZD_809 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                }
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler" */
            /* read value of PZD_90 before checking its state */
            ReadCommand(read_PZD_90);
            if(PZD_90 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 " */
                /* read value of PZD_417 before checking its state */
                ReadCommand(read_PZD_417);
                if(PZD_417 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 " */
                /* read value of PZD_421 before checking its state */
                ReadCommand(read_PZD_421);
                if(PZD_421 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 " */
                /* read value of PZD_420 before checking its state */
                ReadCommand(read_PZD_420);
                if(PZD_420 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 " */
                /* read value of PZD_419 before checking its state */
                ReadCommand(read_PZD_419);
                if(PZD_419 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 " */
                /* read value of PZD_418 before checking its state */
                ReadCommand(read_PZD_418);
                if(PZD_418 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt" */
                /* read value of PZD_684 before checking its state */
                ReadCommand(read_PZD_684);
                if(PZD_684 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt" */
                /* read value of PZD_664 before checking its state */
                ReadCommand(read_PZD_664);
                if(PZD_664 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt" */
                /* read value of PZD_557 before checking its state */
                ReadCommand(read_PZD_557);
                if(PZD_557 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler" */
                /* read value of PZD_480 before checking its state */
                ReadCommand(read_PZD_480);
                if(PZD_480 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error" */
                /* read value of PZD_482 before checking its state */
                ReadCommand(read_PZD_482);
                if(PZD_482 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_385 "LCB: Interner Fehler Version" */
                /* read value of PZD_385 before checking its state */
                ReadCommand(read_PZD_385);
                if(PZD_385 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_385]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_386 "LCB: Interner Fehler Eeprom" */
                /* read value of PZD_386 before checking its state */
                ReadCommand(read_PZD_386);
                if(PZD_386 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_386]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_387 "LCB: Interner Fehler Parameter" */
                /* read value of PZD_387 before checking its state */
                ReadCommand(read_PZD_387);
                if(PZD_387 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_387]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_388 "LCB: Interner Fehler Filezugriff" */
                /* read value of PZD_388 before checking its state */
                ReadCommand(read_PZD_388);
                if(PZD_388 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_388]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_390 "LCB: Interne Fehler Backup" */
                /* read value of PZD_390 before checking its state */
                ReadCommand(read_PZD_390);
                if(PZD_390 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_390]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_494 "System: Interner Fehler Subscription" */
                /* read value of PZD_494 before checking its state */
                ReadCommand(read_PZD_494);
                if(PZD_494 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_494]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_495 "System: Interner Fehler FB-Startup" */
                /* read value of PZD_495 before checking its state */
                ReadCommand(read_PZD_495);
                if(PZD_495 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_495]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_530 "System: Interner Fehler Bgr-Startup" */
                /* read value of PZD_530 before checking its state */
                ReadCommand(read_PZD_530);
                if(PZD_530 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_530]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_593 "System: Interner Fehler LCB" */
                /* read value of PZD_593 before checking its state */
                ReadCommand(read_PZD_593);
                if(PZD_593 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_593]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_594 "System: Interner Fehler Logik" */
                /* read value of PZD_594 before checking its state */
                ReadCommand(read_PZD_594);
                if(PZD_594 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_594]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_595 "System: Interner Fehler Mwg" */
                /* read value of PZD_595 before checking its state */
                ReadCommand(read_PZD_595);
                if(PZD_595 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_595]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_596 "System: Interner Fehler Bus" */
                /* read value of PZD_596 before checking its state */
                ReadCommand(read_PZD_596);
                if(PZD_596 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_596]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception" */
                /* read value of PZD_675 before checking its state */
                ReadCommand(read_PZD_675);
                if(PZD_675 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception" */
                /* read value of PZD_676 before checking its state */
                ReadCommand(read_PZD_676);
                if(PZD_676 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception" */
                /* read value of PZD_677 before checking its state */
                ReadCommand(read_PZD_677);
                if(PZD_677 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception" */
                /* read value of PZD_678 before checking its state */
                ReadCommand(read_PZD_678);
                if(PZD_678 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber" */
                /* read value of PZD_679 before checking its state */
                ReadCommand(read_PZD_679);
                if(PZD_679 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt" */
                /* read value of PZD_707 before checking its state */
                ReadCommand(read_PZD_707);
                if(PZD_707 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt" */
                /* read value of PZD_708 before checking its state */
                ReadCommand(read_PZD_708);
                if(PZD_708 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                }
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF" */
            if(PZD_268 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU" */
            if(PZD_269 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler" */
            /* read value of PZD_270 before checking its state */
            ReadCommand(read_PZD_270);
            if(PZD_270 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler" */
            /* read value of PZD_718 before checking its state */
            ReadCommand(read_PZD_718);
            if(PZD_718 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)" */
            /* read value of PZD_481 before checking its state */
            ReadCommand(read_PZD_481);
            if(PZD_481 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall" */
            /* read value of PZD_302 before checking its state */
            ReadCommand(read_PZD_302);
            if(PZD_302 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
            }
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität" */
            /* read value of PZD_479 before checking its state */
            ReadCommand(read_PZD_479);
            if(PZD_479 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
            }
        }
        /* PDM_DIAG_PROCESS_WARNING: DIS_534 "Sammel-Meldung7: Namur Out Of Spec" */
        /* read value of PZD_83 before checking its state */
        ReadCommand(read_PZD_83);
        if(PZD_83 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_534]);
            /* PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung" */
            /* read value of PZD_78 before checking its state */
            ReadCommand(read_PZD_78);
            if(PZD_78 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
                /* PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung" */
                /* read value of PZD_82 before checking its state */
                ReadCommand(read_PZD_82);
                if(PZD_82 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                    /* PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert" */
                    /* read value of PZD_666 before checking its state */
                    ReadCommand(read_PZD_666);
                    if(PZD_666 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration" */
                    /* read value of PZD_758 before checking its state */
                    ReadCommand(read_PZD_758);
                    if(PZD_758 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration" */
                    /* read value of PZD_759 before checking its state */
                    ReadCommand(read_PZD_759);
                    if(PZD_759 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU" */
                    /* read value of PZD_760 before checking its state */
                    ReadCommand(read_PZD_760);
                    if(PZD_760 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF" */
                    /* read value of PZD_761 before checking its state */
                    ReadCommand(read_PZD_761);
                    if(PZD_761 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration" */
                    /* read value of PZD_762 before checking its state */
                    ReadCommand(read_PZD_762);
                    if(PZD_762 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration" */
                    /* read value of PZD_763 before checking its state */
                    ReadCommand(read_PZD_763);
                    if(PZD_763 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration" */
                    /* read value of PZD_764 before checking its state */
                    ReadCommand(read_PZD_764);
                    if(PZD_764 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration" */
                    /* read value of PZD_765 before checking its state */
                    ReadCommand(read_PZD_765);
                    if(PZD_765 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration" */
                    /* read value of PZD_766 before checking its state */
                    ReadCommand(read_PZD_766);
                    if(PZD_766 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration" */
                    /* read value of PZD_767 before checking its state */
                    ReadCommand(read_PZD_767);
                    if(PZD_767 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration" */
                    /* read value of PZD_768 before checking its state */
                    ReadCommand(read_PZD_768);
                    if(PZD_768 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration" */
                    /* read value of PZD_769 before checking its state */
                    ReadCommand(read_PZD_769);
                    if(PZD_769 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration" */
                    /* read value of PZD_770 before checking its state */
                    ReadCommand(read_PZD_770);
                    if(PZD_770 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration" */
                    /* read value of PZD_771 before checking its state */
                    ReadCommand(read_PZD_771);
                    if(PZD_771 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion" */
                    /* read value of PZD_808 before checking its state */
                    ReadCommand(read_PZD_808);
                    if(PZD_808 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration" */
                    /* read value of PZD_832 before checking its state */
                    ReadCommand(read_PZD_832);
                    if(PZD_832 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_938 "PRM-Konsistenz: Konfiguration der Heizungsüberwachung" */
                    /* read value of PZD_938 before checking its state */
                    ReadCommand(read_PZD_938);
                    if(PZD_938 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_938]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_944 "PRM-Konsistenz: Konfiguration des Sicherheitsverhaltens" */
                    /* read value of PZD_944 before checking its state */
                    ReadCommand(read_PZD_944);
                    if(PZD_944 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_944]);
                    }
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_88 "Sammel-Meldung 12: Fehler Hydraulik" */
                /* read value of PZD_88 before checking its state */
                ReadCommand(read_PZD_88);
                if(PZD_88 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_88]);
                    /* PDM_DIAG_PROCESS_WARNING: PZD_773 "Meldung: Ölleckage (Hydr.-Antrieb)" */
                    /* read value of PZD_773 before checking its state */
                    ReadCommand(read_PZD_773);
                    if(PZD_773 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_773]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_774 "Meldung: Füllstand Hydrauliköl (Hydr.-Antrieb)" */
                    /* read value of PZD_774 before checking its state */
                    ReadCommand(read_PZD_774);
                    if(PZD_774 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_774]);
                    }
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung" */
                /* read value of PZD_91 before checking its state */
                ReadCommand(read_PZD_91);
                if(PZD_91 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                    /* PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error" */
                    /* read value of PZD_483 before checking its state */
                    ReadCommand(read_PZD_483);
                    if(PZD_483 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error" */
                    /* read value of PZD_484 before checking its state */
                    ReadCommand(read_PZD_484);
                    if(PZD_484 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_389 "LCB: Interne Warnung Backup in Use" */
                    /* read value of PZD_389 before checking its state */
                    ReadCommand(read_PZD_389);
                    if(PZD_389 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_389]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt" */
                    /* read value of PZD_619 before checking its state */
                    ReadCommand(read_PZD_619);
                    if(PZD_619 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2" */
                    /* read value of PZD_621 before checking its state */
                    ReadCommand(read_PZD_621);
                    if(PZD_621 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2" */
                    /* read value of PZD_623 before checking its state */
                    ReadCommand(read_PZD_623);
                    if(PZD_623 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2" */
                    /* read value of PZD_622 before checking its state */
                    ReadCommand(read_PZD_622);
                    if(PZD_622 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_924 "Interne Warnung Event-HighwaterMark" */
                    /* read value of PZD_924 before checking its state */
                    ReadCommand(read_PZD_924);
                    if(PZD_924 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_924]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_925 "Interne Warnung Timeouts-HighwaterMark" */
                    /* read value of PZD_925 before checking its state */
                    ReadCommand(read_PZD_925);
                    if(PZD_925 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_925]);
                    }
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik" */
                /* read value of PZD_93 before checking its state */
                ReadCommand(read_PZD_93);
                if(PZD_93 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                    /* PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)" */
                    /* read value of PZD_791 before checking its state */
                    ReadCommand(read_PZD_791);
                    if(PZD_791 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                    }
                    /* PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration" */
                    /* read value of PZD_798 before checking its state */
                    ReadCommand(read_PZD_798);
                    if(PZD_798 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                    }
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_953 "Meldung: Partial Stroke Fehler" */
                /* read value of PZD_953 before checking its state */
                ReadCommand(read_PZD_953);
                if(PZD_953 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_953]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_954 "Meldung: Partial Stroke Abbruch" */
                /* read value of PZD_954 before checking its state */
                ReadCommand(read_PZD_954);
                if(PZD_954 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_954]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv" */
                /* read value of PZD_461 before checking its state */
                ReadCommand(read_PZD_461);
                if(PZD_461 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	" */
                /* read value of PZD_834 before checking its state */
                ReadCommand(read_PZD_834);
                if(PZD_834 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU" */
                /* read value of PZD_835 before checking its state */
                ReadCommand(read_PZD_835);
                if(PZD_835 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)" */
                /* read value of PZD_486 before checking its state */
                ReadCommand(read_PZD_486);
                if(PZD_486 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)" */
                /* read value of PZD_487 before checking its state */
                ReadCommand(read_PZD_487);
                if(PZD_487 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung" */
                /* read value of PZD_556 before checking its state */
                ReadCommand(read_PZD_556);
                if(PZD_556 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung" */
                /* read value of PZD_563 before checking its state */
                ReadCommand(read_PZD_563);
                if(PZD_563 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error" */
                /* read value of PZD_485 before checking its state */
                ReadCommand(read_PZD_485);
                if(PZD_485 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_490 "LCB: RTC nicht gesetzt" */
                /* read value of PZD_490 before checking its state */
                ReadCommand(read_PZD_490);
                if(PZD_490 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_943 "LCB: RTC Batterie-Überwachung" */
                /* read value of PZD_943 before checking its state */
                ReadCommand(read_PZD_943);
                if(PZD_943 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_943]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung" */
                /* read value of PZD_629 before checking its state */
                ReadCommand(read_PZD_629);
                if(PZD_629 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor" */
                /* read value of PZD_630 before checking its state */
                ReadCommand(read_PZD_630);
                if(PZD_630 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe" */
                /* read value of PZD_631 before checking its state */
                ReadCommand(read_PZD_631);
                if(PZD_631 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))" */
                /* read value of PZD_625 before checking its state */
                ReadCommand(read_PZD_625);
                if(PZD_625 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden" */
                /* read value of PZD_810 before checking its state */
                ReadCommand(read_PZD_810);
                if(PZD_810 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget" */
                /* read value of PZD_813 before checking its state */
                ReadCommand(read_PZD_813);
                if(PZD_813 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8" */
                /* read value of PZD_633 before checking its state */
                ReadCommand(read_PZD_633);
                if(PZD_633 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9" */
                /* read value of PZD_634 before checking its state */
                ReadCommand(read_PZD_634);
                if(PZD_634 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
                }
                /* PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1" */
                /* read value of PZD_637 before checking its state */
                ReadCommand(read_PZD_637);
                if(PZD_637 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
                }
            }
        }
        /* PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle" */
        /* read value of PZD_84 before checking its state */
        ReadCommand(read_PZD_84);
        if(PZD_84 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_535]);
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_952 "Meldung: Partial Stroke aktiv" */
            /* read value of PZD_952 before checking its state */
            ReadCommand(read_PZD_952);
            if(PZD_952 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_952]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handschalter betätigt" */
            /* read value of PZD_553 before checking its state */
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert" */
            /* read value of PZD_844 before checking its state */
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT" */
            /* read value of PZD_685 before checking its state */
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP" */
            /* read value of PZD_285 before checking its state */
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            /* PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE" */
            /* read value of PZD_282 before checking its state */
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
        }
        /* PDM_DIAG_MAINT_LOW: DIS_536 "Sammel-Meldung9: Namur Wartungsbedarf" */
        /* read value of PZD_85 before checking its state */
        ReadCommand(read_PZD_85);
        if(PZD_85 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MAINT_LOW;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MAINT_LOW, [TXT_DIS_536]);
        }
        /* PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_537 "Sammel-Meldung10: Namur Ausfall" */
        /* read value of PZD_86 before checking its state */
        ReadCommand(read_PZD_86);
        if(PZD_86 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_537]);
            /* PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler" */
            /* read value of PZD_79 before checking its state */
            ReadCommand(read_PZD_79);
            if(PZD_79 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler" */
                /* read value of PZD_87 before checking its state */
                ReadCommand(read_PZD_87);
                if(PZD_87 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_597 "System: Interner Fehler Interface" */
                    /* read value of PZD_597 before checking its state */
                    ReadCommand(read_PZD_597);
                    if(PZD_597 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_597]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_598 "System: Interner Fehler Relaisplatine" */
                    /* read value of PZD_598 before checking its state */
                    ReadCommand(read_PZD_598);
                    if(PZD_598 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_598]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_599 "System: Interner Fehler Optionsplatine" */
                    /* read value of PZD_599 before checking its state */
                    ReadCommand(read_PZD_599);
                    if(PZD_599 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_599]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber" */
                    /* read value of PZD_671 before checking its state */
                    ReadCommand(read_PZD_671);
                    if(PZD_671 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_615 "Konfigurationsfehler" */
                    /* read value of PZD_615 before checking its state */
                    ReadCommand(read_PZD_615);
                    if(PZD_615 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_615]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\"" */
                    /* read value of PZD_809 before checking its state */
                    ReadCommand(read_PZD_809);
                    if(PZD_809 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                    }
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler" */
                /* read value of PZD_90 before checking its state */
                ReadCommand(read_PZD_90);
                if(PZD_90 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 " */
                    /* read value of PZD_417 before checking its state */
                    ReadCommand(read_PZD_417);
                    if(PZD_417 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 " */
                    /* read value of PZD_421 before checking its state */
                    ReadCommand(read_PZD_421);
                    if(PZD_421 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 " */
                    /* read value of PZD_420 before checking its state */
                    ReadCommand(read_PZD_420);
                    if(PZD_420 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 " */
                    /* read value of PZD_419 before checking its state */
                    ReadCommand(read_PZD_419);
                    if(PZD_419 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 " */
                    /* read value of PZD_418 before checking its state */
                    ReadCommand(read_PZD_418);
                    if(PZD_418 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt" */
                    /* read value of PZD_684 before checking its state */
                    ReadCommand(read_PZD_684);
                    if(PZD_684 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt" */
                    /* read value of PZD_664 before checking its state */
                    ReadCommand(read_PZD_664);
                    if(PZD_664 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt" */
                    /* read value of PZD_557 before checking its state */
                    ReadCommand(read_PZD_557);
                    if(PZD_557 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler" */
                    /* read value of PZD_480 before checking its state */
                    ReadCommand(read_PZD_480);
                    if(PZD_480 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error" */
                    /* read value of PZD_482 before checking its state */
                    ReadCommand(read_PZD_482);
                    if(PZD_482 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_385 "LCB: Interner Fehler Version" */
                    /* read value of PZD_385 before checking its state */
                    ReadCommand(read_PZD_385);
                    if(PZD_385 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_385]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_386 "LCB: Interner Fehler Eeprom" */
                    /* read value of PZD_386 before checking its state */
                    ReadCommand(read_PZD_386);
                    if(PZD_386 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_386]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_387 "LCB: Interner Fehler Parameter" */
                    /* read value of PZD_387 before checking its state */
                    ReadCommand(read_PZD_387);
                    if(PZD_387 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_387]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_388 "LCB: Interner Fehler Filezugriff" */
                    /* read value of PZD_388 before checking its state */
                    ReadCommand(read_PZD_388);
                    if(PZD_388 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_388]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_390 "LCB: Interne Fehler Backup" */
                    /* read value of PZD_390 before checking its state */
                    ReadCommand(read_PZD_390);
                    if(PZD_390 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_390]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_494 "System: Interner Fehler Subscription" */
                    /* read value of PZD_494 before checking its state */
                    ReadCommand(read_PZD_494);
                    if(PZD_494 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_494]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_495 "System: Interner Fehler FB-Startup" */
                    /* read value of PZD_495 before checking its state */
                    ReadCommand(read_PZD_495);
                    if(PZD_495 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_495]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_530 "System: Interner Fehler Bgr-Startup" */
                    /* read value of PZD_530 before checking its state */
                    ReadCommand(read_PZD_530);
                    if(PZD_530 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_530]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_593 "System: Interner Fehler LCB" */
                    /* read value of PZD_593 before checking its state */
                    ReadCommand(read_PZD_593);
                    if(PZD_593 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_593]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_594 "System: Interner Fehler Logik" */
                    /* read value of PZD_594 before checking its state */
                    ReadCommand(read_PZD_594);
                    if(PZD_594 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_594]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_595 "System: Interner Fehler Mwg" */
                    /* read value of PZD_595 before checking its state */
                    ReadCommand(read_PZD_595);
                    if(PZD_595 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_595]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_596 "System: Interner Fehler Bus" */
                    /* read value of PZD_596 before checking its state */
                    ReadCommand(read_PZD_596);
                    if(PZD_596 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_596]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception" */
                    /* read value of PZD_675 before checking its state */
                    ReadCommand(read_PZD_675);
                    if(PZD_675 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception" */
                    /* read value of PZD_676 before checking its state */
                    ReadCommand(read_PZD_676);
                    if(PZD_676 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception" */
                    /* read value of PZD_677 before checking its state */
                    ReadCommand(read_PZD_677);
                    if(PZD_677 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception" */
                    /* read value of PZD_678 before checking its state */
                    ReadCommand(read_PZD_678);
                    if(PZD_678 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber" */
                    /* read value of PZD_679 before checking its state */
                    ReadCommand(read_PZD_679);
                    if(PZD_679 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt" */
                    /* read value of PZD_707 before checking its state */
                    ReadCommand(read_PZD_707);
                    if(PZD_707 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                    }
                    /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt" */
                    /* read value of PZD_708 before checking its state */
                    ReadCommand(read_PZD_708);
                    if(PZD_708 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                    }
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF" */
                if(PZD_268 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU" */
                if(PZD_269 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler" */
                /* read value of PZD_270 before checking its state */
                ReadCommand(read_PZD_270);
                if(PZD_270 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler" */
                /* read value of PZD_718 before checking its state */
                ReadCommand(read_PZD_718);
                if(PZD_718 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)" */
                /* read value of PZD_481 before checking its state */
                ReadCommand(read_PZD_481);
                if(PZD_481 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall" */
                /* read value of PZD_302 before checking its state */
                ReadCommand(read_PZD_302);
                if(PZD_302 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
                }
                /* PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität" */
                /* read value of PZD_479 before checking its state */
                ReadCommand(read_PZD_479);
                if(PZD_479 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
                }
            }
        }
        /* ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: vor Gut-Auswertung, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis ); */
        /* reset PDM status if there is no alarm: */
        if(PDM_Diag_Status_Diagnosis == PDM_DIAG_NOT_VALIDATED)
        {
            PDM_Diag_Status_Diagnosis = PDM_DIAG_GOOD;
        }
        /* ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Ende, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis ); */
    }
}
#endif /* _PDM_ */
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_3484 
 */
METHOD coPRM_3484
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_3484, 1);
        if (0 == WriteCommand(write_PRM_3484)) {
            /* success */
            ACKNOWLEDGE([TXT_TST_1235]);
        }
        else {
            /* failure */
            ACKNOWLEDGE([TXT_TST_1235_FAIL]);
        }
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_3487 - Werkseinst. laden 
 */
METHOD coPRM_3487
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_3487, 1);
        if (0 == WriteCommand(write_PRM_3487)) {
			/* Success */
			ACKNOWLEDGE([TXT_TST_1235]);
		}
		else {
			/* Function not possible */
			ACKNOWLEDGE([TXT_TST_1235_FAIL]);
		}
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_4785 - Kennlinie 1 speichern
 */
METHOD coPRM_4785
{
    LABEL		[TXT_PRM_4785];
    HELP		[HLP_PRM_4785];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_4785, 1);
        if (0 == WriteCommand(write_PRM_4785)) {
            /* success */
            ACKNOWLEDGE([TXT_TST_1235]);
        }
        else {
            /* failure */
            ACKNOWLEDGE([TXT_TST_1235_FAIL]);
        }
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_4786 - Kennlinie 2 speichern
 */
METHOD coPRM_4786
{
    LABEL		[TXT_PRM_4786];
    HELP		[HLP_PRM_4786];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_4786, 1);
        if (0 == WriteCommand(write_PRM_4786)) {
            /* success */
            ACKNOWLEDGE([TXT_TST_1235]);
        }
        else {
            /* failure */
            ACKNOWLEDGE([TXT_TST_1235_FAIL]);
        }
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_4787 - Kennlinie 3 speichern
 */
METHOD coPRM_4787
{
    LABEL		[TXT_PRM_4787];
    HELP		[HLP_PRM_4787];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_4787, 1);
        if (0 == WriteCommand(write_PRM_4787)) {
            /* success */
            ACKNOWLEDGE([TXT_TST_1235]);
        }
        else {
            /* failure */
            ACKNOWLEDGE([TXT_TST_1235_FAIL]);
        }
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   coPRM_4881 - Kennlinien löschen
 */
METHOD coPRM_4881
{
    LABEL		[TXT_PRM_4881];
    HELP		[HLP_PRM_4881];
    DEFINITION
    {
        DELAY(2,[TXT_TST_1234]);
        iassign(PRM_4881, 1);
        if (0 == WriteCommand(write_PRM_4881)) {
            /* success */
            ACKNOWLEDGE([TXT_TST_1235]);
        }
        else {
            /* failure */
            ACKNOWLEDGE([TXT_TST_1235_FAIL]);
        }
    }
}
 
#ifndef dtmGENERATOR
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Convert MMSS01 to U16 
 */
METHOD convert_MMSS01_to_U16(DD_STRING & in, unsigned int & out, unsigned int min_val, unsigned int max_val)
{
    LABEL		[TXT_convert_MMSS01_to_U16];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int i, is_error;
        unsigned int min, sec, dsec, val;
        char smin[6], ssec[6], sdsec[6];
        is_error= 0;
        /* check input value and calculate time values */
        /* structure "[<min>:]<sec>[,<dsec>]" */
        /* find string after ":": */
        ssec= strstr(in,":");
        if (ssec[0]==':')
        {
            smin= in;
            /* assign <sec> string (remove 1st char) */
            for (i= 0; i<strlen(ssec)-1;i++) { ssec[i]=ssec[i+1]; }
            ssec[i]= 0;
        }
        /* else: interpret value as in sec */
        else
        {
            /* set <min> string */
            smin= "0";
            /* assign <sec> string */
            ssec= in;
        }
        /* calculate string after "," or ".": */
        sdsec= strstr(in,",");
        if (sdsec[0] == 0) { sdsec= strstr(in,".");}
        for (i= 0; i<strlen(sdsec)-1;i++) { sdsec[i]=sdsec[i+1]; }
        sdsec[i]= 0;
        /* interpret component strings */
        dsec= atoi(sdsec) % 10;
        sec= (atoi(ssec) + atoi(sdsec) / 10) % 60;
        min= atoi(smin) + (atoi(ssec) + atoi(sdsec) / 10) / 60;
        /* check limits */
        val= (min*60 + sec)*10 + dsec;
        if (val > max_val)
        {
            /* display error message */
            ACKNOWLEDGE([TXT_TST_1236]);
            is_error= 1;
        }
        else if (val < min_val)
        {
            /* display error message */
            ACKNOWLEDGE([TXT_TST_1237]);
            is_error= 1;
        }
        if (is_error)
        {
            /* readjust values */
            dsec= out % 10;
            sec= (out / 10) % 60;
            min= out / 600;
        }
        /* merge time values and assign to DD_STRING */
        if (min < 10)
            in= "0" + itoa(min) + ":";
        else
            in= itoa(min) + ":";
        if (sec < 10)
            in+= "0" + itoa(sec) + ",";
        else
            in+= itoa(sec) + ",";
        in+= itoa(dsec);
        /* assign time value to U16 */
        out= (min*60 + sec)*10 + dsec;
        /* make changes permanent */
        save_values();
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Convert U16 to MMSS01 
 */
METHOD convert_U16_to_MMSS01(unsigned int in, DD_STRING & out)
{
    LABEL		[TXT_convert_U16_to_MMSS01];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int min;
        int sec;
        int dsec;
        /* calculate time values from in */
        min= in / 600;
        sec= (in / 10) % 60;
        dsec= in % 10;
        /* merge values and assign to out string */
        /* structure "<min>:<sec>,<dsec>" */
        if (min < 10)
            out= "0" + itoa(min) + ":";
        else
            out= itoa(min) + ":";
        if (sec < 10)
            out+= "0" + itoa(sec) + ",";
        else
            out+= itoa(sec) + ",";
        out+= itoa(dsec);
        /* make changes permanent */
        save_values();
    }
}
 
#endif /* !dtmGENERATOR */
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Special menus 
 */
#ifndef _AMSDM_
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Download menu 
 */
#ifdef dtmGENERATOR
MENU upload_parameters	/* parameters will be read from device */
{
    LABEL		"Read parameters from device...";
#else
MENU download_variables	/* parameter will be read from device */
{
    LABEL		[menu_load_to_PC]; /* PDM based reference text */
#endif  /* dtmGENERATOR */
    ITEMS
    {
        /* all READ VARIABLE's */
        PRM_5           /* Bytes: 2    Name: "TaktstreckeAufStart" */
        ,PRM_6           /* Bytes: 2    Name: "TaktstreckeAufEnde" */
        ,PRM_7           /* Bytes: 2    Name: "TaktfahrzeitAuf" */
        ,PRM_8           /* Bytes: 2    Name: "TaktpausenzeitAuf" */
        ,PRM_9           /* Bytes: 2    Name: "Abschaltart AUF" */
        ,PRM_12          /* Bytes: 2    Name: "SelbsthVerhaltOrt" */
        ,PRM_13          /* Bytes: 2    Name: "TaktbetriebAufMode" */
        ,PRM_20          /* Bytes: 2    Name: "Stütz1_Position" */
        ,PRM_28          /* Bytes: 2    Name: "Stütz1_Meldeverhaltn" */
        ,PRM_29          /* Bytes: 2    Name: "Stütz1_Fahrverhalten" */
        ,PRM_33          /* Bytes: 2    Name: "Sprache" */
        ,PRM_45          /* Bytes: 2    Name: "Soll_Ifa1_Vorhanden" */
        ,PRM_67          /* Bytes: 2    Name: "Betriebsart NOT" */
        ,PRM_68          /* Bytes: 2    Name: "Auslösung NOT" */
        ,PRM_69          /* Bytes: 2    Name: "Bypass Thermo NOT" */
        ,PRM_70          /* Bytes: 2    Name: "Bypass Drehmo NOT" */
        ,PRM_71          /* Bytes: 2    Name: "Bypass Takt NOT" */
        ,PRM_79          /* Bytes: 2    Name: "Drehsinn Schließen" */
        ,PRM_82          /* Bytes: 2    Name: "DrehmoBypassZeit" */
        ,PRM_84          /* Bytes: 2    Name: "StellungreglerMode" */
        ,PRM_86          /* Bytes: 2    Name: "StelReglTotzeit" */
        ,PRM_87          /* Bytes: 2    Name: "StelReglExtTotzone" */
        ,PRM_160         /* Bytes: 2    Name: "Fkt Meldeleuchte 1" */
        ,PRM_163         /* Bytes: 4    Name: "Laufzeit" */
        ,PRM_164         /* Bytes: 4    Name: "Anläufe" */
        ,PRM_165         /* Bytes: 4    Name: "Anzahl Resets" */
        ,PRM_166         /* Bytes: 4    Name: "Drehmoabschaltung en ZU" */
        ,PRM_167         /* Bytes: 4    Name: "ErrorsEDMax" */
        ,PRM_168         /* Bytes: 4    Name: "ErrorsEDTime" */
        ,PRM_170         /* Bytes: 4    Name: "Thermofehler" */
        ,PRM_171         /* Bytes: 4    Name: "Drehmofehler AUF" */
        ,PRM_172         /* Bytes: 4    Name: "Wegabschaltungen ZU" */
        ,PRM_173         /* Bytes: 4    Name: "Drehmoabschaltungen AUF" */
        ,PRM_174         /* Bytes: 4    Name: "Wegabschaltungen AUF" */
        ,PRM_175         /* Bytes: 4    Name: "Drehmofehler ZU" */
        ,PRM_181         /* Bytes: 2    Name: "Soll_Bus_vorhanden" */
        ,PRM_208         /* Bytes: 2    Name: "MODE_Thermofehler" */
        ,PRM_209         /* Bytes: 2    Name: "PhaseDelaytime" */
        ,PRM_212         /* Bytes: 2    Name: "StelReglInnTotzAuf" */
        ,PRM_213         /* Bytes: 2    Name: "StelReglInnTotzZu" */
        ,PRM_214         /* Bytes: 4    Name: "SollwertToleranzAuf" */
        ,PRM_215         /* Bytes: 4    Name: "SollwertToleranzZu" */
        ,PRM_217         /* Bytes: 2    Name: "PID Freischaltung" */
        ,PRM_218         /* Bytes: 2    Name: "PID Mode" */
        ,PRM_219         /* Bytes: 2    Name: "PID Sollw Int 1" */
        ,PRM_222         /* Bytes: 2    Name: "Stellgrenze AUF" */
        ,PRM_223         /* Bytes: 2    Name: "PID Verhalten Ausfall" */
        ,PRM_224         /* Bytes: 2    Name: "Stellgrenze ZU" */
        ,PRM_225         /* Bytes: 2    Name: "PID Verstärkung Kp" */
        ,PRM_226         /* Bytes: 2    Name: "PID Nachstellzeit Tn" */
        ,PRM_227         /* Bytes: 2    Name: "PID Vorhaltezeit Tv" */
        ,PRM_229         /* Bytes: 2    Name: "PID Inversbetrieb" */
        ,PRM_230         /* Bytes: 2    Name: "Verhalten NOT" */
        ,PRM_231         /* Bytes: 2    Name: "Position NOT" */
        ,PRM_466         /* Bytes: 2    Name: "Stütz2_Position" */
        ,PRM_467         /* Bytes: 2    Name: "Stütz2_Fahrverhalten" */
        ,PRM_468         /* Bytes: 2    Name: "Stütz2_Meldeverhaltn" */
        ,PRM_470         /* Bytes: 2    Name: "Stütz3_Position" */
        ,PRM_471         /* Bytes: 2    Name: "Stütz3_Fahrverhalten" */
        ,PRM_472         /* Bytes: 2    Name: "Stütz3_Meldeverhaltn" */
        ,PRM_474         /* Bytes: 2    Name: "Stütz4_Position" */
        ,PRM_475         /* Bytes: 2    Name: "Stütz4_Fahrverhalten" */
        ,PRM_476         /* Bytes: 2    Name: "Stütz4_Meldeverhaltn" */
        ,PRM_478         /* Bytes: 2    Name: "Stütz5_Position" */
        ,PRM_479         /* Bytes: 2    Name: "Stütz5_Fahrverhalten" */
        ,PRM_480         /* Bytes: 2    Name: "Stütz5_Meldeverhaltn" */
        ,PRM_482         /* Bytes: 2    Name: "Stütz6_Position" */
        ,PRM_483         /* Bytes: 2    Name: "Stütz6_Fahrverhalten" */
        ,PRM_484         /* Bytes: 2    Name: "Stütz6_Meldeverhaltn" */
        ,PRM_486         /* Bytes: 2    Name: "Stütz7_Position" */
        ,PRM_487         /* Bytes: 2    Name: "Stütz7_Fahrverhalten" */
        ,PRM_488         /* Bytes: 2    Name: "Stütz7_Meldeverhaltn" */
        ,PRM_490         /* Bytes: 2    Name: "Stütz8_Position" */
        ,PRM_491         /* Bytes: 2    Name: "Stütz8_Fahrverhalten" */
        ,PRM_492         /* Bytes: 2    Name: "Stütz8_Meldeverhaltn" */
        ,PRM_495         /* Bytes: 4    Name: "Laufzeit" */
        ,PRM_496         /* Bytes: 4    Name: "Anläufe" */
        ,PRM_497         /* Bytes: 4    Name: "Drehmoabschaltungen ZU" */
        ,PRM_498         /* Bytes: 4    Name: "Wegabschaltungen ZU" */
        ,PRM_499         /* Bytes: 4    Name: "Drehmoabschaltungen AUF" */
        ,PRM_500         /* Bytes: 4    Name: "Wegabschaltungen AUF" */
        ,PRM_501         /* Bytes: 4    Name: "Drehmofehler ZU" */
        ,PRM_502         /* Bytes: 4    Name: "Drehmofehler AUF" */
        ,PRM_503         /* Bytes: 4    Name: "Thermofehler" */
        ,PRM_505         /* Bytes: 4    Name: "ErrorsEDTime" */
        ,PRM_506         /* Bytes: 4    Name: "ErrorsEDMax" */
        ,PRM_507         /* Bytes: 4    Name: "Resets" */
        ,PRM_519         /* Bytes: 2    Name: "SelbsthVerhaltFern1" */
        ,PRM_533         /* Bytes: 2    Name: "SelbsthVerhaltFern2" */
        ,PRM_557         /* Bytes: 2    Name: "Fkt Meldeleuchte 2" */
        ,PRM_561         /* Bytes: 2    Name: "Fkt Meldeleuchte 3" */
        ,PRM_565         /* Bytes: 2    Name: "Fkt Meldeleuchte 4" */
        ,PRM_569         /* Bytes: 2    Name: "Fkt Meldeleuchte 5" */
        ,PRM_578         /* Bytes: 2    Name: "Abschaltart ZU" */
        ,PRM_590         /* Bytes: 2    Name: "TaktbetriebZuMode" */
        ,PRM_591         /* Bytes: 2    Name: "TaktpausenzeitZu" */
        ,PRM_592         /* Bytes: 2    Name: "TaktfahrzeitZu" */
        ,PRM_593         /* Bytes: 2    Name: "TaktstreckeZuEnde" */
        ,PRM_594         /* Bytes: 2    Name: "TaktstreckeZuStart" */
        ,PRM_828         /* Bytes: 2    Name: "PotiEndposAufRohwert" */
        ,PRM_829         /* Bytes: 2    Name: "PotiEndposZuRohwert" */
        ,PRM_844         /* Bytes: 2    Name: "RwgEndposAufRohwert" */
        ,PRM_845         /* Bytes: 2    Name: "RwgEndposZuRohwert" */
        ,PRM_873         /* Bytes: 2    Name: "Funktion_DigIn1" */
        ,PRM_878         /* Bytes: 2    Name: "InvertDigIn1" */
        ,PRM_884         /* Bytes: 2    Name: "Funktion_DigIn10" */
        ,PRM_885         /* Bytes: 2    Name: "InvertDigIn10" */
        ,PRM_890         /* Bytes: 2    Name: "Funktion_DigIn9" */
        ,PRM_891         /* Bytes: 2    Name: "InvertDigIn9" */
        ,PRM_896         /* Bytes: 2    Name: "Funktion_DigIn8" */
        ,PRM_897         /* Bytes: 2    Name: "InvertDigIn8" */
        ,PRM_902         /* Bytes: 2    Name: "Funktion_DigIn7" */
        ,PRM_903         /* Bytes: 2    Name: "InvertDigIn7" */
        ,PRM_908         /* Bytes: 2    Name: "Funktion_DigIn6" */
        ,PRM_909         /* Bytes: 2    Name: "InvertDigIn6" */
        ,PRM_914         /* Bytes: 2    Name: "Funktion_DigIn5" */
        ,PRM_915         /* Bytes: 2    Name: "InvertDigIn5" */
        ,PRM_920         /* Bytes: 2    Name: "Funktion_DigIn4" */
        ,PRM_921         /* Bytes: 2    Name: "InvertDigIn4" */
        ,PRM_926         /* Bytes: 2    Name: "Funktion_DigIn3" */
        ,PRM_927         /* Bytes: 2    Name: "InvertDigIn3" */
        ,PRM_932         /* Bytes: 2    Name: "Funktion_DigIn2" */
        ,PRM_933         /* Bytes: 2    Name: "InvertDigIn2" */
        ,PRM_1012        /* Bytes: 2    Name: "Funktion_DigOut1" */
        ,PRM_1013        /* Bytes: 2    Name: "InvertDigOut1" */
        ,PRM_1072        /* Bytes: 2    Name: "Funktion_DigOut8" */
        ,PRM_1073        /* Bytes: 2    Name: "InvertDigOut8" */
        ,PRM_1077        /* Bytes: 2    Name: "Funktion_DigOut7" */
        ,PRM_1078        /* Bytes: 2    Name: "InvertDigOut7" */
        ,PRM_1082        /* Bytes: 2    Name: "Funktion_DigOut6" */
        ,PRM_1083        /* Bytes: 2    Name: "InvertDigOut6" */
        ,PRM_1087        /* Bytes: 2    Name: "Funktion_DigOut5" */
        ,PRM_1088        /* Bytes: 2    Name: "InvertDigOut5" */
        ,PRM_1092        /* Bytes: 2    Name: "Funktion_DigOut4" */
        ,PRM_1093        /* Bytes: 2    Name: "InvertDigOut4" */
        ,PRM_1097        /* Bytes: 2    Name: "Funktion_DigOut3" */
        ,PRM_1098        /* Bytes: 2    Name: "InvertDigOut3" */
        ,PRM_1102        /* Bytes: 2    Name: "Funktion_DigOut2" */
        ,PRM_1103        /* Bytes: 2    Name: "InvertDigOut2" */
        ,PRM_1107        /* Bytes: 2    Name: "Funktion_DigOut9" */
        ,PRM_1108        /* Bytes: 2    Name: "InvertDigOut9" */
        ,PRM_1112        /* Bytes: 2    Name: "Funktion_DigOut12" */
        ,PRM_1113        /* Bytes: 2    Name: "InvertDigOut12" */
        ,PRM_1117        /* Bytes: 2    Name: "Funktion_DigOut11" */
        ,PRM_1118        /* Bytes: 2    Name: "InvertDigOut11" */
        ,PRM_1122        /* Bytes: 2    Name: "Funktion_DigOut10" */
        ,PRM_1123        /* Bytes: 2    Name: "InvertDigOut10" */
        ,PRM_1129        /* Bytes: 2    Name: "Funktion_AnaIn1" */
        ,PRM_1130        /* Bytes: 2    Name: "UpperLimit_AnaIn1" */
        ,PRM_1133        /* Bytes: 2    Name: "LowerLimit_AnaIn1" */
        ,PRM_1137        /* Bytes: 2    Name: "Funktion_AnaIn2" */
        ,PRM_1140        /* Bytes: 2    Name: "UpperLimit_AnaIn2" */
        ,PRM_1141        /* Bytes: 2    Name: "LowerLimit_AnaIn2" */
        ,PRM_1164        /* Bytes: 20   Name: "Produktbez." */
        ,PRM_1165        /* Bytes: 20   Name: "Geräte-TAG" */
        ,PRM_1166        /* Bytes: 20   Name: "Projektname" */
        ,PRM_1168        /* Bytes: 2    Name: "AutoPhaseKorrektur" */
        ,PRM_1169        /* Bytes: 2    Name: "AktivierngStelRegler" */
        ,PRM_1175        /* Bytes: 2    Name: "Blinker USA/Europa" */
        ,PRM_1176        /* Bytes: 2    Name: "TaktAufAktiv" */
        ,PRM_1177        /* Bytes: 2    Name: "TaktZuAktiv" */
        ,PRM_1178        /* Bytes: 2    Name: "Kauf Stellungsregler" */
        ,PRM_1182        /* Bytes: 2    Name: "Anfahrüberbrückung" */
        ,PRM_1254        /* Bytes: 2    Name: "Funktion AnPwmOut1" */
        ,PRM_1255        /* Bytes: 2    Name: "Bereich_AnPwmOut1" */
        ,PRM_1256        /* Bytes: 4    Name: "Korrektur 20mA" */
        ,PRM_1257        /* Bytes: 4    Name: "Korrektur 0 / 4 mA" */
        ,PRM_1262        /* Bytes: 2    Name: "Funktion AnPwmOut2" */
        ,PRM_1263        /* Bytes: 2    Name: "Bereich_AnPwmOut2" */
        ,PRM_1264        /* Bytes: 4    Name: "Korrektur 20mA" */
        ,PRM_1265        /* Bytes: 4    Name: "Korrektur 0 / 4 mA" */
        ,PRM_1321        /* Bytes: 2    Name: "Profibus_SollAdres_1" */
        ,PRM_1322        /* Bytes: 2    Name: "Profibus_SollAdres_2" */
        ,PRM_1433        /* Bytes: 2    Name: "Zeitformat" */
        ,PRM_1467        /* Bytes: 2    Name: "Zahlenformat" */
        ,PRM_1559        /* Bytes: 2    Name: "MwgEndlagenPosAuf" */
        ,PRM_1560        /* Bytes: 2    Name: "MwgEndlagenPosZu" */
        ,PRM_1705        /* Bytes: 2    Name: "Winkel max Close" */
        ,PRM_1706        /* Bytes: 2    Name: "Winkel max Open" */
        ,PRM_1707        /* Bytes: 2    Name: "Winkel min Close" */
        ,PRM_1708        /* Bytes: 2    Name: "Winkel min Open" */
        ,PRM_1709        /* Bytes: 2    Name: "Torque max Close" */
        ,PRM_1710        /* Bytes: 2    Name: "Torque max Open" */
        ,PRM_1711        /* Bytes: 2    Name: "Torque min Close" */
        ,PRM_1712        /* Bytes: 2    Name: "Torque min Open" */
        ,PRM_1713        /* Bytes: 2    Name: "Torque Totzone" */
        ,PRM_1714        /* Bytes: 4    Name: "TorqueZeroAdjust" */
        ,PRM_1715        /* Bytes: 2    Name: "KorrekturKennlnClose" */
        ,PRM_1716        /* Bytes: 2    Name: "KorrekturKennlnOpen" */
        ,PRM_1725        /* Bytes: 4    Name: "MWG LimitSwitchHyst" */
        ,PRM_1741        /* Bytes: 2    Name: "MWG TrqSwOpenHyster" */
        ,PRM_1752        /* Bytes: 2    Name: "Soll_MWG_vorhanden" */
        ,PRM_1759        /* Bytes: 20   Name: "Firmware Version" */
        ,PRM_1760        /* Bytes: 20   Name: "AuftragsNr Steuerung" */
        ,PRM_1761        /* Bytes: 20   Name: "AuftragsNr Antrieb" */
        ,PRM_1762        /* Bytes: 20   Name: "SerienNr Steuerung" */
        ,PRM_1763        /* Bytes: 20   Name: "SerienNr Antrieb" */
        ,PRM_1764        /* Bytes: 20   Name: "Schaltplan Steuerung" */
        ,PRM_1765        /* Bytes: 20   Name: "Schaltplan Antrieb" */
        ,PRM_1869        /* Bytes: 2    Name: "AuslösungFailsafe" */
        ,PRM_1870        /* Bytes: 2    Name: "VerhaltenFailsafe" */
        ,PRM_1871        /* Bytes: 2    Name: "AuslösequellFailsafe" */
        ,PRM_1872        /* Bytes: 2    Name: "PositionFailsafe" */
        ,PRM_1874        /* Bytes: 2    Name: "VerzögerungFailsafe" */
        ,PRM_1887        /* Bytes: 2    Name: "Stütz1_Pausenzeit" */
        ,PRM_1888        /* Bytes: 2    Name: "Stütz2_Pausenzeit" */
        ,PRM_1889        /* Bytes: 2    Name: "Stütz3_Pausenzeit" */
        ,PRM_1890        /* Bytes: 2    Name: "Stütz4_Pausenzeit" */
        ,PRM_1891        /* Bytes: 2    Name: "Stütz5_Pausenzeit" */
        ,PRM_1892        /* Bytes: 2    Name: "Stütz6_Pausenzeit" */
        ,PRM_1893        /* Bytes: 2    Name: "Stütz7_Pausenzeit" */
        ,PRM_1894        /* Bytes: 2    Name: "Stütz8_Pausenzeit" */
        ,PRM_1931        /* Bytes: 2    Name: "Fahrprofil Aktivierung" */
        ,PRM_1969        /* Bytes: 2    Name: "NennmomentAufNm" */
        ,PRM_1996        /* Bytes: 2    Name: "Datumsformat" */
        ,PRM_2006        /* Bytes: 2    Name: "Einheit Temperatur" */
        ,PRM_2036        /* Bytes: 2    Name: "PRM_TorqueNmOpen" */
        ,PRM_2041        /* Bytes: 2    Name: "PRM_TorqueNmClose" */
        ,PRM_2088        /* Bytes: 2    Name: "NennmomentZuNm" */
        ,PRM_2121        /* Bytes: 2    Name: "ED-Enable" */
        ,PRM_2122        /* Bytes: 2    Name: "Max Laufzeit pro Std" */
        ,PRM_2123        /* Bytes: 2    Name: "Max Anläufe pro Std" */
        ,PRM_2175        /* Bytes: 2    Name: "ServicemotionOrtClnt" */
        ,PRM_2176        /* Bytes: 20   Name: "Datum der Endabnahme" */
        ,PRM_2178        /* Bytes: 2    Name: "UsrTripTorqueMinOpen" */
        ,PRM_2179        /* Bytes: 2    Name: "UsrTripTorqueMaxOpen" */
        ,PRM_2180        /* Bytes: 2    Name: "UsrTripTorqueMinClos" */
        ,PRM_2181        /* Bytes: 2    Name: "UsrTripTorqueMaxClos" */
        ,PRM_2182        /* Bytes: 2    Name: "Einheit Drehmoment" */
        ,PRM_2188        /* Bytes: 20   Name: "Lokale BDA" */
        ,PRM_2239        /* Bytes: 2    Name: "Anzahl AIN" */
        ,PRM_2267        /* Bytes: 2    Name: "LED-Farben" */
        ,PRM_2281        /* Bytes: 2    Name: "Anzahl DIN" */
        ,PRM_2293        /* Bytes: 2    Name: "Anzahl AOUT" */
        ,PRM_2294        /* Bytes: 2    Name: "Anzahl DOUT" */
        ,PRM_2339        /* Bytes: 2    Name: "Soll_OPT_vorhanden" */
        ,PRM_2402        /* Bytes: 2    Name: "PotiRangeMin" */
        ,PRM_2415        /* Bytes: 2    Name: "Soll_Ifa2_Vorhanden" */
        ,PRM_2418        /* Bytes: 2    Name: "Diagnoseauswahl" */
        ,PRM_2546        /* Bytes: 2    Name: "ApplMode_OpTimeMon" */
        ,PRM_2547        /* Bytes: 2    Name: "ApplOpTime_OpTimeMon" */
        ,PRM_2554        /* Bytes: 2    Name: "Mode_MotionDetector" */
        ,PRM_2555        /* Bytes: 2    Name: "Dt_MotionDetector" */
        ,PRM_2556        /* Bytes: 2    Name: "Dx_MotionDetector" */
        ,PRM_2568        /* Bytes: 20   Name: "Version Sprache" */
        ,PRM_2591        /* Bytes: 2    Name: "BT-Aktivierung" */
        ,PRM_2715        /* Bytes: 2    Name: "RwgDrahtbruch" */
        ,PRM_2755        /* Bytes: 2    Name: "Soll_E2_Quelle_Select" */
        ,PRM_2798        /* Bytes: 2    Name: "Mux24VExtEnable_Activate" */
        ,PRM_2823        /* Bytes: 2    Name: "DP-V2 aktiviert" */
        ,PRM_2858        /* Bytes: 2    Name: "MwgHubMin" */
        ,PRM_2859        /* Bytes: 2    Name: "MwgHubMax" */
        ,PRM_2865        /* Bytes: 2    Name: "Activate_Delay24VKD" */
        ,PRM_2885        /* Bytes: 2    Name: "Redundanz-Mode" */
        ,PRM_2916        /* Bytes: 2    Name: "StelReglHysAuf" */
        ,PRM_2917        /* Bytes: 2    Name: "StelReglHysZu" */
        ,PRM_2923        /* Bytes: 2    Name: "Aktivierung NOT" */
        ,PRM_2924        /* Bytes: 2    Name: "Auslösequelle NOT" */
        ,PRM_2950        /* Bytes: 2    Name: "Bypass Fahrprofil NOT" */
        ,PRM_3006        /* Bytes: 2    Name: "Profibus Ident Nr" */
        ,PRM_3059        /* Bytes: 2    Name: "Soll_Bus_AnzahlKanal" */
        ,PRM_3134        /* Bytes: 2    Name: "Kauf Freigabe ORT" */
        ,PRM_3135        /* Bytes: 2    Name: "Aktiv. Freigabe ORT" */
        ,PRM_3136        /* Bytes: 2    Name: "Verh. Freigabe ORT" */
        ,PRM_3143        /* Bytes: 2    Name: "Verh. Lokaler Halt" */
        ,PRM_3156        /* Bytes: 2    Name: "Ex-Ausführung" */
        ,PRM_3157        /* Bytes: 2    Name: "Betriebsart Standard" */
        ,PRM_3158        /* Bytes: 2    Name: "Reakt.Reaktionszeit" */
        ,PRM_3191        /* Bytes: 20   Name: "Tag Drehmo-Weg 1" */
        ,PRM_3192        /* Bytes: 20   Name: "Tag Drehmo-Weg 2" */
        ,PRM_3193        /* Bytes: 20   Name: "Tag Drehmo-Weg 3" */
        ,PRM_3216        /* Bytes: 2    Name: "KAUF Interlock" */
        ,PRM_3217        /* Bytes: 2    Name: "Aktivierung Interlock " */
        ,PRM_3218        /* Bytes: 2    Name: "Betriebsart Interlock" */
        ,PRM_3219        /* Bytes: 2    Name: "Verhalten Interlock" */
        ,PRM_3255        /* Bytes: 2    Name: "IgnoreNotfahrtIntlck" */
        ,PRM_3295        /* Bytes: 2    Name: "Bypass Lokaler Halt" */
        ,PRM_3297        /* Bytes: 2    Name: "Soll_HydrAntrieb" */
        ,PRM_3479        /* Bytes: 20   Name: "Version Lwl-FPGA" */
        ,PRM_3481        /* Bytes: 2    Name: "Lwl Bus-Topologie" */
        ,PRM_3482        /* Bytes: 2    Name: "Lwl Überwachung" */
        ,PRM_3495        /* Bytes: 2    Name: "Soll_LWL_vorhanden" */
        ,PRM_3496        /* Bytes: 2    Name: "Lwl-Baudrate" */
        ,PRM_3517        /* Bytes: 2    Name: "VibrationAlarmLevel" */
        ,PRM_3518        /* Bytes: 2    Name: "VibrationAlarmTime" */
        ,PRM_3527        /* Bytes: 2    Name: "Sende-Mode" */
        ,PRM_3588        /* Bytes: 2    Name: "PCtrlCfg: Istw Quelle" */
        ,PRM_3589        /* Bytes: 2    Name: "PID Sollw Int 2" */
        ,PRM_3590        /* Bytes: 2    Name: "PID Aktivierung" */
        ,PRM_3596        /* Bytes: 2    Name: "Modbus RedundanzMode" */
        ,PRM_3629        /* Bytes: 2    Name: "Monoflop: SetTime" */
        ,PRM_3633        /* Bytes: 2    Name: "IDENT_CODE" */
        ,PRM_3657        /* Bytes: 2    Name: "DrehmoWarngrenzeAUF" */
        ,PRM_3667        /* Bytes: 2    Name: "DrehmoWarngrenzeZU" */
        ,PRM_3691        /* Bytes: 2    Name: "ForcedRmtCtrl_Bought" */
        ,PRM_3692        /* Bytes: 2    Name: "ForcedRmtCtrl_Activate" */
        ,PRM_3693        /* Bytes: 2    Name: "ForcedRmtCtrl_Mode" */
        ,PRM_3694        /* Bytes: 2    Name: "ForcedRmtCtrl_ImplFBus" */
        ,PRM_3770        /* Bytes: 2    Name: "AutoChangeOver Kauf" */
        ,PRM_3771        /* Bytes: 2    Name: "AutoChangeOver Aktiv" */
        ,PRM_3971        /* Bytes: 2    Name: "DrehmoWarn Aktiv" */
        ,PRM_4015        /* Bytes: 2    Name: "DelayTime_DlyESD" */
        ,PRM_4032        /* Bytes: 2    Name: "Intervall Weg-Zeit" */
        ,PRM_4070        /* Bytes: 2    Name: "Proportinalbereich" */
        ,PRM_4076        /* Bytes: 2    Name: "PropFahrtEnable" */
        ,PRM_4135        /* Bytes: 2    Name: "RTC-Batterie-Test" */
        ,PRM_4136        /* Bytes: 2    Name: "Farbauswahl ML 1" */
        ,PRM_4137        /* Bytes: 2    Name: "Farbauswahl ML 2" */
        ,PRM_4138        /* Bytes: 2    Name: "Farbauswahl ML 3" */
        ,PRM_4139        /* Bytes: 2    Name: "Farbauswahl ML 4" */
        ,PRM_4140        /* Bytes: 2    Name: "Farbauswahl ML 5" */
        ,PRM_4167        /* Bytes: 2    Name: "StellbBegrEnable" */
        ,PRM_4190        /* Bytes: 2    Name: "Kauf PVST" */
        ,PRM_4191        /* Bytes: 2    Name: "Aktivierung PVST" */
        ,PRM_4193        /* Bytes: 2    Name: "Distanz PVST" */
        ,PRM_4194        /* Bytes: 2    Name: "Alarmzeit PVST" */
        ,PRM_4195        /* Bytes: 2    Name: "Fahrtrichtung PVST" */
        ,PRM_4233        /* Bytes: 2    Name: "KonfigEreignisprotok" */
        ,PRM_4234        /* Bytes: 2    Name: "AUMA Warnung" */
        ,PRM_4235        /* Bytes: 2    Name: "AUMA Fehler" */
        ,PRM_4236        /* Bytes: 2    Name: "Nicht bereit FERN" */
        ,PRM_4237        /* Bytes: 2    Name: "AUMA OK" */
        ,PRM_4238        /* Bytes: 2    Name: "Konfigurationswarnung" */
        ,PRM_4239        /* Bytes: 2    Name: "NAMUR Out Of Spec" */
        ,PRM_4240        /* Bytes: 2    Name: "NAMUR Fkt-Kontrolle" */
        ,PRM_4241        /* Bytes: 2    Name: "NAMUR Wartungsbedarf" */
        ,PRM_4242        /* Bytes: 2    Name: "NAMUR Ausfall" */
        ,PRM_4243        /* Bytes: 2    Name: "Konfigurationsfehler" */
        ,PRM_4244        /* Bytes: 2    Name: "Fehler Hydraulik" */
        ,PRM_4245        /* Bytes: 2    Name: "Falscher Befehl" */
        ,PRM_4246        /* Bytes: 2    Name: "InternerFehler" */
        ,PRM_4247        /* Bytes: 2    Name: "InterneWarnung" */
        ,PRM_4248        /* Bytes: 2    Name: "Diagnose Feldbus" */
        ,PRM_4249        /* Bytes: 2    Name: "Warnung Hydraulik" */
        ,PRM_4250        /* Bytes: 2    Name: "Störung (AC1 konform)" */
        ,PRM_4251        /* Bytes: 2    Name: "FehlerKonfigurierbar" */
        ,PRM_4252        /* Bytes: 2    Name: "WarnungKonfigurierb." */
        ,PRM_4253        /* Bytes: 2    Name: "NBF konfigurierbar" */
        ,PRM_4254        /* Bytes: 2    Name: "Konfigfehler Fern" */
        ,PRM_4256        /* Bytes: 2    Name: "Status Safety (SIL)" */
        ,PRM_4257        /* Bytes: 2    Name: "PzdAktivierung-FQM" */
        ,PRM_4258        /* Bytes: 2    Name: "AUMA Warnung 2" */
        ,PRM_4259        /* Bytes: 2    Name: "Konfigwarnung 2" */
        ,PRM_4261        /* Bytes: 2    Name: "LWL Warnung" */
        ,PRM_4270        /* Bytes: 2    Name: "PID Reglerart" */
        ,PRM_4286        /* Bytes: 2    Name: "Wartezeit PVST" */
        ,PRM_4287        /* Bytes: 2    Name: "Fahrzeit PVST" */
        ,PRM_4288        /* Bytes: 2    Name: "Verhalten PVST" */
        ,PRM_4289        /* Bytes: 2    Name: "Überwachungszeit PVST" */
        ,PRM_4292        /* Bytes: 2    Name: "Überwachung PVST" */
        ,PRM_4312        /* Bytes: 4    Name: "Abschaltmoment AUF" */
        ,PRM_4313        /* Bytes: 4    Name: "Abschaltmoment ZU" */
        ,PRM_4377        /* Bytes: 2    Name: "Kauf Bypass" */
        ,PRM_4378        /* Bytes: 2    Name: "Aktivierung Bypass" */
        ,PRM_4379        /* Bytes: 2    Name: "Bypass Applikation" */
        ,PRM_4407        /* Bytes: 2    Name: "AuslösQuellInterlock" */
        ,PRM_4437        /* Bytes: 2    Name: "Ausführung SIL" */
        ,PRM_4606        /* Bytes: 2    Name: "FF RedundanzMode" */
        ,PRM_4714        /* Bytes: 4    Name: "MT Lebensdauer Schütz" */
        ,PRM_4715        /* Bytes: 4    Name: "MT Lebensdauer Oring" */
        ,PRM_4716        /* Bytes: 4    Name: "MT Lebensdauer Fett" */
        ,PRM_4719        /* Bytes: 4    Name: "MT Wartungsintervall" */
        ,PRM_4723        /* Bytes: 4    Name: "Limit Schütz" */
        ,PRM_4725        /* Bytes: 4    Name: "Limit Oring" */
        ,PRM_4726        /* Bytes: 4    Name: "Limit Fett" */
        ,PRM_4730        /* Bytes: 2    Name: "Überwachung Wartungsintervall" */
        ,PRM_4731        /* Bytes: 2    Name: "Wartungsmeldungen" */
        ,PRM_4735        /* Bytes: 2    Name: "Kauf LPV" */
        ,PRM_4736        /* Bytes: 2    Name: "Aktivierung LPV" */
        ,PRM_4737        /* Bytes: 2    Name: "LPV Role" */
        ,PRM_4738        /* Bytes: 2    Name: "LPV Delay Open" */
        ,PRM_4739        /* Bytes: 2    Name: "LPV Delay Close" */
        ,PRM_4740        /* Bytes: 2    Name: "LPV Delay NA" */
        ,PRM_4757        /* Bytes: 4    Name: "Temp. Steuerung max. " */
        ,PRM_4760        /* Bytes: 4    Name: "Temp. Steuereinheit max. " */
        ,PRM_4761        /* Bytes: 4    Name: "Temp. Steuerung min. " */
        ,PRM_4764        /* Bytes: 4    Name: "Temp. Steuereinheit min. " */
        ,PRM_4765        /* Bytes: 4    Name: "Temp. Steuerung max. " */
        ,PRM_4766        /* Bytes: 4    Name: "Temp. Steuerung min. " */
        ,PRM_4771        /* Bytes: 4    Name: "Temp. Steuereinheit max. " */
        ,PRM_4772        /* Bytes: 4    Name: "Temp. Steuereinheit min. " */
        ,PRM_4781        /* Bytes: 2    Name: "MPV TurnOffset" */
        ,PRM_4782        /* Bytes: 2    Name: "MPV GearConfig" */
        ,PRM_4785        /* Bytes: 2    Name: "Kennlinie 1 speichern" */
        ,PRM_4786        /* Bytes: 2    Name: "Kennlinie 2 speichern" */
        ,PRM_4787        /* Bytes: 2    Name: "Kennlinie 3 speichern" */
        ,PRM_4788        /* Bytes: 2    Name: "MPV ActuatorSize" */
        ,PRM_4789        /* Bytes: 2    Name: "MPV_Pos1" */
        ,PRM_4790        /* Bytes: 2    Name: "MPV_Pos2" */
        ,PRM_4791        /* Bytes: 2    Name: "MPV_Pos3" */
        ,PRM_4792        /* Bytes: 2    Name: "MPV_Pos4" */
        ,PRM_4793        /* Bytes: 2    Name: "MPV_Pos5" */
        ,PRM_4794        /* Bytes: 2    Name: "MPV_Pos6" */
        ,PRM_4795        /* Bytes: 2    Name: "MPV_Pos7" */
        ,PRM_4796        /* Bytes: 2    Name: "MPV_Pos8" */
        ,PRM_4797        /* Bytes: 2    Name: "MPV_Pos9" */
        ,PRM_4798        /* Bytes: 2    Name: "MPV_Pos10" */
        ,PRM_4799        /* Bytes: 2    Name: "MPV_DeadZone" */
        ,PRM_4800        /* Bytes: 2    Name: "MPV_TolComp" */
        ,PRM_4802        /* Bytes: 2    Name: "MPV Meldeverhalten" */
        ,PRM_4803        /* Bytes: 2    Name: "MPV Stütz_Hysterese" */
        ,PRM_4804        /* Bytes: 2    Name: "MPV #Pos. Aktiv" */
        ,PRM_4806        /* Bytes: 2    Name: "MPV_Pos11" */
        ,PRM_4807        /* Bytes: 2    Name: "MPV_Pos12" */
        ,PRM_4808        /* Bytes: 2    Name: "Position NOT MPV" */
        ,PRM_4809        /* Bytes: 2    Name: "PositionFailsafe MPV" */
        ,PRM_4821        /* Bytes: 2    Name: "MPV Selbsthaltung" */
        ,PRM_4822        /* Bytes: 2    Name: "AC2 Uhrzeit: Jahr" */
        ,PRM_4823        /* Bytes: 2    Name: "AC2 Uhrzeit: Monat" */
        ,PRM_4824        /* Bytes: 2    Name: "AC2 Uhrzeit: Tag" */
        ,PRM_4825        /* Bytes: 2    Name: "AC2 Uhrzeit: Stunden" */
        ,PRM_4826        /* Bytes: 2    Name: "AC2 Uhrzeit: Minuten" */
        ,PRM_4827        /* Bytes: 2    Name: "AC2 Uhrzeit: Sekunden" */
        ,PRM_4828        /* Bytes: 2    Name: "AC2 Uhrzeit setzen" */
        ,PRM_4829        /* Bytes: 2    Name: "AC2 Uhrzeit lesen" */
        ,PRM_4849        /* Bytes: 2    Name: "Kauf EL setzen CmdPrm" */
        ,PRM_4850        /* Bytes: 2    Name: "Aktivierung EL setzen" */
        ,PRM_4859        /* Bytes: 2    Name: "PrmConst-1" */
        ,PRM_4887        /* Bytes: 4    Name: "Limit Starts Auf" */
        ,PRM_4888        /* Bytes: 4    Name: "Limit Starts Zu" */
        ,PRM_4889        /* Bytes: 4    Name: "Limit Umdrehungen Auf" */
        ,PRM_4890        /* Bytes: 4    Name: "Limit Umdrehungen Zu" */
        ,PRM_4891        /* Bytes: 4    Name: "Limit Mechanik" */
        ,PRM_4893        /* Bytes: 2    Name: "Dauer Wartungsintervall" */
        ,PRM_4896        /* Bytes: 2    Name: "Stellzeit ZU" */
        ,PRM_4897        /* Bytes: 2    Name: "Stellzeit AUF" */
        ,PRM_4899        /* Bytes: 2    Name: "Feldbus Betriebsart" */
        ,PRM_4902        /* Bytes: 2    Name: "Profibus Verbindgstyp" */
        ,PRM_4942        /* Bytes: 2    Name: "Heizungsansteuerung" */
        ,PRM_4944        /* Bytes: 2    Name: "Auslösequelle PVST" */
        ,PRM_4956        /* Bytes: 2    Name: "Aktivierung SplitRange" */
        ,PRM_4957        /* Bytes: 2    Name: "Untere Bereichsgrenze" */
        ,PRM_4958        /* Bytes: 2    Name: "Obere Bereichsgrenze" */
        ,PRM_5057        /* Bytes: 2    Name: "TorqueScale" */
        ,PRM_5061        /* Bytes: 4    Name: "Vibration max." */
        ,PRM_5062        /* Bytes: 4    Name: "Vibration max." */
        ,PRM_5066        /* Bytes: 2    Name: "Ausführung FUP" */
        ,PRM_5067        /* Bytes: 4    Name: "Betriebsstunden" */
        ,PRM_5068        /* Bytes: 4    Name: "Betriebsstunden" */
        ,PRM_5071        /* Bytes: 2    Name: "Freischalt Freispülen" */
        ,PRM_5072        /* Bytes: 2    Name: "Aktivierung Freispülen" */
        ,PRM_5073        /* Bytes: 2    Name: "Fahrzeit Reverse" */
        ,PRM_5074        /* Bytes: 2    Name: "Freispülversuche" */
        ,PRM_5075        /* Bytes: 2    Name: "Toleranzbereich" */
        ,PRM_5080        /* Bytes: 2    Name: "Soll_FQM_vorhanden" */
        ,PRM_5091        /* Bytes: 2    Name: "Soll_MCtrl_vorhanden" */
        ,PRM_5103        /* Bytes: 2    Name: "Drehzahl Intern1" */
        ,PRM_5104        /* Bytes: 2    Name: "MPV_GearNum" */
        ,PRM_5105        /* Bytes: 2    Name: "MPV_GearDenom" */
        ,PRM_5106        /* Bytes: 2    Name: "Drehzahl Intern2" */
        ,PRM_5107        /* Bytes: 2    Name: "Drehzahl Intern3" */
        ,PRM_5108        /* Bytes: 2    Name: "Drehzahl Intern4" */
        ,PRM_5109        /* Bytes: 2    Name: "Drehzahlquelle ORT Auf" */
        ,PRM_5110        /* Bytes: 2    Name: "Drehzahlquelle FERN Auf" */
        ,PRM_5111        /* Bytes: 2    Name: "DrehzahlFernMin" */
        ,PRM_5112        /* Bytes: 2    Name: "DrehzahlFernMax" */
        ,PRM_5113        /* Bytes: 2    Name: "Befehlsauswertung FERN" */
        ,PRM_5114        /* Bytes: 2    Name: "Nenndrehzahl" */
        ,PRM_5116        /* Bytes: 2    Name: "PropSpeedMin" */
        ,PRM_5121        /* Bytes: 2    Name: "SoftStartTime" */
        ,PRM_5122        /* Bytes: 2    Name: "SoftStopTime" */
        ,PRM_5125        /* Bytes: 2    Name: "Drehzahl NOT Auf" */
        ,PRM_5126        /* Bytes: 2    Name: "DrehzahlFailOpOpen" */
        ,PRM_5127        /* Bytes: 2    Name: "Stellzeit Intern1" */
        ,PRM_5128        /* Bytes: 2    Name: "Stellzeit Intern2" */
        ,PRM_5129        /* Bytes: 2    Name: "Stellzeit Intern3" */
        ,PRM_5130        /* Bytes: 2    Name: "Stellzeit Intern4" */
        ,PRM_5131        /* Bytes: 2    Name: "Stellzeit NOT Auf" */
        ,PRM_5132        /* Bytes: 2    Name: "StellzeitFailOpOpen" */
        ,PRM_5134        /* Bytes: 2    Name: "StellzeitFernMin" */
        ,PRM_5135        /* Bytes: 2    Name: "StellzeitFernMax" */
        ,PRM_5136        /* Bytes: 2    Name: "Nennstellzeit" */
        ,PRM_5138        /* Bytes: 2    Name: "Antriebstyp" */
        ,PRM_5139        /* Bytes: 2    Name: "PropTimeMin" */
        ,PRM_5140        /* Bytes: 2    Name: "FreischaltElWelle" */
        ,PRM_5141        /* Bytes: 2    Name: "AktivierungElWelle" */
        ,PRM_5161        /* Bytes: 2    Name: "Drehmomentbegrenzung " */
        ,PRM_5162        /* Bytes: 2    Name: "DrehmoBypassLim" */
        ,PRM_5163        /* Bytes: 2    Name: "I-Konfig Endl. ZU" */
        ,PRM_5164        /* Bytes: 2    Name: "I-Konfig Endl. AUF" */
        ,PRM_5165        /* Bytes: 2    Name: "I-Konfig Endl. ZU" */
        ,PRM_5166        /* Bytes: 2    Name: "I-Konfig Endl. AUF" */
        ,PRM_5171        /* Bytes: 4    Name: "AvgTemp Log" */
        ,PRM_5174        /* Bytes: 4    Name: "AvgTemp Mwg" */
        ,PRM_5189        /* Bytes: 2    Name: "Aktivierung DMF-Auswertung" */
        ,PRM_5190        /* Bytes: 2    Name: "Auswahl Analogeingang" */
        ,PRM_5212        /* Bytes: 4    Name: "Drehmo Mittelwert" */
        ,PRM_5213        /* Bytes: 4    Name: "Drehmo Mittelwert" */
        ,PRM_5220        /* Bytes: 2    Name: "MPV_Pos13" */
        ,PRM_5221        /* Bytes: 2    Name: "MPV_Pos14" */
        ,PRM_5222        /* Bytes: 2    Name: "MPV_Pos15" */
        ,PRM_5223        /* Bytes: 2    Name: "MPV_Pos16" */
        ,PRM_5224        /* Bytes: 4    Name: "Max-Anläufe/Std" */
        ,PRM_5225        /* Bytes: 4    Name: "Max-Laufzeit/Std" */
        ,PRM_5226        /* Bytes: 4    Name: "Max-Anläufe/Std" */
        ,PRM_5227        /* Bytes: 4    Name: "Max-Laufzeit/Std" */
        ,PRM_5228        /* Bytes: 2    Name: "WartungsInfo" */
        ,PRM_5229        /* Bytes: 2    Name: "Vorwarnlevel" */
        ,PRM_5232        /* Bytes: 2    Name: "Anz. DrehmoKurvenAuf" */
        ,PRM_5233        /* Bytes: 2    Name: "Aktivierung MwKurven" */
        ,PRM_5238        /* Bytes: 2    Name: "Anz. DrehmoKurvenZu" */
        ,PRM_5241        /* Bytes: 2    Name: "Falsche Drehrichtung" */
        ,PRM_5243        /* Bytes: 2    Name: "Antriebsgröße SA" */
        ,PRM_5244        /* Bytes: 2    Name: "Antriebsgröße SQ" */
        ,PRM_5245        /* Bytes: 2    Name: "Motorspannung" */
        ,PRM_5248        /* Bytes: 2    Name: "Betriebsart Antrieb" */
        ,PRM_5249        /* Bytes: 2    Name: "Startzeit" */
        ,PRM_5250        /* Bytes: 2    Name: "Startfrequenz" */
        ,PRM_5252        /* Bytes: 2    Name: "EnableEndPosDerating" */
        ,PRM_5257        /* Bytes: 2    Name: "DMF-Typ" */
        ,PRM_5278        /* Bytes: 2    Name: "Drehzahlquelle PID" */
        ,PRM_5280        /* Bytes: 2    Name: "Stütz1_Drehzahl_AUF" */
        ,PRM_5281        /* Bytes: 2    Name: "Stütz1_Drehzahl_ZU" */
        ,PRM_5282        /* Bytes: 2    Name: "Stütz2_Drehzahl_AUF" */
        ,PRM_5283        /* Bytes: 2    Name: "Stütz2_Drehzahl_ZU" */
        ,PRM_5284        /* Bytes: 2    Name: "Stütz3_Drehzahl_AUF" */
        ,PRM_5285        /* Bytes: 2    Name: "Stütz3_Drehzahl_ZU" */
        ,PRM_5286        /* Bytes: 2    Name: "Stütz4_Drehzahl_AUF" */
        ,PRM_5287        /* Bytes: 2    Name: "Stütz4_Drehzahl_ZU" */
        ,PRM_5288        /* Bytes: 2    Name: "Stütz5_Drehzahl_AUF" */
        ,PRM_5289        /* Bytes: 2    Name: "Stütz5_Drehzahl_ZU" */
        ,PRM_5290        /* Bytes: 2    Name: "Stütz6_Drehzahl_AUF" */
        ,PRM_5291        /* Bytes: 2    Name: "Stütz6_Drehzahl_ZU" */
        ,PRM_5292        /* Bytes: 2    Name: "Stütz7_Drehzahl_AUF" */
        ,PRM_5293        /* Bytes: 2    Name: "Stütz7_Drehzahl_ZU" */
        ,PRM_5294        /* Bytes: 2    Name: "Stütz8_Drehzahl_AUF" */
        ,PRM_5295        /* Bytes: 2    Name: "Stütz8_Drehzahl_ZU" */
        ,PRM_5296        /* Bytes: 2    Name: "Stütz1_Stellzeit_AUF" */
        ,PRM_5297        /* Bytes: 2    Name: "Stütz1_Stellzeit_ZU" */
        ,PRM_5298        /* Bytes: 2    Name: "Stütz2_Stellzeit_AUF" */
        ,PRM_5299        /* Bytes: 2    Name: "Stütz2_Stellzeit_ZU" */
        ,PRM_5300        /* Bytes: 2    Name: "Stütz3_Stellzeit_AUF" */
        ,PRM_5301        /* Bytes: 2    Name: "Stütz3_Stellzeit_ZU" */
        ,PRM_5302        /* Bytes: 2    Name: "Stütz4_Stellzeit_AUF" */
        ,PRM_5303        /* Bytes: 2    Name: "Stütz4_Stellzeit_ZU" */
        ,PRM_5304        /* Bytes: 2    Name: "Stütz5_Stellzeit_AUF" */
        ,PRM_5305        /* Bytes: 2    Name: "Stütz5_Stellzeit_ZU" */
        ,PRM_5306        /* Bytes: 2    Name: "Stütz6_Stellzeit_AUF" */
        ,PRM_5307        /* Bytes: 2    Name: "Stütz6_Stellzeit_ZU" */
        ,PRM_5308        /* Bytes: 2    Name: "Stütz7_Stellzeit_AUF" */
        ,PRM_5309        /* Bytes: 2    Name: "Stütz7_Stellzeit_ZU" */
        ,PRM_5310        /* Bytes: 2    Name: "Stütz8_Stellzeit_AUF" */
        ,PRM_5311        /* Bytes: 2    Name: "Stütz8_Stellzeit_ZU" */
        ,PRM_5312        /* Bytes: 2    Name: "MPV_LagCompCW" */
        ,PRM_5313        /* Bytes: 2    Name: "MPV_LagCompCCW" */
        ,PRM_5315        /* Bytes: 2    Name: "LPV Delay " */
        ,PRM_5316        /* Bytes: 2    Name: "StelRegTotzoneMin" */
        ,PRM_5317        /* Bytes: 2    Name: "StelRegTotzoneMax" */
        ,PRM_5319        /* Bytes: 2    Name: "Drehzahlquelle ORT Zu" */
        ,PRM_5320        /* Bytes: 2    Name: "Drehzahlquelle FERN Zu" */
        ,PRM_5321        /* Bytes: 2    Name: "Drehzahl NOT Zu" */
        ,PRM_5322        /* Bytes: 2    Name: "DrehzahlFailOpClose" */
        ,PRM_5323        /* Bytes: 2    Name: "Stellzeit NOT Zu" */
        ,PRM_5324        /* Bytes: 2    Name: "StellzeitFailOpClose" */
        ,PZD_2           /* Bytes: 2    Name: "Stellungsistwert Stellantrieb E2" */
        ,PZD_4           /* Bytes: 2    Name: "T_Steuerung" */
        ,PZD_77          /* Bytes: 4    Name: "Sammel-Meldung1: Ereignisprotokoll PVST" */
        ,PZD_78          /* Bytes: 4    Name: "Sammel-Meldung2: Warnung" */
        ,PZD_79          /* Bytes: 4    Name: "Sammel-Meldung3: Fehler" */
        ,PZD_80          /* Bytes: 4    Name: "Sammel-Meldung4: nicht bereit Fern" */
        ,PZD_81          /* Bytes: 4    Name: "Sammel-Meldung5: auma OK" */
        ,PZD_82          /* Bytes: 4    Name: "Sammel-Meldung6: Konfigurationswarnung" */
        ,PZD_83          /* Bytes: 4    Name: "Sammel-Meldung7: Namur Out Of Spec" */
        ,PZD_84          /* Bytes: 4    Name: "Sammel-Meldung8: Namur Funktionskontrolle" */
        ,PZD_85          /* Bytes: 4    Name: "Sammel-Meldung9: Namur Wartungsbedarf" */
        ,PZD_86          /* Bytes: 4    Name: "Sammel-Meldung10: Namur Ausfall" */
        ,PZD_87          /* Bytes: 4    Name: "Sammel-Meldung 11: Konfigurationsfehler" */
        ,PZD_88          /* Bytes: 4    Name: "Sammel-Meldung 12: Fehler Hydraulik" */
        ,PZD_89          /* Bytes: 4    Name: "Sammel-Meldung 13: Falscher Befehl" */
        ,PZD_90          /* Bytes: 4    Name: "Sammel-Meldung 14: Interne Fehler" */
        ,PZD_91          /* Bytes: 4    Name: "Sammel-Meldung 15: Interne Warnung" */
        ,PZD_92          /* Bytes: 4    Name: "Sammel-Meldung 16: Diagnose Feldbus" */
        ,PZD_93          /* Bytes: 4    Name: "Sammel-Meldung 17: Warnung Hydraulik" */
        ,PZD_94          /* Bytes: 4    Name: "Sammel-Meldung 18: Störung AC1 kompatibel" */
        ,PZD_95          /* Bytes: 4    Name: "Sammel-Meldung 19: Kunde Fehler (konfigurierbar)" */
        ,PZD_96          /* Bytes: 4    Name: "Sammel-Meldung 20: Kunde Warnung (konfigurierbar)" */
        ,PZD_97          /* Bytes: 4    Name: "Sammel-Meldung 21: Kunde NichtBereitFern (konfigurierbar)" */
        ,PZD_98          /* Bytes: 4    Name: "Sammel-Meldung 22: KonfigurationsfehlerFern" */
        ,PZD_99          /* Bytes: 4    Name: "Sammel-Meldung 23: Kunde Status EPAC (konfigurierbar)" */
        ,PZD_100         /* Bytes: 4    Name: "Sammel-Meldung 24: Status Safety (SIL)" */
        ,PZD_101         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 32 " */
        ,PZD_102         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 31" */
        ,PZD_103         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 30" */
        ,PZD_104         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 29" */
        ,PZD_105         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 28" */
        ,PZD_106         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 27" */
        ,PZD_107         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 26" */
        ,PZD_108         /* Bytes: 4    Name: "Sammel-Meldung: Reserve 25" */
        ,PZD_109         /* Bytes: 2    Name: "T_Steuereinheit" */
        ,PZD_112         /* Bytes: 2    Name: "SelSwitchUnmasked" */
        ,PZD_120         /* Bytes: 2    Name: "Logik: Betriebsmodus" */
        ,PZD_144_cmd      /* Bytes: 2    Name: "Logik: Fahrbefehl (cmd)" */
        ,PZD_144_dir      /* Bytes: 2    Name: "Logik: Fahrbefehl (direction)" */
        ,PZD_144_speed      /* Bytes: 2    Name: "Logik: Fahrbefehl (speed)" */
        ,PZD_144_position      /* Bytes: 2    Name: "Logik: Fahrbefehl (position)" */
        ,PZD_174         /* Bytes: 2    Name: "Gesamtbeschleunigung in g" */
        ,PZD_188         /* Bytes: 2    Name: "FeldbusNot" */
        ,PZD_192         /* Bytes: 2    Name: "FeldbusFreigabeOrt" */
        ,PZD_264         /* Bytes: 4    Name: "Logik: Fährt Richtung AUF (logisch, unterdrückt bei SafeStop (SIL))" */
        ,PZD_265         /* Bytes: 4    Name: "Logik: Fährt Richtung ZU (logisch, unterdrückt bei SafeStop (SIL))" */
        ,PZD_268         /* Bytes: 4    Name: "Logik: Bypassed Drehmomentfehler AUF" */
        ,PZD_269         /* Bytes: 4    Name: "Logik: Bypassed Drehmomentfehler ZU" */
        ,PZD_270         /* Bytes: 4    Name: "Logik: Bypassed Thermofehler" */
        ,PZD_275         /* Bytes: 4    Name: "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 " */
        ,PZD_280         /* Bytes: 4    Name: "Logik: Betriebsmodus EMCY_OP" */
        ,PZD_282         /* Bytes: 4    Name: "Logik: Betriebsmodus SERVICE" */
        ,PZD_285         /* Bytes: 4    Name: "Logik: Betriebsmodus EMCY_STOP" */
        ,PZD_302         /* Bytes: 4    Name: "Logik: Phasenausfall" */
        ,PZD_345         /* Bytes: 2    Name: "PotiRohwert-mV" */
        ,PZD_346         /* Bytes: 2    Name: "RwgRohwert-mA" */
        ,PZD_371         /* Bytes: 4    Name: "Logik: ungültiger Fahrbefehl" */
        ,PZD_375         /* Bytes: 4    Name: "Logik: Wegendlage Shalter AUF (konditioniert)" */
        ,PZD_376         /* Bytes: 4    Name: "Logik: Wegendlage Schalter ZU (konditioniert)" */
        ,PZD_385         /* Bytes: 4    Name: "LCB: Interner Fehler Version" */
        ,PZD_386         /* Bytes: 4    Name: "LCB: Interner Fehler Eeprom" */
        ,PZD_387         /* Bytes: 4    Name: "LCB: Interner Fehler Parameter" */
        ,PZD_388         /* Bytes: 4    Name: "LCB: Interner Fehler Filezugriff" */
        ,PZD_389         /* Bytes: 4    Name: "LCB: Interne Warnung Backup in Use" */
        ,PZD_390         /* Bytes: 4    Name: "LCB: Interne Fehler Backup" */
        ,PZD_401         /* Bytes: 4    Name: "Logik: Position erreicht" */
        ,PZD_410         /* Bytes: 2    Name: "AbsolutePositionMwg" */
        ,PZD_417         /* Bytes: 4    Name: "MWG: Kalibrier-Feedback Hall-Sensor 1 " */
        ,PZD_418         /* Bytes: 4    Name: "MWG: Kalibrier-Feedback Hall-Sensor 5 " */
        ,PZD_419         /* Bytes: 4    Name: "MWG: Kalibrier-Feedback Hall-Sensor 4 " */
        ,PZD_420         /* Bytes: 4    Name: "MWG: Kalibrier-Feedback Hall-Sensor 3 " */
        ,PZD_421         /* Bytes: 4    Name: "MWG: Kalibrier-Feedback Hall-Sensor 2 " */
        ,PZD_459         /* Bytes: 4    Name: "Logik: Signal Torque OPEN " */
        ,PZD_460         /* Bytes: 4    Name: "Logik: Signal Torque CLOSE" */
        ,PZD_461         /* Bytes: 4    Name: "FailSafe ist aktiv" */
        ,PZD_463         /* Bytes: 2    Name: "FeldbusDrehzl" */
        ,PZD_466         /* Bytes: 2    Name: "FeldbusDigout_01" */
        ,PZD_467         /* Bytes: 2    Name: "FeldbusDigout_02" */
        ,PZD_468         /* Bytes: 2    Name: "FeldbusDigout_03" */
        ,PZD_469         /* Bytes: 2    Name: "FeldbusDigout_04" */
        ,PZD_470         /* Bytes: 2    Name: "FeldbusDigout_05" */
        ,PZD_471         /* Bytes: 2    Name: "FeldbusDigout_06" */
        ,PZD_479         /* Bytes: 4    Name: "Logik: Netzqualität" */
        ,PZD_480         /* Bytes: 4    Name: "Logik: HW-Fehler" */
        ,PZD_481         /* Bytes: 4    Name: "Logik: PH_DIR_NOK (falsche Phasenfolge)" */
        ,PZD_482         /* Bytes: 4    Name: "Logik: 24VAC Error" */
        ,PZD_483         /* Bytes: 4    Name: "Logik: 24VKD Error" */
        ,PZD_484         /* Bytes: 4    Name: "Logik: 24VInt Error" */
        ,PZD_485         /* Bytes: 4    Name: "Logik: 24VExt Error" */
        ,PZD_486         /* Bytes: 4    Name: "Lcb: ED Warnung 1: (Laufzeit)" */
        ,PZD_487         /* Bytes: 4    Name: "Lcb: ED Warnung 2 (Anläufe)" */
        ,PZD_488         /* Bytes: 4    Name: "ED Time" */
        ,PZD_489         /* Bytes: 4    Name: "ED Starts" */
        ,PZD_490         /* Bytes: 4    Name: "LCB: RTC nicht gesetzt" */
        ,PZD_494         /* Bytes: 4    Name: "System: Interner Fehler Subscription" */
        ,PZD_495         /* Bytes: 4    Name: "System: Interner Fehler FB-Startup" */
        ,PZD_530         /* Bytes: 4    Name: "System: Interner Fehler Bgr-Startup" */
        ,PZD_545         /* Bytes: 2    Name: "Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)" */
        ,PZD_553         /* Bytes: 4    Name: "Logik: Handschalter betätigt" */
        ,PZD_555         /* Bytes: 4    Name: "Falscher Befehl Interface I" */
        ,PZD_556         /* Bytes: 4    Name: "Stellzeitwarnung" */
        ,PZD_557         /* Bytes: 4    Name: "Motorschutzüberwachung defekt" */
        ,PZD_562         /* Bytes: 4    Name: "Falscher Befehl Interface II" */
        ,PZD_563         /* Bytes: 4    Name: "Keine Reaktion: Warnung" */
        ,PZD_576         /* Bytes: 2    Name: "Pb WD-Status K1" */
        ,PZD_577         /* Bytes: 2    Name: "Pb DP-Status K1" */
        ,PZD_578         /* Bytes: 2    Name: "Pb Baudrate K1" */
        ,PZD_579         /* Bytes: 2    Name: "Pb 0 Tele K1" */
        ,PZD_580         /* Bytes: 2    Name: "Pb GC Clear K1" */
        ,PZD_581         /* Bytes: 2    Name: "Pb GC Freeze K1" */
        ,PZD_582         /* Bytes: 2    Name: "Pb GC Sync K1" */
        ,PZD_583         /* Bytes: 2    Name: "Pb WD-Status K2" */
        ,PZD_584         /* Bytes: 2    Name: "Pb DP-Status K2" */
        ,PZD_585         /* Bytes: 2    Name: "Pb Baudrate K2" */
        ,PZD_586         /* Bytes: 2    Name: "Pb 0 Tele K2" */
        ,PZD_587         /* Bytes: 2    Name: "Pb GC Clear K2" */
        ,PZD_588         /* Bytes: 2    Name: "Pb GC Freeze K2" */
        ,PZD_589         /* Bytes: 2    Name: "Pb GC Sync K2" */
        ,PZD_593         /* Bytes: 4    Name: "System: Interner Fehler LCB" */
        ,PZD_594         /* Bytes: 4    Name: "System: Interner Fehler Logik" */
        ,PZD_595         /* Bytes: 4    Name: "System: Interner Fehler Mwg" */
        ,PZD_596         /* Bytes: 4    Name: "System: Interner Fehler Bus" */
        ,PZD_597         /* Bytes: 4    Name: "System: Interner Fehler Interface" */
        ,PZD_598         /* Bytes: 4    Name: "System: Interner Fehler Relaisplatine" */
        ,PZD_599         /* Bytes: 4    Name: "System: Interner Fehler Optionsplatine" */
        ,PZD_604         /* Bytes: 2    Name: "Fahrbef.Kanal1 aktiv" */
        ,PZD_605         /* Bytes: 2    Name: "Fahrbef.Kanal2 aktiv" */
        ,PZD_606         /* Bytes: 4    Name: "Feldbus Fail Safe aktiv" */
        ,PZD_607         /* Bytes: 2    Name: "WahlschaltrNichtFern" */
        ,PZD_615         /* Bytes: 4    Name: "Konfigurationsfehler" */
        ,PZD_619         /* Bytes: 4    Name: "Warnung Heizung SA Defekt" */
        ,PZD_621         /* Bytes: 4    Name: "Warnung keine Referenzfahrrt E2" */
        ,PZD_622         /* Bytes: 4    Name: "Warnung geringer Signalhub E2" */
        ,PZD_623         /* Bytes: 4    Name: "Warnung Signalbruch E2" */
        ,PZD_625         /* Bytes: 4    Name: "Warnung LWL (Meldung von Modul))" */
        ,PZD_629         /* Bytes: 4    Name: "Warnung Temperatur Steuerung" */
        ,PZD_630         /* Bytes: 4    Name: "Warnung Temperatur Motor" */
        ,PZD_631         /* Bytes: 4    Name: "Warnung Temperatur Getriebe" */
        ,PZD_633         /* Bytes: 4    Name: "Warnung AnalogIn 1 E8" */
        ,PZD_634         /* Bytes: 4    Name: "Warnung AnalogIn 2 E9" */
        ,PZD_637         /* Bytes: 4    Name: "Warnung Sollposition E1" */
        ,PZD_639         /* Bytes: 2    Name: "PartialStrokeFB" */
        ,PZD_657         /* Bytes: 4    Name: "DP-Status Data Ex (Kanal 1)" */
        ,PZD_658         /* Bytes: 4    Name: "DP-Status Data Ex (Kanal 2)" */
        ,PZD_659         /* Bytes: 4    Name: "XTActual" */
        ,PZD_664         /* Bytes: 4    Name: "Meldung: Ausgang defekt" */
        ,PZD_665         /* Bytes: 2    Name: "BetrMode_Gesperrt" */
        ,PZD_666         /* Bytes: 4    Name: "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert" */
        ,PZD_671         /* Bytes: 4    Name: "System: Interner Fehler Konfiguration Stellungsgeber" */
        ,PZD_675         /* Bytes: 4    Name: "System: Interner Fehler Lcb-Exception" */
        ,PZD_676         /* Bytes: 4    Name: "System: Interner Fehler Logik-Exception" */
        ,PZD_677         /* Bytes: 4    Name: "System: Interner Fehler Mwg-Exception" */
        ,PZD_678         /* Bytes: 4    Name: "System: Interner Fehler Bus-Exception" */
        ,PZD_679         /* Bytes: 4    Name: "Fehler Stellungsgeber" */
        ,PZD_684         /* Bytes: 4    Name: "Wahlschalter defekt" */
        ,PZD_685         /* Bytes: 4    Name: "lokaler HALT" */
        ,PZD_688         /* Bytes: 4    Name: "Falscher Befehl Feldbus" */
        ,PZD_707         /* Bytes: 4    Name: "Interner Fehler MWG Messystem defekt" */
        ,PZD_708         /* Bytes: 4    Name: "Interner Fehler Endlagen defekt" */
        ,PZD_709         /* Bytes: 2    Name: "Istwert E2(synchron)" */
        ,PZD_718         /* Bytes: 4    Name: "Keine Reaktion: Fehler" */
        ,PZD_724         /* Bytes: 2    Name: "BusFreigabeAUF" */
        ,PZD_725         /* Bytes: 2    Name: "BusFreigabeZU" */
        ,PZD_726         /* Bytes: 2    Name: "FeldbusFahreAuf" */
        ,PZD_727         /* Bytes: 2    Name: "FeldbusFahreZu" */
        ,PZD_728         /* Bytes: 2    Name: "FeldbusFahreSoll" */
        ,PZD_729         /* Bytes: 2    Name: "Feldbus_Reset" */
        ,PZD_735         /* Bytes: 2    Name: "DPV1Sollwert" */
        ,PZD_737         /* Bytes: 2    Name: "DPV1_Control" */
        ,PZD_738         /* Bytes: 2    Name: "DP-V1 C2-Verbindung " */
        ,PZD_741         /* Bytes: 2    Name: "Primary Channel (PNO)" */
        ,PZD_742         /* Bytes: 2    Name: "Secondary Channel (PNO)" */
        ,PZD_744         /* Bytes: 2    Name: "DP-V1 Enable (SetPrm)" */
        ,PZD_745         /* Bytes: 2    Name: "DP-RED (SetPrm)" */
        ,PZD_746         /* Bytes: 2    Name: "DP-ALARM (SetPrm)" */
        ,PZD_757         /* Bytes: 4    Name: "InterlockActive" */
        ,PZD_758         /* Bytes: 4    Name: "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration" */
        ,PZD_759         /* Bytes: 4    Name: "PRM-Konsistenz: Feldbuskonfiguration" */
        ,PZD_760         /* Bytes: 4    Name: "PRM-Konsistenz: MWG-Drehmokonfiguration ZU" */
        ,PZD_761         /* Bytes: 4    Name: "PRM-Konsistenz: MWG-Drehmokonfiguration AUF" */
        ,PZD_762         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn1-Konfiguration" */
        ,PZD_763         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn2-Konfiguration" */
        ,PZD_764         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn3-Konfiguration" */
        ,PZD_765         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn4-Konfiguration" */
        ,PZD_766         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn5-Konfiguration" */
        ,PZD_767         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn6-Konfiguration" */
        ,PZD_768         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn7-Konfiguration" */
        ,PZD_769         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn8-Konfiguration" */
        ,PZD_770         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn9-Konfiguration" */
        ,PZD_771         /* Bytes: 4    Name: "PRM-Konsistenz: DigIn10-Konfiguration" */
        ,PZD_773         /* Bytes: 4    Name: "Meldung: Ölleckage (Hydr.-Antrieb)" */
        ,PZD_774         /* Bytes: 4    Name: "Meldung: Füllstand Hydrauliköl (Hydr.-Antrieb)" */
        ,PZD_791         /* Bytes: 4    Name: "Meldung: Laufzeit Motor (Hydr.-Antrieb)" */
        ,PZD_794         /* Bytes: 2    Name: "Lwl_Signal_Kanal-1" */
        ,PZD_795         /* Bytes: 2    Name: "Lwl_Signal_Kanal-2" */
        ,PZD_797         /* Bytes: 2    Name: "LwlBaudrate" */
        ,PZD_798         /* Bytes: 4    Name: "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration" */
        ,PZD_808         /* Bytes: 4    Name: "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion" */
        ,PZD_809         /* Bytes: 4    Name: "System: Konfigurationsfehler \"FERN-Interface fehlt\"" */
        ,PZD_810         /* Bytes: 4    Name: "Warnung LWL nicht vorhanden" */
        ,PZD_813         /* Bytes: 4    Name: "Warnung LWL Budget" */
        ,PZD_824_speed      /* Bytes: 2    Name: "Fahrbefehl_Prozessregler (speed)" */
        ,PZD_824_cmd      /* Bytes: 2    Name: "Fahrbefehl_Prozessregler (cmd)" */
        ,PZD_824_position      /* Bytes: 2    Name: "Fahrbefehl_Prozessregler (position)" */
        ,PZD_824_dir      /* Bytes: 2    Name: "Fahrbefehl_Prozessregler (direction)" */
        ,PZD_833         /* Bytes: 2    Name: "Lwl_RS485_Formatfehl" */
        ,PZD_834         /* Bytes: 4    Name: "MWG: Drehmomentwarnung AUF	" */
        ,PZD_835         /* Bytes: 4    Name: "MWG: Drehmomentwarnung ZU" */
        ,PZD_844         /* Bytes: 4    Name: "Wahlschalter nicht Fern, maskiert" */
        ,PZD_924         /* Bytes: 4    Name: "Interne Warnung Event-HighwaterMark" */
        ,PZD_925         /* Bytes: 4    Name: "Interne Warnung Timeouts-HighwaterMark" */
        ,PZD_928         /* Bytes: 2    Name: "Aktueller Poti-Hub" */
        ,PZD_938         /* Bytes: 4    Name: "PRM-Konsistenz: Konfiguration der Heizungsüberwachung" */
        ,PZD_943         /* Bytes: 4    Name: "LCB: RTC Batterie-Überwachung" */
        ,PZD_944         /* Bytes: 4    Name: "PRM-Konsistenz: Konfiguration des Sicherheitsverhaltens" */
        ,PZD_952         /* Bytes: 4    Name: "Meldung: Partial Stroke aktiv" */
        ,PZD_953         /* Bytes: 4    Name: "Meldung: Partial Stroke Fehler" */
        ,PZD_954         /* Bytes: 4    Name: "Meldung: Partial Stroke Abbruch" */
        ,PZD_958         /* Bytes: 2    Name: "Profibus_Ist_Adress1" */
        ,PZD_959         /* Bytes: 2    Name: "Profibus_Ist_Adress2" */
        ,PZD_963         /* Bytes: 2    Name: "Sollwert EP1(sync)" */
        ,PZD_964         /* Bytes: 2    Name: "Istwert E4(sync)" */
        ,PZD_966         /* Bytes: 2    Name: "PVST erforderlich" */
        ,PZD_1017        /* Bytes: 2    Name: "BypassInterlock" */
        ,PZD_1030        /* Bytes: 2    Name: "XT Open" */
        ,PZD_1031        /* Bytes: 2    Name: "XT Close" */
        ,PZD_1032        /* Bytes: 2    Name: "Xi Open" */
        ,PZD_1033        /* Bytes: 2    Name: "Xi Close" */
        ,PZD_1117        /* Bytes: 2    Name: "SollPos Aktuell" */
        ,PZD_1120        /* Bytes: 2    Name: "SafetyFunction n.b." */
        ,PZD_1121        /* Bytes: 2    Name: "SafetyFunction aktiv" */
        ,PZD_1126        /* Bytes: 2    Name: "PbChkConfig1" */
        ,PZD_1127        /* Bytes: 2    Name: "PbChkConfig2" */
        ,PZD_1312        /* Bytes: 2    Name: "WartgLebensdSchütz" */
        ,PZD_1313        /* Bytes: 2    Name: "WartgLebensdOring" */
        ,PZD_1314        /* Bytes: 2    Name: "WartgLebensdSchmier" */
        ,PZD_1317        /* Bytes: 2    Name: "WartgWartgsintervall" */
        ,PZD_1382        /* Bytes: 2    Name: "DirektposMpvCmdFBus" */
        ,PZD_1430        /* Bytes: 2    Name: "WartgLebensdMechanik" */
        ,PZD_1443        /* Bytes: 2    Name: "MaintenanceRequired" */
        ,PZD_1453        /* Bytes: 2    Name: "SchleifenstromOutput" */
        ,PZD_1610        /* Bytes: 2    Name: "Phasenausfall" */
        ,PZD_1611        /* Bytes: 2    Name: "Zwischenkreisspannung" */
        ,PZD_1612        /* Bytes: 2    Name: "Zwischenkreisstrom" */
        ,PZD_1613        /* Bytes: 2    Name: "Motorstrom (Phase)" */
        ,PZD_1615        /* Bytes: 2    Name: "StatusInfo" */
        ,PZD_1616        /* Bytes: 2    Name: "Aussteuerung" */
        ,PZD_1617        /* Bytes: 2    Name: "Reserve" */
        ,PZD_1656        /* Bytes: 2    Name: "SARV Drehmoment" */
        ,PZD_1658        /* Bytes: 2    Name: "SARV HW Config" */
        ,PZD_1782        /* Bytes: 2    Name: "IGBT-Temp" */
    }
}
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   EDD Upload menu 
 */
#ifdef dtmGENERATOR
MENU download_parameters	/* parameters will be written to device */
{
    LABEL		"Write parameters to device...";
#else
MENU upload_variables	/* parameter will be written to device */
{
    LABEL		[menu_load_to_device]; /* PDM based reference text */
#endif /* dtmGENERATOR */
    ITEMS
    {
        /* all WRITE VARIABLE's */
        PRM_5           /* Bytes: 2    Name: "TaktstreckeAufStart" */
        ,PRM_6           /* Bytes: 2    Name: "TaktstreckeAufEnde" */
        ,PRM_7           /* Bytes: 2    Name: "TaktfahrzeitAuf" */
        ,PRM_8           /* Bytes: 2    Name: "TaktpausenzeitAuf" */
        ,PRM_9           /* Bytes: 2    Name: "Abschaltart AUF" */
        ,PRM_12          /* Bytes: 2    Name: "SelbsthVerhaltOrt" */
        ,PRM_13          /* Bytes: 2    Name: "TaktbetriebAufMode" */
        ,PRM_20          /* Bytes: 2    Name: "Stütz1_Position" */
        ,PRM_28          /* Bytes: 2    Name: "Stütz1_Meldeverhaltn" */
        ,PRM_29          /* Bytes: 2    Name: "Stütz1_Fahrverhalten" */
        ,PRM_33          /* Bytes: 2    Name: "Sprache" */
        ,PRM_67          /* Bytes: 2    Name: "Betriebsart NOT" */
        ,PRM_68          /* Bytes: 2    Name: "Auslösung NOT" */
        ,PRM_69          /* Bytes: 2    Name: "Bypass Thermo NOT" */
        ,PRM_70          /* Bytes: 2    Name: "Bypass Drehmo NOT" */
        ,PRM_71          /* Bytes: 2    Name: "Bypass Takt NOT" */
        ,PRM_82          /* Bytes: 2    Name: "DrehmoBypassZeit" */
        ,PRM_84          /* Bytes: 2    Name: "StellungreglerMode" */
        ,PRM_86          /* Bytes: 2    Name: "StelReglTotzeit" */
        ,PRM_87          /* Bytes: 2    Name: "StelReglExtTotzone" */
        ,PRM_160         /* Bytes: 2    Name: "Fkt Meldeleuchte 1" */
        ,PRM_208         /* Bytes: 2    Name: "MODE_Thermofehler" */
        ,PRM_209         /* Bytes: 2    Name: "PhaseDelaytime" */
        ,PRM_212         /* Bytes: 2    Name: "StelReglInnTotzAuf" */
        ,PRM_213         /* Bytes: 2    Name: "StelReglInnTotzZu" */
        ,PRM_214         /* Bytes: 4    Name: "SollwertToleranzAuf" */
        ,PRM_215         /* Bytes: 4    Name: "SollwertToleranzZu" */
        ,PRM_218         /* Bytes: 2    Name: "PID Mode" */
        ,PRM_219         /* Bytes: 2    Name: "PID Sollw Int 1" */
        ,PRM_222         /* Bytes: 2    Name: "Stellgrenze AUF" */
        ,PRM_223         /* Bytes: 2    Name: "PID Verhalten Ausfall" */
        ,PRM_224         /* Bytes: 2    Name: "Stellgrenze ZU" */
        ,PRM_225         /* Bytes: 2    Name: "PID Verstärkung Kp" */
        ,PRM_226         /* Bytes: 2    Name: "PID Nachstellzeit Tn" */
        ,PRM_227         /* Bytes: 2    Name: "PID Vorhaltezeit Tv" */
        ,PRM_229         /* Bytes: 2    Name: "PID Inversbetrieb" */
        ,PRM_230         /* Bytes: 2    Name: "Verhalten NOT" */
        ,PRM_231         /* Bytes: 2    Name: "Position NOT" */
        ,PRM_466         /* Bytes: 2    Name: "Stütz2_Position" */
        ,PRM_467         /* Bytes: 2    Name: "Stütz2_Fahrverhalten" */
        ,PRM_468         /* Bytes: 2    Name: "Stütz2_Meldeverhaltn" */
        ,PRM_470         /* Bytes: 2    Name: "Stütz3_Position" */
        ,PRM_471         /* Bytes: 2    Name: "Stütz3_Fahrverhalten" */
        ,PRM_472         /* Bytes: 2    Name: "Stütz3_Meldeverhaltn" */
        ,PRM_474         /* Bytes: 2    Name: "Stütz4_Position" */
        ,PRM_475         /* Bytes: 2    Name: "Stütz4_Fahrverhalten" */
        ,PRM_476         /* Bytes: 2    Name: "Stütz4_Meldeverhaltn" */
        ,PRM_478         /* Bytes: 2    Name: "Stütz5_Position" */
        ,PRM_479         /* Bytes: 2    Name: "Stütz5_Fahrverhalten" */
        ,PRM_480         /* Bytes: 2    Name: "Stütz5_Meldeverhaltn" */
        ,PRM_482         /* Bytes: 2    Name: "Stütz6_Position" */
        ,PRM_483         /* Bytes: 2    Name: "Stütz6_Fahrverhalten" */
        ,PRM_484         /* Bytes: 2    Name: "Stütz6_Meldeverhaltn" */
        ,PRM_486         /* Bytes: 2    Name: "Stütz7_Position" */
        ,PRM_487         /* Bytes: 2    Name: "Stütz7_Fahrverhalten" */
        ,PRM_488         /* Bytes: 2    Name: "Stütz7_Meldeverhaltn" */
        ,PRM_490         /* Bytes: 2    Name: "Stütz8_Position" */
        ,PRM_491         /* Bytes: 2    Name: "Stütz8_Fahrverhalten" */
        ,PRM_492         /* Bytes: 2    Name: "Stütz8_Meldeverhaltn" */
        ,PRM_519         /* Bytes: 2    Name: "SelbsthVerhaltFern1" */
        ,PRM_533         /* Bytes: 2    Name: "SelbsthVerhaltFern2" */
        ,PRM_557         /* Bytes: 2    Name: "Fkt Meldeleuchte 2" */
        ,PRM_561         /* Bytes: 2    Name: "Fkt Meldeleuchte 3" */
        ,PRM_565         /* Bytes: 2    Name: "Fkt Meldeleuchte 4" */
        ,PRM_569         /* Bytes: 2    Name: "Fkt Meldeleuchte 5" */
        ,PRM_578         /* Bytes: 2    Name: "Abschaltart ZU" */
        ,PRM_590         /* Bytes: 2    Name: "TaktbetriebZuMode" */
        ,PRM_591         /* Bytes: 2    Name: "TaktpausenzeitZu" */
        ,PRM_592         /* Bytes: 2    Name: "TaktfahrzeitZu" */
        ,PRM_593         /* Bytes: 2    Name: "TaktstreckeZuEnde" */
        ,PRM_594         /* Bytes: 2    Name: "TaktstreckeZuStart" */
        ,PRM_873         /* Bytes: 2    Name: "Funktion_DigIn1" */
        ,PRM_878         /* Bytes: 2    Name: "InvertDigIn1" */
        ,PRM_884         /* Bytes: 2    Name: "Funktion_DigIn10" */
        ,PRM_885         /* Bytes: 2    Name: "InvertDigIn10" */
        ,PRM_890         /* Bytes: 2    Name: "Funktion_DigIn9" */
        ,PRM_891         /* Bytes: 2    Name: "InvertDigIn9" */
        ,PRM_896         /* Bytes: 2    Name: "Funktion_DigIn8" */
        ,PRM_897         /* Bytes: 2    Name: "InvertDigIn8" */
        ,PRM_902         /* Bytes: 2    Name: "Funktion_DigIn7" */
        ,PRM_903         /* Bytes: 2    Name: "InvertDigIn7" */
        ,PRM_908         /* Bytes: 2    Name: "Funktion_DigIn6" */
        ,PRM_909         /* Bytes: 2    Name: "InvertDigIn6" */
        ,PRM_914         /* Bytes: 2    Name: "Funktion_DigIn5" */
        ,PRM_915         /* Bytes: 2    Name: "InvertDigIn5" */
        ,PRM_920         /* Bytes: 2    Name: "Funktion_DigIn4" */
        ,PRM_921         /* Bytes: 2    Name: "InvertDigIn4" */
        ,PRM_926         /* Bytes: 2    Name: "Funktion_DigIn3" */
        ,PRM_927         /* Bytes: 2    Name: "InvertDigIn3" */
        ,PRM_932         /* Bytes: 2    Name: "Funktion_DigIn2" */
        ,PRM_933         /* Bytes: 2    Name: "InvertDigIn2" */
        ,PRM_1012        /* Bytes: 2    Name: "Funktion_DigOut1" */
        ,PRM_1013        /* Bytes: 2    Name: "InvertDigOut1" */
        ,PRM_1072        /* Bytes: 2    Name: "Funktion_DigOut8" */
        ,PRM_1073        /* Bytes: 2    Name: "InvertDigOut8" */
        ,PRM_1077        /* Bytes: 2    Name: "Funktion_DigOut7" */
        ,PRM_1078        /* Bytes: 2    Name: "InvertDigOut7" */
        ,PRM_1082        /* Bytes: 2    Name: "Funktion_DigOut6" */
        ,PRM_1083        /* Bytes: 2    Name: "InvertDigOut6" */
        ,PRM_1087        /* Bytes: 2    Name: "Funktion_DigOut5" */
        ,PRM_1088        /* Bytes: 2    Name: "InvertDigOut5" */
        ,PRM_1092        /* Bytes: 2    Name: "Funktion_DigOut4" */
        ,PRM_1093        /* Bytes: 2    Name: "InvertDigOut4" */
        ,PRM_1097        /* Bytes: 2    Name: "Funktion_DigOut3" */
        ,PRM_1098        /* Bytes: 2    Name: "InvertDigOut3" */
        ,PRM_1102        /* Bytes: 2    Name: "Funktion_DigOut2" */
        ,PRM_1103        /* Bytes: 2    Name: "InvertDigOut2" */
        ,PRM_1107        /* Bytes: 2    Name: "Funktion_DigOut9" */
        ,PRM_1108        /* Bytes: 2    Name: "InvertDigOut9" */
        ,PRM_1112        /* Bytes: 2    Name: "Funktion_DigOut12" */
        ,PRM_1113        /* Bytes: 2    Name: "InvertDigOut12" */
        ,PRM_1117        /* Bytes: 2    Name: "Funktion_DigOut11" */
        ,PRM_1118        /* Bytes: 2    Name: "InvertDigOut11" */
        ,PRM_1122        /* Bytes: 2    Name: "Funktion_DigOut10" */
        ,PRM_1123        /* Bytes: 2    Name: "InvertDigOut10" */
        ,PRM_1129        /* Bytes: 2    Name: "Funktion_AnaIn1" */
        ,PRM_1130        /* Bytes: 2    Name: "UpperLimit_AnaIn1" */
        ,PRM_1133        /* Bytes: 2    Name: "LowerLimit_AnaIn1" */
        ,PRM_1137        /* Bytes: 2    Name: "Funktion_AnaIn2" */
        ,PRM_1140        /* Bytes: 2    Name: "UpperLimit_AnaIn2" */
        ,PRM_1141        /* Bytes: 2    Name: "LowerLimit_AnaIn2" */
        ,PRM_1165        /* Bytes: 20   Name: "Geräte-TAG" */
        ,PRM_1166        /* Bytes: 20   Name: "Projektname" */
        ,PRM_1169        /* Bytes: 2    Name: "AktivierngStelRegler" */
        ,PRM_1175        /* Bytes: 2    Name: "Blinker USA/Europa" */
        ,PRM_1176        /* Bytes: 2    Name: "TaktAufAktiv" */
        ,PRM_1177        /* Bytes: 2    Name: "TaktZuAktiv" */
        ,PRM_1182        /* Bytes: 2    Name: "Anfahrüberbrückung" */
        ,PRM_1254        /* Bytes: 2    Name: "Funktion AnPwmOut1" */
        ,PRM_1255        /* Bytes: 2    Name: "Bereich_AnPwmOut1" */
        ,PRM_1256        /* Bytes: 4    Name: "Korrektur 20mA" */
        ,PRM_1257        /* Bytes: 4    Name: "Korrektur 0 / 4 mA" */
        ,PRM_1262        /* Bytes: 2    Name: "Funktion AnPwmOut2" */
        ,PRM_1263        /* Bytes: 2    Name: "Bereich_AnPwmOut2" */
        ,PRM_1264        /* Bytes: 4    Name: "Korrektur 20mA" */
        ,PRM_1265        /* Bytes: 4    Name: "Korrektur 0 / 4 mA" */
        ,PRM_1433        /* Bytes: 2    Name: "Zeitformat" */
        ,PRM_1467        /* Bytes: 2    Name: "Zahlenformat" */
        ,PRM_1752        /* Bytes: 2    Name: "Soll_MWG_vorhanden" */
        ,PRM_1869        /* Bytes: 2    Name: "AuslösungFailsafe" */
        ,PRM_1870        /* Bytes: 2    Name: "VerhaltenFailsafe" */
        ,PRM_1871        /* Bytes: 2    Name: "AuslösequellFailsafe" */
        ,PRM_1872        /* Bytes: 2    Name: "PositionFailsafe" */
        ,PRM_1874        /* Bytes: 2    Name: "VerzögerungFailsafe" */
        ,PRM_1887        /* Bytes: 2    Name: "Stütz1_Pausenzeit" */
        ,PRM_1888        /* Bytes: 2    Name: "Stütz2_Pausenzeit" */
        ,PRM_1889        /* Bytes: 2    Name: "Stütz3_Pausenzeit" */
        ,PRM_1890        /* Bytes: 2    Name: "Stütz4_Pausenzeit" */
        ,PRM_1891        /* Bytes: 2    Name: "Stütz5_Pausenzeit" */
        ,PRM_1892        /* Bytes: 2    Name: "Stütz6_Pausenzeit" */
        ,PRM_1893        /* Bytes: 2    Name: "Stütz7_Pausenzeit" */
        ,PRM_1894        /* Bytes: 2    Name: "Stütz8_Pausenzeit" */
        ,PRM_1931        /* Bytes: 2    Name: "Fahrprofil Aktivierung" */
        ,PRM_1996        /* Bytes: 2    Name: "Datumsformat" */
        ,PRM_2006        /* Bytes: 2    Name: "Einheit Temperatur" */
        ,PRM_2036        /* Bytes: 2    Name: "PRM_TorqueNmOpen" */
        ,PRM_2041        /* Bytes: 2    Name: "PRM_TorqueNmClose" */
        ,PRM_2121        /* Bytes: 2    Name: "ED-Enable" */
        ,PRM_2122        /* Bytes: 2    Name: "Max Laufzeit pro Std" */
        ,PRM_2123        /* Bytes: 2    Name: "Max Anläufe pro Std" */
        ,PRM_2175        /* Bytes: 2    Name: "ServicemotionOrtClnt" */
        ,PRM_2182        /* Bytes: 2    Name: "Einheit Drehmoment" */
        ,PRM_2402        /* Bytes: 2    Name: "PotiRangeMin" */
        ,PRM_2418        /* Bytes: 2    Name: "Diagnoseauswahl" */
        ,PRM_2546        /* Bytes: 2    Name: "ApplMode_OpTimeMon" */
        ,PRM_2547        /* Bytes: 2    Name: "ApplOpTime_OpTimeMon" */
        ,PRM_2554        /* Bytes: 2    Name: "Mode_MotionDetector" */
        ,PRM_2555        /* Bytes: 2    Name: "Dt_MotionDetector" */
        ,PRM_2556        /* Bytes: 2    Name: "Dx_MotionDetector" */
        ,PRM_2591        /* Bytes: 2    Name: "BT-Aktivierung" */
        ,PRM_2798        /* Bytes: 2    Name: "Mux24VExtEnable_Activate" */
        ,PRM_2823        /* Bytes: 2    Name: "DP-V2 aktiviert" */
        ,PRM_2865        /* Bytes: 2    Name: "Activate_Delay24VKD" */
        ,PRM_2885        /* Bytes: 2    Name: "Redundanz-Mode" */
        ,PRM_2916        /* Bytes: 2    Name: "StelReglHysAuf" */
        ,PRM_2917        /* Bytes: 2    Name: "StelReglHysZu" */
        ,PRM_2923        /* Bytes: 2    Name: "Aktivierung NOT" */
        ,PRM_2924        /* Bytes: 2    Name: "Auslösequelle NOT" */
        ,PRM_2950        /* Bytes: 2    Name: "Bypass Fahrprofil NOT" */
        ,PRM_3135        /* Bytes: 2    Name: "Aktiv. Freigabe ORT" */
        ,PRM_3136        /* Bytes: 2    Name: "Verh. Freigabe ORT" */
        ,PRM_3143        /* Bytes: 2    Name: "Verh. Lokaler Halt" */
        ,PRM_3157        /* Bytes: 2    Name: "Betriebsart Standard" */
        ,PRM_3158        /* Bytes: 2    Name: "Reakt.Reaktionszeit" */
        ,PRM_3191        /* Bytes: 20   Name: "Tag Drehmo-Weg 1" */
        ,PRM_3192        /* Bytes: 20   Name: "Tag Drehmo-Weg 2" */
        ,PRM_3193        /* Bytes: 20   Name: "Tag Drehmo-Weg 3" */
        ,PRM_3217        /* Bytes: 2    Name: "Aktivierung Interlock " */
        ,PRM_3218        /* Bytes: 2    Name: "Betriebsart Interlock" */
        ,PRM_3219        /* Bytes: 2    Name: "Verhalten Interlock" */
        ,PRM_3255        /* Bytes: 2    Name: "IgnoreNotfahrtIntlck" */
        ,PRM_3295        /* Bytes: 2    Name: "Bypass Lokaler Halt" */
        ,PRM_3482        /* Bytes: 2    Name: "Lwl Überwachung" */
        ,PRM_3518        /* Bytes: 2    Name: "VibrationAlarmTime" */
        ,PRM_3527        /* Bytes: 2    Name: "Sende-Mode" */
        ,PRM_3588        /* Bytes: 2    Name: "PCtrlCfg: Istw Quelle" */
        ,PRM_3589        /* Bytes: 2    Name: "PID Sollw Int 2" */
        ,PRM_3590        /* Bytes: 2    Name: "PID Aktivierung" */
        ,PRM_3596        /* Bytes: 2    Name: "Modbus RedundanzMode" */
        ,PRM_3629        /* Bytes: 2    Name: "Monoflop: SetTime" */
        ,PRM_3657        /* Bytes: 2    Name: "DrehmoWarngrenzeAUF" */
        ,PRM_3667        /* Bytes: 2    Name: "DrehmoWarngrenzeZU" */
        ,PRM_3692        /* Bytes: 2    Name: "ForcedRmtCtrl_Activate" */
        ,PRM_3693        /* Bytes: 2    Name: "ForcedRmtCtrl_Mode" */
        ,PRM_3694        /* Bytes: 2    Name: "ForcedRmtCtrl_ImplFBus" */
        ,PRM_3771        /* Bytes: 2    Name: "AutoChangeOver Aktiv" */
        ,PRM_3971        /* Bytes: 2    Name: "DrehmoWarn Aktiv" */
        ,PRM_4015        /* Bytes: 2    Name: "DelayTime_DlyESD" */
        ,PRM_4032        /* Bytes: 2    Name: "Intervall Weg-Zeit" */
        ,PRM_4070        /* Bytes: 2    Name: "Proportinalbereich" */
        ,PRM_4076        /* Bytes: 2    Name: "PropFahrtEnable" */
        ,PRM_4136        /* Bytes: 2    Name: "Farbauswahl ML 1" */
        ,PRM_4137        /* Bytes: 2    Name: "Farbauswahl ML 2" */
        ,PRM_4138        /* Bytes: 2    Name: "Farbauswahl ML 3" */
        ,PRM_4139        /* Bytes: 2    Name: "Farbauswahl ML 4" */
        ,PRM_4140        /* Bytes: 2    Name: "Farbauswahl ML 5" */
        ,PRM_4167        /* Bytes: 2    Name: "StellbBegrEnable" */
        ,PRM_4191        /* Bytes: 2    Name: "Aktivierung PVST" */
        ,PRM_4193        /* Bytes: 2    Name: "Distanz PVST" */
        ,PRM_4194        /* Bytes: 2    Name: "Alarmzeit PVST" */
        ,PRM_4195        /* Bytes: 2    Name: "Fahrtrichtung PVST" */
        ,PRM_4250        /* Bytes: 2    Name: "Störung (AC1 konform)" */
        ,PRM_4251        /* Bytes: 2    Name: "FehlerKonfigurierbar" */
        ,PRM_4252        /* Bytes: 2    Name: "WarnungKonfigurierb." */
        ,PRM_4253        /* Bytes: 2    Name: "NBF konfigurierbar" */
        ,PRM_4270        /* Bytes: 2    Name: "PID Reglerart" */
        ,PRM_4286        /* Bytes: 2    Name: "Wartezeit PVST" */
        ,PRM_4287        /* Bytes: 2    Name: "Fahrzeit PVST" */
        ,PRM_4288        /* Bytes: 2    Name: "Verhalten PVST" */
        ,PRM_4289        /* Bytes: 2    Name: "Überwachungszeit PVST" */
        ,PRM_4292        /* Bytes: 2    Name: "Überwachung PVST" */
        ,PRM_4312        /* Bytes: 4    Name: "Abschaltmoment AUF" */
        ,PRM_4313        /* Bytes: 4    Name: "Abschaltmoment ZU" */
        ,PRM_4378        /* Bytes: 2    Name: "Aktivierung Bypass" */
        ,PRM_4379        /* Bytes: 2    Name: "Bypass Applikation" */
        ,PRM_4407        /* Bytes: 2    Name: "AuslösQuellInterlock" */
        ,PRM_4606        /* Bytes: 2    Name: "FF RedundanzMode" */
        ,PRM_4730        /* Bytes: 2    Name: "Überwachung Wartungsintervall" */
        ,PRM_4731        /* Bytes: 2    Name: "Wartungsmeldungen" */
        ,PRM_4736        /* Bytes: 2    Name: "Aktivierung LPV" */
        ,PRM_4737        /* Bytes: 2    Name: "LPV Role" */
        ,PRM_4738        /* Bytes: 2    Name: "LPV Delay Open" */
        ,PRM_4739        /* Bytes: 2    Name: "LPV Delay Close" */
        ,PRM_4740        /* Bytes: 2    Name: "LPV Delay NA" */
        ,PRM_4782        /* Bytes: 2    Name: "MPV GearConfig" */
        ,PRM_4785        /* Bytes: 2    Name: "Kennlinie 1 speichern" */
        ,PRM_4786        /* Bytes: 2    Name: "Kennlinie 2 speichern" */
        ,PRM_4787        /* Bytes: 2    Name: "Kennlinie 3 speichern" */
        ,PRM_4788        /* Bytes: 2    Name: "MPV ActuatorSize" */
        ,PRM_4789        /* Bytes: 2    Name: "MPV_Pos1" */
        ,PRM_4790        /* Bytes: 2    Name: "MPV_Pos2" */
        ,PRM_4791        /* Bytes: 2    Name: "MPV_Pos3" */
        ,PRM_4792        /* Bytes: 2    Name: "MPV_Pos4" */
        ,PRM_4793        /* Bytes: 2    Name: "MPV_Pos5" */
        ,PRM_4794        /* Bytes: 2    Name: "MPV_Pos6" */
        ,PRM_4795        /* Bytes: 2    Name: "MPV_Pos7" */
        ,PRM_4796        /* Bytes: 2    Name: "MPV_Pos8" */
        ,PRM_4797        /* Bytes: 2    Name: "MPV_Pos9" */
        ,PRM_4798        /* Bytes: 2    Name: "MPV_Pos10" */
        ,PRM_4799        /* Bytes: 2    Name: "MPV_DeadZone" */
        ,PRM_4800        /* Bytes: 2    Name: "MPV_TolComp" */
        ,PRM_4802        /* Bytes: 2    Name: "MPV Meldeverhalten" */
        ,PRM_4804        /* Bytes: 2    Name: "MPV #Pos. Aktiv" */
        ,PRM_4806        /* Bytes: 2    Name: "MPV_Pos11" */
        ,PRM_4807        /* Bytes: 2    Name: "MPV_Pos12" */
        ,PRM_4808        /* Bytes: 2    Name: "Position NOT MPV" */
        ,PRM_4809        /* Bytes: 2    Name: "PositionFailsafe MPV" */
        ,PRM_4821        /* Bytes: 2    Name: "MPV Selbsthaltung" */
        ,PRM_4822        /* Bytes: 2    Name: "AC2 Uhrzeit: Jahr" */
        ,PRM_4823        /* Bytes: 2    Name: "AC2 Uhrzeit: Monat" */
        ,PRM_4824        /* Bytes: 2    Name: "AC2 Uhrzeit: Tag" */
        ,PRM_4825        /* Bytes: 2    Name: "AC2 Uhrzeit: Stunden" */
        ,PRM_4826        /* Bytes: 2    Name: "AC2 Uhrzeit: Minuten" */
        ,PRM_4827        /* Bytes: 2    Name: "AC2 Uhrzeit: Sekunden" */
        ,PRM_4828        /* Bytes: 2    Name: "AC2 Uhrzeit setzen" */
        ,PRM_4829        /* Bytes: 2    Name: "AC2 Uhrzeit lesen" */
        ,PRM_4850        /* Bytes: 2    Name: "Aktivierung EL setzen" */
        ,PRM_4893        /* Bytes: 2    Name: "Dauer Wartungsintervall" */
        ,PRM_4899        /* Bytes: 2    Name: "Feldbus Betriebsart" */
        ,PRM_4902        /* Bytes: 2    Name: "Profibus Verbindgstyp" */
        ,PRM_4942        /* Bytes: 2    Name: "Heizungsansteuerung" */
        ,PRM_4944        /* Bytes: 2    Name: "Auslösequelle PVST" */
        ,PRM_4956        /* Bytes: 2    Name: "Aktivierung SplitRange" */
        ,PRM_4957        /* Bytes: 2    Name: "Untere Bereichsgrenze" */
        ,PRM_4958        /* Bytes: 2    Name: "Obere Bereichsgrenze" */
        ,PRM_5072        /* Bytes: 2    Name: "Aktivierung Freispülen" */
        ,PRM_5073        /* Bytes: 2    Name: "Fahrzeit Reverse" */
        ,PRM_5074        /* Bytes: 2    Name: "Freispülversuche" */
        ,PRM_5103        /* Bytes: 2    Name: "Drehzahl Intern1" */
        ,PRM_5104        /* Bytes: 2    Name: "MPV_GearNum" */
        ,PRM_5105        /* Bytes: 2    Name: "MPV_GearDenom" */
        ,PRM_5106        /* Bytes: 2    Name: "Drehzahl Intern2" */
        ,PRM_5107        /* Bytes: 2    Name: "Drehzahl Intern3" */
        ,PRM_5108        /* Bytes: 2    Name: "Drehzahl Intern4" */
        ,PRM_5109        /* Bytes: 2    Name: "Drehzahlquelle ORT Auf" */
        ,PRM_5110        /* Bytes: 2    Name: "Drehzahlquelle FERN Auf" */
        ,PRM_5111        /* Bytes: 2    Name: "DrehzahlFernMin" */
        ,PRM_5112        /* Bytes: 2    Name: "DrehzahlFernMax" */
        ,PRM_5113        /* Bytes: 2    Name: "Befehlsauswertung FERN" */
        ,PRM_5114        /* Bytes: 2    Name: "Nenndrehzahl" */
        ,PRM_5116        /* Bytes: 2    Name: "PropSpeedMin" */
        ,PRM_5121        /* Bytes: 2    Name: "SoftStartTime" */
        ,PRM_5122        /* Bytes: 2    Name: "SoftStopTime" */
        ,PRM_5125        /* Bytes: 2    Name: "Drehzahl NOT Auf" */
        ,PRM_5126        /* Bytes: 2    Name: "DrehzahlFailOpOpen" */
        ,PRM_5127        /* Bytes: 2    Name: "Stellzeit Intern1" */
        ,PRM_5128        /* Bytes: 2    Name: "Stellzeit Intern2" */
        ,PRM_5129        /* Bytes: 2    Name: "Stellzeit Intern3" */
        ,PRM_5130        /* Bytes: 2    Name: "Stellzeit Intern4" */
        ,PRM_5131        /* Bytes: 2    Name: "Stellzeit NOT Auf" */
        ,PRM_5132        /* Bytes: 2    Name: "StellzeitFailOpOpen" */
        ,PRM_5134        /* Bytes: 2    Name: "StellzeitFernMin" */
        ,PRM_5135        /* Bytes: 2    Name: "StellzeitFernMax" */
        ,PRM_5136        /* Bytes: 2    Name: "Nennstellzeit" */
        ,PRM_5139        /* Bytes: 2    Name: "PropTimeMin" */
        ,PRM_5140        /* Bytes: 2    Name: "FreischaltElWelle" */
        ,PRM_5141        /* Bytes: 2    Name: "AktivierungElWelle" */
        ,PRM_5161        /* Bytes: 2    Name: "Drehmomentbegrenzung " */
        ,PRM_5162        /* Bytes: 2    Name: "DrehmoBypassLim" */
        ,PRM_5163        /* Bytes: 2    Name: "I-Konfig Endl. ZU" */
        ,PRM_5164        /* Bytes: 2    Name: "I-Konfig Endl. AUF" */
        ,PRM_5165        /* Bytes: 2    Name: "I-Konfig Endl. ZU" */
        ,PRM_5166        /* Bytes: 2    Name: "I-Konfig Endl. AUF" */
        ,PRM_5189        /* Bytes: 2    Name: "Aktivierung DMF-Auswertung" */
        ,PRM_5190        /* Bytes: 2    Name: "Auswahl Analogeingang" */
        ,PRM_5220        /* Bytes: 2    Name: "MPV_Pos13" */
        ,PRM_5221        /* Bytes: 2    Name: "MPV_Pos14" */
        ,PRM_5222        /* Bytes: 2    Name: "MPV_Pos15" */
        ,PRM_5223        /* Bytes: 2    Name: "MPV_Pos16" */
        ,PRM_5228        /* Bytes: 2    Name: "WartungsInfo" */
        ,PRM_5229        /* Bytes: 2    Name: "Vorwarnlevel" */
        ,PRM_5233        /* Bytes: 2    Name: "Aktivierung MwKurven" */
        ,PRM_5252        /* Bytes: 2    Name: "EnableEndPosDerating" */
        ,PRM_5257        /* Bytes: 2    Name: "DMF-Typ" */
        ,PRM_5278        /* Bytes: 2    Name: "Drehzahlquelle PID" */
        ,PRM_5280        /* Bytes: 2    Name: "Stütz1_Drehzahl_AUF" */
        ,PRM_5281        /* Bytes: 2    Name: "Stütz1_Drehzahl_ZU" */
        ,PRM_5282        /* Bytes: 2    Name: "Stütz2_Drehzahl_AUF" */
        ,PRM_5283        /* Bytes: 2    Name: "Stütz2_Drehzahl_ZU" */
        ,PRM_5284        /* Bytes: 2    Name: "Stütz3_Drehzahl_AUF" */
        ,PRM_5285        /* Bytes: 2    Name: "Stütz3_Drehzahl_ZU" */
        ,PRM_5286        /* Bytes: 2    Name: "Stütz4_Drehzahl_AUF" */
        ,PRM_5287        /* Bytes: 2    Name: "Stütz4_Drehzahl_ZU" */
        ,PRM_5288        /* Bytes: 2    Name: "Stütz5_Drehzahl_AUF" */
        ,PRM_5289        /* Bytes: 2    Name: "Stütz5_Drehzahl_ZU" */
        ,PRM_5290        /* Bytes: 2    Name: "Stütz6_Drehzahl_AUF" */
        ,PRM_5291        /* Bytes: 2    Name: "Stütz6_Drehzahl_ZU" */
        ,PRM_5292        /* Bytes: 2    Name: "Stütz7_Drehzahl_AUF" */
        ,PRM_5293        /* Bytes: 2    Name: "Stütz7_Drehzahl_ZU" */
        ,PRM_5294        /* Bytes: 2    Name: "Stütz8_Drehzahl_AUF" */
        ,PRM_5295        /* Bytes: 2    Name: "Stütz8_Drehzahl_ZU" */
        ,PRM_5296        /* Bytes: 2    Name: "Stütz1_Stellzeit_AUF" */
        ,PRM_5297        /* Bytes: 2    Name: "Stütz1_Stellzeit_ZU" */
        ,PRM_5298        /* Bytes: 2    Name: "Stütz2_Stellzeit_AUF" */
        ,PRM_5299        /* Bytes: 2    Name: "Stütz2_Stellzeit_ZU" */
        ,PRM_5300        /* Bytes: 2    Name: "Stütz3_Stellzeit_AUF" */
        ,PRM_5301        /* Bytes: 2    Name: "Stütz3_Stellzeit_ZU" */
        ,PRM_5302        /* Bytes: 2    Name: "Stütz4_Stellzeit_AUF" */
        ,PRM_5303        /* Bytes: 2    Name: "Stütz4_Stellzeit_ZU" */
        ,PRM_5304        /* Bytes: 2    Name: "Stütz5_Stellzeit_AUF" */
        ,PRM_5305        /* Bytes: 2    Name: "Stütz5_Stellzeit_ZU" */
        ,PRM_5306        /* Bytes: 2    Name: "Stütz6_Stellzeit_AUF" */
        ,PRM_5307        /* Bytes: 2    Name: "Stütz6_Stellzeit_ZU" */
        ,PRM_5308        /* Bytes: 2    Name: "Stütz7_Stellzeit_AUF" */
        ,PRM_5309        /* Bytes: 2    Name: "Stütz7_Stellzeit_ZU" */
        ,PRM_5310        /* Bytes: 2    Name: "Stütz8_Stellzeit_AUF" */
        ,PRM_5311        /* Bytes: 2    Name: "Stütz8_Stellzeit_ZU" */
        ,PRM_5312        /* Bytes: 2    Name: "MPV_LagCompCW" */
        ,PRM_5313        /* Bytes: 2    Name: "MPV_LagCompCCW" */
        ,PRM_5315        /* Bytes: 2    Name: "LPV Delay " */
        ,PRM_5316        /* Bytes: 2    Name: "StelRegTotzoneMin" */
        ,PRM_5317        /* Bytes: 2    Name: "StelRegTotzoneMax" */
        ,PRM_5319        /* Bytes: 2    Name: "Drehzahlquelle ORT Zu" */
        ,PRM_5320        /* Bytes: 2    Name: "Drehzahlquelle FERN Zu" */
        ,PRM_5321        /* Bytes: 2    Name: "Drehzahl NOT Zu" */
        ,PRM_5322        /* Bytes: 2    Name: "DrehzahlFailOpClose" */
        ,PRM_5323        /* Bytes: 2    Name: "Stellzeit NOT Zu" */
        ,PRM_5324        /* Bytes: 2    Name: "StellzeitFailOpClose" */
    }
}
 
#endif /* _AMSDM_ */
